using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CommentEnum;

namespace WingInterfaceLibrary.DTO.Comment
{
    /// <summary>
    /// 检查关联的AI信息
    /// </summary>
    public class RemedicalAISelectedInfoDTO
    {
        /// <summary>
        /// 记录编码
        /// </summary>
        /// <value></value>
        public string RemedicalAISelectedInfoCode { get; set; } = string.Empty;

        /// <summary>
        /// 病人编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string PatientCode { get; set; } = string.Empty;

        /// <summary>
        /// 扫查记录编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RecordCode { get; set; } = string.Empty;

        /// <summary>
        /// 扫查图像编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RemedicalCode { get; set; } = string.Empty;

        /// <summary>
        /// 第几帧，默认0
        /// </summary>
        /// <value>0</value>
        public int FrameIndex { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>UserDO_20220315125334n5j3A2</value>
        public string UserCode { get; set; } = string.Empty;

        /// <summary>
        /// 原图-源站地址
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string OrginalFileToken { get; set; } = string.Empty;

        /// <summary>
        /// 原图-CDN地址
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string CdnFileToken { get; set; } = string.Empty;

        /// <summary>
        /// AI图-源站地址
        /// </summary>
        public string AIFileToken { get; set; } = string.Empty;

        /// <summary>
        /// AI图-CDN地址
        /// </summary>
        /// <value></value>
        public string AICdnFileToken { get; set; } = string.Empty;

        /// <summary>
        /// 推荐下载模式 
        /// 源站或者CDN地址
        /// </summary>
        /// <value>1</value>
        public RecommendedDownloadModeEnum RecommendedDownloadMode { get; set; } = RecommendedDownloadModeEnum.CDN;

        /// <summary>
        /// 缩略图地址
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string PreviewFileToken { get; set; } = string.Empty;

        /// <summary>
        /// AI诊断详情，不抽帧
        /// </summary>
        /// <value></value>
        public string DiagnosisData { get; set; } = string.Empty;

        /// <summary>
        /// AI诊断结论
        /// </summary>
        /// <value></value>
        public DiagnosisConclusionEnum DiagnosisConclusion { get; set; }

        /// <summary>
        /// AI识别的器官
        /// </summary>
        /// <value></value>
        public List<DiagnosisOrganEnum> DiagnosisOrgans { get; set; } = new List<DiagnosisOrganEnum>();
    }
}