using WingInterfaceLibrary.Enum;
using System;

namespace WingInterfaceLibrary.DTO.CMSStatistic
{
    /// <summary>
    /// 消息盒子统计实体
    /// </summary>
    public class StatisticMessagesDTO
    {
        /// <summary>
        /// 消息内容
        /// </summary>
        /// <value>李医生给你发来了预约会诊的申请，请及时处理</value>
        public string Content { get; set; }

        /// <summary>
        /// 消息时间
        /// </summary>
        /// <value>2022-11-19 19:00:30</value>
        public DateTime Time { get; set; }

        /// <summary>
        /// 详情页地址，如无需跳转，则为空
        /// </summary>
        /// <value>http://api2.flyinsono.com/views/Message</value>
        public string TransferUrl { get; set; }

        /// <summary>
        /// 消息状态
        /// </summary>
        /// <value>UnRead</value>
        public CMSMessageStatusEnum Status { get; set; }

    }

    /// <summary>
    /// 统计消息
    /// </summary>
    public class StatisticMessageInfoDTO:StatisticMessagesDTO
    {
        /// <summary>
        /// 用户编码    
        /// </summary>
        /// <value>User_23</value>
        public string UserCode { get; set; }
        
        /// <summary>
        /// 消息编码 
        /// </summary>
        /// <value>Message_2333</value>
        public string MessageCode{ get; set; }

    }
}