using System.Security.Authentication.ExtendedProtection;
using System.Net.NetworkInformation;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Measure;

namespace WingInterfaceLibrary.DTO.Comment
{
    /// <summary>
    /// 注释数据 默认时 null
    /// 设备上传图像时 根据设备图像是否有注释上传
    /// 客户端根据需要是否处理。获取图像时默认不返回此数据
    /// </summary>
    public class ScanImageDTO
    {
        /// <summary>
        ///Visual
        /// </summary>
        /// <value></value>
        public VisualDTO Visual { get; set; }
    }
    /// <summary>
    /// Visual
    /// </summary>
    public class VisualDTO
    {
        /// <summary>
        /// Visuals
        /// </summary>
        /// <value></value>
        public List<VisualKeyDTO> Children { get; set; }

    }
    /// <summary>
    /// VisualKeyDTO
    /// </summary>
    public class VisualKeyDTO
    {
        /// <summary>
        /// 类型
        /// </summary>
        /// <value>Visual_A</value>
        public string VisualKeyTypeName { get; set; }
        /// <summary>
        /// VisualArea
        /// </summary>
        /// <value></value>
        public VisualAreaDTO VisualArea { get; set; }

    }
    /// <summary>
    /// VisualArea
    /// </summary>
    public class VisualAreaDTO
    {
        /// <summary>
        /// VisualAreas
        /// </summary>
        /// <value></value>
        public List<BaseAreaDTO> Children { get; set; }
    }

    /// <summary>
    /// Area
    /// </summary>
    public class BaseAreaDTO
    {
        /// <summary>
        /// 类型
        /// </summary>
        /// <value>TissueArea</value>
        public string VisualAreaTypeName { get; set; }
        /// <summary>
        /// 注释集合
        /// </summary>
        /// <value></value>
        public List<AdornerDTO> Adorner { get; set; }
    }
    /// <summary>
    /// 注释
    /// </summary>
    public class AdornerDTO
    {
        /// <summary>
        /// 类型
        /// </summary>
        /// <value> TextAnnotation</value>
        public string AdornerTypeName { get; set; }
        /// <summary>
        /// 坐标
        /// </summary>
        /// <value></value>
        public PointDTO TopLeft { get; set; }
        /// <summary>
        /// 注释文本
        /// </summary>
        /// <value>二尖瓣前叶</value>
        public string Content { get; set; }
    }

}