using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Consultation
{
    /// <summary>
    /// 会诊图像列表实体
    /// </summary>
    public class ConsultationImagesDTO
    {
        /// <summary>
        /// 图像日期
        /// </summary>
        /// <value></value>
        public DateTime ImageDate { get; set; }

        /// <summary>
        /// 超声机上传图像
        /// </summary>
        /// <value></value>
        public IList<RemedicalInfoDTO> UltrasoundImageList { get; set; } = new List<RemedicalInfoDTO>();

        /// <summary>
        /// 会诊截图
        /// </summary>
        /// <value></value>
        public IList<ConsultationFileDTO> ScreenshotList { get; set; } = new List<ConsultationFileDTO>();

        /// <summary>
        /// 客户端测量图像
        /// </summary>
        /// <value></value>
        public IList<RemedicalMeasuredInfoDTO> MeasurementImageList { get; set; } = new List<RemedicalMeasuredInfoDTO>();
    }


}