using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.DTO.Courses
{
    /// <summary>
    ///  课程分页信息
    /// </summary>
    public class CourseBrowsedRecordDTO
    {
        /// <summary>
        /// 浏览记录code
        /// </summary>
        /// <value></value>
        public string CourseBrowsedRecordCode { get; set; }
        
        /// <summary>
        /// 关联业务编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RelevanceCode { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 展示姓名
        /// </summary>
        /// <value></value>
        public string DisplayName { get; set; }

        /// <summary>
        /// 来源平台
        /// </summary>
        /// <value></value>
        public string FromPlatform { get; set; }

        /// <summary>
        /// 浏览次数
        /// </summary>
        /// <value></value>
        public int BrowsedCount { get; set; }

        /// <summary>
        /// 是否在线：true-在线；false-离线
        /// </summary>
        /// <value>false</value>
        public bool IsOnline { get; set; }

        /// <summary>
        /// 浏览用户类型枚举
        /// </summary>
        /// <value>0</value>
        public BrowsedUserTypeEnum BrowsedUserType { get; set; }               
        
        /// <summary>
        /// Create time
        /// </summary>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// Update time
        /// </summary>
        public DateTime UpdateTime { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        public string Avatar { get; set; }

        /// <summary>
        /// 听课时长【分钟】
        /// </summary>
        /// <value>false</value>
        public int DurationMintues { get; set; }

        /// <summary>
        /// 浏览详情列表
        /// </summary>
        /// <value></value>
        public IList<BrowsedTimeRecordInfoDTO> BrowsedTimeRecords { get; set; }  
        
        /// <summary>
        /// 错误码
        /// </summary>
        /// <value></value>
        public CustomerRpcCode ErrorCode { get; set; } = CustomerRpcCode.Ok;
    } 

    /// <summary>
    /// 浏览时长的记录
    /// </summary>
    public class BrowsedTimeRecordInfoDTO
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime StartTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime EndTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 时长 : 单位-分钟
        /// </summary>
        public int Duration { get; set; }
    }
}