
using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.DTO.Courses
{
    /// <summary>
    ///  课程专辑信息
    /// </summary>
    public class CourseCommonInfoDTO : BaseCourseAlbumDTO
    {
        /// <summary>
        /// 专辑封面
        /// </summary>
        public string Cover { get; set; }

        /// <summary>
        /// 专辑简介
        /// </summary>
        /// <value></value>
        public string Introduction { get; set; }

        /// <summary>
        /// 课程标签列表
        /// </summary>
        public IList<string> CourseLabels { get; set; }

        /// <summary>
        /// 教师Code
        /// </summary>
        public string TeacherCode { get; set; }

        /// <summary>
        /// 教师名称
        /// </summary>
        public string TeacherName { get; set; }

        /// <summary>
        /// 可见范围：国内，国外，或者两者兼有 TODO
        /// </summary>
        public CourseViewRangeEnum ViewRange { get; set; }

        /// <summary>
        /// 专辑价格 TODO
        /// </summary>
        public decimal Price { get; set; }

        /// <summary>
        /// 课程分类
        /// </summary>
        /// <value>1</value>
        public CourseTypeEnum CourseType { get; set; }

        /// <summary>
        /// 绑定班级列表
        /// </summary>
        /// <value></value>
        public IList<BaseUserGroupDTO> UserGroupList { get; set; }

        /// <summary>
        /// 所属专辑列表
        /// </summary>
        /// <value></value>
        public IList<BaseCourseAlbumDTO> CourseAlbumList { get; set; }

        /// <summary>
        /// 学生对于专辑的状态
        /// </summary>
        ///  <value>0</value>
        public StudentCourseStatusEnum SignCourseStatus { get; set; }

        /// <summary>
        /// 学生是否支付：是-支付；否-未支付
        /// </summary>
        public bool IsPay { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime UpdateTime { get; set; }
    }
}