using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.CourseEnum;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Courses
{
    /// <summary>
    /// 我的课程列表信息
    /// </summary>
    public class MyCoursePageDTO
    {
        /// <summary>
        /// 报名编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 课程或专辑编码
        /// </summary>
        /// <value></value>
        public string CourseOrAlbumCode { get; set; }

        /// <summary>
        /// 呈现类型
        /// </summary>
        /// <value></value>
        public CourseAppearTypeEnum CourseAppearType { get; set; }

        /// <summary>
        /// 课程分类
        /// </summary>
        public CourseTypeEnum CourseType { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 教师名称
        /// </summary>
        /// <value></value>
        public string TeacherName { get; set; }

        /// <summary>
        /// 标签名称
        /// </summary>
        public IList<string> CourseLabelNames { get; set; }

        /// <summary>
        /// 是否支付
        /// </summary>
        /// <value></value>
        public bool IsPay { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 课程状态
        /// </summary>
        public CourseStatusEnum Status { get; set; }

        /// <summary>
        /// 可见范围：国内，国外，或者两者兼有
        /// </summary>
        public CourseViewRangeEnum ViewRange { get; set; }

        /// <summary>
        /// 课程预计开始时间
        /// </summary>
        public DateTime StartTime { get; set; } = DateTime.UtcNow;

        /// <summary>
        /// 播放量
        /// </summary>
        /// <value>1</value>
        public int PlayCount { get; set; }
    }
}