using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.CourseEnum;



namespace WingInterfaceLibrary.DTO.Courses
{
    /// <summary>
    /// 学生课程列表信息
    /// </summary>
    public class StudentInCoursePageDTO : BaseCoursePageDTO
    {
        /// <summary>
        /// 学生对于课程的状态
        /// </summary>
        ///  <value>0</value>
        public StudentCourseStatusEnum SignCourseStatus { get; set; }

        /// <summary>
        /// 是否支付：是-支付；否-未支付
        /// </summary>
        public bool IsPay { get; set; }
    }

    /// <summary>
    /// 学生课程列表信息
    /// </summary>
    public class SignStudentDTO
    {
        /// <summary>
        /// 学生编码
        /// </summary>
        public string StudentCode { get; set; }

        /// <summary>
        /// 课程或课程专辑编码
        /// </summary>
        /// <value></value>
        public string CourseOrAlbumCode { get; set; }

        /// <summary>
        /// 呈现类型
        /// </summary>
        /// <value></value>
        public CourseAppearTypeEnum CourseAppearType { get; set; }

        /// <summary>
        /// 是否支付
        /// </summary>
        /// <value></value>
        public bool IsPay { get; set; }

        /// <summary>
        /// 学生对于课程的状态
        /// </summary>
        ///  <value>0</value>
        public StudentCourseStatusEnum SignCourseStatus { get; set; }
    }
}