using System;
using WingInterfaceLibrary.Enum;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.Enum.CourseEnum;


namespace WingInterfaceLibrary.DTO.Courses
{
    /// <summary>
    ///  视频信息表
    /// </summary>
    public class VideoInfoDTO
    {
        /// <summary>
        ///  视频编码
        /// </summary>
        /// <value>12334e</value>
        public string Code { get; set; }

        /// <summary>
        /// 视频名称
        /// </summary>
        /// <value>TestCourse</value>
        public string Name { get; set; }

        /// <summary>
        /// 视频地址
        /// </summary>
        /// <value>https://flyinsono-bj-1300984704.cos.ap-beijing.myqcloud.com/video.mp4</value>
        public string VideoToken { get; set; }

        /// <summary>
        /// 封面图
        /// </summary>
        /// <value>https://flyinsono-bj-1300984704.cos.ap-beijing.myqcloud.com/0B7B494B7A7044F3ADE0FCF8C0422700.png</value>
        public string Poster { get; set; }

        /// <summary>
        /// Vod云点播文件Id
        /// </summary>
        /// <value>12334e</value>
        public string VodFileId { get; set; }

        /// <summary>
        /// 课程时长【单位秒】
        /// </summary>
        /// <value>120</value>
        public int Duration { get; set; }

        /// <summary>
        /// 视频大小【MB】
        /// </summary>
        /// <value>120</value>
        public double VideoSize { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value>2022-01-15T12:53:29.889Z</value>
        public DateTime CreateTime{ get; set; }

        /// <summary>
        /// 视频上传人
        /// </summary>
        public string CreatorCode { get; set; }

        /// <summary>
        /// 素材上传人
        /// </summary>
        public string CreatorName { get; set; }

        /// <summary>
        /// 素材分类：视频、图片、文件
        /// </summary>
        public UploadFileTypeEnum FodderType { get; set; } 

        /// <summary>
        /// 素材使用：公开的、私有的
        /// </summary>
        public bool IsPublic { get; set; } = true;

        /// <summary>
        /// 可见范围：国内，国外，或者两者兼有
        /// </summary>
        public CourseViewRangeEnum ViewRange { get; set; }

        /// <summary>
        /// 播放量
        /// </summary>
        /// <value>1</value>
        public int PlayCount { get; set; }

        /// <summary>
        /// 文件原始地址
        /// </summary>
        /// <value></value>
        public string SrcFileToken{ get; set; } 

        /// <summary>
        /// 简介
        /// </summary>
        /// <value></value>
        public string Intro { get; set; }

        /// <summary>
        /// 是否自动创建
        /// </summary>
        /// <value></value>
        public bool AutoCreateCourse { get; set; }

        /// <summary>
        /// 用户组
        /// </summary>
        /// <value></value>
        public IList<string> UserGroupCodes { get; set; }

        /// <summary>
        /// 课程标签
        /// </summary>
        /// <value></value>
        public IList<string> CourseLabelCodes { get; set; }

        /// <summary>
        /// 课程规模
        /// </summary>
        /// <value></value>
        public CourseAudienceTypeEnum AudienceType { get; set; }

        /// <summary>
        /// 是否管理员创建
        /// </summary>
        /// <value>1</value>
        public bool IsAdminCreated { get; set; }
    }
}