using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.DataCenter
{
    /// <summary>
    ///课程专辑信息
    /// </summary>
    public class CourseAlbumView : BaseDTO
    {
        /// <summary>
        /// 课程专辑编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
        /// <summary>
        /// 专辑名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 教师Code
        /// </summary>
        public string TeacherCode { get; set; }

        /// <summary>
        /// 教师名称
        /// </summary>
        public string TeacherName { get; set; }

        /// <summary>
        /// 关联课程信息
        /// </summary>
        public IList<BaseInfoView> CourseInfos { get; set; }

        /// <summary>
        /// 专辑封面
        /// </summary>
        public string Cover { get; set; }

        /// <summary>
        /// 专辑简介
        /// </summary>
        /// <value></value>
        public string Introduction { get; set; }

        /// <summary>
        /// 课程标签列表
        /// </summary>
        public IList<CourseLabelDTO> CourseLabels { get; set; }

        /// <summary>
        /// 可见范围：国内，国外，或者两者兼有 TODO
        /// </summary>
        public CourseViewRangeEnum ViewRange { get; set; }

        /// <summary>
        /// 专辑价格 TODO
        /// </summary>
        public decimal Price { get; set; }

        /// <summary>
        /// 报名学生列表
        /// </summary>
        public IList<StudentView> Students { get; set; } = new List<StudentView>();

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
        
        /// <summary>
        /// 是否置顶
        /// </summary>
        public bool IsStick { get; set; }
    }
}