using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Comment;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.DTO.Consultation;
using WingInterfaceLibrary.DTO.Measure;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.LiveConsultation.Enums;

namespace WingInterfaceLibrary.DTO.DataCenter
{
    /// <summary>
    /// 数据中心图像诊断结果
    /// </summary>
    public class FileDiagnosisResultDTO : BaseDTO
    {
        /// <summary>
        /// 诊断结果编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 图像编码
        /// </summary>
        /// <value></value>
        public string RemedicalCode { get; set; }       

        /// <summary>
        /// AI诊断结论
        /// </summary>
        /// <value></value>
        public DiagnosisConclusionEnum DiagnosisConclusion { get; set; }

        /// <summary>
        /// AI诊断详情
        /// </summary>
        /// <value></value>
        public string DiagnosisResult { get; set; }

        /// <summary>
        /// AI识别的器官
        /// </summary>
        /// <value></value>
        public List<DiagnosisOrganEnum> DiagnosisOrgans { get; set; } = new List<DiagnosisOrganEnum>();
        /// <summary>
        /// 测量结果数据
        /// </summary>
        /// <value></value>
        public MeasuredResultsDTO MeasuredResult { get; set; }
        /// <summary>
        /// 注释结果数据
        /// </summary>
        /// <value></value>
        public ScanImageDTO CommentResult { get; set; }

        /// <summary>
        /// 颈动脉结果
        /// </summary>
        /// <value></value>
        public CarotidResultDTO CarotidResult { get; set; }

        /// <summary>
        /// 业务类型
        /// </summary>
        /// <value></value>
        public BusinessTypeEnum BusinessType { get; set; }

    }
}