using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.DataCenter
{
    public class FileView
    {
        public RemedicalFileDataTypeEnum DataType { get; set; }
        public string OriginalUrl { get; set; }
        public string CdnUrl { get; set; }
        public long FileSize { get; set; }
        public string FileName { get; set; }
        public string PreviewUrl { get; set; }
        public string ConverUrl { get; set; }
    }

    public class RemoteDiagnosisFileView : FileView
    {
        public string Code { get; set; }
        public string Application { get; set; }
        public ImageLocationView ImageLocationInfo { get; set; }
        public List<CommentView> CommentInfos { get; set; }
    }

    public class LiveConsultationFileView : FileView
    {
        public string UserCode { get; set; }
        public string UserName { get; set; }
        /// <summary>
        /// 类型：FileTokens、GraphicData、PreFileItems
        /// </summary>
        /// <value></value>
        public string Type { get; set; }
        /// <summary>
        /// 会诊图像操作类型枚举
        /// </summary>
        /// <value></value>
        public ConsultationFileTypeEnum ConsultationFileType { get; set; }
        /// <summary>
        /// 对应图像数据code
        /// </summary>
        /// <value></value>
        public string RemedicalCode { get; set; } = string.Empty;
        /// <summary>
        /// 对应测量数据code
        /// </summary>
        /// <value></value>
        public string RemedicalMeasureCode { get; set; } = string.Empty;
    }
}