using System.Collections.Generic;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.DTO.DataCenter
{
    /// <summary>
    /// 用户组信息
    /// </summary>
    public class GroupView
    {
        /// <summary>
        /// 用户组编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
        /// <summary>
        /// 用户组名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 短码班级
        /// </summary>
        public string ShortCode { get; set; }

        /// <summary>
        /// 最大人数
        /// </summary>
        public int MaxPeople { get; set; }

        /// <summary>
        /// 学生列表
        /// </summary>
        public IList<LearnerView> Students { get; set; }
    }    

    /// <summary>
    /// 班级学员实体
    /// </summary>
    public class LearnerView
    {
        /// <summary>
        /// 用户code
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 学员状态枚举
        /// </summary>
        public LearnerStatusEnum LearnerStatus { get; set; }
    }
}