using System;
using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.DeployPlatform
{
    public class DeployRecordInfoDTO : BaseDTO
    {
        /// <summary>
        /// Id
        /// </summary>
        /// <value></value>
        public string Id { get; set; }

        /// <summary>
        /// 版本号
        /// </summary>
        /// <value></value>
        public string Version { get; set; }

        /// <summary>
        /// 打包操作人
        /// </summary>
        /// <value></value>
        public string ReleasedBy { get; set; }

        /// <summary>
        /// 内部更新说明
        /// </summary>
        /// <value></value>
        public string InternalRecord { get; set; }

        /// <summary>
        /// 是否正在打包
        /// </summary>
        /// <value></value>
        public bool InProcess { get; set; }

        /// <summary>
        /// GeneratePackage Request
        /// </summary>
        /// <value></value>
        public string GeneratePackageJson { get; set; }

        /// <summary>
        /// PackageLogs
        /// </summary>
        /// <value></value>
        public string PackageLogs { get; set; }

        /// <summary>
        /// 最近打包时间
        /// </summary>
        /// <value></value>
        public DateTime LastPackageTime { get; set; }

        /// <summary>
        /// 更新说明集合
        /// </summary>
        /// <typeparam name="DeployRecordUpgradeInfoDTO"></typeparam>
        /// <returns></returns>
        public List<DeployRecordUpgradeInfoDTO> UpgradeInfos { get; set; } = new List<DeployRecordUpgradeInfoDTO>();

        /// <summary>
        /// 部署工具下载地址
        /// </summary>
        /// <value></value>
        public string DeployToolDownloadUrl { get; set; }

        /// <summary>
        /// 更新包下载地址
        /// </summary>
        /// <value></value>
        public string UgradeFilesDownloadUrl { get; set; }
    }
}