using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Dictionary;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Device
{
    /// <summary>
    /// 设备扩展信息实体
    /// </summary>
    public class DeviceExtendInfoDTO : DeviceInfoDTO
    {
        /// <summary>
        /// 设备所属组织
        /// </summary>
        /// <value>测试机构1</value>
        public string OrganizationName { get; set; }

        /// <summary>
        /// 设备所属科室
        /// </summary>
        /// <value>测试机构1</value>
        public string DepartmentName { get; set; }

        /// <summary>
        /// 是否在线：true-在线；false-离线
        /// </summary>
        /// <value>true</value>
        public bool IsOnline { get; set; }

        /// <summary>
        /// 是否直播中
        /// </summary>
        /// <value>false</value>
        public bool IsLiving { get; set; }

        /// <summary>
        /// 设备所属机构负责人
        /// </summary>
        /// <value>UserInfoDO_202203161231555YjY3j</value>
        public string OrganizationDirectorCode { get; set; }

        /// <summary>
        /// 设备所属机构负责人-用户名
        /// </summary>
        /// <value>xuexue</value>
        public string OrganizationDirectorUserName { get; set; }

        /// <summary>
        /// 设备所属机构负责人-姓名
        /// </summary>
        /// <value>薛薛薛</value>
        public string OrganizationDirectorFullName { get; set; }

        /// <summary>
        /// 多语言配置
        /// </summary>
        /// <returns></returns>
        public List<DictionaryLanguageConfigDTO> LanguageConfigs { get; set; } = new List<DictionaryLanguageConfigDTO>();

        /// <summary>
        /// 是否急诊设备
        /// </summary>
        /// <value>false</value>
        public bool IsEmergencyDevice { get; set; }

        /// <summary>
        /// 是否可以远程维护
        /// </summary>
        /// <value>false</value>
        public bool IsCanRemoteMaintenance { get; set; }

        /// <summary>
        /// 是否可以重启
        /// </summary>
        /// <value>false</value>
        public bool IsCanRestart { get; set; }

        /// <summary>
        /// 服务对象：人用、兽用
        /// </summary>
        /// <value></value>
        public OrganizationPatientTypeEnum PatientType { get; set; }
    }
}