using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace WingInterfaceLibrary.DTO.Device
{
    /// <summary>
    /// 打印机更新包DTO
    /// </summary>
    public class DevicePrinterDTO : BaseDTO
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>123</value>
        public string Code { get; set; }
        /// <summary>
        /// 打印机名称
        /// </summary>
        /// <value>打印机Test</value>
        public string Name { get; set; }

        /// <summary>
        /// 打印机驱动型号名称
        /// </summary>
        /// <value>ApeosPort C2560 PCL</value>
        public string DriveModelName { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        /// <value>补丁包Test描述</value>
        /// <code>0</code>
        public string Description { get; set; }
        /// <summary>
        /// 适配系统版本
        /// </summary>
        /// <value>Win10</value>
        public string OsVersion { get; set; }

        /// <summary>
        /// 文件地址集合
        /// </summary>
        /// <value></value>
        public IList<UploadDeviceFileInfoDTO> FileUploadInfoList { get; set; }

        /// <summary>
        /// 文件大小
        /// </summary>
        /// <value>1024</value>
        public long FileSize { get; set; }

        /// <summary>
        /// 打印机品牌
        /// </summary>
        /// <value>hp</value>
        public string PrinterBrands { get; set; }

        /// <summary>
        /// 支持打印机型号
        /// </summary>
        /// <value>V1</value>
        public IList<string> PrinterModels { get; set; }

        /// <summary>
        /// 文件名
        /// </summary>
        /// <value>打印机文件名称</value>
        public string FileName { get; set; }
    }
}