using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace WingInterfaceLibrary.DTO.Device
{
    /// <summary>
    /// 设备打印机驱动参数信息
    /// </summary>
    public class DevicePrinterParameterDTO
    {
        /// <summary>
        /// 打印机名称
        /// </summary>
        /// <value>ApeosPort C2560</value>
        public string Name { get; set; }

        /// <summary>
        /// 当前尺寸
        /// </summary>
        /// <value>1</value>
        public string PageSize { get; set; }

        /// <summary>
        /// 当前方向
        /// </summary>
        /// <value>纵向</value>
        public string PageOrientation { get; set; }

        /// <summary>
        /// 方向列表
        /// </summary>
        public List<string> PageOrientationList { get; set; }

        /// <summary>
        /// 打印机页列表
        /// </summary>
        public List<string> PageSizeList { get; set; }

        /// <summary>
        /// 打印机品牌
        /// </summary>
        /// <value>hp</value>
        public string Brand { get; set; }

        /// <summary>
        /// 安装打印机进度
        /// </summary>
        /// <value>100</value>
        public int InstallPrinterProgress { get; set; } = 100;

        /// <summary>
        /// IP地址
        /// </summary>
        /// <value>192.168.6.20</value>
        public string IPAddress { get; set; }

    }
}