using System;
using WingInterfaceLibrary.DTO;

namespace WingInterfaceLibrary.DTO.Device
{
    /// <summary>
    /// 设备用户数据实体
    /// </summary>
    public class IOTDeviceUserDTO : BaseDTO
    {
        /// <summary>
        /// 姓名
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 性别：0-未知；1-男；2-女
        /// </summary>
        /// <value></value>
        public int Gender { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        /// <value></value>
        public string Sex { get; set; }

        /// <summary>
        /// 生日
        /// </summary>
        public DateTime Birthday { get; set; }

        /// <summary>
        /// 身高，厘米
        /// </summary>
        public int Height { get; set; }

        /// <summary>
        /// 体重 kg
        /// </summary>
        public int Weight { get; set; }

        /// <summary>
        /// 颈围 厘米
        /// </summary>
        public int Neck { get; set; }

        /// <summary>
        /// 体重指数
        /// </summary>
        public double BMI { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        public string HeadImageUrl { get; set; }

        /// <summary>
        /// 全称
        /// </summary>
        public string FullName { get; set; }

        /// <summary>
        /// 昵称
        /// </summary>
        public string NickName { get; set; }

        /// <summary>
        /// 微信openId
        /// </summary>
        public string OpenId { get; set; }
    }
}