using WingInterfaceLibrary.DTO.Comment;
using WingInterfaceLibrary.DTO.Measure;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Education
{
    /// <summary>
    /// 远程考核图像数据
    /// </summary>
    public class RemoteExaminationDTO : BaseDTO
    {
        /// <summary>
        /// code
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 设备编码
        /// </summary>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 用户code
        /// </summary>
        public string UserCode { get; set; }

        /// <summary>
        /// ApplicationName
        /// </summary>
        public string Application { get; set; }

        /// <summary>
        /// Preview url
        /// </summary>
        public string PreviewUrl { get; set; }

        /// <summary>
        /// Image url
        /// </summary>
        public string ImageUrl { get; set; }

        /// <summary>
        /// 第一帧大图url
        /// </summary>
        public string CoverImageUrl { get; set; }

        /// <summary>
        /// 源站高清图下载地址
        /// </summary>
        /// <value></value>
        public string OriginImageUrl { get; set; }

        /// <summary>
        /// 图像大小
        /// </summary>
        /// <value></value>
        public long ImageSize { get; set; }

        /// <summary>
        /// 文件数据类型
        /// </summary>
        public RemedicalFileDataTypeEnum FileDataType { get; set; }

        /// <summary>
        /// 测量结果数据
        /// </summary>
        /// <value></value>
        public MeasuredResultsDTO MeasuredResult { get; set; }
        /// <summary>
        /// 注释结果数据
        /// </summary>
        /// <value></value>
        public ScanImageDTO CommentResult { get; set; }
                
        /// <summary>
        /// 是否删除
        /// </summary>
        /// <value>false</value>
        public bool IsDelete { get; set; }
    }

    /// <summary>
    /// 远程考核图像数据
    /// </summary>
    public class RemoteExaminationPageDTO : RemoteExaminationDTO
    {
        /// <summary>
        /// 设备名称
        /// </summary>
        /// <value></value>
        public string DeviceName { get; set; }

    }
}