using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.DTO.Education
{
    /// <summary>
    /// 学生答题情况
    /// </summary>
    public class StudentExaminationDTO : BaseStudentExaminationDTO
    {
        /// <summary>
        /// 是否删除
        /// </summary>
        /// <value>false</value>
        public bool IsDelete { get; set; }
        /// <summary>
        /// 关联业务类型
        /// </summary>
        /// <value></value>
        public RelevanceTypeEnum RelevanceType { get; set; }

        /// <summary>
        ///管理业务编码
        /// </summary>
        /// <value></value>
        public string RelevanceCode { get; set; }

        /// <summary>
        /// 学生提交答案列表
        /// </summary>
        /// <value></value>
        public IList<ExaminationAnswerDTO> StudentAnswers { get; set; }

        /// <summary>
        /// 提交次数
        /// </summary>
        /// <value></value>
        public int SubmitCount { get; set; }
    }

    /// <summary>
    /// 学生答题和考试试卷详情
    /// </summary>
    public class StudentExaminationDetailDTO : BaseStudentExaminationDTO
    {
        /// <summary>
        /// 考试试卷
        /// </summary>
        /// <value></value>
        public CourseExaminationDTO Examination { get; set; }


        /// <summary>
        /// 学生提交答案列表
        /// </summary>
        /// <value></value>
        public IList<ExaminationAnswerDTO> StudentAnswers { get; set; }

    }
}