using System.Security.AccessControl;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Enum;
using System.Collections;
using System.Collections.Generic;
using System;

namespace WingInterfaceLibrary.DTO.Lab
{
    /// <summary>
    /// 实验室文件转换状态信息
    /// </summary>
    public class LabConvertStateDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 创建人编码
        /// </summary>
        /// <value></value>
        public string CreatorCode { get; set; }

        /// <summary>
        /// 记录编码
        /// </summary>
        /// <value></value>
        public string RecordCode { get; set; }

        /// <summary>
        /// 是否模版方式上传
        /// </summary>
        /// <value></value>
        public bool IsTemplate { get; set; }

        /// <summary>
        /// 记录最后执行时间
        /// </summary>
        /// <value></value>
        public DateTime LastExecuteTime { get; set; }

        /// <summary>
        /// 错误数量
        /// </summary>
        /// <value></value>
        public int ErrorCount
        {
            get
            {
                return (DownloadErrorFiles?.Count ?? 0) + (ConvertErrorFiles?.Count ?? 0);
            }
        }

        /// <summary>
        /// 下载错误文件列表
        /// </summary>
        /// <value></value>
        public List<DownloadFileInfoDTO> DownloadErrorFiles { get; set; }

        /// <summary>
        /// 转换错误文件列表
        /// </summary>
        /// <value></value>
        public List<ConvertFileInfoDTO> ConvertErrorFiles { get; set; }
    }
}