using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.LiveRoom
{
    /// <summary>
    /// 会诊成员信息
    /// </summary>
    public class LiveMemberStatusDTO
    {
        /// <summary>
        /// 设备/用户编码
        /// </summary>
        /// <value>UserDO_123456789</value>
        public string Code { get; set; } = string.Empty;

        /// <summary>
        /// 房间编码
        /// </summary>
        /// <value>fb6414d24e3c347d46032b0496f1c4e4</value>
        public string LiveRoomCode { get; set; } = string.Empty;

        /// <summary>
        /// 成员在直播间状态
        /// </summary>
        /// <value>0</value>
        public LiveMemberStatus Status { get; set; }

        /// <summary>
        /// 忙碌状态
        /// </summary>
        /// <value>1</value>
        public UserStatusEnum UserStatusType { get; set; }

        /// <summary>
        ///登录服务器地址
        /// </summary>
        /// <value></value>
        public string LoginServerUrl { get; set; }

        /// <summary>
        /// 登录源
        /// </summary>
        /// <value></value>
        public LoginSource LoginSource { get; set; }
    }
}