using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Management
{
    /// <summary>
    /// 管理端登录结果响应实体
    /// </summary>
    public class AdminLoginResult
    {
        /// <summary>
        /// 登录状态
        /// </summary>
        /// <value></value>
        public LoginStateEnum LoginState { get; set; }
        /// <summary>
        /// Token
        /// </summary>
        /// <value>0126f5d7ef044088b075246c65a410ba</value>
        public string Token { get; set; }

        /// <summary>
        /// 同一天修改密码锁定剩余次数
        /// </summary>
        /// <value></value>
        public int? LockRemainingTimes { get; set; }

        /// <summary>
        /// IsDistributedServer
        /// </summary>
        public bool IsDistributedServer { get; set; }

        /// <summary>
        /// password expire
        /// </summary>
        public bool PasswordExpired { get; set; } = false;

        /// <summary>
        /// 用户名
        /// </summary>
        /// <value></value>
        public string AdminName { get; set; }

        /// <summary>
        /// IsEducationService
        /// </summary>
        public bool IsEducationService { get; set; }

        /// <summary>
        /// Is Research Edition Service
        /// </summary>
        public bool IsResearchEditionService { get; set; }

        /// <summary>
        /// 管理端默认地址
        /// </summary>
        /// <value></value>
        public string ManagementUrl { get; set; }
    }
}