using System.Collections.Generic;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Management
{
    /// <summary>
    /// 管理端用户信息实体
    /// </summary>
    public class ManageUserInfoDTO : UserDTO
    {
        /// <summary>
        /// 用户角色名称
        /// </summary>
        /// <value></value>
        public string RoleName { get; set; }

        /// <summary>
        /// 科室名称
        /// </summary>
        public string DepartmentName { get; set; } = string.Empty;

        /// <summary>
        /// 医院名称
        /// </summary>
        public string HospitalName { get; set; } = string.Empty;

        /// <summary>
        /// 待认证记录code
        /// </summary>
        /// <value></value>
        public string IdentityApplyCode { get; set; } = string.Empty;

        /// <summary>
        /// 身份证
        /// </summary>
        /// <value></value>
        public List<string> IdentityCard { get; set; }

        /// <summary>
        /// 医师执照
        /// </summary>
        /// <value></value>
        public List<string> LicenseCard { get; set; }

        /// <summary>
        /// 待认证记录角色Code
        /// </summary>
        /// <value></value>
        public string IdentityApplyRoleCode { get; set; } = string.Empty;

        /// <summary>
        /// 待认证记录角色名称
        /// </summary>
        /// <value></value>
        public string IdentityApplyRoleName { get; set; } = string.Empty;

        /// <summary>
        /// 是否开启批量导出分时诊断数据
        /// </summary>
        public bool IsBatchExportDiagnoseData { get; set; } 

        /// <summary>
        /// 擅长领域
        /// </summary>
        /// <value>"test1","test2"</value>
        public List<string> FieldList { get; set; } = new List<string>();

        /// <summary>
        /// 管理端用户状态
        /// </summary>
        /// <value></value>
        public ManagementUserInfoStateEnum ManagementUserState { get; set; }

        /// <summary>
        /// 绑定资源包codes
        /// </summary>
        /// <value></value>
        public List<string> BindChargeResourcePackageCodes { get; set; }
    }
}