using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.Measure
{
    /// <summary>
    /// 收费测量模块配置信息实体
    /// </summary>
    public class ChargeMeasureModuleDTO
    {
        /// <summary>
        /// 版本
        /// </summary>
        /// <value></value>
        public string Version { get; set; }

        /// <summary>
        /// 收费模块列表
        /// </summary>
        /// <value></value>
        public List<MeasureFunctionBasicDTO> MeasureFunctionList { get; set; }
    }

    /// <summary>
    /// 收费模块基础信息实体
    /// </summary>
    public class MeasureFunctionBasicDTO
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Key { get; set; }
        
        /// <summary>
        /// 是否有效
        /// </summary>
        /// <value></value>
        public bool IsValid { get; set; }

        /// <summary>
        /// 版本
        /// </summary>
        /// <value></value>
        public List<MeasureFunctionDetailDTO> DataList { get; set; }
    }

    /// <summary>
    /// 收费测量配置详细信息实体
    /// </summary>
    public class MeasureFunctionDetailDTO
    {
        /// <summary>
        /// 模式
        /// </summary>
        /// <value></value>
        public string Mode { get; set; }
        
        /// <summary>
        /// 测量项名称列表
        /// </summary>
        /// <value></value>
        public List<string> MeasureItemName { get; set; }
        
        /// <summary>
        /// 基础测量项类型列表
        /// </summary>
        /// <value></value>
        public List<string> BaseMeasureType { get; set; }
    }

    /// <summary>
    /// 人用或者兽用测量配置信息实体
    /// </summary>
    public class PatientTypeMeasureConfigDTO
    {
        /// <summary>
        /// 模式
        /// </summary>
        /// <value></value>
        public string Version { get; set; }
        
        /// <summary>
        /// 人用或者兽用测量模式配置信息实体
        /// </summary>
        /// <value></value>
        public List<PatientTypeMeasureModeConfigDTO> MeasureModes { get; set; }
    }

    /// <summary>
    /// 人用或者兽用测量模式配置信息实体
    /// </summary>
    public class PatientTypeMeasureModeConfigDTO
    {
        /// <summary>
        /// 编号
        /// </summary>
        /// <value></value>
        public string Id { get; set; }
        
        /// <summary>
        /// 文件夹配置信息实体
        /// </summary>
        /// <value></value>
        public PatientTypeMeasureFolderConfigDTO Folder { get; set; }
    }

    /// <summary>
    /// 人用或者兽用测量文件夹配置信息实体
    /// </summary>
    public class PatientTypeMeasureFolderConfigDTO
    {
        /// <summary>
        /// 编号
        /// </summary>
        /// <value></value>
        public string Id { get; set; }
        
        /// <summary>
        /// 工作项
        /// </summary>
        /// <value></value>
        public string WorkingItems { get; set; }
        
        /// <summary>
        /// 默认项
        /// </summary>
        /// <value></value>
        public string DefaultItem { get; set; }
        
        /// <summary>
        /// 测量项列表
        /// </summary>
        /// <value></value>
        public List<string> Items { get; set; }
    }
}