using System.Collections.Generic;
using WingInterfaceLibrary.Enum.MeasureEnum; 
using WingInterfaceLibrary.DTO.Measure.Features.MeasuredValues;
namespace WingInterfaceLibrary.DTO.Measure.Features
{
    /// <summary>
    ///  DopplerTraceFeature
    /// </summary>
    public class DopplerTraceFeatureDTO : GeometryFeatureDTO
    {
        private const string _typeName = "DopplerTraceFeatureDTO";
        /// <summary>
        /// 标识符
        /// </summary>
        ///  <value>DopplerTraceFeatureDTO</value>
        public override string TypeName { get; set; }= _typeName;
        /// <summary>
        /// AvgHeartCycle
        /// </summary>
        /// <value></value>
        public int AvgHeartCycle { get; internal set; }
        /// <summary>
        /// TraceType
        /// </summary>
        /// <value></value>
        public ASETypeEnum TraceType { get; set; }
        /// <summary>
        /// CardiacCycles
        /// </summary>
        /// <value></value>
        public List<PointDTO> MaxTraceLine { get; set; }
        /// <summary>
        /// CardiacCycles
        /// </summary>
        /// <value></value>
        public List<CardiacCycleDTO> CardiacCycles { get; set; }
        /// <summary>
        /// FeatureVersion
        /// </summary>
        /// <value></value>
        public List<FloatValueDTO> AutoMeasureValues { get; set; }
    }

    /// <summary>
    /// CardiacCycle
    /// </summary>
    public class CardiacCycleDTO
    {
        /// <summary>
        /// Index
        /// </summary>
        /// <value></value>
        public int Index { get; set; }
        /// <summary>
        /// 收缩期起点
        /// </summary>
        public PointDTO SystoleStart { get; set; }
        /// <summary>
        /// 舒张期终点
        /// </summary>
        public PointDTO DiastoleEnd { get; set; }
        /// <summary>
        /// 收缩期峰值
        /// </summary>
        public PointDTO PeakSystolic { get; set; }
        /// <summary>
        /// MD
        /// </summary>
        public PointDTO MinimumAbsoluteVelocity { get; set; }
    }


}