using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Measure
{
    /// <summary>
    /// 测量结果导出记录实体
    /// </summary>
    public class MeasureExportRecordDTO
    {
        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string Code { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 检查记录
        /// </summary>
        /// <value></value>
        public string RecordCode { get; set; }

        /// <summary>
        /// 测量项编码列表
        /// </summary>
        /// <value></value>
        public IList<MeasureExportDetailDTO> RemedicalMeasuredInfos { get; set; }

        /// <summary>
        /// 可导出文件目录
        /// </summary>
        /// <value></value>
        public string ExportFileToken { get; set; }

        /// <summary>
        /// Create time
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// Update time
        /// </summary>
        /// <value></value>
        public DateTime UpdateTime { get; set; }

        /// <summary>
        /// 记录类型
        /// </summary>
        /// <value></value>
        public MeasureImageRecordTypeEnum RecordType { get; set; }

        /// <summary>
        /// 是否处理完成
        /// </summary>
        /// <value></value>
        public bool IsCompleted { get; set; }
    }

    /// <summary>
    /// 测量结果详情记录
    /// </summary>
    public class MeasureExportDetailDTO
    {
        /// <summary>
        /// 排序
        /// </summary>
        /// <value></value>
        public int SortNum { get; set; }

        /// <summary>
        /// 测量编码
        /// </summary>
        /// <value>234sd43534dsfasdasd3asd</value>
        public string RemedicalMeasuredInfoCode { get; set; }

        /// <summary>
        /// 源文件地址
        /// </summary>
        /// <value>http://xxxxxx.vid</value>
        public string SourceFileToken { get; set; }

        /// <summary>
        /// 转换后图像地址
        /// </summary>
        /// <value>http://xxxxxx.jpg</value>
        public string TransferImageToken { get; set; }

        /// <summary>
        /// 转换后mp4地址
        /// </summary>
        /// <value>http://xxxxxx.mp4</value>
        public string TransferMp4Token { get; set; }

        /// <summary>
        /// 是否视频文件
        /// </summary>
        /// <value>false</value>
        public bool IsVideoFile { get; set; }

        /// <summary>
        /// 默认加载中文件
        /// </summary>
        /// <value>false</value>
        public string DefaultLoadingToken { get; set; }
    }
}