using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.Measure
{
    /// <summary>
    /// 测量配置特殊项处理实体
    /// </summary>
    public class MeasureSpecialImplDTO
    {
        /// <summary>
        /// 版本
        /// </summary>
        /// <value></value>
        public string Version { get; set; }

        /// <summary>
        /// 测量配置特殊项处理实体详情信息
        /// </summary>
        /// <value></value>
        public MeasureImplBasicDTO MeasureImpl { get; set; }
    }

    /// <summary>
    ///  测量配置特殊项处理实体详情信息
    /// </summary>
    public class MeasureImplBasicDTO
    {
        /// <summary>
        /// URM baseType
        /// </summary>
        /// <value></value>
        public List<string> URMBaseTypeList { get; set; }

        /// <summary>
        /// 基础测量项目名称
        /// </summary>
        /// <value></value>
        public List<string> GeneralBaseTypeList { get; set; }

        /// <summary>
        /// 基础 MeasureTypeName 
        /// </summary>
        /// <value></value>
        public List<string> GeneralMeasureTypeNameList { get; set; }

        /// <summary>
        /// 子项计算方法名称
        /// </summary>
        /// <value></value>
        public List<string> ChildItemList { get; set; }

        /// <summary>
        /// 排查项名称
        /// </summary>
        /// <value></value>
        public List<string> ExcludeItemList { get; set; }

        /// <summary>
        /// 多种测量方法输出项排序配置
        /// </summary>
        /// <value></value>
        public SortMultiMethodItemsOutputsDTO SortMultiMethodItemsOutputs { get; set; }

        /// <summary>
        /// 待移除的输出项配置实体列表
        /// </summary>
        /// <value></value>
        public List<AvailableOutputsRemoveDTO> AvailableOutputsRemoveList { get; set; }
    }

    /// <summary>
    /// 待移除的输出项配置实体
    /// </summary>
    public class AvailableOutputsRemoveDTO
    {
        /// <summary>
        /// 上级测量名称
        /// </summary>
        /// <value></value>
        public string BaseTypeName { get; set; }        
        
        /// <summary>
        /// 上一级测量类型名称
        /// </summary>
        /// <value></value>
        public string BaseMeasureTypeName { get; set; }
        
        /// <summary>
        /// 当前测量或者方法名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 待移除的输出项
        /// </summary>
        /// <value></value>
        public List<string> RemoveAvailableOutputs { get; set; }
    }

    /// <summary>
    /// 多种方法测量输出项排序
    /// </summary>
    public class SortMultiMethodItemsOutputsDTO
    {
        /// <summary>
        /// 测量方法名称列表
        /// </summary>
        /// <value></value>
        public List<string> MeasureTypeNames { get; set; }

        /// <summary>
        /// 上级测量项名称列表
        /// </summary>
        /// <value></value>
        public List<string> BaseTypeNames { get; set; }
    }
}