using WingInterfaceLibrary.Enum.MeasureEnum;

namespace WingInterfaceLibrary.DTO.Measure
{
    /// <summary>
    /// 测量设置
    /// </summary>
    public class MeasureSystemSettingDTO
    {
        /// <summary>
        /// 版本号
        /// </summary>
        /// <value>1.0.0.0</value>
        public string Version { get; set; }
        /// <summary>
        /// 卡尺类型
        /// </summary>
        /// <value>0</value>
        public CursorTypeEnum CursorType { get; set; } = CursorTypeEnum.CursorType1Icon;

        /// <summary>
        /// 卡尺大小
        /// </summary>
        /// <value>32</value>
        public int CursorSize { get; set; } = 32;

        /// <summary>
        /// 测量时卡尺大小
        /// </summary>
        /// <value>10</value>
        public int ShapeCursorSize { get; set; } = 10;

        /// <summary>
        /// 大十字卡尺颜色
        /// </summary>
        /// <value>Lime</value>
        public string CursorColor { get; set; } = "Lime";

        /// <summary>
        /// 测量线颜色
        /// </summary>
        /// <value>Lime</value>
        public string MeasureColor { get; set; } = "Lime";

        /// <summary>
        /// 显示结果窗口
        /// </summary>
        /// <value>true</value>
        public bool ShowResultWindow { get; set; } = true;

        /// <summary>
        /// 结果窗口位置
        /// 0:LT,1:LB,2:RT,3:RB
        /// </summary>
        /// <value>0</value>
        public int ShowResultLocation { get; set; } = 0;

        /// <summary>
        /// 字体大小
        /// </summary>
        /// <value>18</value>
        public int FontSize { get; set; } = 18;

        /// <summary>
        /// 显示卡尺线
        /// </summary>
        /// <value>true</value>
        public bool ShowCursorLine { get; set; } = true;

        /// <summary>
        /// 保留测量在图像上
        /// </summary>
        /// <value>true</value>
        public bool HoldMeasureLine { get; set; } = true;

        /// <summary>
        /// 显示深度测量线
        /// </summary>
        /// <value>false</value>
        public bool ShowDepthGuideline { get; set; } = false;

        /// <summary>
        /// 显示简洁注释
        /// </summary>
        /// <value>false</value>
        public bool ShowBriefAnnotation { get; set; } = false;

        /// <summary>
        ///微距测量自动调整光标
        /// </summary>
        /// <value>10</value>
        public string MinCursorDistance { get; set; } = "10";

        /// <summary>
        ///测量自动捕捉范围
        /// </summary>
        /// <value>10</value>
        public string AutoSnapDistance { get; set; } = "10";

        /// <summary>
        ///注释字体大小
        /// </summary>
        /// <value>10</value>
        public int AnnotationFontSize { get; set; } = 10;


        /// <summary>
        ///在测量工作表中显示子项结果
        /// </summary>
        /// <value>false</value>
        public bool ShowProtocolInWorkSheet { get; set; } = false;

        /// <summary>
        ///显示测量注释
        /// </summary>
        /// <value>true</value>
        public bool ShowAnnotation { get; set; } = true;

        /// <summary>
        ///长度测量常用单位
        /// </summary>
        /// <value>true</value>
        public Unit DistanceUnit { get; set; }  

        /// <summary>
        ///面积测量常用单位
        /// </summary>
        /// <value>true</value>
        public Unit AreaUnit { get; set; }

        /// <summary>
        ///速度测量常用单位
        /// </summary>
        /// <value>true</value>
        public Unit VelocityUnit { get; set; }

        /// <summary>
        ///时间测量常用单位
        /// </summary>
        /// <value>true</value>
        public Unit TimeUnit { get; set; }
        
        /// <summary>
        /// URM长度测量常用单位
        /// </summary>
        /// <value>true</value>
        public Unit URMDistanceUnit { get; set; }
    }
}