using System;
using WingInterfaceLibrary.Enum.MeasureEnum;
namespace WingInterfaceLibrary.DTO.Measure.Features.MeasuredValues
{
    /// <summary>
    ///  DopplerTraceFeature
    /// </summary>
    public class FloatValueDTO : MeasuredValueDTO
    {
        /// <summary>
        /// FetalGrowthIndex
        /// </summary>
        /// <value></value>
        public FetalGrowthIndexDTO FetalGrowthIndex { get; set; }
    }
    /// <summary>
    /// FetalGrowthIndex
    /// </summary>
    public class FetalGrowthIndexDTO
    {
        /// <summary>
        /// Percentile
        /// </summary>
        /// <value></value>
        public GrowthPercentileDTO Percentile { get; set; }
        /// <summary>
        /// GrowthAge
        /// </summary>
        /// <value></value>
        public GrowthAgeDTO GrowthAge { get; set; }
        /// <summary>
        /// EstimateDueDate
        /// </summary>
        /// <value></value>
        public DateTime? EstimateDueDate { get; set; }
    }
    /// <summary>
    /// GrowthAge
    /// </summary>
    public class GrowthAgeDTO
    {
        /// <summary>
        /// OBTableCategory
        /// </summary>
        /// <value>0</value>
        public int OBTableCategory { get; set; }
        /// <summary>
        /// TableAuthor
        /// </summary>
        /// <value>Hadlock</value>
        public string TableAuthor { get; set; }
        /// <summary>
        /// MeasureItemName
        /// </summary>
        /// <value>HC</value>
        public string MeasureItem { get; set; }
        /// <summary>
        /// Days
        /// </summary>
        /// <value>160</value>
        public int Days { get; set; }
        /// <summary>
        /// Status
        /// </summary>
        /// <value>0</value>
        public int Status { get; set; }
        /// <summary>
        /// MinDays
        /// </summary>
        /// <value>149</value>
        public int MinDays { get; set; }
        /// <summary>
        /// MaxDays
        /// </summary>
        /// <value>170</value>
        public int MaxDays { get; set; }
    }
    /// <summary>
    /// GrowthPercentile
    /// </summary>
    public class GrowthPercentileDTO
    {
        /// <summary>
        /// OBTableCategory
        /// </summary>
        /// <value>0</value>
        public int OBTableCategory { get; set; }
        /// <summary>
        /// TableAuthor
        /// </summary>
        /// <value>Hadlock</value>
        public string TableAuthor { get; set; }
        /// <summary>
        /// MeasureItemName
        /// </summary>
        /// <value>HC</value>
        public string MeasureItem { get; set; }
        /// <summary>
        /// GAinDays
        /// </summary>
        /// <value>-1</value>
        public int GAinDays { get; set; }
        /// <summary>
        /// Status
        /// </summary>
        /// <value>1</value>
        public int Status { get; set; }
        /// <summary>
        /// Value
        /// </summary>
        /// <value>1</value>
        public float Value { get; set; }
        /// <summary>
        /// TableDataLimitation
        /// </summary>
        /// <value>1</value>
        public float TableDataLimitation { get; set; }
        /// <summary>
        /// ZScoreValue
        /// </summary>
        /// <value>1</value>
        public float ZScoreValue { get; set; }
        /// <summary>
        /// ZScoreStatus
        /// </summary>
        /// <value>1</value>
        public int ZScoreStatus { get; set; }
    }
    /// <summary>
    /// GrowthNormalRange
    /// </summary>
    public class GrowthNormalRangeDTO
    {
        public string TypeName { get; set; }
         /// <summary>
        /// TableAuthor
        /// </summary>
        /// <value>Hadlock</value>
        public string TableAuthor { get; set; }
        /// <summary>
        /// MeasureItemName
        /// </summary>
        /// <value>HC</value>
        public string MeasureItem { get; set; }
        /// <summary>
        /// GAinDays
        /// </summary>
        /// <value>-1</value>
        public int GAinDays { get; set; }
        /// <summary>
        /// Status
        /// </summary>
        /// <value>1</value>
        public int Status { get; set; }
        /// <summary>
        /// Value
        /// </summary>
        /// <value>1</value>
        public float Value { get; set; }
        /// <summary>
        /// MinValue
        /// </summary>
        /// <value>1</value>
        public float MinValue { get; set; }
        /// <summary>
        /// MaxValue
        /// </summary>
        /// <value>2</value>
        public float MaxValue { get; set; }
        /// <summary>
        /// ValueUnit
        /// </summary>
        /// <value>10</value>
        public Unit ValueUnit { get; set; }
        /// <summary>
        /// TargetUnit
        /// </summary>
        /// <value>10</value>
        public Unit TargetUnit { get; set; }
    }

    /// <summary>
    /// EFWRepresentation
    /// </summary>
    public class EFWRepresentationDTO : FloatValueDTO
    {

    }

}