using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Comment;

namespace WingInterfaceLibrary.DTO.Measure
{
    /// <summary>
    /// 测量项
    /// </summary>
    public class UserDefinedMeasureInfoDTO
    {
        /// <summary>
        ///用户Id
        /// </summary>
        /// <value></value>
        public string UserId { get; set; }
        /// <summary>
        /// 用户自定义测量设置
        /// </summary>
        /// <value></value>
        public Dictionary<string, string> SystemSettings { get; set; }
        /// <summary>
        /// 测量集合
        /// </summary>
        /// <value></value>
        public List<UserDefinedMeasureApplicationDTO> MeasureApplications { get; set; }
        /// <summary>
        /// 注释集合
        /// </summary>
        /// <value></value>
        public List<UserDefinedCommentDataDTO> CommentItems { get; set; }

        /// <summary>
        /// 体标集合
        /// </summary>
        /// <value></value>
        public List<UserDefinedBodyPatternDataDTO> BodyPatterns { get; set; } = new List<UserDefinedBodyPatternDataDTO>();
    }

    /// <summary>
    /// 体标
    /// </summary>
    public class UserDefinedBodyPatternDataDTO
    {        
        /// <summary>
        /// 版本号
        /// </summary>
        /// <value>1.0.0.0</value>
        public string Version { get; set; }

        /// <summary>
        /// 分类名称
        /// </summary>
        /// <value>ABD</value>
        public string CategoryName { get; set; }

        /// <summary>
        /// 应用名称
        /// </summary>
        /// <value>Abdo Diff</value>
        public string ApplicationName { get; set; }

        /// <summary>
        /// 体标内容
        /// </summary>
        /// <value></value>
        public List<BodyPatternDTO> BodyPatternItems { get; set; }
    }
    
    /// <summary>
    /// 体标内容
    /// </summary>
    public class BodyPatternDTO
    {
        /// <summary>
        /// 版本号
        /// </summary>
        /// <value>1.0</value>
        public string Category { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        /// <value></value>
        public string Description { get; set; }

        /// <summary>
        /// 体标图像列表
        /// </summary>
        /// <value></value>
        public IList<string> ImageUrlList { get; set; }
    }

}