using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.DTO.Message
{
    /// <summary>
    /// 公告显示DTO实体
    /// </summary>
    public class AnnouncementExtendInfoDTO : BaseDTO
    {
        /// <summary>
        /// 公告编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string AnnouncementCode   { get; set; }

        /// <summary>
        /// 公告类型
        ///【广播】 
        /// </summary>
        /// <value></value>
        public AnnouncementTypeEnum AnnouncementType { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string Language { get; set; }

        /// <summary>
        /// 公告标题
        /// </summary>
        /// <value>杏聆荟将以进行系统维护，期间暂停服务，特此公告</value>
        public string Title { get; set; }

        /// <summary>
        /// 公告内容
        /// </summary>
        /// <value>平台将于2024年6月30日18：00-19：00进行系统更新。更新内容如下：【可用文本编辑器或者textarea】</value>
        public string Content { get; set; }
    }
}