namespace WingInterfaceLibrary.DTO.Package
{
    /// <summary>
    /// 软件安装包DTO
    /// </summary>
    public class PackagesDTO : BaseDTO
    {
        /// <summary>
        /// 安装包编码
        /// </summary>
        /// <value>123</value>
        public string Code { get; set; }
        
        /// <summary>
        /// 安装包名称
        /// </summary>
        /// <value>android版超声机</value>
        public string Name { get; set; }
        
        /// <summary>
        /// 版本号
        /// </summary>
        /// <value>1.11.300</value>
        public string Version { get; set; }
        
        /// <summary>
        /// 唯一标识
        /// </summary>
        /// <value>com.vinno.droidq</value>
        public string UniquedCode { get; set; }

        /// <summary>
        /// 安装包描述
        /// </summary>
        /// <value>修复一些已知问题</value>
        public string Description { get; set; }

        /// <summary>
        /// 安装包地址
        /// </summary>
        /// <value>http*****</value>
        public string FileUrl { get; set; }

        /// <summary>
        /// 文件大小
        /// </summary>
        /// <value>1024</value>
        public long FileSize { get; set; }

        /// <summary>
        /// 上传人编码
        /// </summary>
        /// <value>http*****</value>
        public string UploadUserCode { get; set; }

        /// <summary>
        /// 上传人姓名
        /// </summary>
        /// <value>http*****</value>
        public string UploadUserName { get; set; }
    }
}