using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.Position
{
    /// <summary>
    /// 岗位信息响应实体
    /// </summary>
    public class PositionDTO : BaseDTO
    {
        /// <summary>
        /// 岗位身份编码
        /// </summary>
        /// <value>UserPositionDO_2022012613573757g5s1</value>
        public string PositionCode { get; set; }

        /// <summary>
        /// 岗位身份名称
        /// </summary>
        /// <value>主管</value>
        public string PositionName { get; set; }

        /// <summary>
        /// 组织编码
        /// </summary>
        /// <value>Organization_202201261354135MWzGw</value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 下属编码集合
        /// </summary>
        /// <value>"4914352a75f645279f6b4ad6764cc288","4914352a75f645279f6b4ad6764cc289"</value>
        public List<string> UnderUserCodes { get; set; } = new List<string>();

        /// <summary>
        /// 适用部门编码（可空，空则为公开）
        /// </summary>
        /// <value>7fb60415caaf455283019123ba0eaabc</value>
        public string FitDepartmentCode { get; set; }
    }
}