using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Vital
{
    /// <summary>
    /// 处方实体
    /// </summary>
    public class PrescriptionDTO : BaseDTO
    {
        /// <summary>
        /// 处方编码
        /// </summary>
        /// <value>PatientInfoDO_202203161140268N2afK</value>
        public string Code { get; set; } = string.Empty;

        /// <summary>
        /// 病人Code
        /// </summary>
        /// <value>PatientInfoDO_202203161140268N2afK</value>
        public string PatientCode { get; set; } = string.Empty;

        /// <summary>
        /// 病人姓名
        /// </summary>
        /// <value>苏灿</value>
        public string PatientName { get; set; } = string.Empty;

        /// <summary>
        /// 处方时间
        /// </summary>
        /// <value>2022-02-28T09:21:38.861Z</value>
        public DateTime PrescriptionTime => UpdateTime;

        /// <summary>
        /// 处方预览图
        /// </summary>
        /// <value>http://*****.pdf</value>
        public string PreviewUrl { get; set; }

        /// <summary>
        /// 处方内容Json
        /// </summary>
        /// <value>[{\"Key\":\"PatientId\",\"Value\":\"321283199103021215\"},{\"Key\":\"PatientName\",\"Value\":\"苏灿\"}]</value>
        public string PrescriptionData { get; set; } = string.Empty;

        /// <summary>
        /// 处方模版Key
        /// </summary>
        /// <value></value>
        public string PrescriptionTemplateKey { get; set; }
    }
}