using WingInterfaceLibrary.DTO.Common;

namespace WingInterfaceLibrary.DTO.Region
{
    public class RegionDTO : BaseDTO
    {
        /// <summary>
        /// 地区信息版本号
        /// </summary>
        public string RegionVersion { get; set; }

        /// <summary>
        /// 所属语言
        /// </summary>
        public string LanguageType { get; set; }

        /// <summary>
        /// 地区信息Json
        /// </summary>
        public string ReginData { get; set; }

    }

    /// <summary>
    /// 省份和城市关联信息
    /// </summary>
    public class RegionDataItemDTO : DataItemDTO
    {
        /// <summary>
        /// key,字典说明在线文档:http://192.168.6.80:8800/doku.php?id=%E4%BA%91%E5%B9%B3%E5%8F%B0:%E6%96%B0%E7%89%88%E6%9D%8F%E8%81%86%E8%8D%9F:server%E9%85%8D%E7%BD%AE%E6%96%87%E6%A1%A3
        /// </summary>
        /// <value>Name</value>
        public string Key { get; set; }

        /// <summary>
        /// value
        /// </summary>
        /// <value>张三</value>
        public string Value { get; set; } = "";

        /// <summary>
        /// 地区信息列表
        /// </summary>
        /// <value></value>
        public System.Collections.Generic.IList<DataItemDTO> Children { get; set; }
    }
}