using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace WingInterfaceLibrary.DTO.RemoteParameters
{
    /// <summary>
    /// 调节设备参数信息
    /// </summary>
    public class ControlParameterDTO
    {
        /// <summary>
        /// 是否可执行
        /// </summary>
        /// <value>true</value>
        public bool CanExecute { get; set; }

        /// <summary>
        /// 参数子项集合
        /// </summary>
        /// <value></value>
        public List<ControlParameterDTO> Children { get; set; }

        /// <summary>
        ///描述 
        /// </summary>
        /// <value>AcousticPower:Acoustic Power</value>
        public string Description { get; set; }

        /// <summary>
        /// 显示数据
        /// </summary>
        /// <value>100 %</value>
        public string DisplayValue { get; set; }

        /// <summary>
        /// 父级描述
        /// </summary>
        /// <value>Root\Touch Screen\HAR</value>
        public string ParentDescription { get; set; }

        /// <summary>
        /// 调参数据范围
        /// </summary>
        /// <value>Increase:1;Decrease:-1</value>
        public string ValuesMapString { get; set; }
    }
}