using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.Report
{
    /// <summary>
    /// 词条模板信息实体
    /// </summary>
    public class ThesaurusTemplateInfoDTO
    {
        /// <summary>
        /// 词条列表
        /// </summary>
        /// <value></value>
        public List<ThesaurusInfoDTO> ThesaurusList { get; set; }
    }

    /// <summary>
    /// 词条项基础信息
    /// </summary>
    public class ThesaurusInfoDTO
    {
        /// <summary>
        /// Name
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// Applications
        /// </summary>
        /// <value></value>
        public List<ApplicationInfoDTO> Applications { get; set; }
    }

    /// <summary>
    /// 词条项应用信息
    /// </summary>
    public class ApplicationInfoDTO
    {
        /// <summary>
        /// Name
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// Items
        /// </summary>
        /// <value></value>
        public List<ApplicationItemDTO> Items { get; set; }
    }

    /// <summary>
    /// 词条描述、结论信息
    /// </summary>
    public class ApplicationItemDTO
    {
        /// <summary>
        /// Description
        /// </summary>
        /// <value></value>
        public string Description { get; set; }

        /// <summary>
        /// Summary
        /// </summary>
        /// <value></value>
        public string Summary { get; set; }
    }
}