using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.LiveConsultation;

namespace WingInterfaceLibrary.DTO.RtcRoom
{
    /// <summary>
    /// 直播房间实体
    /// </summary>
    public class RtcRoomDTO
    {
        /// <summary>
        /// 房间编号
        /// </summary>
        /// <value></value>
        public string LiveRoomCode { get; set; }
        /// <summary>
        /// 房间名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
        /// <summary>
        /// 发起人编码
        /// </summary>
        /// <value></value>
        public string InitiateCode { get; set; }
        /// <summary>
        /// RTC房间号
        /// </summary>
        /// <value></value>
        public int RtcRoomId { get; set; }
        /// <summary>
        /// SdkAppId
        /// </summary>
        /// <value></value>
        public int SdkAppId { get; set; }
        /// <summary>
        /// 通知线程Id
        /// </summary>
        /// <value></value>
        public string MsgQueueId { get; set; }
        /// <summary>
        /// 房间状态
        /// </summary>
        /// <value></value>
        public LiveRoomStatus Status { get; set; }
        /// <summary>
        /// 房间成员集合
        /// </summary>
        /// <value></value>
        public List<RtcMemberDTO> Members { get; set; }
        /// <summary>
        /// 直播观众集合
        /// </summary>
        /// <value></value>
        public List<RtcViewerDTO> Viewers { get; set; }
        /// <summary>
        /// 白板交互数据集合
        /// </summary>
        /// <typeparam name="RtcBoardDataDTO"></typeparam>
        /// <returns></returns>
        public IList<RtcBoardDataDTO> InteractiveBoardDatas { get; set; } = new List<RtcBoardDataDTO>();
    }
}