using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;


namespace WingInterfaceLibrary.DTO.Schedule
{
    /// <summary>
    ///日程详细信息
    /// </summary>
    public class ClientScheduleDTO
    {
        /// <summary>
        /// 日程标题
        /// </summary>
        /// <value></value>
        public string Title { get; set; }

        /// <summary>
        /// 日程状态
        /// </summary>
        /// <value></value>
        public TransactionStatusEnum Status { get; set; }

        /// <summary>
        /// 日程关联类型
        /// </summary>
        /// <value></value>
        public ScheduleTypeEnum ScheduleType { get; set; }

        /// <summary>
        /// 日程开始时间
        /// </summary>
        /// <value></value>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 日程结束时间
        /// </summary>
        /// <value></value>
        public DateTime EndTime { get; set; }

        /// <summary>
        /// 关联业务事项的编码
        /// </summary>
        /// <value></value>
        public string RelevanceCode { get; set; }
    }
}