using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.ServerInfo
{
    /// <summary>
    /// 最快服务列表信息
    /// </summary>
    public class ServerListResult : BaseServerResult
    {
        /// <summary>
        /// 是否分布式服务，True-是，False-否
        /// </summary>
        public bool IsDistributed { get; set; } = false;

        /// <summary>
        /// 服务器信息列表
        /// </summary>
        public List<ServerInfoDTO> ServerList { get; set; }
    }

    /// <summary>
    /// 最快服务测速响应实体
    /// </summary>
    public class EchoResult : BaseServerResult
    {

    }

    /// <summary>
    /// 登录成功响应实体
    /// </summary>
    public class LoginSuccessResult : BaseServerResult
    {
        
    }

    /// <summary>
    /// 最快服务基础信息
    /// </summary>
    public class BaseServerResult
    {
        /// <summary>
        /// 响应状态：:0-成功；1-失败
        /// </summary>
        public int Code { get; set; } = 0;
    }
}   