using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CommentEnum;
using WingInterfaceLibrary.DTO.AdminStatistic;

namespace WingInterfaceLibrary.DTO.Statistic
{
    /// <summary>
    /// 数据统计实体
    /// </summary>
    public class StatisticRecordDTO : BaseDTO
    {
        /// <summary>
        /// 图表统计结果编码
        /// </summary>
        /// <value></value>
        public string StatisticRecordCode { get; set; }
        
        /// <summary>
        /// 图表配置编码
        /// </summary>
        /// <value></value>
        public string StatisticCode { get; set; }
        
        /// <summary>
        /// 图表配置名
        /// </summary>
        /// <value></value>
        public string StatisticName { get; set; }
        
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }
        
        /// <summary>
        /// 最近更新时间
        /// </summary>
        /// <value></value>
        public DateTime LastestUpdateTime { get; set; }

        /// <summary>
        /// 下次更新时间
        /// </summary>
        /// <value></value>
        public DateTime NextHandleTime { get; set; }
        
        /// <summary>
        /// 统计维度-XAxis
        /// </summary>
        /// <value></value>
        public List<string> XAxisDatas { get; set; } = new List<string>();

        /// <summary>
        /// 统计结果-YAxis
        /// </summary>
        /// <value></value>
        public List<List<double>> YAxisDatas { get; set; } =new List<List<double>>();
        
        /// <summary>
        /// 子集统计，数量与XAxisDatas保持一致
        /// </summary>
        /// <value></value>
        public List<StatisticInfoDTO> Children { get; set; }

    }
}