using System;
using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.Storage
{
    /// <summary>
    /// 分块上传文件主信息实体
    /// </summary>
    public class MultiPartUploadInfoDTO : BaseDTO
    {
        /// <summary>
        /// 文件块目录
        /// </summary>
        public string Code { get; set; }
        
        /// <summary>
        /// 文件块目录
        /// </summary>
        public string PartFileDirectory { get; set; }

        /// <summary>
        /// 分块唯一标识
        /// </summary>
        public string UploadId { get; set; }

        /// <summary>
        /// 最终文件路径
        /// </summary>
        public string LastFileDirectory { get; set; }

        /// <summary>
        /// 最终文件名称
        /// </summary>
        public string LastFileName { get; set; }

        /// <summary>
        /// 最终文件大小
        /// </summary>
        public long LastFileSize { get; set; } = 0;

        /// <summary>
        /// 最终文件类型
        /// </summary>
        public string LastFileType { get; set; }

        /// <summary>
        /// 当前分块编号
        /// </summary>
        public int CurrentPartNumber { get; set; }

        /// <summary>
        /// 存储桶
        /// </summary>
        public string Bucket { get; set; }

        /// <summary>
        /// 分块列表
        /// </summary>
        public List<MultiPartUploadDetailInfoDTO> DetailList { get; set; } = new List<MultiPartUploadDetailInfoDTO>();
    }

    /// <summary>
    /// 分块上传文件子信息实体
    /// </summary>
    public class MultiPartUploadDetailInfoDTO
    {
        /// <summary>
        /// 块名称
        /// </summary>
        public string PartFileName { get; set; }

        /// <summary>
        /// 最后更新时间
        /// </summary>
        public DateTime LastModified { get; set; }

        /// <summary>
        /// 块编号
        /// </summary>
        public int PartNumber { get; set; }

        /// <summary>
        /// 文件大小
        /// </summary>
        public long PartFileSize { get; set; } = 0;

        /// <summary>
        /// 文件块开始位置
        /// </summary>
        public long StartPosition { get; set; } = 0;

        /// <summary>
        /// 文件块结束位置
        /// </summary>
        public long EndPosition { get; set; } = 0;
    }
}