using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.User
{
    /// <summary>
    /// 登录结果
    /// </summary>
    public class LoginResult
    {
        /// <summary>
        /// 登录状态
        /// </summary>
        /// <value>0</value>
        public LoginStateEnum LoginState { get; set; }
        /// <summary>
        /// Token
        /// </summary>
        /// <value>0126f5d7ef044088b075246c65a410ba</value>
        public string Token { get; set; }

        /// <summary>
        /// 同一天输入错误密码锁定剩余次数
        /// </summary>
        /// <value>5</value>
        public int? LockRemainingTimes { get; set; }

        /// <summary>
        /// password expire 
        /// </summary>
        /// <value>false</value>
        public bool PasswordExpired { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        /// <value></value>
        public string AccountName { get; set; }

        /// <summary>
        /// WXOpenId
        /// </summary>
        /// <value></value>
        public string OpenId { get; set; }

        /// <summary>
        /// LicenseId
        /// </summary>
        /// <value>3ce681e1-e884-492e-8001-73d488239b08</value>
        public string LicenseId { get; set; }
    }

    public class UserScanInfo
    {
        /// <summary>
        /// 唯一码
        /// </summary>
        /// <value></value>
        public string ScanCode { get; set; }

        /// <summary>
        /// 调用来源
        /// </summary>
        /// <value></value>
        public ScanLoginSource ScanLoginSource { get; set; }

        /// <summary>
        /// 平台
        /// </summary>
        /// <value></value>
        public Platform Platform { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 过期时间
        /// </summary>
        /// <value></value>
        public DateTime ExpireTime { get; set; }

        /// <summary>
        /// 调用端安装版本
        /// </summary>
        /// <value></value>
        public string InstallVersion { get; set; }

        /// <summary>
        /// 扫码成功登录结果
        /// </summary>
        /// <value></value>
        public LoginResult LoginResult { get; set; }
    }
}