using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.User
{
    /// <summary>
    /// 分享设备用户信息实体
    /// </summary>
    public class ShareDeviceUserDTO : BaseDTO
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string UserCode { get; set; }
        /// <summary>
        /// 用户姓名
        /// </summary>
        /// <value>User_20220107104236xiP0nz</value>
        public string FullName { get; set; } = string.Empty;
        /// <summary>
        /// 用户姓名
        /// </summary>
        /// <value>User_20220107104236xiP0nz</value>
        public string UserName { get; set; } = string.Empty;
        /// <summary>
        /// 统一名字展示字段
        /// </summary>
        /// <value></value>
        public string DisplayName
        {
            get
            {
                return string.IsNullOrWhiteSpace(FullName) ? UserName : FullName;
            }
        }
        /// <summary>
        /// 手机号
        /// </summary>
        /// <value>13301543825</value>
        public string Phone { get; set; } = string.Empty;

        /// <summary>
        /// 头像
        /// </summary>
        /// <value>http://192.168.6.91:9001/Storage/f5ca4b07ffd312gd2f042d88fb6bbda13c61fa6_7_0.PNG</value>
        public string HeadImageUrl { get; set; } = string.Empty;

        /// <summary>
        /// 用户职称列表
        /// </summary>
        /// <value></value>
        /// <value>"职称1","职称2"</value>
        public List<string> RankNames { get; set; } = new List<string>();

        /// <summary>
        /// 所属顶级组织
        /// </summary>
        /// <value>RootOrg000001</value>
        public string RootOrganizationCode { get; set; } = string.Empty;

        /// <summary>
        /// 所属顶级组织名称
        /// </summary>
        /// <value>RootOrgName000001</value>
        public string RootOrganizationName { get; set; } = string.Empty;
    }
}