using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.User
{
    /// <summary>
    /// 关联用户结果
    /// </summary>
    public class StartAssociatedWithAccountResult
    {
        /// <summary>
        /// 是否成功
        /// </summary>
        public bool IsSuccess { get; set; } = false;

        /// <summary>
        /// 关联状态
        /// </summary>
        /// <value></value>
        public AssociatedAccountResultEnum State { get; set; } = AssociatedAccountResultEnum.Error;
    }

    /// <summary>
    /// 解绑用户结果
    /// </summary>
    public class ClearAssociatedWithAccountResult
    {
        /// <summary>
        /// 是否成功
        /// </summary>
        public bool IsSuccess { get; set; } = false;

        /// <summary>
        /// 关联状态
        /// </summary>
        /// <value></value>
        public AssociatedAccountResultEnum State { get; set; } = AssociatedAccountResultEnum.Error;
    }

    /// <summary>
    /// 获取关联账户信息
    /// </summary>
    public class GetAssociatedAccountInfoResult
    {
        /// <summary>
        /// 是否成功
        /// </summary>
        public bool IsSuccess { get; set; } = false;

        /// <summary>
        /// 关联账户信息
        /// </summary>
        /// <value></value>
        public List<AssociatedFeatureInfoDTO> AccountInfoList { get; set; }
    }
}