using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingInterfaceLibrary.DTO.Vital
{
    public class ContractRecordDTO : BaseDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 合约记录编号
        /// </summary>
        /// <value></value>
        public string ContractRecordNo { get; set; }
        /// <summary>
        /// 合约状态
        /// </summary>
        /// <value></value>
        public ContractStateEnum ContractState { get; set; }
        /// <summary>
        /// 合约是有效
        /// </summary>
        /// <value></value>
        public bool ContractIsValid { get; set; }
        /// <summary>
        /// 已签约医生
        /// </summary>
        /// <value></value>
        public string ContractedDoctor { get; set; }
        /// <summary>
        /// 已签约医生编码
        /// </summary>
        /// <value></value>
        public string ContractedDoctorCode { get; set; }
        /// <summary>
        /// 已签约居民
        /// </summary>
        /// <value></value>
        public string ContractedPatient { get; set; }
        /// <summary>
        /// 已签约团队
        /// </summary>
        /// <value></value>
        public string ContractedTeam { get; set; }
        /// <summary>
        /// 已签约团队
        /// </summary>
        /// <value></value>
        public string ContractedTeamCode { get; set; }
        /// <summary>
        /// 指导医生
        /// </summary>
        /// <value></value>
        public string SupervisingPhysician { get; set; }
        /// <summary>
        /// 已签约
        /// </summary>
        /// <value></value>
        public DateTime ContractedTime { get; set; }
        /// <summary>
        /// 审核状态
        /// </summary>
        /// <value></value>
        public AuditStateEnum AuditState { get; set; }
        /// <summary>
        /// 已签约文件URL
        /// </summary>
        /// <value></value>
        public string ContractedFileUrl { get; set; }
        /// <summary>
        /// 服务包
        /// </summary>
        /// <value></value>
        public List<ServicePackDTO> ServicePacks { get; set; }
        /// <summary>
        /// 服务开始日期
        /// </summary>
        /// <value></value>
        public DateTime ServiceStartDate { get; set; }
        /// <summary>
        /// 服务结束日期
        /// </summary>
        /// <value></value>
        public DateTime ServiceEndDate { get; set; }
        /// <summary>
        /// 居民名称
        /// </summary>
        /// <value></value>
        public string PatientName { get; set; }
		/// <summary>
		/// 居民性别
		/// </summary>
		/// <value></value>
		public GenderEnum PatientGender { get; set; }
        /// <summary>
        /// 电话
        /// </summary>
        /// <value></value>
        public string Phone { get; set; }

        /// <summary>
        /// 证件编号
        /// </summary>
        /// <value></value>
        public string CardNo { get; set; }
        /// <summary>
        /// 生日
        /// </summary>
        /// <value></value>
        public DateTime Birthday { get; set; }

        /// <summary>
        /// 居民地址
        /// </summary>
        /// <value></value>
        public string PatientAddress { get; set; }
        
		/// <summary>
		/// 民族
		/// </summary>
		/// <value></value>
		public string Nationality { get; set; }

        /// <summary>
        /// 人群标签
        /// </summary>
        /// <value></value>
        public List<string> CrowdLabels { get; set; }

        /// <summary>
        /// 标签名称
        /// </summary>
        /// <value></value>
        public List<string> LabelNames { get; set; }

		/// <summary>
		/// 机构名称
		/// </summary>
		/// <value></value>
        public string OrganizationName { get; set; }

        /// <summary>
        /// 照片
        /// </summary>
        /// <value></value>
        public List<string> Photos { get; set; }
        
        /// <summary>
        /// 备注
        /// </summary>
        /// <value></value>
        public string Notes { get; set; }

        /// <summary>
        /// 原因
        /// </summary>
        /// <value></value>
        public string Reason { get; set; }

        /// <summary>
        /// 签约医生
        /// </summary>
        /// <value></value>
        public string ContractedDoctorName { get; set; }

        /// <summary>
        /// 医生电话
        /// </summary>
        /// <value></value>
        public string ContractedDoctorPhone { get; set; }

        /// <summary>
        /// 团队负责人
        /// </summary>
        /// <value></value>
        public string TeamLeaderName { get; set; }

        /// <summary>
        /// 指导医生
        /// </summary>
        /// <value></value>
        public string PreceptorName { get; set; }

        /// <summary>
        /// 续签签约编码
        /// </summary>
        /// <value></value>
        public string RenewalContractCode { get; set; }
    }
}