using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO;
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingInterfaceLibrary.DTO.Vital
{
    /// <summary>
    /// 设备信息
    /// </summary>
    public class DeviceDTO : BaseDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 设备唯一码
        /// </summary>
        /// <value>0000</value>
        public string UniqueCode { get; set; }

        /// <summary>
        /// 序列号（物理唯一码）
        /// </summary>
        /// <value>0000-1234</value>
        public string SerialNumber { get; set; }

        /// <summary>
        /// 型号
        /// </summary>
        /// <value>健康一体机V2</value>
        public string Model { get; set; }

        /// <summary>
        /// 软件版本
        /// </summary>
        ///  <value>2.0.0.1</value>
        public string SoftwareVersion { get; set; }

        /// <summary>
        /// 系统版本
        /// </summary>
        ///  <value>1.0.0.1</value>
        public string OSVersion { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        ///  <value>第一个组织</value>
        public string Description { get; set; }

        /// <summary>
        /// 组织代码
        /// </summary>
        /// <value></value>
        /// <value>090990</value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 组织名称
        /// </summary>
        /// <value></value>
        ///  <value>组织名称</value>
        public string OrganizationName { get; set; }

        /// <summary>
        /// 团队代码
        /// </summary>
        /// <value></value>
        public string TeamCode { get; set; }

        /// <summary>
        /// 团队名称
        /// </summary>
        /// <value></value>
        public string TeamName { get; set; }

        /// <summary>
        /// 外设设备权限
        /// </summary>
        public List<PeripheralDeviceDTO> PeripheralPermissions { get; set; }

        /// <summary>
        /// 0-平板终端，1-心电
        /// </summary>
        /// <value></value>
        public int DeviceType { get; set; }
    }

    /// <summary>
    /// 外设设备
    /// </summary>
    public class PeripheralDeviceDTO
    {
        /// <summary>
        /// 外设设备编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; } = Guid.NewGuid().ToString("N");

        /// <summary>
        /// 外设设备Key
        /// </summary>
        /// <value></value>
        public string Key { get; set; }

        /// <summary>
        /// 外设设备名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 使能
        /// </summary>
        public bool Enable { get; set; }

    }

}
