using System;
using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.Vital
{
    /// <summary>
    /// 第三方厂商数据推送记录
    /// </summary>
    public class FacturyPostHistoryDTO : BaseDTO
    {
        /// <summary>
        /// Code
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 厂商标识
        /// </summary>
        /// <value></value>
        public string FacturyUniqueCode { get; set; }

        /// <summary>
        /// 厂商接口地址
        /// </summary>
        /// <value></value>
        public string FacturyUrl { get; set; }

        /// <summary>
        /// 病人身份证
        /// </summary>
        /// <value></value>
        public string IDCardNo { get; set; }

        /// <summary>
        /// 病人姓名
        /// </summary>
        /// <value></value>
        public string PatientName { get; set; }

        /// <summary>
        /// 接口类型
        /// </summary>
        /// <value></value>
        public string ApiType { get; set; }

        /// <summary>
        /// 状态 1：待发送；2：发送成功；3：发送失败
        /// </summary>
        /// <value></value>
        public int Status { get; set; }

        /// <summary>
        /// 发送时间
        /// </summary>
        /// <value></value>
        public DateTime PostTime { get; set; }

        /// <summary>
        /// 请求头部信息
        /// </summary>
        /// <value></value>
        public Dictionary<string, string> Headers { get; set; }

        /// <summary>
        /// 请求内容
        /// </summary>
        /// <value></value>
        public string Content { get; set; }

        /// <summary>
        /// 响应内容
        /// </summary>
        /// <value></value>
        public string Result { get; set; }
    }
}