using System.Collections.Generic;

namespace WingInterfaceLibrary.DTO.Vital
{
    /// <summary>
    /// 第三方厂商信息
    /// </summary>
    public class FacturyUserDTO : BaseDTO
    {
        /// <summary>
        /// Code
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 厂商标识
        /// </summary>
        /// <value></value>
        public string FacturyUniqueCode { get; set; }

        /// <summary>
        /// 数据类型 1：医院，2：工号
        /// </summary>
        /// <value></value>
        public int FacturyType { get; set; }

        /// <summary>
        /// 医院编码、工号
        /// </summary>
        /// <value></value>
        public string FacturyCode { get; set; }

        /// <summary>
        /// 名称（医院名称、员工姓名）
        /// </summary>
        /// <value></value>
        public string FacturyName { get; set; }

        /// <summary>
        /// 上级编码，记录医院-工号关系
        /// </summary>
        /// <value></value>
        public string FatherCode { get; set; }

        /// <summary>
        /// 其它扩展信息
        /// </summary>
        /// <value></value>
        public Dictionary<string, string> FacturyData { get; set; }
    }
}