using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net.Http;
using System.Threading;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.DTO.Vital
{
    public class NotificationDTO : BaseDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

		/// <summary>
		/// 编号
		/// </summary>
		/// <value></value>
		public long NotificationNo { get; set; }
		/// <summary>
		/// 版本
		/// </summary>
		/// <value></value>
		public string Version { get; set; }
		/// <summary>
		/// 适用设备
		/// </summary>
		/// <value></value>
		public List<string> ApplicableEquipment { get; set; }
		/// <summary>
		/// 内容
		/// </summary>
		/// <value></value>
		public string NotificationContent { get; set; }
		/// <summary>
		/// 类型
		/// </summary>
		/// <value></value>
		public NotificationTypeEnum NotificationType { get; set; }
    }

	/// <summary>
	/// 过滤后的通知
	/// </summary>
	public class FilterNotificationDTO
	{
		/// <summary>
		/// 存在通知
		/// </summary>
		/// <value></value>
		public bool HadNotification { get; set; }

		/// <summary>
		/// 通知内容分页
		/// </summary>
		/// <value></value>
		public PageCollection<NotificationDTO> NotificationPageCollection { get; set; }
	}
}