using System.Collections.Generic;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingInterfaceLibrary.DTO.Vital
{
    public class OrganizationDTO : BaseDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 省份代码
        /// </summary>
        /// <value></value>
        public string ProvinceCode { get; set; }
        /// <summary>
        /// 城市代码
        /// </summary>
        /// <value></value>
        public string CityCode { get; set; }
        /// <summary>
        /// 区域代码
        /// </summary>
        /// <value></value>
        public string DistrictCode { get; set; }
        /// <summary>
        /// 乡镇代码
        /// </summary>
        /// <value></value>
        public string TownCode { get; set; }
        /// <summary>
        /// 村/小区代码
        /// </summary>
        /// <value></value>
        public string ResidenceCode { get; set; }
        /// <summary>
        /// 乡镇代码
        /// </summary>
        /// <value></value>
        public string TownName { get; set; }
        /// <summary>
        /// 村/小区代码
        /// </summary>
        /// <value></value>
        public string ResidenceName { get; set; }
        /// <summary>
        /// 组织名称
        /// </summary>
        /// <value></value>
        public string OrganizationName { get; set; }
        /// <summary>
        /// 联系方式号码
        /// </summary>
        /// <value></value>
        public string ContactNumber { get; set; }
        /// <summary>
        /// logoURL
        /// </summary>
        /// <value></value>
        public string LogoUrl { get; set; }
        /// <summary>
        /// 地址
        /// </summary>
        /// <value></value>
        public string Address { get; set; }
        /// <summary>
        /// 主管
        /// </summary>
        /// <value></value>
        public List<string> Directors { get; set; }
        /// <summary>
        /// 父级编码
        /// </summary>
        /// <value></value>
        public string FatherCode { get; set; }
        /// <summary>
        /// 父级名称
        /// </summary>
        /// <value></value>
        public string FatherName { get; set; }
        /// <summary>
        /// 权限编码集合
        /// </summary>
        public List<string> FeatureCodes { get; set; }
        /// <summary>
        /// 程序适用类型
        /// </summary>
        /// <value></value>
        public CustomTypeEnum CustomType { get; set; }

        /// <summary>
        /// 可使用的设备Key集合
        /// </summary>
        public List<string> PeripheralDeviceKeys { get; set; }

        /// <summary>
        /// 动态参数配置
        /// </summary>
        /// <value></value>
        public string DynamicParameter { get; set; }

        /// <summary>
        /// 医院唯一码
        /// </summary>
        /// <value></value>
        public string OrganizationUniqueCode { get; set; }

        /// <summary>
        /// 体检项目集合
        /// </summary>
        /// <value></value>
        public List<string> ExamItemCodes { get; set; }

        /// <summary>
        /// 超声医师电子签名
        /// </summary>
        /// <value></value>
        public string UltrasonicSignature { get; set; }

        /// <summary>
        /// 尿常规检测医师电子签名
        /// </summary>
        /// <value></value>
        public string UrinalysisSignature { get; set; }
        
        /// <summary>
        /// 生化解析模板
        /// </summary>
        /// <value></value>
        public string BiochemicalTemplateKey { get; set; }
        
        /// <summary>
        /// 血常规解析模板
        /// </summary>
        /// <value></value>
        public string BloodRoutineTemplateKey { get; set; }

        /// <summary>
        /// 是否自动创建报告
        /// </summary>
        /// <value></value>
        public bool IsAutoCreateReport { get; set; }
    }

    /// <summary>
    /// 机构树状结构
    /// </summary>
    public class OrganizationTreeDTO : BaseDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 父级编码
        /// </summary>
        /// <value></value>
        public string FatherCode { get; set; }

        /// <summary>
        /// 组织名称
        /// </summary>
        /// <value></value>
        public string OrganizationName { get; set; }

        /// <summary>
        /// 团队列表
        /// </summary>
        public List<TeamBaseDTO> Teams { get; set; }


    }

    public class TeamBaseDTO
    {
        /// <summary>
        /// 团队名称
        /// </summary>
        /// <value></value>
        public string TeamName { get; set; }
        /// <summary>
        /// 团队编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }
}