using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net.Http;
using System.Threading;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request.DBVitalRequest;

namespace WingInterfaceLibrary.DTO.Vital
{
	/// <summary>
	/// Vital报告信息响应实体
	/// </summary>
    public class ReportDTO : BaseDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

		/// <summary>
		/// 键
		/// </summary>
		/// <value></value>
		public string Key { get; set; }
		/// <summary>
		/// 居民代码
		/// </summary>
		/// <value></value>
		public string PatientCode { get; set; }
		/// <summary>
		/// 已签约医生
		/// </summary>
		/// <value></value>
		public string ContractedDoctor { get; set; }

        /// <summary>
        /// 体检信息
        /// </summary>
        /// <value></value>
        public Dictionary<string,string> ReportData { get; set; }

		/// <summary>
        /// 体检信息数据
        /// </summary>
        /// <value></value>
        public string ReportDataJson { get; set; }

        /// <summary>
        /// 体检模板数据
        /// </summary>
        /// <value></value>
        public string ReportTemplateJson { get; set; }

		/// <summary>
		/// 报告状态
		/// </summary>
		/// <value></value>
		public ReportStateEnum ReportState { get; set; }

        /// <summary>
        /// 模版编码
        /// </summary>
        /// <value></value>
        public string TemplateCode { get; set; }

        /// <summary>
        /// 预览信息
        /// </summary>
        /// <value></value>
        public PreviewDTO PreviewInfo { get; set; }        

        /// <summary>
        /// 体检号(健康体检专用)
        /// </summary>
        /// <value></value>
        public string PhysicalExamNumber { get; set; }

        /// <summary>
        /// 检查code
        /// </summary>
        /// <value></value>
        public string ExamCode { get; set; }

        /// <summary>
        /// 报告信息列表
        /// </summary>
        /// <value></value>
        public IList<PreviewDTO> PreviewList { get; set; }    

        /// <summary>
        /// 报告生成时的医生签名
        /// </summary>
        /// <value></value>
        public string DoctorSign { get; set; }

        /// <summary>
        /// 报告医师
        /// </summary>
        /// <value></value>
        public string DoctorName { get; set; }

        /// <summary>
        /// 提交报告的原始信息数据
        /// </summary>
        /// <value></value>
        public string ReportExamDataJson { get; set; }
    }
}