using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net.Http;
using System.Threading;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingInterfaceLibrary.DTO.Vital
{
    /// <summary>
    /// 服务检查项
    /// </summary>
    public class ServiceItemDTO : BaseDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 服务项内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 服务项类型
        /// </summary>
        public ServiceItemTypeEnum ServiceItemType { get; set; }

        /// <summary>
        /// 服务次数
        /// </summary>
        public string ServiceNumber{ get; set; }

        /// <summary>
        /// 服务科室
        /// </summary>
        public string Department { get; set; }

        /// <summary>
        /// 指导价格
        /// </summary>
        public string GuidancePrice { get; set; }

        /// <summary>
        /// 拟调价格
        /// </summary>
        public string AdjustedPrice { get; set; }

        /// <summary>
        /// 总价格
        /// </summary>
        public string TotalPrice { get; set; }

        /// <summary>
        /// 收费标准说明
        /// </summary>
        public string PriceExplanation { get; set; }

        /// <summary>
        /// 服务机构编码
        /// </summary>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 服务机构名称
        /// </summary>
        public string OrganizationName { get; set; }
    }
}
