using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net.Http;
using System.Threading;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingInterfaceLibrary.DTO.Vital
{
    /// <summary>
    /// 服务包
    /// </summary>
    public class ServicePackDTO : BaseDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 服务包名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 服务包类型
        /// </summary>
        public ServicePackTypeEnum ServicePackType { get; set; }

        /// <summary>
        /// 服务包内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 服务项Id集合
        /// </summary>
        public List<string> Items { get; set; }

        /// <summary>
        /// 人群标签
        /// </summary>
        public List<string> Labels { get; set; }

        /// <summary>
        /// 服务机构编码
        /// </summary>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 服务机构编码
        /// </summary>
        public string OrganizationName { get; set; }
    }
}
