
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingInterfaceLibrary.DTO.Vital
{
    public class SystemSettingDTO : BaseDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 设置键
        /// </summary>
        /// <value></value>
        public string SettingKey { get; set; }
        /// <summary>
        /// 设置内容
        /// </summary>
        /// <value></value>
        public string SettingContent { get; set; }
    }

    /// <summary>
    /// 需同步的配置数据
    /// </summary>
    public class SyncSettingsDTO : BaseDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 版本
        /// </summary>
        /// <value></value>
        public string Version { get; set; } = "1.0.0";

        /// <summary>
        /// 表单模版
        /// </summary>
        /// <value></value>
        public List<TemplateDTO> Templates { get; set; }

        /// <summary>
        /// 首页地址
        /// </summary>
        /// <value></value>
        public string HomePageUrl { get; set; }

        /// <summary>
        /// 加密敏感信息
        /// </summary>
        /// <value></value>
        public bool EncryptSensitiveInfo { get; set; }

        /// <summary>
        /// 请求加密类型
        /// </summary>
        /// <value></value>
        public string RequestEncryptMode { get; set; }

        /// <summary>
        /// 是否开启请求加密
        /// </summary>
        /// <value></value>
        public bool EnableRequestEncrypt { get; set; }

        /// <summary>
        /// 加密密钥，通常为公钥
        /// </summary>
        /// <value></value>
        public string RequestEncryptKey { get; set; }

        /// <summary>
        /// 可使用外设
        /// </summary>
        /// <value></value>
        public string PeripheralDevice { get; set; }

        /// <summary>
        /// 是否开启请求加密
        /// </summary>
        /// <value></value>
        public bool EnableResponseEncrypt { get; set; }

        /// <summary>
        /// 响应加密方式
        /// </summary>
        /// <value></value>
        public string ResponseEncryptMode { get; set; }

        /// <summary>
        /// 项目类型 0:健康一体机,1:体检工作站,2:体检云端服务
        /// </summary>
        /// <value></value>
        public VitalProjectTypeEnum ProjectType { get; set; }

        /// <summary>
        /// 人脸识别类型
        /// </summary>
        /// <value></value>
        public string FaceRecognitionType { get; set; }

        /// <summary>
        /// 生化解析模板
        /// </summary>
        /// <value></value>
        public TemplateDTO BiochemicalTemplate { get; set; }

        /// <summary>
        /// 血常规解析模板
        /// </summary>
        /// <value></value>
        public TemplateDTO BloodRoutineTemplate { get; set; }
    }
}