using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingInterfaceLibrary.DTO.Vital
{
    public class UserDTO : BaseDTO
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 用户名称
        /// </summary>
        /// <value></value>
        public string UserName { get; set; }
        /// <summary>
        /// 电话
        /// </summary>
        /// <value></value>
        public string Phone { get; set; }
        /// <summary>
        /// 证件编号
        /// </summary>
        /// <value></value>
        public string CardNo { get; set; }
        /// <summary>
        /// 真实姓名名称
        /// </summary>
        /// <value></value>
        public string RealName { get; set; }
        /// <summary>
        /// 头像图片令牌
        /// </summary>
        /// <value></value>
        public string HeadImageToken { get; set; }
        /// <summary>
        /// 组织代码
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }
        /// <summary>
        /// 组织名称
        /// </summary>
        /// <value></value>
        public string OrganizationName { get; set; }
        /// <summary>
        /// 组织电话
        /// </summary>
        /// <value></value>
        public string OrganizationPhone { get; set; }
        /// <summary>
        /// 团队代码
        /// </summary>
        /// <value></value>
        public string TeamCode { get; set; }
        /// <summary>
        /// 团队名称
        /// </summary>
        /// <value></value>
        public string TeamName { get; set; }
        /// <summary>
        /// 角色代码
        /// </summary>
        /// <value></value>
        public string RoleCode { get; set; }
        /// <summary>
        /// 角色名称
        /// </summary>
        /// <value></value>
        public string RoleName { get; set; }
        /// <summary>
        /// 职位/职称
        /// </summary>
        /// <value></value>
        public string RankName { get; set; }
        /// <summary>
        /// 负责区域
        /// </summary>
        /// <value></value>
        public List<ResidenceDTO> Residence { get; set; }
        /// <summary>
        /// 负责人编码
        /// </summary>
        /// <value></value>
        public string PrincipalCode { get; set; }
        /// <summary>
        /// 负责人名称
        /// </summary>
        /// <value></value>
        public string PrincipalName { get; set; }
        /// <summary>
        /// 负责人电话
        /// </summary>
        /// <value></value>
        public string PrincipalPhone { get; set; }
        /// <summary>
        /// 省份代码
        /// </summary>
        /// <value></value>
        public string ProvinceCode { get; set; }
        /// <summary>
        /// 城市代码
        /// </summary>
        /// <value></value>
        public string CityCode { get; set; }
        /// <summary>
        /// 区域代码
        /// </summary>
        /// <value></value>
        public string DistrictCode { get; set; }
        /// <summary>
        /// 签名
        /// </summary>
        /// <value></value>
        public string Signature { get; set; }
        /// <summary>
        /// 超声机编码，超声工作站使用
        /// </summary>
        /// <value></value>
        public string UltrasoundCode { get; set; }
        
        /// <summary>
        /// 心电编码，心电工作站使用
        /// </summary>
        /// <value></value>
        public string EcgCode { get; set; }

        /// <summary>
        /// 第三方厂商员工信息编码
        /// </summary>
        /// <value></value>
        public string FacturyUserCode { get; set; }

        /// <summary>
        /// 是否有下级机构(远程心电等使用)
        /// </summary>
        /// <value></value>
        public bool IsExistSubordinate { get; set; }

        /// <summary>
        /// 上级机构Code
        /// </summary>
        /// <value></value>
        public string FatherOrgCode { get; set; }

        /// <summary>
        /// 上级机构名称
        /// </summary>
        /// <value></value>
        public string FatherOrgName { get; set; }
    }
}