
namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 小程序-会诊状态
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 调用端类型描述</remarks>
    public enum ConsultationState
    {
        /// <summary>
        /// 0 | Unhandled
        /// </summary>
        Unhandled = 0,
        /// <summary>
        /// 1 | Withdrawn
        /// </summary>
        Withdrawn,
        /// <summary>
        /// 2 | Handled
        /// </summary>
        Handled,
        /// <summary>
        /// 3 | Started
        /// </summary>
        Started,
        /// <summary>
        /// 4 | WaitForReportUpload
        /// </summary>
        WaitForReportUpload,
        /// <summary>
        /// 5 | ReportUploading
        /// </summary>
        ReportUploading,
        /// <summary>
        /// 6 | ReportUploaded
        /// </summary>
        ReportUploaded,
        /// <summary>
        /// 7 | ReportUploadFailed
        /// </summary>
        ReportUploadFailed,
        /// <summary>
        /// 8 | Expired
        /// </summary>
        Expired,
        /// <summary>
        /// 9 | Qualified
        /// </summary>
        Qualified,
        /// <summary>
        /// 10 | UnQualified
        /// </summary>
        UnQualified
    }

    /// <summary>
    /// 小程序-ImageType
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 调用端类型描述</remarks>
    public enum AppletAPIImageType
    {
        /// <summary>
        /// 1 | Local
        /// </summary>
        Local = 1,
        /// <summary>
        /// 2 | Ob
        /// </summary>
        Ob,
        /// <summary>
        /// 3 | WorkSheet
        /// </summary>
        WorkSheet,
        /// <summary>
        /// 4 | Remote
        /// </summary>
        Remote,
        /// <summary>
        /// 5 | DigitalSignature
        /// </summary>
        DigitalSignature,
        /// <summary>
        /// 6 | AIDiagnosis
        /// </summary>
        AIDiagnosis
    }


    /// <summary>
    /// 小程序-LiveStates
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 调用端类型描述</remarks>
    public enum LiveStates
    {
        /// <summary>
        /// -1 | UnknowException
        /// </summary>
        UnknowException = -1,
        /// <summary>
        /// 0 | OK
        /// </summary>
        OK,
        /// <summary>
        /// 1 | TerminalRequestPush
        /// </summary>
        TerminalRequestPush,
        /// <summary>
        /// 2 | TerminalIsLiving
        /// </summary>
        TerminalIsLiving,
        /// <summary>
        /// 3 | TerminalPushTimeout
        /// </summary>
        TerminalPushTimeout,
        /// <summary>
        /// 4 | ServiceIsBusy
        /// </summary>
        ServiceIsBusy,
        /// <summary>
        /// 5 | AccountUnauthenticated
        /// </summary>
        AccountUnauthenticated,
        /// <summary>
        /// 6 | FriendsAccountIsNotExsiting
        /// </summary>
        FriendsAccountIsNotExsiting,
        /// <summary>
        /// 7 | TerminalIsLivingInOtherRoom
        /// </summary>
        TerminalIsLivingInOtherRoom,
        /// <summary>
        /// 8 | TerminalNotExist
        /// </summary>
        TerminalNotExist,
        /// <summary>
        /// 9 | TerminalOffLine
        /// </summary>
        TerminalOffLine,
        /// <summary>
        /// 10 | RtcUrlIsEmpty
        /// </summary>
        RtcUrlIsEmpty,
        /// <summary>
        /// 11 | FriendsAccountIsOffline
        /// </summary>
        FriendsAccountIsOffline,
        /// <summary>
        /// 12 | OtherIsBusy
        /// </summary>
        OtherIsBusy,
        /// <summary>
        /// 13 | Ignore
        /// </summary>
        Ignore,
        /// <summary>
        /// 14 | TalkIsBusy
        /// </summary>
        TalkIsBusy,
        /// <summary>
        /// 15 | TerminalRequestError
        /// </summary>
        TerminalRequestError,
        /// <summary>
        /// 16 | TerminalRequestTimeout
        /// </summary>
        TerminalRequestTimeout,
        /// <summary>
        /// 17 | Cancelled
        /// </summary>
        Cancelled,
        /// <summary>
        /// 18 | NotFoundTerminal
        /// </summary>
        NotFoundTerminal,
        /// <summary>
        /// 19 | ShareTerminalVideoExpired
        /// </summary>
        ShareTerminalVideoExpired,
        /// <summary>
        /// 20 | TerminalIsPushing
        /// </summary>
        TerminalIsPushing,
        /// <summary>
        /// 21 | TerminalPushFailed
        /// </summary>
        TerminalPushFailed,
        /// <summary>
        /// 22 | NotOnline
        /// </summary>
        NotOnline,
        //Old states end

        /// new states
        /// <summary>
        /// 100 | RequestChat
        /// </summary>
        RequestChat = 100,
        /// <summary>
        /// 101 | ChatRequestArrived
        /// </summary>
        ChatRequestArrived,
        /// <summary>
        /// 102 | LiveRequestHandledInOldService
        /// </summary>
        LiveRequestHandledInOldService,
        /// <summary>
        /// 103 | ExitTerminalLiveRequestFailed
        /// </summary>
        ExitTerminalLiveRequestFailed,
        /// <summary>
        /// 104 | TerminalStartPushing
        /// </summary>
        TerminalStartPushing,// ready start pushing 
        /// <summary>
        /// 105 | InitiatorRequestingChat
        /// </summary>
        InitiatorRequestingChat,
        /// <summary>
        /// 106 | RecipientAnswerred
        /// </summary>
        RecipientAnswerred,
        /// <summary>
        /// 107 | RecipientRejected
        /// </summary>
        RecipientRejected,
        /// <summary>
        /// 108 | RecipientAcceptted
        /// </summary>
        RecipientAcceptted,
        /// <summary>
        /// 109 | ChatHangup
        /// </summary>
        ChatHangup,
        /// <summary>
        /// 110 | Idle
        /// </summary>
        Idle,// live  default states
        /// <summary>
        /// 111 | AcceptedInOtherDevice
        /// </summary>
        AcceptedInOtherDevice,
        /// <summary>
        /// 112 | Disconnected
        /// </summary>
        Disconnected,
        /// <summary>
        /// 113 | LiveTalkingInProgressInOtherDevice
        /// </summary>
        LiveTalkingInProgressInOtherDevice,
        /// <summary>
        /// 114 | DeviceIsNotConnected
        /// </summary>
        DeviceIsNotConnected,
        /// <summary>
        /// 115 | RecipientAcceptting
        /// </summary>
        RecipientAcceptting,
        /// <summary>
        /// 116 | IsLivingOnTrainning
        /// </summary>
        IsLivingOnTrainning,
        /// <summary>
        /// 117 | TrainningTerminalRoomIsOff
        /// </summary>
        TrainningTerminalRoomIsOff,
        /// <summary>
        /// 118 | InitiatorChargeGroupNotAvailable
        /// </summary>
        InitiatorChargeGroupNotAvailable,
        /// <summary>
        /// 119 | HeartBeatWarning
        /// </summary>
        HeartBeatWarning,
        /// <summary>
        /// 120 | HeartBeatDown
        /// </summary>
        HeartBeatDown, // 异常/心跳超时 退出
        /// <summary>
        /// 121 | TerminalOnLocalCapture
        /// </summary>
        TerminalOnLocalCapture,
        /// <summary>
        /// 122 | Failed
        /// </summary>
        Failed,
        /// <summary>
        /// 123 | LowVersion
        /// </summary>
        LowVersion,//less than force version
        /// <summary>
        /// 124 | NoImagePushed
        /// </summary>
        NoImagePushed,
        /// <summary>
        /// 125 | InitiativeExit
        /// </summary>
        InitiativeExit, //主动退出
        /// <summary>
        /// 126 | SessionReplaced
        /// </summary>
        SessionReplaced,//其他地方登录
        /// <summary>
        /// 127 | NoSupport
        /// </summary>
        NoSupport, //不支持
        /// <summary>
        /// 128 | RoomNoExist
        /// </summary>
        RoomNoExist,//房间不存在 
        /// <summary>
        /// 129 | MemberNotExist
        /// </summary>
        MemberNotExist,
        /// <summary>
        /// 130 | IsShared
        /// </summary>
        IsShared//已共享
    }


}