namespace WingInterfaceLibrary.Enum
{
    public enum AccountType
    {
        Admin,
        User,
        US,
        USBox,
        ThirdParty,
        Breath,
        Oxygen,
    }

    /// <summary>
    /// 调用端平台枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 调用端平台枚举描述</remarks>
    public enum Platform
    {
        /// <summary>
        /// 0 | Windows
        /// </summary>
        Windows,
        /// <summary>
        /// 1 | Android
        /// </summary>
        Android,
        /// <summary>
        /// 2 | Ios
        /// </summary>
        Ios,
        /// <summary>
        /// 3 | Linux
        /// </summary>
        Linux,
        /// <summary>
        /// 4 | SingleChip
        /// </summary>
        SingleChip
    }

    /// <summary>
    /// 调用端来源枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 调用端来源枚举描述</remarks>
    public enum LoginSource
    {
        /// <summary>
        /// 0 | PC
        /// </summary>
        PC,
        /// <summary>
        /// 1 | Mobile
        /// </summary>
        Mobile,
        /// <summary>
        /// 2 | Pad
        /// </summary>
        Pad,
        /// <summary>
        /// 3 | Web
        /// </summary>
        Web,
        /// <summary>
        /// 4 | US
        /// </summary>
        US,
        /// <summary>
        /// 5 | WX
        /// </summary>        
        WX
    }

    /// <summary>
    /// 更新平台
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum UpgradePlatformEnum
    {
        /// <summary>
        /// 0|PC
        /// </summary>
        PC = 0,
        /// <summary>
        /// 1|Android
        /// </summary>
        Android,
        /// <summary>
        /// 2|IOS
        /// </summary>
        IOS,
        /// <summary>
        /// 3|Mac
        /// </summary>
        Mac
    }

    /// <summary>
    /// 更新业务类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum UpgradeSourceTypeEnum
    {
        /// <summary>
        /// 0|客户端
        /// </summary>
        Client = 0,
        /// <summary>
        /// 1|超声机
        /// </summary>
        US,
        /// <summary>
        /// 2|魔盒
        /// </summary>
        SONOPOST,
        /// <summary>
        /// 3|FISLib
        /// </summary>
        FISLib
    }

    /// <summary>
    /// 更新方式类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum UpgradeTypeEnum
    {
        /// <summary>
        /// 0|无需更新
        /// </summary>
        NoUpgrade,
        /// <summary>
        /// 1|常规更新： Ask if user want to update
        /// </summary>
        Normal,
        /// <summary>
        /// 2|强制更新
        /// </summary>
        Force,
        /// <summary>
        /// 3|自动更新：Automatically download the update package, and automatically update after restart
        /// </summary>
        AutoAfterRestart
    }

    /// <summary>
    /// 更新类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum UpgradeUpdateTypeEnum
    {
        /// <summary>
        /// 0|部分更新
        /// </summary>
        Part,
        /// <summary>
        /// 1|全量更新
        /// </summary>
        All,
    }

    /// <summary>
    /// 更新细分类型
    /// </summary>
    public enum UpgradeEnum
    {
        /// <summary>
        /// 0|Windows
        /// </summary>
        Windows = 0,
        /// <summary>
        /// 1|Android
        /// </summary>
        Android = 1,
        /// <summary>
        /// 2|SonoPost
        /// </summary>
        SonoPost = 2,
        /// <summary>
        /// 3|Server
        /// </summary>
        Server = 3,
        /// <summary>
        /// 4|WindowsFISLib
        /// </summary>
        FISSDK = 4,

    }

    public enum SyncDBEnum
    {
        //迁移
        Migrate = 0,

        //同步
        Synchronize = 1
    }

    /// <summary>
    ///当前客户端配置版本类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum CurrentClientSourceTypeEnum
    {
        /// <summary>
        ///0|PC客户端
        /// </summary>
        PC = 0,
        /// <summary>
        /// 1|Web端
        /// </summary>
        Web = 1,
        /// <summary>
        /// 2|魔盒端
        /// </summary>
        SONOPOST = 2,
        /// <summary>
        /// 3|FISLib端
        /// </summary>
        FISLib = 3,
        /// <summary>
        /// 4|Android客户端
        /// </summary>
        Android = 4

    }

    /// <summary>
    /// 连接方式
    /// </summary>
    public enum ProxyTypeEnum
    {
        /// <summary>
        ///0|连接老server
        /// </summary>
        Old = 0,
        /// <summary>
        /// 1|连接新server的tcp
        /// </summary>
        New = 1,


    }

    /// <summary>
    /// 魔盒类型
    /// </summary>
    public enum SonopostVersionEnum
    {
        /// <summary>
        ///0|一代魔盒
        /// </summary>
        Sonopost = 0,
        /// <summary>
        ///1|二代魔盒
        /// </summary>
        Sonopost2 = 1


    }

    /// <summary>
    /// 任务状态
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum VTaskStatus
    {
        /// <summary>
        /// 0 | Unhandled
        /// </summary>
        Unhandled = 0,
        /// <summary>
        /// 1 | Processing
        /// </summary>
        Processing,
        /// <summary>
        /// 2 | Completed
        /// </summary>
        Completed,
        /// <summary>
        /// 3 | Stopped
        /// </summary>
        Stopped,
        /// <summary>
        /// 4 | Canceled
        /// </summary>
        Canceled

    }

    /// <summary>
    /// 任务类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum VTaskType
    {
        /// <summary>
        /// 0 | Unhandled
        /// </summary>
        Undefined = 0,
        /// <summary>
        /// 1 | UserImport
        /// </summary>
        UserImport,
        /// <summary>
        /// 2 | DeviceUpload
        /// </summary>
        DeviceUpload,
        /// <summary>
        /// 3 | UserExport
        /// </summary>
        UserExport,
        /// <summary>
        /// 4 | Analysis
        /// </summary>
        Analysis,
        /// <summary>
        /// 5 | InviteUser
        /// </summary>
        InviteUser,
        /// <summary>
        /// 6 | RemoveUser
        /// </summary>
        RemoveUser,
        /// <summary>
        /// 7 | URMSaveVideo
        /// </summary>
        URMSaveVideo,

        /// <summary>
        /// 8 | DeleteSample
        /// </summary>
        DeleteSample = 8,

        /// <summary>
        /// 9 | DeleteRecord
        /// </summary>
        DeleteRecord = 9,

        /// <summary>
        /// 10 | 修改项目
        /// </summary>
        ProjectUpdate = 10,

        /// <summary>
        /// 11 | 转出
        /// </summary>
        TransferOut = 11,

        /// <summary>
        /// 12 | 转入
        /// </summary>
        TransferIn = 12,


    }

    /// <summary>
    /// 项目类型查询
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum ResearchProjectSearchTypeEnum
    {
        /// <summary>
        /// 0 | Unhandled
        /// </summary>
        Undefined = 0,
        /// <summary>
        /// 1 | 我创建的
        /// </summary>
        ICreated = 1,
        /// <summary>
        /// 2 | 我加入的
        /// </summary>
        IJoined,
        /// <summary>
        /// 3 | 默认的
        /// </summary>
        Default,

    }

    /// <summary>
    /// 时间轴数据类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 业务类型描述</remarks>
    public enum TimeAxisDetailEnum
    {
        /// <summary>
        /// 0 | 项目创建
        /// </summary>
        ProjectCreate = 0,

        /// <summary>
        /// 1 | 超声机上传
        /// </summary>
        DeviceUpload = 1,

        /// <summary>
        /// 2 | 用户加入
        /// </summary>
        InviteUser = 2,

        /// <summary>
        /// 3 | 用户移除
        /// </summary>
        RemoveUser = 3,

        /// <summary>
        /// 4 | 用户导入
        /// </summary>
        UserImport = 4,

        /// <summary>
        /// 5 | 用户导出
        /// </summary>
        UserExport = 5,

        /// <summary>
        /// 6 | 开始分析
        /// </summary>
        Startanalysis = 6,

        /// <summary>
        /// 7 | 分析完成
        /// </summary>
        NalysisComplete = 7,

        /// <summary>
        /// 8 | 删除样本
        /// </summary>
        DeleteSample = 8,

        /// <summary>
        /// 9 | 删除检查
        /// </summary>
        DeleteRecord = 9,

        /// <summary>
        /// 10 | 修改项目
        /// </summary>
        ProjectUpdate = 10,

        /// <summary>
        /// 11 | 转出
        /// </summary>
        TransferOut = 11,

        /// <summary>
        /// 12 | 转入
        /// </summary>
        TransferIn = 12,

    }
}