namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 查询会诊状态
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 会诊状态描述</remarks>
    public enum QueryConsultationStatusEnum
    {
        /// <summary>
        ///All| 0 |全部
        /// </summary>
        All = 0,

        /// <summary>
        ///Applied| 1 |已申请
        /// </summary>
        Applied = 1,

        /// <summary>
        ///Withdrawn| 2 |已撤回 
        /// </summary>
        Withdrawn = 2,

        /// <summary>
        ///Rejected| 3 |已拒绝  
        /// </summary>
        Rejected = 3,

        /// <summary>
        ///ToStart| 4 |待开始（即申请已同意）
        /// </summary>
        ToStart = 4,

        /// <summary>
        /// InProgress|5 |进行中
        /// </summary>
        InProgress = 5,

        /// <summary>
        /// PendingReport|6 | 待报告 
        /// </summary>
        PendingReport = 6,

        /// <summary>
        ///End| 7 | 已结束（即会诊报告已提交）
        /// </summary>
        End = 7,

        /// <summary>
        ///Expired| 8 | 已过期
        /// </summary>
        Expired = 8,
    }

    /// <summary>
    /// 会诊图像操作类型枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 会诊图像类型描述</remarks>
    public enum ConsultationFileTypeEnum
    {
        /// <summary>
        ///Screenshot| 0 |会诊截图
        /// </summary>
        Screenshot = 0,

        /// <summary>
        ///UltrasoundImage| 1 |超声图像
        /// </summary>
        UltrasoundImage = 1,

        /// <summary>
        ///MeasurementImage| 2 |测量图像 
        /// </summary>
        MeasurementImage = 2

    }
}