namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 控制设备参数枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 会诊状态描述</remarks>
    public enum ControlDeviceParameterEnum
    {
        /// <summary>
        /// Start（ExecuteProbeApplication）| 0 |开始连接
        /// </summary>
        Start,
        /// <summary>
        /// End|1|结束退出
        /// </summary>
        End,
        /// <summary>
        /// RunExecuteApi|2|调参
        /// </summary>
        RunExecuteApi,
        /// <summary>
        /// ExecuteProbeApplicationSetting|3|调节应用
        /// </summary>
        ExecuteProbeApplicationSetting,
        /// <summary>
        /// RejectConnect|4|拒绝申请
        /// </summary>
        RejectConnect,
        /// <summary>
        /// EndRunExecuteApi|5|结束调参
        /// </summary>
        EndRunExecuteApi,        
        /// <summary>
        /// Get|6|发送初始化参数通知
        /// </summary>
        Get,
        /// <summary>
        /// UserTimeout|7|用户超时断开
        /// </summary>
        UserTimeout,
        /// <summary>
        /// UpdateProbeApplication|8|更新探头应用
        /// </summary>
        UpdateProbeApplication,
        /// <summary>
        /// UpdateAndExitProbeApplication|9|更新并退出探头应用
        /// </summary>
        UpdateAndExitProbeApplication,
        /// <summary>
        /// ExitProbeApplication|10|退出探头应用
        /// </summary>
        ExitProbeApplication,
        /// <summary>
        /// GetProbeApplication|11|获取探头应用
        /// </summary>
        GetProbeApplication,
    }
}