using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 打印机驱动
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 描述</remarks>
    public enum DevicePrinterEnum
    {

        /// <summary>
        /// GetInstalledPrinters| 0 | 获取已经安装打印机
        /// </summary>
        GetInstalledPrinters,

        /// <summary>
        /// PrintTestPage| 1 | 打印测试页
        /// </summary>
        PrintTestPage,

        /// <summary>
        /// UpdatePrinterConfiguration| 2 | 更新保存打印配置
        /// </summary>
        UpdatePrinterConfiguration,

        /// <summary>
        /// GetUninstalledPrinters| 3 | 获取未安装打印机
        /// </summary>
        GetUninstalledPrinters,

        /// <summary>
        /// InstallPrinterDrive| 4 | 安装打印机
        /// </summary>
        InstallPrinterDrive,

        /// <summary>
        /// DeletePrinter| 5 | 删除打印机
        /// </summary>
        DeletePrinter,

        /// <summary>
        /// CancelPrinter| 6 | 取消搜索打印机
        /// </summary>
        CancelSearchPrinter,

        /// <summary>
        /// SearchPrinter| 7 | 搜索打印机
        /// </summary>
        SearchPrinter,

        /// <summary>
        /// CancelInstallPrinter| 8 | 取消安装打印机
        /// </summary>
        CancelInstallPrinter,

        /// <summary>
        /// InstallPrinterProgress| 9 | 安装打印机驱动进度
        /// </summary>
        InstallPrinterProgress,

    }

    /// <summary>
    /// 设备打印机参数枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 描述</remarks>
    public enum DevicePrinterParameterEnum
    {
        /// <summary>
        /// PrinterName| 0 | 打印机名称
        /// </summary>
        PrinterName,

        /// <summary>
        /// IPAddress| 1 | 主机名或者IP地址
        /// </summary>
        IPAddress,

        /// <summary>
        /// Port| 2 | 端口
        /// </summary>
        Port,
        /// <summary>
        /// PrinterModel| 3 | 打印机品牌
        /// </summary>
        PrinterModel,
        /// <summary>
        /// DevicePrinterPatchCode| 4 | 打印机驱动包编码
        /// </summary>
        DevicePrinterPatchCode,
        /// <summary>
        /// PageSize| 5 | 打印机尺寸
        /// </summary>
        PageSize,
        /// <summary>
        /// PageOrientation| 6 | 打印机方向
        /// </summary>
        PageOrientation,
        /// <summary>
        /// IsNormalSearchType| 7 | 是否使用正常搜索模式
        /// </summary>
        IsNormalSearchType
    }
    
}