 using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 设备模式类型枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 描述</remarks>
    public enum ModeType
    {
        /// <summary>
        /// CPAP | 0 | CPAP
        /// </summary>
        CPAP = 0,
         /// <summary>
        /// APAP | 1 | APAP
        /// </summary>
        APAP = 1,
         /// <summary>
        /// AUTOS | 2 | AUTO-S
        /// </summary>
        AUTOS = 2,
         /// <summary>
        /// BPAPS | 3 | BPAP-S
        /// </summary>
        BPAPS = 3,
        /// <summary>
        /// BPAPT | 4 | BPAP-T
        /// </summary>
        BPAPT = 4,
         /// <summary>
        /// BPAPST | 5 | BPAP-ST
        /// </summary>
        BPAPST = 5,
    }

    /// <summary>
    /// 设备报告类型枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 描述</remarks>
    public enum ReportType
    {
        /// <summary>
        /// Day | 0 | 天
        /// </summary>
        Day = 0,
         /// <summary>
        /// Week | 1 | 周
        /// </summary>
        Week = 1,
         /// <summary>
        /// Month | 2 | 月
        /// </summary>
        Month = 2,
         /// <summary>
        /// Month_3 | 3 | 3个月
        /// </summary>
        Month_3 = 3,
         /// <summary>
        /// Month_6 | 4 | 6个月
        /// </summary>
        Month_6 = 4,
         /// <summary>
        /// Year | 5 | 年
        /// </summary>
        Year = 5,
    }

    /// <summary>
    /// 标记状态枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 描述</remarks>
    public enum MarkStatusTypeEnum
    {
        /// <summary>
        /// Unknown | 0 | 未知
        /// </summary>
        Unknown = 0,
        /// <summary>
        /// Unmark | 1 | 未标记
        /// </summary>
        Unmark = 1,        
        /// <summary>
        /// Marked | 2 | 已标记
        /// </summary>
        Marked = 2,
    }

}