namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// AI轮廓关键点的类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | AI轮廓关键点的类型描述</remarks>
    public enum DiagnosisKeyPointType
    {
        /// <summary>
        /// Null| 0 | 默认值，表示不是关键点
        /// </summary>
        Null = 0,

        /// <summary>
        /// OtherKeyPoints| 1 | 普通关键点（除了横纵径关键点以外的，目前都是普通关键点）
        /// </summary>
        OtherKeyPoints = 1,
        
        /// <summary>
        /// HorizontalPointLeft| 2 | 横纵径关键点，横径左侧的端点
        /// </summary>
        HorizontalPointLeft = 2,
        
        /// <summary>
        /// HorizontalPointRight| 3 | 横纵径关键点，横径右侧的端点
        /// </summary>
        HorizontalPointRight = 3,
        
        /// <summary>
        /// VerticalPointUp| 4 | 横纵径关键点，纵径上侧的端点
        /// </summary>
        VerticalPointUp = 4,
        
        /// <summary>
        /// VerticalPointDown| 5 | 横纵径关键点，纵径下侧的端点
        /// </summary>
        VerticalPointDown = 5,
    }
}