namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 错误代码枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 错误描述</remarks>
    public enum ErorrCodeEnum
    {
        /// <summary>
        /// 1001 | 普通错误
        /// </summary>
        BasicErorr = 1001,

        /// <summary>
        /// 2001 | 重复注册
        /// </summary>
        RepeatRegister = 2001,

        /// <summary>
        /// 20011 | 用户名错误
        /// </summary>
        UserNameErorr = 20011,

        /// <summary>
        /// 20012 | 手机账号错误
        /// </summary>
        PhoneAccountErorr = 20012,

        /// <summary>
        /// 20013 | 邮箱账号错误
        /// </summary>
        EmailAccountErorr = 20013,

        /// <summary>
        /// 20014 | 密码错误
        /// </summary>
        PasswordErorr = 20014,

        /// <summary>
        /// 2002 | 验证码错误
        /// </summary>
        AuthCodeErorr = 2002,

        /// <summary>
        /// 20021 | 未找到验证码
        /// </summary>
        AuthCodeEmptyErorr = 20021,

        /// <summary>
        /// 20022 | 验证码过期
        /// </summary>
        AuthCodeExpireErorr = 20022,

        /// <summary>
        /// 20023 | 错误的验证码
        /// </summary>
        InvalidAuthCodeErorr = 20023,

        /// <summary>
        /// 2003 | 未注册
        /// </summary>
        NoRegisterErorr = 2003,

        /// <summary>
        /// 2004 | 设备授权无效
        /// </summary>
        DeviceTokenInvalid = 2004,

        /// <summary>
        /// 20041 | 设备授权已过期
        /// </summary>
        DeviceTokenExpired = 20041,

        
        /// <summary>
        /// 20051 | 接口参数错误
        /// </summary>
        ParameterError = 20051,
    }
}