using System.Runtime.InteropServices;
namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 登录状态枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 登录状态描述</remarks>
    public enum LoginStateEnum
    {
        /// <summary>
        /// Succeed| 0 |登录成功
        /// </summary>
        Succeed = 0,

        /// <summary>
        /// PasswordIncorrect| 1 |登录密码错误
        /// </summary>
        PasswordIncorrect = 1,

        /// <summary>
        /// SignOrLoginFail| 2 |注册或者登录错误
        /// </summary>
        SignOrLoginFail = 2
    }

    /// <summary>
    /// 扫码登录调用来源枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 扫码调用来源枚举描述</remarks>
    public enum ScanLoginSource
    {
        /// <summary>
        /// PC | 0 | PC
        /// </summary>
        PC,
        /// <summary>
        /// Web | 1 | Web
        /// </summary>
        Web,
        /// <summary>
        /// US | 2 | US
        /// </summary>
        US
    }

    /// <summary>
    /// 扫码登录确认状态枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 扫码登录确认状态枚举描述</remarks>
    public enum CheckConfirmScanState
    {
        /// <summary>
        /// Wait | 0 | 等待
        /// </summary>
        Wait,
        /// <summary>
        /// Success | 1 | 成功
        /// </summary>
        Success,
        /// <summary>
        /// Expire | 2 | 失效
        /// </summary>
        Expire,
    }


}