namespace WingInterfaceLibrary.Enum.NotificationEnum
{
    /// <summary>
    /// 通知消息枚举类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 文件类型描述</remarks>
    public enum NotificationTypeEnum
    {
        /// <summary>
        /// Unknown|0| 未知
        /// </summary>
        Unknown = 0,

        /// <summary>
        /// ChatMsgNotification|1| 聊天通知
        /// </summary>
        ChatMsgNotification = 1,

        /// <summary>
        /// TokenReplacedNotification|2| 账号被替换登出通知
        /// </summary>
        TokenReplacedNotification = 2,

        /// <summary>
        /// DisconnectNotification| 3|与服务器断开连接通知
        /// </summary>
        DisconnectNotification = 3,

        /// <summary>
        /// ConnectionNotification| 4|	与服务器已连接通知
        /// </summary>
        ConnectionNotification = 4,

        /// <summary>
        /// ExamRecordsFinishedNotification| 5 | 完成检查通知
        /// </summary>
        ExamRecordsFinishedNotification = 5,

        /// <summary>
        /// RejectApplyConsultationNotification| 6 | 拒绝预约申请的通知
        /// </summary>
        RejectApplyConsultationNotification = 6,

        /// <summary>
        /// CancelInvitingInLiveConsultationNotification| 7 | 取消会诊过程中邀请其他成员的通知
        /// </summary>
        CancelInvitingInLiveConsultationNotification = 7,

        /// <summary>
        /// InviteInLiveConsultationNotification| 8 | 会诊过程中邀请其他成员的通知
        /// </summary>
        InviteInLiveConsultationNotification = 8,

        /// <summary>
        /// InviteInLiveConsultationNotification| 9 | 会诊开始前提醒的通知
        /// </summary>
        ConsultationRemindNotification = 9,

        /// <summary>
        /// PasswordExpiredWarningNotification| 10 | 用户密码过期预警通知
        /// </summary>
        PasswordExpiredWarningNotification = 10,

        /// <summary>
        /// InviteLiveConsultationNotification| 11 | 开始会诊的通知
        /// </summary>
        InviteLiveConsultationNotification = 11,

        /// <summary>
        /// AcceptLiveConsultationNotification| 12 | 接受会诊的通知
        /// </summary>
        AcceptLiveConsultationNotification = 12,

        /// <summary>
        /// RejectLiveConsultationNotification| 13 | 拒绝会诊的通知
        /// </summary>
        RejectLiveConsultationNotification = 13,

        /// <summary>
        /// InviteLiveConsultationToDeviceNotification| 14 | 开始会诊通知 to 设备端
        /// </summary>
        InviteLiveConsultationToDeviceNotification = 14,

        /// <summary>
        /// CancelLiveConsultationNotification| 15 | 取消会诊通知
        /// </summary>
        CancelLiveConsultationNotification = 15,

        /// <summary>
        /// CloseLiveConsultationNotification| 16 | 关闭会诊通知
        /// </summary>
        CloseLiveConsultationNotification = 16,

        /// <summary>
        /// JoinLiveConsultationNotification| 17 | 进入会诊通知
        /// </summary>
        JoinLiveConsultationNotification = 17,

        /// <summary>
        /// NetworkErrConsultationNotification| 18 | 网络质量不佳会诊通知
        /// </summary>
        NetworkErrConsultationNotification = 18,

        /// <summary>
        /// LeaveConsultationNotification| 19 | 离开会诊通知
        /// </summary>
        LeaveConsultationNotification = 19,

        /// <summary>
        /// JoinInLiveConsultationNotification| 20 | 会诊中加入房间
        /// </summary>
        JoinInLiveConsultationNotification = 20,

        /// <summary>
        /// RejectInviteLiveConsultationNotification| 21 | 拒绝会诊中邀请通知
        /// </summary>
        RejectInviteLiveConsultationNotification = 21,

        /// <summary>
        /// ApplyConsultationNotification| 22 | 会诊申请通知
        /// </summary>
        ApplyConsultationNotification = 22,

        /// <summary>
        /// ApprovalApplyConsultationNotification| 23 | 批准申请会诊通知
        /// </summary>
        ApprovalApplyConsultationNotification = 23,

        /// <summary>
        /// InviteeConsultationNotification| 24 | 会诊受邀请人通知
        /// </summary>
        InviteeConsultationNotification = 24,

        /// <summary>
        /// InviteeApproveApplyConsultationNotification| 25 | 会诊受邀请参与人同意通知
        /// </summary>
        InviteeApproveApplyConsultationNotification = 25,

        /// <summary>
        /// InviteeRejectApplyConsultationNotification| 26 | 会诊受邀请参与人拒绝通知
        /// </summary>
        InviteeRejectApplyConsultationNotification = 26,

        /// <summary>
        /// MuteLiveConsultationNotification| 27 | 开启关闭静音
        /// </summary>
        MuteLiveConsultationNotification = 27,

        /// <summary>
        /// SwitchLiveConsultationVideoNotification| 28 | 开启关闭视频
        /// </summary>
        SwitchLiveConsultationVideoNotification = 28,

        /// <summary>
        /// HeartRateJoinConsultationNotification| 29 | 会诊心跳，进入房间
        /// </summary>
        HeartRateJoinConsultationNotification = 29,

        /// <summary>
        /// HeartRateLeaveConsultationNotification| 30 | 会诊心跳，离开房间
        /// </summary>
        HeartRateLeaveConsultationNotification = 30,

        /// <summary>
        /// CloseLiveConsultationToDeviceNotification| 31 | 关闭会诊通知 to 设备端
        /// </summary>
        CloseLiveConsultationToDeviceNotification = 31,

        /// <summary>
        /// CancelLiveConsultationToDeviceNotification| 32 | 取消会诊通知 to 设备端
        /// </summary>
        CancelLiveConsultationToDeviceNotification = 32,

        /// <summary>
        /// AnnouncementPublishNotification| 33 | 公告/广播通知 to 客户端
        /// </summary>
        AnnouncementPublishNotification = 33,

        /// <summary>
        /// SendInteractiveBoardDataNotification| 34 | 互动白板数据通知 to 客户端
        /// </summary>
        SendInteractiveBoardDataNotification = 34,
        /// <summary>
        /// DeviceParametersNotification| 35 | 调参通知 to 客户端
        /// </summary>
        DeviceParametersNotification = 35,

        /// <summary>
        /// DeviceControlledParametersNotification| 36 | 调参通知 to 设备端
        /// </summary>
        DeviceControlledParametersNotification = 36,

        /// <summary>
        /// EmergencyCallNotification| 37 | 急诊呼叫专家通知 to 客户端
        /// </summary>
        EmergencyCallNotification = 37,

        /// <summary>
        /// EmergencyCallFailedNotification| 38 | 急诊呼叫失败通知 to 客户端
        /// </summary>
        EmergencyCallFailedNotification = 38,

        /// <summary>
        /// InviteLiveCourseNotification| 39 | 课程开始通知
        /// </summary>
        InviteLiveCourseNotification = 39,

        /// <summary>
        /// JoinLiveCourseNotification| 40 | 加入课程直播通知
        /// </summary>
        JoinLiveCourseNotification = 40,

        /// <summary>
        /// InviteLiveCourseToDeviceNotification| 41 | 开始直播通知客户端
        /// </summary>
        InviteLiveCourseToDeviceNotification = 41,

        /// <summary>
        /// HeartRateJoinCoNotification| 42 | 加入直播课心跳通知
        /// </summary>
        HeartRateJoinCoNotification = 42,
        /// <summary>
        /// NetworkErrCourseNotification| 43 | 直播课程网络异常通知
        /// </summary>
        NetworkErrCourseNotification = 43,
        /// <summary>
        /// CancelLiveCourseNotification| 44 | 取消直播课通知
        /// </summary>
        CancelLiveCourseNotification = 44,
        /// <summary>
        /// MuteLiveCourseNotification| 45 | 开启或者关闭声音通知
        /// </summary>
        MuteLiveCourseNotification = 45,
        /// <summary>
        /// CancelLiveCourseToDeviceNotification| 46 | 取消直播通知设备端
        /// </summary>
        CancelLiveCourseToDeviceNotification = 46,
        /// <summary>
        /// CloseLiveCourseNotification| 47 | 结束直播通知
        /// </summary>
        CloseLiveCourseNotification = 47,
        /// <summary>
        /// CloseLiveCourseToDeviceNotification| 48 | 取消直播通知设备端
        /// </summary>
        CloseLiveCourseToDeviceNotification = 48,
        /// <summary>
        /// HeartRateLeaveCourseNotification| 49 | 离线直播心跳通知
        /// </summary>
        HeartRateLeaveCourseNotification = 49,
        /// <summary>
        /// LeaveCoursenNotification| 50 | 离开直播通知
        /// </summary>
        LeaveCoursenNotification = 50,
        /// <summary>
        /// SwitchLiveCourseVideoNotification| 51 | 开启或者关闭直播视频通知
        /// </summary>
        SwitchLiveCourseVideoNotification = 51,
        /// <summary>
        /// ChangeConsultationNotification| 52 | 切换会诊房间 to 客户端
        /// </summary>
        ChangeConsultationNotification = 52,
        /// <summary>
        /// ChangeConsultationToDeviceNotification| 53 | 切换会诊房间 to 设备端
        /// </summary>
        ChangeConsultationToDeviceNotification = 53,
        /// <summary>
        /// CourcePaySuccessNotification| 54 | 课程支付成功通知 to 设备端
        /// </summary>
        CourcePaySuccessNotification = 54,
        /// <summary>
        /// CloseConsultationDueToChangeNotification| 55 | 结束会诊（切换房间）通知 to 客户端
        /// </summary>
        CloseConsultationDueToChangeNotification = 55,
        /// <summary>
        /// CloseConsultationDueToChangeToDeviceNotification| 56 | 结束会诊（切换房间）通知 to 设备端
        /// </summary>
        CloseConsultationDueToChangeToDeviceNotification = 56,
        /// <summary>
        /// CourseStatusNotification| 57 | 审核课程状态通知
        /// </summary>
        CourseStatusNotification = 57,
        /// <summary>
        /// UpgradeNotification| 58 | 检查更新通知
        /// </summary>
        UpgradeNotification = 58,

        /// <summary>
        /// UpgradeNotification| 59 | 检查更新通知
        /// </summary>
        EducationReStartNotification = 59,

        /// <summary>
        /// UpgradeNotification| 60 | 检查更新通知
        /// </summary>
        ConsultationReStartNotification = 60,

        /// <summary>
        /// VersionUpgradeNotification| 61 | 版本更新通知
        /// </summary>
        VersionUpgradeNotification = 61,

        /// <summary>
        /// StartLiveToDeviceNotification| 62 | 开始直播通知 to 设备端
        /// </summary>
        StartLiveToDeviceNotification = 62,

        /// <summary>
        /// CloseLiveToDeviceNotification| 63 | 关闭直播通知 to 设备端
        /// </summary>
        CloseLiveToDeviceNotification = 63,

        /// <summary>
        /// DeviceLiveFinishedNotification| 64 | 设备已结束推流通知
        /// </summary>
        DeviceLiveFinishedNotification = 64,

        /// <summary>
        /// ModifyDeviceMergedVideoSizeNotification| 65 | 设备合图尺寸改变通知
        /// </summary>
        ModifyDeviceMergedVideoSizeNotification = 65,
        /// <summary>
        /// DeviceRejectRemoteControlNotification| 66 | 设备拒绝远程控制 to 客户端
        /// </summary>
        DeviceRejectRemoteControlNotification = 66,
        /// <summary>
        /// DeviceDisconnectRemoteControlNotification| 67 | 设备断开远程控制 to 客户端
        /// </summary>
        DeviceDisconnectRemoteControlNotification = 67,
        /// <summary>
        /// CancelInvitingInLiveCourseNotification| 68 | 取消呼叫 to 客户端
        /// </summary>
        CancelInvitingInLiveCourseNotification = 68,
        /// <summary>
        /// StartConsolutionHeartRateToDeviceNotification| 69 | 取消呼叫 to 设备端
        /// </summary>
        StartConsolutionHeartRateToDeviceNotification = 69,
        /// <summary>
        /// CloseConsolutionHeartRateToDeviceNotification| 70 | 取消呼叫 to 设备端
        /// </summary>
        CloseConsolutionHeartRateToDeviceNotification = 70,
        /// <summary>
        /// ConnectStatusToDeviceNotification| 71 | 连接设备端状态 to 设备端
        /// </summary>
        ConnectStatusToDeviceNotification = 71,

        /// <summary>
        /// ConnectStatusToClientNotification| 72 | 返回的连接设备端状态 to 客户端
        /// </summary>
        ConnectStatusToClientNotification = 72,

        /// <summary>
        /// GetRemoteLogToDeviceNotification| 73 | 获取设备日志 to 设备端
        /// </summary>
        GetRemoteLogToDeviceNotification = 73,

        /// <summary>
        /// GetRemoteLogToClientNotification| 74 | 获取设备日志 to 客户端
        /// </summary>
        GetRemoteLogToClientNotification = 74,

        /// <summary>
        /// StartCourseHeartRateToDeviceNotification| 75 | 通知设备开始心跳 to 设备端
        /// </summary>
        StartCourseHeartRateToDeviceNotification = 75,

        /// <summary>
        /// ExecuteResultNotification| 76 | 执行结果通知
        /// </summary>
        ExecuteResultNotification = 76,

        /// <summary>
        /// ProgressBarNotification| 77 | 进度条进度通知
        /// </summary>
        ProgressBarNotification = 77,

        /// <summary>
        /// SendCommandToDeviceNotification| 78 | 发送远程维护指令到设备
        /// </summary>
        SendCommandToDeviceNotification = 78,
        /// <summary>
        /// SendResultToClientNotification| 79 | 发送远程维护结果到客户端
        /// </summary>
        SendResultToClientNotification = 79,

        /// <summary>
        /// PushDevicePatchToDeviceNotification| 80 | 推送设备更新包
        /// </summary>
        PushDevicePatchToDeviceNotification = 80,

        /// <summary>
        /// DeviceDownloadPatchProgressToUserNotification| 81 | 设备上报客户端更新包下载进度
        /// </summary>
        DeviceDownloadPatchProgressToUserNotification = 81,

        /// <summary>
        /// DevicePrinterResultNotification| 82 | 打印机信息结果通知  to 客户端
        /// </summary>
        DevicePrinterResultNotification = 82,
        /// <summary>
        /// DevicePrinterRequestNotification| 83 | 打印机信息请求通知 to 设备端
        /// </summary>
        DevicePrinterRequestNotification = 83,
        /// <summary>
        /// GetRemoteConnectStatusToDeviceNotification| 84 | 获取连接状态日志 to 设备端
        /// </summary>
        GetRemoteConnectStatusToDeviceNotification = 84,
        /// <summary>
        /// RestartDeviceNotification| 85 | 重启设备通知 to 设备端
        /// </summary>
        RestartDeviceNotification = 85,
        /// <summary>
        /// CancelLogDownloadNotification| 86 | 取消日志下载 to 设备端
        /// </summary>
        CancelLogDownloadNotification = 86,

        /// <summary>
        /// ApplyProbeApplicationSettingNotification| 87 | 申请探头设置 to 设备端
        /// </summary>
        ApplyProbeApplicationSettingNotification = 87,

        /// <summary>
        /// ProbeApplicationSettingResponseNotification| 88 | 响应探头设置 to 客户端
        /// </summary>
        ProbeApplicationSettingResponseNotification = 88,
        /// <summary>
        /// MeetingMemberNotification| 89 | 会诊成员改变通知 to 小程序
        /// </summary>
        MeetingMemberNotification = 89,
        /// <summary>
        /// MeetingHangupNotification| 90 | 会诊挂断通知 to 小程序
        /// </summary>
        MeetingHangupNotification = 90,
        /// <summary>
        /// RejectMeetingNotification| 91 | 对方拒绝通知 to 小程序
        /// </summary>
        RejectMeetingNotification = 91,
        /// <summary>
        /// StartEducationHeartRateToDeviceNotification| 92 | 设备心跳 to 设备端
        /// </summary>
        StartEducationHeartRateToDeviceNotification = 92,
        /// <summary>
        /// AcceptMeetingNotification| 93 | 发起者收到对方接受通知 to 小程序
        /// </summary>
        AcceptMeetingNotification = 93,
        /// <summary>
        /// SendLiveInteractiveBoardDataNotification| 94 | 互动白板数据通知 to 客户端
        /// </summary>
        SendLiveInteractiveBoardDataNotification = 94,
        /// <summary>
        /// DeviceJoinLiveCourseNotification| 95 | 设备加入课程通知其他用户 to 客户端
        /// </summary>
        DeviceJoinLiveCourseNotification = 95,
        /// <summary>
        /// CloseCourseHeartRateToDeviceNotification| 96 | 关闭课程心跳通知 to 设备端
        /// </summary>
        CloseCourseHeartRateToDeviceNotification = 96,
        /// <summary>
        /// ChangeShareInLiveCourseNotification| 97 | 共享信息改变通知 to 客户端
        /// </summary>
        ChangeShareInLiveCourseNotification = 97,
        /// <summary>
        /// CourseEntryNotification| 98 | 进入课程通知 to 客户端
        /// </summary>
        CourseEntryNotification = 98,
        /// <summary>
        /// MeetingPendingMemberTimeoutNotification| 99 | 应答超时通知 to 小程序
        /// </summary>
        MeetingPendingMemberTimeoutNotification = 99,
        /// <summary>
        /// ConsultationAnswerTimeout| 100 | 会诊呼叫超时未接听 to 客户端
        /// </summary>
        ConsultationAnswerTimeout = 100,

        /// <summary>
        /// SystemSettingSaveAndExitToClientNotification| 101 | 系统设置保存并退出结果通知 to 客户端，等到这个通知，页面才能关闭
        /// </summary>
        SystemSettingSaveAndExitToClientNotification = 101,

        /// <summary>
        /// RealtimeConsultationMembersNotification| 102 | 实时会诊参与人员列表信息 to 客户端
        /// </summary>
        RealtimeConsultationMembersNotification = 102,

        /// <summary>
        /// UploadConsultationDataNotification| 103 | 上传会诊截图通知
        /// </summary>
        UploadConsultationDataNotification = 103,

        /// <summary>
        /// TaskCompletedNotification| 104 | 任务完成通知
        /// </summary>
        TaskCompletedNotification = 104,

        /// <summary>
        /// DiskSpaceFullNotification| 105 | 磁盘空间不足通知
        /// </summary>
        DiskSpaceFullNotification = 105,
    }
}