namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 检查状态
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 |  检查状态描述枚举</remarks>
    public enum RecordStatusEnum
    {
        /// <summary>
        /// NotScanned-0 | 待扫查
        /// </summary>
        NotScanned,
        /// <summary>
        /// Uploaded-1 | 已传图
        /// </summary>
        Uploaded,
        /// <summary>
        /// NotReport-2 | 已扫查
        /// </summary>
        NotReport,
        /// <summary>
        /// Completed-3 | 已报告
        /// </summary>
        Completed
    }

    /// <summary>
    /// 查询检查状态
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 |  查询检查状态描述枚举</remarks>
    public enum QueryRecordStatusEnum
    {

        /// <summary>
        /// All-0 | 全部
        /// </summary>
        All,

        /// <summary>
        /// NotScanned-1 | 待扫查
        /// </summary>
        NotScanned,
        /// <summary>
        /// Uploaded-2 | 已传图
        /// </summary>
        Uploaded,
        /// <summary>
        /// NotReport-3 | 已扫查
        /// </summary>
        NotReport,
        /// <summary>
        /// Completed-4 | 已报告
        /// </summary>
        Completed,
        /// <summary>
        /// NotCompleted-5 | 未完成（未扫查、未提交报告）
        /// </summary>
        NotCompleted

    }

    /// <summary>
    /// 大列表查询Tab类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 |  查询查询Tab类型描述枚举</remarks>
    public enum RecordProcessStateEnum
    {
        /// <summary>
        /// 0 | 全部
        /// </summary>
        All,
        /// <summary>
        /// 1 | 待处理
        /// </summary>
        Wait,
        /// <summary>
        /// 2 | 已完成
        /// </summary>
        Done,
        /// <summary>
        /// 3 | 已转出
        /// </summary>
        ReferralOut,

    }

    /// <summary>
    /// 大列表状态查询类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 |  大列表状态查询类型描述枚举</remarks>
    public enum RecordQueryStateEnum
    {
         /// <summary>
        /// 0 | 全部
        /// </summary>
        All,
        /// <summary>
        /// NotScanned-1 | 待扫查
        /// </summary>
        NotScanned,
        /// <summary>
        /// Uploaded-2 | 已传图
        /// </summary>
        Uploaded,
        /// <summary>
        /// NotReport-3 | 已扫查
        /// </summary>
        NotReport,
        /// <summary>
        /// Completed-4 | 已报告
        /// </summary>
        Completed,

    }


    /// <summary>
    /// 大列表转诊类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 |  大列表转诊类型描述枚举</remarks>

    public enum ReferralTypeEnum
    {
        /// <summary>
        /// 0 | 正常
        /// </summary>
        Normal,
        /// <summary>
        /// ReferralIn-1 | 转入
        /// </summary>
        ReferralIn,
        /// <summary>
        /// ReferralOut-2 | 转出
        /// </summary>
        ReferralOut,
    }
}