namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 转诊状态(病人)
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 |  检查状态描述枚举</remarks>
    public enum ReferralStatusEnum
    {
        /// <summary>
        /// Wait-0 | 待处理
        /// </summary>
        Wait,
        /// <summary>
        /// Withdrawn-1 | 已撤回
        /// </summary>
        Withdrawn,
        /// <summary>
        /// TimedOut-2 | 已超时
        /// </summary>
        TimedOut,
        /// <summary>
        /// Accepted-3 | 已受理
        /// </summary>
        Accepted,
        /// <summary>
        /// Rejected-4 | 已拒绝
        /// </summary>
        Rejected
    }


    /// <summary>
    /// 转诊状态（检查）
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 |  检查状态描述枚举</remarks>
    public enum RecordReferralStatusEnum
    {

        /// <summary>
        /// ReferralIn-0 | 已转入
        /// </summary>
        ReferralIn,

        /// <summary>
        /// Processed-1 | 已处理
        /// </summary>
        Processed,

         /// <summary>
        /// Withdrawn-2 | 已撤回
        /// </summary>
        Withdrawn,

    }

}