namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 扫查图像文件类型枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 文件类型描述</remarks>
    public enum RemedicalFileDataTypeEnum
    {
        /// <summary>
        /// VinnoVidSingle-0 | 飞依诺单帧图像
        /// </summary>
        VinnoVidSingle = 0,

        /// <summary>
        /// ThirdVidSingle-1 | 第三方单帧图像
        /// </summary>
        ThirdVidSingle = 1,

        /// <summary>
        /// VinnoVidMovie-2 | 飞依诺视频图像
        /// </summary>
        VinnoVidMovie = 2,

        /// <summary>
        /// ThirdVidMovie-3 | 第三方视频图像
        /// </summary>
        ThirdVidMovie = 3,

        /// <summary>
        /// Image-4 | 普通图片
        /// </summary>
        Image = 4,
    }

    /// <summary>
    /// 科研版图像类型
    /// </summary>
    public enum SampleRemedicalFileDataTypeEnum
    {
        /// <summary>
        /// VinnoVidSingle-0 | 飞依诺单帧图像
        /// </summary>
        VinnoVidSingle = 0,

        /// <summary>
        /// ThirdVidSingle-1 | 第三方单帧图像
        /// </summary>
        ThirdVidSingle = 1,

        /// <summary>
        /// VinnoVidMovie-2 | 飞依诺视频图像
        /// </summary>
        VinnoVidMovie = 2,

        /// <summary>
        /// ThirdVidMovie-3 | 第三方视频图像
        /// </summary>
        ThirdVidMovie = 3,

        /// <summary>
        /// Image-4 | 普通图片
        /// </summary>
        Image = 4,

        /// <summary>
        /// Image-5 | 分析图片
        /// </summary>
        AnalysisImage = 5,

        /// <summary>
        /// Image-6 | 分析视频
        /// </summary>
        AnalysisVideo = 6,

        /// <summary>
        /// Image-7 | 测量图片
        /// </summary>
        MeasurementImage = 7,
    }
}