namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 远程维护操作设备枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 描述</remarks>
    public enum RemoteDeviceStateEnum
    {
        /// <summary>
        /// Unknown-0 | 未知
        /// </summary>
        Unknown,
        /// <summary>
        /// Success-1 | 成功
        /// </summary>
        Success,
        /// <summary>
        /// Fail-2 | 失败
        /// </summary>
        Fail,
        /// <summary>
        /// DownloadPatchFail-3 | 下载更新包失败
        /// </summary>
        DownloadPatchFail,
        /// <summary>
        /// CancelDownloadPatch-4 | 设备取消下载安装更新包
        /// </summary>
        CancelDownloadPatch,

        /// <summary>
        /// LogDownloaddFail-5 | 设备端日志打包上传失败
        /// </summary>
        LogDownloaddFail,

        /// <summary>
        /// DeviceCancelLogDownload-6 | 设备端取消日志打包上传
        /// </summary>
        DeviceCancelLogDownload,

        /// <summary>
        /// DeviceDisconnect-7 | 设备端主动断开连接
        /// </summary>
        DeviceDisconnect,

        /// <summary>
        /// DeviceTimeOutDisconnect-8 | 设备端超时断开连接
        /// </summary>
        DeviceTimeOutDisconnect,
        /// <summary>
        /// DownloadPatching-9 | 正在下载安装更新包
        /// </summary>
        DownloadPatching,

        /// <summary>
        /// UserTimeOutDisconnect-10 | 客户端超时断开连接
        /// </summary>
        UserTimeOutDisconnect,

        /// <summary>
        /// ProbeApplicationSettingFail-11 | 探头应用设置失败
        /// </summary>
        ProbeApplicationSettingFail,

        /// <summary>
        /// ChangeDeviceOrganization-12 | 切换设备机构
        /// </summary>
        ChangeDeviceOrganization,
    }
}