namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 业务枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 业务枚举描述</remarks>
    public enum TransactionStatusEnum
    {
        /// <summary>
        ///Applied| 1 |预约会诊，已申请
        /// </summary>
        Applied = 1,

        /// <summary>
        ///Withdrawn| 2 |预约会诊，已撤回 
        /// </summary>
        Withdrawn = 2,

        /// <summary>
        ///Rejected| 3 |预约会诊，已拒绝  
        /// </summary>
        Rejected = 3,

        /// <summary>
        ///ToStart| 4 |预约会诊，待开始（即申请已同意）
        /// </summary>
        ToStart = 4,

        /// <summary>
        /// InProgress|5 |预约会诊，进行中
        /// </summary>
        InProgress = 5,

        /// <summary>
        /// PendingReport|6 | 预约会诊，待报告 
        /// </summary>
        PendingReport =6,

        /// <summary>
        ///End| 7 | 预约会诊，已结束（即会诊报告已提交）
        /// </summary>
        End = 7,

        /// <summary>
        ///Embedded| 8 | RTMP Embedded
        /// </summary>
        Embedded = 8,

        /// <summary>
        ///Common| 9 | RTMP Common
        /// </summary>
        Common = 9,

        /// <summary>
        ///Tencent| 10 | RTMP Tencent
        /// </summary>
        Tencent = 10,

        /// <summary>
        ///TRTC| 11 | RTC TencentRTC
        /// </summary>
        TRTC = 11,

        /// <summary>
        ///VRTC| 12 | RTC VinnoRTC
        /// </summary>
        VRTC = 12,

        /// <summary>
        ///Expired| 13 | Expired
        /// </summary>
        Expired = 13
    }
}