namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 上传文件枚举类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 文件类型描述</remarks>
    public enum UploadFileTypeEnum
    {
        /// <summary>
        /// 0 | 未知
        /// </summary>
        Unknown = 0,
        /// <summary>
        /// 1 | EXE
        /// </summary>
        EXE = 1,
        /// <summary>
        /// 2 | 安卓-APK
        /// </summary>
        APK = 2,
        /// <summary>
        /// 3 | 苹果-IPA
        /// </summary>
        IPA = 3,
        /// <summary>
        /// 4 | ZIP
        /// </summary>
        ZIP = 4,
        /// <summary>
        /// 5 | DAT
        /// </summary>
        DAT = 5,
        /// <summary>
        /// 6 | RAR
        /// </summary>
        RAR = 6,
        /// <summary>
        /// 7 | PNG
        /// </summary>
        PNG = 7,
        /// <summary>
        /// 8 | ICON
        /// </summary>
        ICON = 8,
        /// <summary>
        /// 9 | BMP
        /// </summary>
        BMP = 9,
        /// <summary>
        /// 10 | JPEG
        /// </summary>
        JPEG = 10,
        /// <summary>
        /// 11 | JPG
        /// </summary>
        JPG = 11,
        /// <summary>
        /// 12 | GIF
        /// </summary>
        GIF = 12,
        /// <summary>
        /// 13 | WEBP
        /// </summary>
        WEBP = 13,
        /// <summary>
        /// 14 | TIFF
        /// </summary>
        TIFF = 14,
        /// <summary>
        /// 15 | IMG
        /// </summary>
        IMG = 15,
        /// <summary>
        /// 16 | PDF
        /// </summary>
        PDF = 16,
        /// <summary>
        /// 17 | DOC
        /// </summary>
        DOC = 17,
        /// <summary>
        /// 18 | DOCX
        /// </summary>
        DOCX = 18,
        /// <summary>
        /// 19 | XLS
        /// </summary>
        XLS = 19,
        /// <summary>
        /// 20 | XLSX
        /// </summary>
        XLSX = 20,
        /// <summary>
        /// 21 | MP4
        /// </summary>
        MP4 = 21,
        /// <summary>
        /// 22 | MSI
        /// </summary>
        MSI = 22,
        /// <summary>
        /// 23 | VID
        /// </summary>
        VID = 23,
        /// <summary>
        /// 24 | DICOM
        /// </summary>
        DICOM =24,
        /// <summary>
        /// 25 | PPT
        /// </summary>
        PPT = 25,
        /// <summary>
        /// 26 | PPTX
        /// </summary>
        PPTX = 26,
        /// <summary>
        /// 27 | M4V
        /// </summary>
        M4V = 27,
        /// <summary>
        /// 28 | FVID
        /// </summary>
        FVID = 28,
        /// <summary>
        /// 29 | EVT
        /// </summary>
        EVT = 29,
        /// <summary>
        /// 30 | INF
        /// </summary>
        INF = 30,
        /// <summary>
        /// 31 | FVID
        /// </summary>
        RPT = 31,
    }

    /// <summary>
    /// 文件数据类型枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称 | 代码 | 描述</remarks>
    public enum UploadFileDataTypeEnum
    {
        /// <summary>
        /// ImageUrl | 0 | 云存储文件url地址
        /// </summary>
        ImageUrl = 0,

        /// <summary>
        /// ImageBase64 | 1 | 图像base64
        /// </summary>
        ImageBase64 = 1,
    }
}