namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 在线视频权限枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 在线视频权限枚举描述</remarks>
    public enum VideoPermissionsEnum
    {
        /// <summary>
        /// Public| 0 | 公开
        /// </summary>
        Public,
        /// <summary>
        /// Private| 1 | 私有
        /// </summary>
        Private,
        /// <summary>
        /// LinkToCourse| 2 | 课程报名
        /// </summary>
        LinkToCourse,
        /// <summary>
        /// Fee| 3 | 收费
        /// </summary>
        Fee,
        /// <summary>
        /// AdminAvailable| 4 | 管理员可见
        /// </summary>
        AdminAvailable,
        /// <summary>
        /// Standardized| 5 | 班级
        /// </summary>
        Standardized,
    }

    /// <summary>
    /// 在线视频重要等级
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 在线视频重要等级描述</remarks>
    public enum VideoImportanceEnum
    {
        /// <summary>
        /// Normal| 0 | Normal
        /// </summary>
        Normal = 0,
        /// <summary>
        /// Importance| 1 | Importance
        /// </summary>
        Importance,
    }


    /// <summary>
    /// 在线视频标签类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 在线视频标签类型描述</remarks>
    public enum VideoLabelEnum
    {
        /// <summary>
        /// NoRecording| 0 | 不可录屏
        /// </summary>
        NoRecording,
        /// <summary>
        /// NoFastForward| 1 | 不可快进
        /// </summary>
        NoFastForward,
        /// <summary>
        /// TeachingDocument| 2 | 同步教学文档
        /// </summary>
        TeachingDocument,
    }
}