namespace WingInterfaceLibrary.Enum.VitalEnum
{
    /// <summary>
    /// Vital项目签约状态枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>代码 | 调用端类型描述</remarks>
    public enum ContractStateEnum
    {
        /// <summary>
        /// 0 | 未签约
        /// </summary>
        Unsigned,

        /// <summary>
        /// 1 | 已解约
        /// </summary>   
        Cancelled,

        /// <summary>
        /// 2| 已过期
        /// </summary>
        Expired,

        /// <summary>
        /// 3| 已签约
        /// </summary>
        Signed,
        
        /// <summary>
        /// 4 | 已作废
        /// </summary>
        Voided,

        /// <summary>
        /// 5 | 已拒签
        /// </summary>
        Refused
    }
}