namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 工作项状态枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 枚举描述</remarks>
    public enum WorkingItemStatusEnum
    {
        /// <summary>
        /// Free| 0 | 免费
        /// </summary>
        Free = 0,

        /// <summary>
        /// Probation| 1 | 试用
        /// </summary>
        Probation = 1,

        /// <summary>
        /// Unpaid| 2 | 未付费
        /// </summary>
        Unpaid = 2,

        /// <summary>
        /// Purchased| 3 | 已购买
        /// </summary>
        Purchased = 3,

        /// <summary>
        /// Expired| 4 | 已过期
        /// </summary>
        Expired = 4
    }

    /// <summary>
    /// 申请试用结果状态枚举
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 枚举描述</remarks>
    public enum ApplyMeasureProbationEnum
    {
        /// <summary>
        /// Success| 0 | 申请成功
        /// </summary>
        Success = 0,

        /// <summary>
        /// Tested| 1 | 已试用过
        /// </summary>
        Tested = 1,

        /// <summary>
        /// InTrial| 2 | 试用中
        /// </summary>
        InTrial = 2
    }
}