﻿using System.Threading.Tasks;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Role;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IAdminRoleDBService
    {
        Task<string> InsertAdminRoleAsync(CreateAdminRoleDBRequest request);
        Task<AdminRoleDTO> FindAdminRoleByNameAsync(string name);
        Task<AdminRoleDTO> FindAdminRoleByCodeAsync(string code);
        Task<PageCollection<AdminRoleDTO>> FindAdminRolePagesAsync(PageFilterRequest request);
        Task<bool> DeleteAdminRoleByCodeAsync(string code);
        Task<bool> UpdateAdminRoleByCodeAsync(string code, AdminRoleDTO data, string extensionData);
        Task<List<AdminRoleDTO>> FindAdminRoleListByCodesAsync(List<string> roleCodes);
    }
}
