using System.Threading.Tasks;
using WingInterfaceLibrary.Request.DBRequest;
using WingInterfaceLibrary.DTO.DiagnosisResult;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IDiagnosisResultDBService
    {
        /// <summary>
        /// 保存AI诊断结果
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> AddDiagnosisResultInfosAsync(AddDiagnosisResultInfosDBRequest request);

        /// <summary>
        /// 查询图像AI原始结果详情
        /// </summary>
        /// <returns></returns>
        Task<DiagnosisResultDTO> GetDiagnosisResultInfoByCodeAsync(GetDiagnosisResultInfoDBRequest request);
    }
}
