﻿using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.UserFeature;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IUserFeaturesDBService
    {
        Task<string> InsertUserFeatureAsync(CreateUserFeatureDBRequest request);
        Task<UserFeatureInfoDTO> FindUserFeatureByNameAsync(string name);
        Task<UserFeatureInfoDTO> FindUserFeatureByCodeAsync(string code);
        Task<PageCollection<UserFeatureInfoDTO>> FindUserFeaturePagesAsync(PageFilterRequest request);
        Task<bool> DeleteUserFeatureByCodeAsync(string code);
        Task<bool> UpdateUserFeatureByCodeAsync(string code, UserFeatureInfoDTO data, string extensionData);

        /// <summary>
        /// 修改远程维护管理员角色的用户数据
        /// </summary>
        /// <returns>是否成功</returns>
        Task<bool> UpgradeRemoteMaintainUserRoleDBAsync();
    }
}
