using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Measure;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request.DBRequest;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// 测量结果记录导出服务
    /// </summary>
    public interface IMeasureExportRecordDBService
    {
        /// <summary>
        /// 查询测量结果记录导出服务
        /// </summary>
        /// <param name="request">请求对象</param>
        /// <returns></returns>
        Task<MeasureExportRecordDTO> GetMeasureExportRecordsByConditionAsync(QueryMeasureExportRecordDBRequest request);

        /// <summary>
        /// 新增测量结果记录导出服务
        /// </summary>
        /// <param name="request">请求对象</param>
        /// <returns></returns>
        Task<string> AddMeasureExportRecordAsync(AddMeasureExportRecordDBRequest request);

        /// <summary>
        /// 修改图像操作记录
        /// </summary>
        /// <param name="request">请求对象</param>
        /// <returns></returns>
        Task<bool> UpdateMeasureExportRecordAsync(UpdateMeasureExportRecordDBRequest request);

        /// <summary>
        /// 查询分享图像列表记录
        /// </summary>
        /// <param name="request">请求对象</param>
        /// <returns></returns>
        Task<MeasureExportRecordDTO> GetMeasureExportRecordByCodeAsync(string code);

        /// <summary>
        /// 查询分享图像记录导出服务
        /// </summary>
        /// <param name="request">请求对象</param>
        /// <returns></returns>
        Task<MeasureExportRecordDTO> GetShareImagesRecordsByConditionAsync(QueryMeasureExportRecordDBRequest request);

        /// <summary>
        /// 查询分享图像列表记录
        /// </summary>
        /// <param name="recordCode">记录</param>
        /// <param name="recordType">类型</param>
        /// <returns></returns>
        Task<List<MeasureExportRecordDTO>> GetMeasureExportRecordByRecordCodeAsync(string recordCode, MeasureImageRecordTypeEnum recordType);
        
    }
}