using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.DTO.Message;
using WingInterfaceLibrary.Result;
using System.Collections.Generic;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// Message数据服务
    /// </summary>
    public interface IMessageDBService
    {
        /// <summary>
        /// 通过UserCode获取消息列表接口
        /// </summary>
        /// <returns></returns>
        Task<PageResult<MessageInfoDTO>> GetMessagesPageDBAsync(GetMessagesDBPageRequest request);

        /// <summary>
        /// 增加消息列表接口
        /// </summary>
        /// <returns></returns>
        Task<bool> AddMessageInfoDBAsync(AddMessagesDBRequest request);

        /// <summary>
        ///更新消息信息接口
        /// </summary>
        /// <returns></returns>
        Task<bool> UpdateMessageInfoDBAsync(UpdateMessagesDBRequest request);

        /// <summary>
        ///批量更新消息状态信息列表接口
        /// </summary>
        /// <returns></returns>
        Task<bool> UpdateMessagesStatusDBAsync(UpdateMessagesStatusDBequest request);

        /// <summary>
        /// 获取未读消息数量
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<List<string>> GetNoReadMessagesDBAsync(GetNoReadMessagesDBRequest request);

        /// <summary>
        /// 通过UserCode获取消息列表接口
        /// </summary>
        /// <returns></returns>
        Task<MessageInfoDTO> GetMessageDBByConditionAsync(FindMessagesDBRequest request);
    }
}