using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request.DBRequest;
using WingInterfaceLibrary.Result;
using WingInterfaceLibrary.DTO.Courses;
using WingInterfaceLibrary.Request.Courses;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.DTO.DataCenter;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.DTO.Package;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// 软件安装包数据库服务
    /// </summary>
    public interface IPackagesDBService
    {        
        /// <summary>
        /// 查询软件安装包
        /// </summary>
        /// <returns></returns>
        Task<PackagesDTO> GetPackageDBAsync(GetPackageDBRequest request);

        /// <summary>
        /// 根据唯一标识查询软件安装包
        /// </summary>
        /// <returns></returns>
        Task<PackagesDTO> GetPackageByUniquedCodeDBAsync(GetPackageByUniquedCodeDBRequest request);

        /// <summary>
        /// 新增/更新软件安装包
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> AddOrUpdatePackageDBAsync(PackagesDTO request);

    }
}