using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Result;
using WingInterfaceLibrary.DTO.Project;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// 项目配置数据库服务
    /// </summary>
    public interface IProjectDBService
    {
        /// <summary>
        /// 分页查询项目配置
        /// </summary>
        /// <returns></returns>
        Task<PageResult<ProjectInfoDTO>> GetProjectByPageDBAsync(GetProjectByPageDBRequest request);

        /// <summary>
        /// 查询项目配置详情
        /// </summary>
        /// <returns></returns>
        Task<ProjectInfoDTO> GetProjectDBAsync(GetProjectDBRequest request);

        /// <summary>
        /// 新增/更新项目配置
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> AddOrUpdateProjectDBAsync(ProjectInfoDTO request);

        /// <summary>
        /// 删除项目配置
        /// </summary>
        /// <returns></returns>
        Task<bool> DeleteProjectDBAsync(DeleteProjectDBRequest request);

        /// <summary>
        /// 查询所有项目配置
        /// </summary>
        /// <returns></returns>
        Task<List<ProjectInfoDTO>> GetProjectAllDBAsync();

    }
}