using System.Threading.Tasks;
using WingInterfaceLibrary.Result;
using WingInterfaceLibrary.DTO.Project;
using WingInterfaceLibrary.DB.Request;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// 项目数据推送记录数据库服务
    /// </summary>
    public interface IProjectPushRecordDBService
    {
        /// <summary>
        /// 分页查询项目数据推送记录
        /// </summary>
        /// <returns></returns>
        Task<PageResult<ProjectPushRecordDTO>> GetProjectPushRecordByPageDBAsync(GetProjectPushRecordByPageDBRequest request);

        /// <summary>
        /// 查询项目数据推送记录详情
        /// </summary>
        /// <returns></returns>
        Task<ProjectPushRecordDTO> GetProjectPushRecordDBAsync(GetProjectPushRecordDBRequest request);

        /// <summary>
        /// 新增/更新项目数据推送记录
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> AddOrUpdateProjectPushRecordDBAsync(ProjectPushRecordDTO request);

        /// <summary>
        /// 删除项目数据推送记录
        /// </summary> 
        /// <returns></returns>
        Task<bool> DeleteProjectPushRecordDBAsync(DeleteProjectPushRecordDBRequest request);
    }
}