using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.DTO.Vital;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// 登记小程序-登记人员详细信息置 数据库服务
    /// </summary>
    public interface IRegisterPersonInfoDBService
    {        
        /// <summary>
        /// 新增人员
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> AddPersonInfoAsync(PersonInfoFullDTO request);

        /// <summary>
        /// 根据code查询登记人员信息
        /// </summary>
        /// <param name="code"></param>
        /// <returns></returns>
        Task<PersonInfoFullDTO> FindPersonInfoByCodeAsync(string code);

        /// <summary>
        /// 修改人员信息
        /// </summary>
        /// <param name="personFullInfo"></param>
        /// <returns></returns>
        Task<bool> UpdatePersonInfoAsync(PersonInfoFullDTO personFullInfo);

        /// <summary>
        /// 获取登记人员列表分页
        /// </summary>
        /// <param name="request">分页请求</param>
        /// <returns>返回报告列表</returns>
        Task<PageCollection<PersonInfoFullDTO>> GetPersonPageAsync(GetPersonPageRequest request);

        /// <summary>
        /// 根据code删除登记人员
        /// </summary>
        /// <param name="code"></param>
        /// <returns></returns>
        Task<bool> DeletePersonAsync(string code);

    }
}