using System.Threading.Tasks;
using WingInterfaceLibrary.Request.DBRequest;
using WingInterfaceLibrary.DTO.DiagnosisResult;
using WingInterfaceLibrary.DTO.Comment;
using System.Collections.Generic;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IRemedicalAISelectedInfoDBService
    {
        /// <summary>
        /// 查询AI图像详情
        /// </summary>
        /// <returns></returns>
        Task<RemedicalAISelectedInfoDTO> GetRemedicalAISelectedInfoAsync(GetRemedicalAISelectedInfoDBRequest request);

        /// <summary>
        /// 查询病人AI图像集合
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<List<RemedicalAISelectedInfoDTO>> GetPatientAISelectedInfosAsync(GetPatientAISelectedInfosDBRequest request);

        /// <summary>
        /// 保存AI图像详情
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> SaveRemedicalAISelectedInfoAsync(RemedicalAISelectedInfoDTO request);

        /// <summary>
        /// 保存VID图像地址
        /// </summary>
        /// <returns></returns>
        Task<bool> UpdateRemedicalAISelectedFileInfoAsync(UpdateRemedicalAISelectedFileInfoDBRequest request);
    }
}
