﻿using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.DTO.Storage;
using WingInterfaceLibrary.Request.Notification;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface IStorageDBService
    {
        /// <summary>
        /// 存储文件信息
        /// </summary>
        /// <param name="url">文件地址</param>
        /// <returns></returns>
        Task<StorageInfoDTO> StorageAsync(string url);

        /// <summary>
        /// 根据Token获取文件信息
        /// </summary>
        /// <param name="token">文件唯一码</param>
        /// <returns></returns>
        Task<StorageInfoDTO> GetStorageRouteAsync(string token);

        /// <summary>
        /// 删除文件
        /// </summary>
        /// <param name="token">文件唯一码</param>
        /// <returns></returns>
        Task<bool> RemoveAsync(string token); 
        
        /// <summary>
        /// 根据uploadid删除存储文件
        /// </summary>
        /// <param name="uploadId"></param>
        /// <returns></returns>
        Task<bool> RealDeleteMultiPartUploadInfoDBAsync(string uploadId);

        /// <summary>
        /// 根据uploadid查询存储文件
        /// </summary>
        /// <param name="uploadId"></param>
        /// <returns></returns>
        Task<MultiPartUploadInfoDTO> GetMultiPartUploadInfoDBAsync(string uploadId);

        /// <summary>
        /// 保存存储文件数据
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> SaveMultiPartUploadInfoDBAsync(MultiPartUploadInfoDTO request);
    }
}
