using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.DTO.Management;
using WingInterfaceLibrary.Request.Management;
using WingInterfaceLibrary.Result;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// 系统配置服务
    /// </summary>
    public interface ISystemConfigDBService
    {
        /// <summary>
        /// 保存系统配置 
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> SaveSystemConfigDBAsync(SystemConfigDTO request);

        /// <summary>
        /// 获取系统配置通过code
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<SystemConfigDTO> GetSystemConfigByCodeDBAsync(QuerySystemConfigRequest request);

        /// <summary>
        /// 分页获取系统配置
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<PageResult<SystemConfigDTO>> GetSystemConfigByPagesDBAsync(FindSystemConfigPagesDBRequest request);

        /// <summary>
        /// 重新加载语言配置信息
        /// </summary>
        /// <returns></returns>
        Task<bool> ReloadLanguageConfigDBAsync();
    }
}