using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.ResearchEdition;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    public interface ITaskDBService
    {
        /// <summary>
        /// 查询任务列表
        /// </summary>
        /// <param name="request">查询项目列表请求实体</param>
        /// <returns></returns>
        /// <errorCodes></errorCodes>
        Task<IList<TaskDTO>> GetTaskListDBAsync(GetTaskListDBRequest request);

        /// <summary>
        /// 查询任务明细
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<TaskDTO> GetTaskDetailDBAsync(GetTaskDBRequest request);

        /// <summary>
        /// 创建任务
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> CreateTaskDBAsync(CreateTaskDBRequest request);

        /// <summary>
        /// 修改任务
        /// </summary>
        /// <param name="request">修改任务请求实体</param>
        /// <returns></returns>
        Task<bool> UpdateTaskDBAsync(UpdateTaskDBRequest request);

        /// <summary>
        /// 删除任务
        /// </summary>
        /// <param name="request">删除任务请求实体</param>
        /// <returns></returns>
        Task<bool> DeleteTaskDBAsync(DeleteTaskDBRequest request);

        /// <summary>
        /// 创建主任务
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> CreateMainTaskDBAsync(CreateTaskDBRequest request);

        /// <summary>
        /// 修改主任务
        /// </summary>
        /// <param name="request">修改任务请求实体</param>
        /// <returns></returns>
        Task<bool> UpdateMainTaskDBAsync(UpdateTaskDBRequest request);

        /// <summary>
        /// 删除主任务
        /// </summary>
        /// <param name="request">删除任务请求实体</param>
        /// <returns></returns>
        Task<bool> DeleteMainTaskDBAsync(DeleteTaskDBRequest request);
    }
}