using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request.DBRequest;
using WingInterfaceLibrary.Result;
using WingInterfaceLibrary.DTO.Courses;
using WingInterfaceLibrary.Request.Courses;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.DTO.DataCenter;
using WingInterfaceLibrary.DTO.Record;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// 用户组数据库服务
    /// </summary>
    public interface IUserGroupDBService
    {
        /// <summary>
        /// 分页查询用户群组
        /// </summary>
        /// <returns></returns>
        Task<PageResult<UserGroupDTO>> GetUserGroupByPageDBAsync(GetUserGroupByPageDBRequest request);

        /// <summary>
        /// 查询用户组详情
        /// </summary>
        /// <returns></returns>
        Task<UserGroupDTO> GetUserGroupDBAsync(GetUserGroupDBRequest request);

        /// <summary>
        /// 新增/更新用户组信息
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> AddOrUpdateUserGroupDBAsync(UserGroupDTO request);

        /// <summary>
        /// 分页查询用户群组检查记录
        /// </summary>
        /// <returns></returns>
        Task<PageResult<RecordInfoDTO>> GetUserGroupRecordsByPageDBAsync(GetUserGroupRecordsByPageDBRequest request);

    }
}