using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.ResearchEdition;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// 用户科研URM配置db服务接口
    /// </summary>
    public interface IUserUrmConfigDBService
    {
        /// <summary>
        /// 保存用户URM配置信息
        /// </summary>
        /// <returns></returns>
        Task<string> SaveUserUrmConfigDBAsync(UserUrmConfigDTO request);

        /// <summary>
        /// 删除用户URM配置信息
        /// </summary>
        /// <returns></returns>
        Task<bool> DeleteUserUrmConfigDBAsync(string code);

        /// <summary>
        /// 设置默认用户URM配置信息
        /// </summary>
        /// <returns></returns>
        Task<bool> SetDefaultUserUrmConfigDBAsync(string userCode, string configCode);

        /// <summary>
        /// 查看用户URM配置集合
        /// </summary>
        /// <returns></returns>
        Task<List<UserUrmConfigDTO>> GetUserUrmConfigsDBAsync(string userCode);
    }
}