using System.Threading.Tasks;
using System.Collections.Generic;
using WingInterfaceLibrary.Request.DBVitalRequest;
using WingInterfaceLibrary.DTO.Vital;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Interface.DBVitalInterface
{
    /// <summary>
    /// 第三方厂商数据推送记录
    /// </summary>
    public interface IVitalFacturyPostHistoryDBService
    {
        /// <summary>
        /// 创建数据
        /// </summary>
        /// <param name="request">创建请求</param>
        /// <returns></returns>
        Task<string> CreateFacturyPostHistoryDBAsync(CreateFacturyPostHistoryDBRequest request);

        /// <summary>
        /// 更新数据
        /// </summary>
        /// <param name="request">更新请求</param>
        /// <returns></returns>
        Task<bool> UpdateFacturyPostHistoryDBAsync(UpdateFacturyPostHistoryDBRequest request);

        /// <summary>
        /// 根据编码获取第三方厂商数据推送记录
        /// </summary>
        /// <param name="request">数据编码</param>
        /// <returns></returns>
        Task<FacturyPostHistoryDTO> GetFacturyPostHistoryDBAsync(GetFacturyPostHistoryDBRequest request);

        /// <summary>
        /// 分页获取第三方厂商数据推送记录
        /// </summary>
        /// <param name="request">分页请求</param>
        /// <returns></returns>
        Task<PageCollection<FacturyPostHistoryDTO>> GetFacturyPostHistoryByPageDBAsync(GetFacturyPostHistoryByPageDBRequest request);

        /// <summary>
        /// 获取所有未推送数据记录
        /// </summary>
        /// <param name="request">分页请求</param>
        /// <returns></returns>
        Task<List<FacturyPostHistoryDTO>> GetNonPostHistoryDBAsync(GetNonPostHistoryDBRequest request);

        /// <summary>
        /// 删除数据
        /// </summary>
        /// <param name="request">数据编码</param>
        /// <returns></returns>
        Task<bool> RemoveFacturyPostHistoryDBAsync(RemoveFacturyPostHistoryDBRequest request);
    }
}
