using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Vital;
using WingInterfaceLibrary.Request.Vital;

namespace WingInterfaceLibrary.Interface.DBVitalInterface
{
    /// <summary>
    /// 健康统计平台数据库服务
    /// </summary>
    public interface IVitalHealthStatisticDBService
    {
        /// <summary>
        /// 获取健康平台县市统计数据
        /// </summary>
        /// <param name="request">请求实体</param>
        /// <returns>县市统计数据</returns>
        Task<CountyHealthPlatformStatisticsDTO> GetCountyHealthPlatformStatisticsDBAsync(HealthPlatformStatisticsRequest request);

        /// <summary>
        /// 获取健康平台乡镇统计数据
        /// </summary>
        /// <param name="request">请求实体</param>
        /// <returns>乡镇统计数据</returns>
        Task<TownHealthPlatformStatisticsDTO> GetTownHealthPlatformStatisticsDBAsync(HealthPlatformStatisticsRequest request);

        /// <summary>
        /// 获取健康平台村级统计数据
        /// </summary>
        /// <param name="request">请求实体</param>
        /// <returns>村级统计数据</returns>
        Task<VillageHealthPlatformStatisticsDTO> GetVillageHealthPlatformStatisticsDBAsync(HealthPlatformStatisticsRequest request);

        /// <summary>
        /// 验证是否更新统计平台数据
        /// </summary>
        /// <param name="request">请求实体</param>
        /// <returns>是否需要更新</returns>
        Task<bool> CheckIsNeedUpdateHealthStatisticsDBAsync(CheckIsNeedUpdateHealthStatisticsRequest request);
    }
}