using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.ServerInfo;
using WingInterfaceLibrary.Request.FastestServer;
using System.Collections.Generic;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Request.User;

namespace WingInterfaceLibrary.Interface
{
    /// <summary>
    /// Dongle服务接口
    /// </summary>
    /// <docFirstDirectory>Dongle服务API</docFirstDirectory>
    /// <docSecondDirectory>Dongle服务</docSecondDirectory>
    public interface IDongleService
    {
        /// <summary>
        /// 读取智能锁Id
        /// </summary>
        /// <returns></returns>
        Task<string> ReadDongleIdAsync(TokenRequest request);

        /// <summary>
        /// 重新激活server的Dongle
        /// </summary>
        /// <returns></returns>
        Task<bool> RewriteServerDongleAsync(RewriteServerDongleRequest request);

        /// <summary>
        /// 上报客户信息
        /// </summary>
        /// <returns></returns>
        Task<bool> ReportServerInfoAsync(ReportServerInfoRequest request);
    }
}