﻿using System.Collections.Generic;
using System.Threading.Tasks;

namespace WingInterfaceLibrary.Interface
{
    /// <summary>
    /// Email 服务
    /// </summary>
    public interface IEmailService
    {
        /// <summary>
        /// Send email
        /// </summary>
        /// <param name="receivers"></param>
        /// <param name="templateName"></param>
        /// <param name="templateArg"></param>
        /// <param name="language"></param>
        /// <returns>返回是否成功</returns>
        /// <errorCodes>ExceptionError</errorCodes>
        Task<bool> SendEmailAsync(string language, List<string> receivers, string templateName, params string[] templateArg);
    }
}
