﻿using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Lab;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Request.Lab;
using WingInterfaceLibrary.Result;

namespace WingInterfaceLibrary.Interface
{
    /// <summary>
    /// 实验室服务
    /// </summary>
    /// <docFirstDirectory>客户端API</docFirstDirectory>
    /// <docSecondDirectory>实验室服务接口</docSecondDirectory>
    public interface ILabService
    {
        // /// <summary>
        // /// 转化vid 更新数据
        // /// </summary>
        // /// <param name="labFileInfo"></param>
        // /// <returns></returns>
        // Task<string> DoConvertToVid(LabFileInfoRequest labFileInfo);
        /// <summary>
        /// 实验室上传文件记录
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<RecordLaboratoryFileResult> RecordLaboratoryFile(RecordLaboratoryFileRequest request);

        /// <summary>
        /// 获取文件夹
        /// </summary>
        /// <param name="request">请求对象</param>
        /// <returns>文件夹列表</returns>
        /// <errorCodes></errorCodes>
        Task<IList<LabFolderDTO>> GetLabFolderListAsync(TokenRequest request);

        /// <summary>
        /// 根据文件夹获取文件列表
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<PageResult<RemedicalInfoDTO>> GetFileListByFolderAsync(GetFileListByFolderRequest request);

        /// <summary>
        /// 获取模版文件
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<DownloadLabFileTemplateResult> DownloadLabFileTemplateAsync(DownloadLabFileTemplateRequest request);
    }
}
