using System.Threading.Tasks;
using WingInterfaceLibrary.Request.Task;

namespace WingInterfaceLibrary.Interface
{
    /// <summary>
    /// 队列任务
    /// </summary>
    /// <docFirstDirectory> </docFirstDirectory>
    /// <docSecondDirectory> </docSecondDirectory>
    public interface ITaskService
    {
        /// <summary>
        /// 加入任务
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> AddTaskAsync(AddTaskRequest request);

        /// <summary>
        /// 插队
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<string> AddJumpQueueTaskAsync(AddTaskRequest request);

        /// <summary>
        /// 取消
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> CancelTaskAsync(StopTaskRequest request);

        /// <summary>
        /// 停止(暂停)
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> StopTaskAsync(StopTaskRequest request);

        /// <summary>
        /// 继续
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        Task<bool> ContinueTaskAsync(TaskRequest request);



    }

}