using System.Threading.Tasks;
using System.Collections.Generic;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Request.Vital;
using WingInterfaceLibrary.DTO.Vital;

namespace WingInterfaceLibrary.Interface.VitalInterface
{
    /// <summary>
    /// 通知服务
    /// </summary>
    /// <docFirstDirectory>客户端API</docFirstDirectory>
    /// <docSecondDirectory>管理接口</docSecondDirectory>
    public interface IVitalNotificationService
    {
        /// <summary>
        /// 创建通知数据
        /// </summary>
        /// <param name="request">新建请求</param>
        /// <returns>F6B05EA898F244D1A389268CBE409825</returns>
        Task<string> CreateNotificationAsync(CreateNotificationRequest request);

        /// <summary>
        /// 获取通知详情
        /// </summary>
        /// <param name="request">查询详情请求</param>
        /// <returns></returns>
        Task<NotificationDTO> GetNotificationDetailAsync(GetNotificationRequest request);

        /// <summary>
        /// 获取通知数据分页
        /// </summary>
        /// <param name="request">数据分页查询请求</param>
        /// <returns>返回列表</returns>
        Task<FilterNotificationDTO> GetNotificationPageAsync(NotificationPageRequest request);
    }
}
