using System.Threading.Tasks;
using System.Collections.Generic;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Request.Vital;
using WingInterfaceLibrary.DTO.Vital;

namespace WingInterfaceLibrary.Interface.VitalInterface
{
    /// <summary>
    /// 区域服务
    /// </summary>
    /// <docFirstDirectory>客户端API</docFirstDirectory>
    /// <docSecondDirectory>区域接口</docSecondDirectory>
    public interface IVitalRegionService
    {
        /// <summary>
        /// 设置可见行政区
        /// </summary>
        /// <param name="request">设置请求</param>
        /// <returns></returns>
        Task<bool> SetRegionVisibleConfigAsync(SetRegionVisibleConfigRequest request);

        /// <summary>
        /// 获取可见行政区
        /// </summary>
        /// <param name="request">获取请求</param>
        /// <returns></returns>
        Task<List<long>> GetRegionVisibleConfigAsync(GetRegionVisibleConfigRequest request);
    }
}
