using System.Collections.Generic;
using System.Threading.Tasks;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Request.Vital;
using WingInterfaceLibrary.DTO.Vital;

namespace WingInterfaceLibrary.Interface.VitalInterface
{
    /// <summary>
    /// 日历服务
    /// </summary>
    /// <docFirstDirectory>客户端API</docFirstDirectory>
    /// <docSecondDirectory>服务包接口</docSecondDirectory>
    public interface IVitalScheduleService
    {
        /// <summary>
        /// 查找日程数据请求
        /// </summary>
        /// <param name="request">请求实体</param>
        /// <returns></returns>
        Task<IList<ClientScheduleDTO>> FindSchedulesAsync(FindSchedulesRequest request);
    }
}