using System.Threading.Tasks;
using System.Collections.Generic;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Request.Vital;
using WingInterfaceLibrary.DTO.Vital;

namespace WingInterfaceLibrary.Interface.VitalInterface
{
    /// <summary>
    /// 用户密码服务
    /// </summary>
    /// <docFirstDirectory>客户端API</docFirstDirectory>
    /// <docSecondDirectory>用户管理接口</docSecondDirectory>
    public interface IVitalUserPasswordService
    {
        /// <summary>
        /// 创建用户密码数据
        /// </summary>
        /// <param name="request">新建请求</param>
        /// <returns>F6B05EA898F244D1A389268CBE409825</returns>
        Task<string> CreateUserPasswordAsync(CreateUserPasswordRequest request);

        /// <summary>
        /// 获取用户密码详情
        /// </summary>
        /// <param name="request">查询详情请求</param>
        /// <returns></returns>
        Task<UserPasswordDTO> GetUserPasswordDetailAsync(GetUserPasswordRequest request);

        /// <summary>
        /// 更新用户密码数据
        /// </summary>
        /// <param name="request">更新请求</param>
        /// <returns>true</returns>
        Task<bool> UpdateUserPasswordAsync(UpdateUserPasswordRequest request);
    }
}
