using System.Threading.Tasks;
using WingInterfaceLibrary.Internal.Request;

namespace WingInterfaceLibrary.Internal.Interface
{
    /// <summary>
    /// 数据中心服务
    /// </summary>
    public interface IDataCenterService
    {
        /// <summary>
        /// 接受实时会诊业务数据
        /// </summary>
        /// <returns></returns>
        Task<bool> ReceiveLiveConsultationAsync(ReceiveLiveConsultationRequest request);

        /// <summary>
        /// 接受分时会诊业务数据
        /// </summary>
        /// <returns></returns>
        Task<bool> ReceiveRemoteDiagnosisAsync(ReceiveRemoteDiagnosisRequest request);

        /// <summary>
        /// 接受报告数据
        /// </summary>
        /// <returns></returns>
        Task<bool> ReceiveReportAsync(ReceiveReportInfosRequest request);

        /// <summary>
        /// 接受图像诊断结果数据
        /// </summary>
        /// <returns></returns>
        Task<bool> ReceiveFileDiagnosisResultAsync(ReceiveFileDiagnosisResultInfosRequest request);

        /// <summary>
        /// 接受远程培训业务数据
        /// </summary>
        /// <returns></returns>
        Task<bool> ReceiveOnlineTrainingAsync(ReceiveOnlineTrainingRequest request);

        /// <summary>
        /// 接受教培素材业务数据
        /// </summary>
        /// <returns></returns>
        Task<bool> ReceiveOnlineVideoAsync(ReceiveOnlineVideoRequest request);

        /// <summary>
        /// 接受试卷数据
        /// </summary>
        /// <returns></returns>
        Task<bool> ReceiveExamPaperAsync(ReceiveExamPaperInfosRequest request);

        /// <summary>
        /// 接受课程专辑数据
        /// </summary>
        /// <returns></returns>
        Task<bool> ReceiveCourseAlbumAsync(ReceiveCourseAlbumInfosRequest request);
    }
}