using System.Collections.Generic;
using WingInterfaceLibrary.DTO.DataCenter;
using WingInterfaceLibrary.DTO.Patient;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.DTO.Vital;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 添加/修改超声检查请求
    /// </summary>
    public class AddOrUpdateRecordInternalRequest : TokenRequest
    {
        public RecordInfoDTO RecordInfo { get; set; }
    }
    
    /// <summary>
    /// 添加/修改患者请求
    /// </summary>
    public class AddOrUpdatePatientInfoRequest : TokenRequest
    {
        public PatientInfoDTO PatientInfo { get; set; }
    }
    
    /// <summary>
    /// 添加/修改远程图像请求
    /// </summary>
    public class AddOrUpdateRemedicalRequest : TokenRequest
    {
        public RemedicalInfoDTO RemedicalInfo { get; set; }
    }
    
    /// <summary>
    /// 添加/修改登记请求
    /// </summary>
    public class AddOrUpdateRegisterPersonInfoRequest : TokenRequest
    {
        public RegisterPersonInfoDTO RegisterPersonInfo { get; set; }
    }
    
    /// <summary>
    /// 添加/修改基础检查请求
    /// </summary>
    public class AddOrUpdateExamInfoRequest : TokenRequest
    {
        public ExamDTO ExamInfo { get; set; }
    }
    
    /// <summary>
    /// 添加/修改中医体质请求
    /// </summary>
    public class AddOrUpdateFollowUpInfoRequest : TokenRequest
    {
        public FollowUpDTO FollowUpInfo { get; set; }
    }

      
    /// <summary>
    /// 添加/修改vital报告请求
    /// </summary>
    public class AddOrUpdateVitalReportRequest : TokenRequest
    {
        public ReportDTO ReportDTO { get; set; }
    }

     /// <summary>
    /// 添加/修改报告请求
    /// </summary>
    public class AddOrUpdateReportRequest : TokenRequest
    {
        public WingInterfaceLibrary.DTO.Report.ReportDTO ReportDTO { get; set; }
    }
    
     /// <summary>
    /// 添加/修改登记请求
    /// </summary>
    public class AddOrUpdateElectrocardiogramRecordInfoRequest : TokenRequest
    {
        public ElectrocardiogramRecord ElectrocardiogramRecordInfo { get; set; }
    }
    
     /// <summary>
    /// 添加/修改居民信息请求
    /// </summary>
    public class AddOrUpdatPatientInfoRequest : TokenRequest
    {
        public PatientDTO PatientInfo { get; set; }
    }
    
     /// <summary>
    /// 添加/修改居民扩展信息请求
    /// </summary>
    public class AddOrUpdatPatientExtensionInfoRequest : TokenRequest
    {
        public PatientExtensionDTO PatientExtensionInfo { get; set; }
    }
}