using System.Collections.Generic;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 切换调参状态请求
    /// </summary>
    public class ChangeControllingStateRequest
    {
        /// <summary>
        /// 房间编码
        /// </summary>
        /// <value></value>
        public string LiveRoomCode { get; set; }
        
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>ub6414d24e3c347d46032b0496f1c4e4</value>
        public string UserCode { get; set; } = string.Empty;

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>ub6414d24e3c347d46032b0496f1c4e4</value>
        public string DeviceCode { get; set; } = string.Empty;

        /// <summary>
        /// 远程调参
        /// </summary>
        /// <value>false</value>
        public bool IsControllingParameter { get; set; }
    }
}