using System.Collections.Generic;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 切换房间请求
    /// </summary>
    public class ChangeRoomRequest
    {
        /// <summary>
        /// 房间编码
        /// </summary>
        /// <value></value>
        public string LiveRoomCode { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>ub6414d24e3c347d46032b0496f1c4e4</value>
        public string UserCode { get; set; } = string.Empty;
        
        /// <summary>
        /// 原先的会诊编码
        /// </summary>
        /// <value>GUID</value>
        public string OriginalCode { get; set; } = string.Empty;

        /// <summary>
        /// 新的会诊编码
        /// </summary>
        /// <value>GUID</value>
        public string CurrentCode { get; set; } = string.Empty;
    }
}