using System.Collections.Generic;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 切换视频开关请求
    /// </summary>
    public class ChangeVideoOpenedRequest
    {
        /// <summary>
        /// 房间编码
        /// </summary>
        /// <value></value>
        public string LiveRoomCode { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>ub6414d24e3c347d46032b0496f1c4e4</value>
        public string UserCode { get; set; } = string.Empty;

        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>bool</value>
        public bool VideoOpened { get; set; }
    }
}