using System.Collections.Generic;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 设备下载日志实时响应 请求
    /// </summary>
    public class DeviceReplyRemoteLogRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value></value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>userCode_12123sadf</value>
        public string UserCode { get; set; }

        /// <summary>
        /// 日志文件地址
        /// </summary>
        /// <value>http://192.168.6.117:9001/Storage/B1154C6500E4F174249224B41284498E_7_0_0_0.zip</value>
        public string LogFileToken { get; set; }

        /// <summary>
        /// 进度，整数值, 当文件地址有值时，rate为100
        /// </summary>
        /// <value>30</value>
        public int Rate { get; set; }

        /// <summary>
        /// 设备当前状态
        /// </summary>
        /// <value>30</value>
        public RemoteDeviceStateEnum RemoteDeviceState { get; set; }
    }
}