using System.Collections.Generic;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.DTO.RemoteParameters;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 设备发送调参初始化数据 请求
    /// </summary>
    public class DeviceSendControlParameterRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value></value>
        public string DeviceCode { get; set; }
        /// <summary>
        /// 控制人编码
        /// </summary>
        /// <value>3C135B470E6448F6854974D46022F7FD</value>
        public string ControlUserCode { get; set; }

        /// <summary>
        /// 探头应用信息
        /// </summary>
        /// <value></value>
        public ProbeApplicationInfoDTO ProbeApplication { get; set; }

        /// <summary>
        /// 设备参数
        /// </summary>
        /// <value></value>
        public ControlParameterDTO Parameter { get; set; }
    }
}