using System.Collections.Generic;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 获取房间详情和发送关闭推流通知给设备端 请求
    /// </summary>
    public class GetOrCloseDeviceRequest
    {
        /// <summary>
        /// 房间编码
        /// </summary>
        /// <value></value>
        public string LiveRoomCode { get; set; }

        /// <summary>
        /// 设备唯一码
        /// </summary>
        /// <value></value>
        public string DeviceShortCode { get; set; }

        /// <summary>
        /// 发送关闭推流通知给设备端
        /// </summary>
        /// <value></value>
        public bool CloseDevicePush { get; set; }
    }
}