using System.Collections.Generic;
using WingInterfaceLibrary.Internal.Request;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 直播房间请求实体
    /// </summary>
    public class InitiateLiveRequest : BaseLiveRoomRequest
    {        
        /// <summary>
        /// 直播房间号Id
        /// </summary>
        /// <value>1234356</value>
        public int IntegerRoomId { get; set; }

        /// <summary>
        /// 发起人code
        /// </summary>
        /// <value>user_123345</value>
        public string InitiatorCode { get; set; }

        /// <summary>
        /// 是否发送通知
        /// </summary>
        /// <value>true</value>
        public bool PushMessage { get; set; }

        /// <summary>
        /// 通知其他成员课程直播
        /// </summary>
        /// <value></value>
        public BaseNotificationRequest UserMessage { get; set; }

        /// <summary>
        /// 通知设备机器课程直播
        /// </summary>
        /// <value></value>
        public IDictionary<string, BaseNotificationRequest> DeviceMessages { get; set; }

        /// <summary>
        /// 通用直播项目状态
        /// </summary>
        /// <value>0</value>
        public int LiveStatus { get; set; }
    }
}