using System.Collections.Generic;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;

namespace WingInterfaceLibrary.Internal.Request
{
    /// <summary>
    /// 发送白板数据请求
    /// </summary>
    public class SendBoardDataRequest
    {
        /// <summary>
        /// 房间编码
        /// </summary>
        /// <value></value>
        public string LiveRoomCode { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>ub6414d24e3c347d46032b0496f1c4e4</value>
        public string UserCode { get; set; } = string.Empty;

        /// <summary>
        /// 是否清除
        /// </summary>
        /// <value></value>
        public bool IsClear { get; set; }

        /// <summary>
        /// 互动白板数据
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string BoardData { get; set; }
    }
}