using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.LiveConsultation.Enums;
namespace WingInterfaceLibrary.LiveConsultation.Consultation
{
    /// <summary>
    /// 申请急诊请求实体
    /// </summary>
    public class ApplyEmergencyTreatmentRequest : TokenRequest
    {
        /// <summary>
        /// 物理唯一码
        /// </summary>
        /// <value>DeviceUniqueCode</value>
        /// <code>0</code>
        public string DeviceUniqueCode { get; set; } = string.Empty;

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>DeviceCode</value>
        /// <code>0</code>
        public string DeviceCode { get; set; } = string.Empty;

        /// <summary>
        /// 专家编码
        /// </summary>
        /// <value>ExpertCode</value>
        /// <code>0</code>
        public string ExpertCode { get; set; } = string.Empty;

        /// <summary>
        /// 病人编码
        /// </summary>
        /// <value>PatientDO_123456789</value>
        /// <code>0</code>
        public string PatientCode { get; set; }

        /// <summary>
        /// 病人信息
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public List<DataItemDTO> PatientDatas { get; set; } = new List<DataItemDTO>();

    }
}