using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.LiveConsultation.Consultation
{
    /// <summary>
    /// 查询专家助理列表
    /// </summary>
    public class FindOrganizationAssistantsRequest : TokenRequest
    {
        /// <summary>
        /// 助理名称
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string AssistantName { get; set; } = string.Empty;
    }

    /// <summary>
    /// 查询专家助理医师列表
    /// </summary>
    public class FindOrganizationAssistantDoctorsRequest : TokenRequest
    {
        /// <summary>
        /// 助理医师名称
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string AssistantDoctorName { get; set; } = string.Empty;
    }
}