using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.LiveConsultation.Enums;
namespace WingInterfaceLibrary.LiveConsultation.Consultation
{
    /// <summary>
    /// 获取即时会诊配置请求实体
    /// </summary>
    public class GetEmergencySettingRequest : TokenRequest
    {

    }
    
    /// <summary>
    /// 获取即时会诊配置响应实体
    /// </summary>
    public class GetEmergencySettingResult
    {
        /// <summary>
        /// 医院编码
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 医院名称
        /// </summary>
        /// <value></value>
        public string OrganizationName { get; set; }

        /// <summary>
        /// 即时会诊是否需要填写病人信息
        /// </summary>
        /// <value></value>
        public bool EmergencyNeedFill { get; set; }

        /// <summary>
        /// 即时会诊配置版本号
        /// </summary>
        /// <value></value>
        public string EmergencySettingVersion { get; set; }

        /// <summary>
        /// 即时会诊病人信息
        /// </summary>
        /// <value></value>
        public string EmergencySettingJson { get; set; }
    }
}