using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.LiveConsultation.Consultation
{
    /// <summary>
    /// 会诊中获取可邀请用户信息列表 请求实体
    /// </summary>
    public class GetInviteableUserListRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 语言地区码
        /// </summary>
        /// <value>zh-CN或en-US</value>
        /// <code>0</code>
        public string Language { get; set; } = "en-US";

        /// <summary>
        /// 机构code
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; } = string.Empty;
    }


}