using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;
using WingInterfaceLibrary.Result.Education;

namespace WingInterfaceLibrary.LiveConsultation
{
    /// <summary>
    /// 实时会诊参与人员列表信息通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory>
    public class RealtimeConsultationMembersNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>18</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.RealtimeConsultationMembersNotification;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 会诊参与人员集合
        /// </summary>
        /// <typeparam name="LiveConsultationMember"></typeparam>
        /// <returns></returns>
        public IList<LiveConsultationMember> ConsultationMembers { get; set; } = new List<LiveConsultationMember>();
    }
}