using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;
using WingInterfaceLibrary.Request;
namespace WingInterfaceLibrary.LiveConsultation
{
    /// <summary>
    /// 拒绝会诊请求实体
    /// </summary>
    public class RejectLiveConsultationRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    /// <summary>
    /// 拒绝会诊响应实体
    /// </summary>
    public class RejectLiveConsultationResult
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }
    /// <summary>
    /// 拒绝会诊通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory>
    public class RejectLiveConsultationNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 拒绝会诊的通知
        /// </summary>
        /// <value>13</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.RejectLiveConsultationNotification;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// The info of who reject the diagnosis metting invitation
        /// </summary>
        /// <value></value>
        public LiveConsultationRejecterInfo Rejecter { get; set; }
    }
}
