using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Notifications;
using WingInterfaceLibrary.Request;
namespace WingInterfaceLibrary.LiveConsultation
{
    /// <summary>
    /// 设置开启或关闭视频请求实体
    /// </summary>
    public class SwitchLiveConsultationVideoRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>true or false</value>
        /// <code>0<code>
        public bool Opened { get; set; }
    }

    /// <summary>
    /// 设置开启或关闭视频响应实体
    /// </summary>
    public class SwitchLiveConsultationVideoResult
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    /// <summary>
    /// 开启或者关闭会诊视频通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory>
    public class SwitchLiveConsultationVideoNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>28</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.SwitchLiveConsultationVideoNotification;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>true or false</value>
        public bool Opened { get; set; }

        /// <summary>
        /// 开关视频人的信息
        /// </summary>
        /// <value></value>
        public LiveConsultationSwitcherInfo SwitcherInfo { get; set; }
    }
}
