using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications
{
    /// <summary>
    /// 申请探头设置通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>设备端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    /// <value>ApplyProbeApplicationSettingNotification| 87 | 申请探头设置 </value>
    public class ApplyProbeApplicationSettingNotification : NotificationDTO
    {
        /// <summary>
        /// 申请探头设置 to 设备端
        /// </summary>
        /// <value>87</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.ApplyProbeApplicationSettingNotification;

        /// <summary>
        /// 控制人编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string UserCode { get; set; }

        /// <summary>
        /// 控制类型
        /// </summary>
        /// <value></value>
        public ControlDeviceParameterEnum ControlType { get; set; }

        /// <summary>
        /// 用户来源
        /// </summary>
        /// <value></value>
        public LoginSource LoginSource { get; set; }
        
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 控制人名称
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string ControlUserName { get; set; }
    }
}