using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Remote
{
    /// <summary>
    /// 响应探头设置通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    public class ProbeApplicationSettingResponseNotification : NotificationDTO
    {
        /// <summary>
        /// 响应探头设置 to 客户端
        /// </summary>
        /// <value>88</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.ProbeApplicationSettingResponseNotification;

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 控制类型
        /// </summary>
        /// <value></value>
        public ControlDeviceParameterEnum ControlType { get; set; }

        /// <summary>
        /// 设备当前状态
        /// </summary>
        /// <value>30</value>
        public RemoteDeviceStateEnum RemoteDeviceState { get; set; }
    }
}