using System.Collections.Generic;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.DTO.Device;

namespace WingInterfaceLibrary.Notifications
{
    /// <summary>
    /// 发送远程维护指令给设备
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>设备端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    /// <value>SendCommandToDeviceNotification| 78 | 发送远程维护指令到设备</value>
    public class SendCommandToDeviceNotification : NotificationDTO
    {
        /// <summary>
        /// This property returns the type of notification that this class sends.
        /// </summary>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.SendCommandToDeviceNotification;

        /// <summary>
        /// 指令类型
        /// </summary>
        /// <value></value>
        public string ActionType { get; set; }

        /// <summary>
        /// 结果编码
        /// </summary>
        /// <value></value>
        public string ResultCode { get; set; }

        /// <summary>
        /// Sender
        /// </summary>
        public string Sender { get; set; }

        /// <summary>
        /// 设备编码
        /// </summary>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 操作人编码
        /// </summary>
        public string OperatorCode { get; set; }
    }
}