using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications
{
    /// <summary>
    /// 聊天通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会话</notificationDocThirdDirectory> 
    public class ChatMsgNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 聊天消息通知
        /// </summary>
        /// <value>1</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.ChatMsgNotification;
        /// <summary>
        /// 发送者UserCode
        /// </summary>
        /// <value>UserInfoDO_20220823031843Z816kN</value>
        public string UserCode { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        /// <value>苏灿</value>
        public string DisplayName { get; set; }

        /// <summary>
        /// 头像地址
        /// </summary>
        /// <value>http://***</value>
        public string HeadImg { get; set; }

        /// <summary>
        /// 发送命令
        /// </summary>
        /// <value>1</value>
        public ChatCmdEnum ChatCmd { get; set; }

        /// <summary>
        /// 发送时间
        /// </summary>
        /// <value>2023-1-18</value>
        public DateTime SendTime { get; set; }

        /// <summary>
        /// 发送内容
        /// </summary>
        /// <value>测试文本</value>
        public string Message { get; set; }
    }
}