using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Consultation
{
    /// <summary>
    /// 申请会诊通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory> 
    public class ApplyConsultationNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 拒绝申请会诊通知
        /// </summary>
        /// <value>22</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.ApplyConsultationNotification;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 申请人姓名
        /// </summary>
        /// <value>Test</value>
        public string OperatorName { get; set; } = string.Empty;

        /// <summary>
        /// 病人姓名
        /// </summary>
        /// <value>TestPatient</value>
        public string PatientName { get; set; } = string.Empty;

        /// <summary>
        /// 申请时间
        /// </summary>
        /// <value>2023-1-17</value>
        public DateTime ApplicationTime { get; set; }

        /// <summary>
        /// 申请单位
        /// </summary>
        /// <value>测试下级医院</value>
        public string ApplyOrganizationName { get; set; } = string.Empty;

        /// <summary>
        /// 会诊时间
        /// </summary>
        /// <value>2023-1-18</value>
        public DateTime ConsultationTime { get; set; }

    }
}