using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Consultation
{
    /// <summary>
    /// 关闭会诊心跳通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>设备端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory> 
    public class CloseConsolutionHeartRateToDeviceNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 开始会诊心跳通知
        /// </summary>
        /// <value>70</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.CloseConsolutionHeartRateToDeviceNotification;

        /// <summary>
        /// 房间编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string LiveRoomCode { get; set; } = string.Empty;

    }
}