using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Consultation
{
    /// <summary>
    /// 会诊呼叫超时未接听通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory> 
    public class ConsultationAnswerTimeoutNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 会诊呼叫超时未接听通知
        /// </summary>
        /// <value>100</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.ConsultationAnswerTimeout;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>Test</value>
        public string UserCode { get; set; } = string.Empty;

        /// <summary>
        /// 用户名称
        /// </summary>
        /// <value>TestPatient</value>
        public string UserName { get; set; } = string.Empty;

    }
}