using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Consultation
{
    /// <summary>
    /// 会诊受邀请参与人同意通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory> 
    public class InviteeApproveApplyConsultationNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 会诊受邀请参与人同意通知
        /// </summary>
        /// <value>25</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.InviteeApproveApplyConsultationNotification;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 操作人姓名
        /// </summary>
        /// <value>TestOperator</value>
        public string OperatorName { get; set; } = string.Empty;

        /// <summary>
        /// 病人姓名
        /// </summary>
        /// <value>TestPatient</value>
        public string PatientName { get; set; } = string.Empty;

        /// <summary>
        /// 会诊开始时间
        /// </summary>
        /// <value>2023-1-18</value>
        public DateTime ConsultationTime { get; set; }

        /// <summary>
        /// 会诊截止时间
        /// </summary>
        /// <value>2023-1-18</value>
        public DateTime ConsultationTimeEnd { get; set; }

    }
}