using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Consultation
{
    /// <summary>
    /// 拒绝申请会诊通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory> 
    public class RejectApplyConsultationNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 拒绝申请会诊通知
        /// </summary>
        /// <value>6</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.RejectApplyConsultationNotification;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 病人姓名
        /// </summary>
        /// <value>TestPatient</value>
        public string PatientName { get; set; } = string.Empty;

        /// <summary>
        /// 操作人姓名
        /// </summary>
        /// <value>TestOperator</value>
        public string OperatorName { get; set; } = string.Empty;

        /// <summary>
        /// 拒绝原因
        /// </summary>
        /// <value>申请信息错误</value>
        public string RejectReason { get; set; } = string.Empty;
    }
}