using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Consultation
{
    /// <summary>
    /// 开始会诊心跳通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>设备端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory> 
    public class StartConsolutionHeartRateToDeviceNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 开始会诊心跳通知
        /// </summary>
        /// <value>69</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.StartConsolutionHeartRateToDeviceNotification;

        /// <summary>
        /// 房间编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string LiveRoomCode { get; set; } = string.Empty;

        /// <summary>
        /// 直播协议：TRTC、VRTC、Embedded
        /// </summary>
        /// <value>TRTC</value>
        public TransactionStatusEnum LiveProtocol { get; set; }

        /// <summary>
        /// 心跳间隔时间
        /// </summary>
        /// <value>2023-1-18</value>
        public int IntervalSeconds { get; set; }

    }
}