using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.RemoteParameters;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Enum;


namespace WingInterfaceLibrary.Notifications
{
    /// <summary>
    /// 设备端收到 客户端发起的调参命令通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>设备端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>会诊</notificationDocThirdDirectory> 
    public class DeviceControlledParametersNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举  调参通知
        /// </summary>
        /// <value>36</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.DeviceControlledParametersNotification;
        /// <summary>
        /// 控制人编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string ControlUserCode { get; set; }
        /// <summary>
        /// 控制人名称
        /// </summary>
        /// <value>TestName</value>
        public string ControlUserName { get; set; }

        /// <summary>
        /// 控制参数命令类型
        /// </summary>
        /// <value>0</value>
        public ControlDeviceParameterEnum ControlType { get; set; }

        /// <summary>
        /// 参数数据集合
        /// </summary>
        /// <value></value>
        public IList<AdditionParameterDTO> Parameters { get; set; }

        /// <summary>
        /// 用户来源
        /// </summary>
        /// <value></value>
        public LoginSource LoginSource { get; set; }
        
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string DeviceCode { get; set; }
    }
}