using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.RemoteParameters;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications
{
    /// <summary>
    /// 设备断开远程控制 to 客户端
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>远程控制</notificationDocThirdDirectory> 
    public class DeviceDisconnectRemoteControlNotification : NotificationDTO
    {

        /// <summary>
        /// 通知类型枚举  设备断开远程控制 to 客户端
        /// </summary>
        /// <value>67</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.DeviceDisconnectRemoteControlNotification;

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>E06488F3B16646C9843B8BE2D8F5BA24</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 设备当前状态
        /// </summary>
        /// <value>1</value>
        public RemoteDeviceStateEnum RemoteDeviceState { get; set; } = RemoteDeviceStateEnum.Success;
    }
}