using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.LiveConsultation;
using WingInterfaceLibrary.Result.Education;
using WingInterfaceLibrary.DTO.Education;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 开启或者关闭共享信息通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>教培</notificationDocThirdDirectory>
    public class ChangeShareInLiveCourseNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>45</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.ChangeShareInLiveCourseNotification;

        /// <summary>
        /// 共享信息
        /// </summary>
        /// <value></value>
        public ShareInfoDTO ShareInfo { get; set; }

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;
    }
}