using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.CourseEnum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    ///  审核课程状态通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>杏聆荟学院</notificationDocThirdDirectory>
    public class CourseStatusNotification : NotificationDTO
    {
        /// <summary>
        /// 课程状态通知
        /// 目前：已审核或者已拒绝状态通知
        /// </summary>
        /// <value></value>
        public CourseStatusEnum Status { get; set; }

        /// <summary>
        /// 通知类型枚举 结束直播提醒通知
        /// </summary>
        /// <value>57</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.CourseStatusNotification;

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;

        /// <summary>
        /// 课程名称
        /// </summary>
        /// <value>Test Course </value>
        public string CourseName { get; set; } 
    }
}