using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.LiveConsultation;
using WingInterfaceLibrary.Result.Education;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 课程直播开始通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>杏聆荟学院</notificationDocThirdDirectory> 
    public class InviteLiveCourseNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 课程直播开始的通知
        /// </summary>
        /// <value>39</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.InviteLiveCourseNotification;

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;

        /// <summary>
        /// 房间编码
        ///  </summary>
        /// <value>1</value>
        public int RoomNo { get; set; }
        
        /// <summary>
        /// 直播协议：TRTC、VRTC、Embedded
        /// </summary>
        /// <value>TRTC</value>
        public TransactionStatusEnum LiveProtocol { get; set; }

        /// <summary>
        /// 讲师-发起者信息
        /// </summary>
        /// <value></value>
        public LiveCourseMember Initiator { get; set; }
    }
}