using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.LiveConsultation;
using WingInterfaceLibrary.Result.Education;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 进入课程直播
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>杏聆荟学院</notificationDocThirdDirectory>
    public class JoinLiveCourseNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>40</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.JoinLiveCourseNotification;

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;

        /// <summary>
        /// 加入学生的信息
        /// </summary>
        /// <value></value>
        public LiveCourseMember Joiner { get; set; }

        /// <summary>
        /// 是否老版超声机
        /// </summary>
        /// <value></value>
        public bool IsOldPlatform { get; set; }
    }

    /// <summary>
    /// 设备加入课程通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>杏聆荟学院</notificationDocThirdDirectory>
    public class DeviceJoinLiveCourseNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>95</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.DeviceJoinLiveCourseNotification;

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;

        /// <summary>
        /// 加入学生的信息
        /// </summary>
        /// <value></value>
        public LiveCourseMember Joiner { get; set; }
        
        /// <summary>
        /// 是否老版超声机
        /// </summary>
        /// <value></value>
        public bool IsOldPlatform { get; set; }
    }
}