using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.LiveConsultation;
using WingInterfaceLibrary.Result.Education;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 离开直播通知
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>杏聆荟学院</notificationDocThirdDirectory>
    public class LeaveLiveCourseNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>50</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.LeaveCoursenNotification;

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;

        /// <summary>
        /// 离开学生信息
        /// </summary>
        /// <value></value>
        public LiveCourseMember LeaverInfo { get; set; }
    }
}