using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.LiveConsultation;
using WingInterfaceLibrary.Result.Education;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 开启或者关闭声音通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>杏聆荟学院</notificationDocThirdDirectory>
    public class MuteLiveCourseNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>45</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.MuteLiveCourseNotification;
        
        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;

        /// <summary>
        /// 是否静音
        /// </summary>
        /// <value>true</value>
        public bool Mute { get; set; }

        /// <summary>
        /// The info of who reject the diagnosis metting invitation
        /// </summary>
        /// <value></value>
        public LiveCourseMember MuterInfo { get; set; }
    }
}