using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.LiveConsultation;
using WingInterfaceLibrary.Result.Education;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 网络质量不佳直播课程通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>杏聆荟学院</notificationDocThirdDirectory>
    public class NetworkErrCourseNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>43</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.NetworkErrCourseNotification;

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>Course_123456789</value>
        public string CourseCode { get; set; } = string.Empty;

        /// <summary>
        /// 网络异常成员信息
        /// </summary>
        /// <value></value>
        public LiveCourseMember NetworkErrMemberInfo { get; set; }
    }
}