
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 互动白板数据通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>杏聆荟学院</notificationDocThirdDirectory>
    public class SendLiveInteractiveBoardDataNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 互动白板数据通知
        /// </summary>
        /// <value>94</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.SendLiveInteractiveBoardDataNotification;

        /// <summary>
        /// 课程编码
        /// </summary>
        /// <value>CourseDO_123456789</value>
        public string CourseCode { get; set; } = string.Empty;

        /// <summary>
        /// 是否清除
        /// </summary>
        /// <value></value>
        public bool IsClear { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 互动白板数据
        /// </summary>
        /// <value></value>
        public string BoardData { get; set; }
    }
}