using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Education
{
    /// <summary>
    /// 检查更新通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>检查更新</notificationDocThirdDirectory>
    public class UpgradeNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>58</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.UpgradeNotification;

        /// <summary>
        /// Check the version to check whether it needs to be updated
        /// </summary>
        public UpgradeTypeEnum UpgadeType { get; set; }

        /// <summary>
        /// UpgradeUrl
        /// </summary>
        public string UpgradeCDNUrl { get; set; }

        /// <summary>
        /// UpgradeUrl
        /// </summary>
        public string UpgradeUrl { get; set; }

        /// <summary>
        /// Total or part
        /// </summary>
        public UpgradeUpdateTypeEnum UpgradeUpdateType { get; set; }

        /// <summary>
        /// client version
        /// </summary>
        public string NewVersion { get; set; }

        /// <summary>
        /// New version update description
        /// </summary>
        public string Description { get; set; }
    }
}