
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications
{
    /// <summary>
    /// 执行结果通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>分时诊断</notificationDocThirdDirectory> 
    public class ExecuteResultNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举  执行结果通知
        /// </summary>
        /// <value>76</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.ExecuteResultNotification;

        /// <summary>
        /// 是否导出成功
        /// </summary>
        /// <value>true</value>
        public bool IsSuccess { get; set; }

        /// <summary>
        /// 导出excel文件地址
        /// </summary>
        /// <value>http://192.168.6.66:9001/Storage/B1154C6500E4F174249224B41284498E_7.PNG</value>
        public string ExportFileToken { get; set; }
    }
}