using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Live
{
    /// <summary>
    /// 链接状态通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    public class ConnectStatusToClientNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举  连接通知
        /// </summary>
        /// <value>72</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.ConnectStatusToClientNotification;

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        /// <value>TestName</value>
        public string DeviceName { get; set; }

        /// <summary>
        /// 控制参数命令类型
        /// </summary>
        /// <value>0</value>
        public ControlDeviceParameterEnum ControlType { get; set; }

        /// <summary>
        /// 设备当前状态
        /// </summary>
        /// <value>30</value>
        public RemoteDeviceStateEnum RemoteDeviceState { get; set; }
    }
}