
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications
{
    /// <summary>
    /// 设备合图尺寸调整通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>设备端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>Live</notificationDocThirdDirectory> 
    public class ModifyDeviceMergedVideoSizeNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型
        /// </summary>
        /// <value>65</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.ModifyDeviceMergedVideoSizeNotification;

        /// <summary>
        /// 是否合流
        /// </summary>
        /// <value></value>
        public bool MergedChannel { get; set; }

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>DeviceInfoDO_20220518115415PaZtqp</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 合流的画面宽度
        /// </summary>
        /// <value></value>
        public int MergedVideoOutputWidth { get; set; }

        /// <summary>
        /// 合流的画面高度
        /// </summary>
        /// <value></value>
        public int MergedVideoOutputHeight { get; set; }

        /// <summary>
        /// 视屏设备画面信息
        /// </summary>
        /// <value></value>
        public IList<VideoDeviceDTO> VideoDeviceInfos { get; set; } = new List<VideoDeviceDTO>();
    }
}