
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications
{
    /// <summary>
    /// 用户密码过期预警通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    ///<notificationDocThirdDirectory>通信</notificationDocThirdDirectory> 
    public class PasswordExpiredWarningNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举
        /// </summary>
        /// <value>10</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.PasswordExpiredWarningNotification;

        /// <summary>
        /// 密码过期剩余时间: 天，可以为负，负责表示已经过期
        /// </summary>
        /// <value>5</value>
        public double SurplusTime { get; set; }
    }
}