using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Remote
{
    /// <summary>
    /// 取消日志下载通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    public class CancelLogDownloadNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举  获取日志通知
        /// </summary>
        /// <value>86</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.CancelLogDownloadNotification;

        /// <summary>
        /// 控制人编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string ControlUserCode { get; set; }

        /// <summary>
        /// 用户来源
        /// </summary>
        /// <value></value>
        public LoginSource LoginSource { get; set; }

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 控制人名称
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string ControlUserName { get; set; }
    }
}