using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Remote
{
    /// <summary>
    /// 设备下载补丁进度通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    public class DeviceDownloadPatchProgressToUserNotification : NotificationDTO
    {

        /// <summary>
        /// 通知类型枚举  获取日志通知
        /// </summary>
        /// <value>81</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.DeviceDownloadPatchProgressToUserNotification;
        /// <summary>
        ///进度0-100
        /// </summary>
        /// <value>100</value>
        public int Progress { get; set; }

        /// <summary>
        /// 更新包编码
        /// </summary>
        /// <value>123</value>
        public string PatchCode { get; set; }

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>33</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 更新包名称
        /// </summary>
        /// <value>C2659打印机更新包</value>
        public string PatchName { get; set; }
        /// <summary>
        /// 远程维护设备操作
        /// </summary>
        /// <value>1</value>
        public RemoteDeviceStateEnum RemoteDeviceState { get; set; }
    }
}