using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Request.Device;

namespace WingInterfaceLibrary.Notifications.Remote
{

    /// <summary>
    /// 设备收到客户端打印机请求通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>设备端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    public class DevicePrinterRequestNotification : NotificationDTO
    {

        /// <summary>
        /// 通知类型枚举 打印机请求信息
        /// </summary>
        /// <value>92</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.DevicePrinterRequestNotification;
       
        /// <summary>
        /// 打印机操作
        /// </summary>
        /// <value>0</value>
        public DevicePrinterEnum SetPrinterEnum { get; set; }

        /// <summary>
        /// 操作参数信息集合
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public IList<DevicePrinterParameter> Parameters { get; set; }

        /// <summary>
        /// 打印机更新包信息
        /// </summary>
        /// <value></value>
        public DevicePrinterDTO DevicePrinter { get; set; }
       
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>0</value>
        public string DeviceCode { get; set; }
       
        /// <summary>
        /// 操作人编码
        /// </summary>
        /// <value>0</value>
        public string OperatorCode { get; set; }

    }
}