using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.DTO.Device;

namespace WingInterfaceLibrary.Notifications.Remote
{

    /// <summary>
    /// 获取设备打印机信息结果通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    public class DevicePrinterResultNotification : NotificationDTO
    {

        /// <summary>
        /// 通知类型枚举 打印机信息
        /// </summary>
        /// <value>91</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.DevicePrinterResultNotification;

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 打印机操作
        /// </summary>
        /// <value>0</value>
        public DevicePrinterEnum SetPrinterEnum { get; set; }

        /// <summary>
        /// 打印机信息列表
        /// </summary>
        /// <value></value>
        public IList<DevicePrinterParameterDTO> DevicePrinterList { get; set; }

        /// <summary>
        /// 远程维护设备操作
        /// </summary>
        /// <value>1</value>
        public RemoteDeviceStateEnum RemoteDeviceState { get; set; }


    }
}