using System;
using System.Collections.Generic;
using System.Linq;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.DTO.Device;

namespace WingInterfaceLibrary.Notifications.Remote
{
    /// <summary>
    /// 推送补丁通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>设备端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    public class PushDevicePatchToDeviceNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举  推送补丁通知
        /// </summary>
        /// <value>36</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.PushDevicePatchToDeviceNotification;

        /// <summary>
        /// 设备更新包名称
        /// </summary>
        public string PatchName { get; set; }

        /// <summary>
        ///设备更新包编码
        /// </summary>
        public string PatchCode { get; set; }

        /// <summary>
        /// 文件路径分片列表
        /// </summary>
        /// <value></value>
        public IList<UploadDeviceFileInfoDTO> DeviceFileInfoList { get; set; }

        /// <summary>
        /// 文件大小
        /// </summary>
        /// <value>1024</value>
        public long FileSize { get; set; }

        /// <summary>
        /// 推送更新包枚举
        /// </summary>
        /// <value></value>
        public PushDevicePatchEnum PushEnum { get; set; }

        /// <summary>
        /// 文件名称
        /// </summary>
        /// <value></value>
        public string FileName { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value>US</value>
        public string DeviceType { get; set; }

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>US</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 操作人编码
        /// </summary>
        /// <value>US</value>
        public string UserCode { get; set; }
    }
}