using System;
using System.Collections.Generic;
using System.Linq;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.DTO.Device;

namespace WingInterfaceLibrary.Notifications.Remote
{
    /// <summary>
    /// 重启设备
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>远程维护</notificationDocThirdDirectory> 
    public class RestartDeviceNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 打印机信息
        /// </summary>
        /// <value>85</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.RestartDeviceNotification;

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 控制人编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string ControlUserCode { get; set; }
    }
}