using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications.Task
{
    /// <summary>
    /// 完成后任务通知
    /// </summary>
    /// <notificationDocFirstDirectory>通知服务</notificationDocFirstDirectory>
    /// <notificationDocSecondDirectory>客户端</notificationDocSecondDirectory>
    /// <notificationDocThirdDirectory>AI队列服务</notificationDocThirdDirectory> 
    public class TaskCompletedNotification : NotificationDTO
    {
        /// <summary>
        /// 通知类型枚举 完成后任务通知
        /// </summary>
        /// <value>22</value>
        public override NotificationTypeEnum NotificationType => NotificationTypeEnum.TaskCompletedNotification;

        // /// <summary>
        // /// 项目编码
        // /// </summary>
        // /// <value>ProjectDO_123456789</value>
        // public string ProjectCode { get; set; } = string.Empty;

        // /// <summary>
        // /// 项目编码
        // /// </summary>
        // /// <value>ProjectDO_123456789</value>
        // public string ProjectName { get; set; } = string.Empty;

        // /// <summary>
        // /// 图像code
        // /// </summary>
        // /// <value></value>
        // public string RemedicalCode { get; set; } = string.Empty;

        // /// <summary>
        // /// 病人姓名
        // /// </summary>
        // /// <value></value>
        // public string PatientName { get; set; } = string.Empty;

        // /// <summary>
        // /// 病人Code
        // /// </summary>
        // /// <value></value>
        // public string PatientCode { get; set; } = string.Empty;

        // /// <summary>
        // /// 用户姓名
        // /// </summary>
        // /// <value></value>
        // public string UsreName { get; set; } = string.Empty;

        /// <summary>
        /// 任务code
        /// </summary>
        /// <value></value>
        public string TaskCode { get; set; }

        /// <summary>
        /// 任务名称
        /// </summary>
        /// <value></value>
        public string TaskName { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        /// <value></value>
        public VTaskType TaskType { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value></value>
        public DateTime BeginTime { get; set; }

        /// <summary>
        /// 完成时间
        /// </summary>
        /// <value></value>
        public DateTime ComplateTime { get; set; }

        /// <summary>
        /// 是否成功
        /// </summary>
        /// <value></value>
        public bool IsSuccess { get; set; } = false;
    }
}