using System;
using System.Collections.Generic;

namespace WingInterfaceLibrary.OpLog
{
    public class OperationLogDTO
    {
        /// <summary>
        /// An increment id
        /// </summary>
        public long Id { get; set; }

        /// <summary>
        /// 数据集名称
        /// </summary>
        public string CollectionName { get; set; }

        /// <summary>
        /// 操作类型
        /// </summary>
        public MongoDBActionTypeEnum ActionType { get; set; }

        /// <summary>
        /// Bson content
        /// </summary>
        public string BsonContent { get; set; }

        /// <summary>
        /// 过滤条件
        /// </summary>
        public string FilterContent { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// Code
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// Source slave url
        /// </summary>
        public string SourceUrl { get; set; }

        /// <summary>
        /// 是否为特殊DB
        /// </summary>
        public bool IsSimple { get; set; }

        public OperationLogDTO()
        {
            CreateTime = DateTime.UtcNow;
        }
    }

    public class SyncDataCheckResult
    {
        public Dictionary<string, string> ServerUrlMap { get; set; }

        public int WorkerCount { get; set; }

        public bool ExecutingStatus { get; set; }

        public bool IsClosed { get; set; }

    }
}