using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Recognition
{
    /// <summary>
    /// 添加/修改人员信息 请求
    /// </summary>
    public class AddOrUpdatePersonRequest : TokenRequest
    {
        /// <summary>
        /// 人员库ID，唯一标识，正式、测试、不同的项目都应该不同。支持英文、数字、-%@#&_，长度限制64B
        /// </summary>
        /// <value></value>
        public string GroupId { get; set; }

        /// <summary>
        /// 人员ID，唯一标识，建议传入身份证号
        /// </summary>
        /// <value></value>
        public string PersonId { get; set; }

        /// <summary>
        /// 人脸文件地址
        /// </summary>
        /// <value></value>
        public string FaceUrl { get; set; }
    }
}
