using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Recognition
{
    /// <summary>
    /// 删除人员信息 请求
    /// </summary>
    public class DeletePersonRequest : TokenRequest
    {
        /// <summary>
        /// 人员库ID，唯一标识，正式、测试、不同的项目都应该不同。支持英文、数字、-%@#&_，长度限制64B
        /// </summary>
        /// <value></value>
        public string GroupId { get; set; }
        
        /// <summary>
        /// 人员ID，唯一标识，建议传入身份证号
        /// </summary>
        /// <value></value>
        public string PersonId { get; set; }
    }

    /// <summary>
    /// 删除人员信息 请求
    /// </summary>
    public class DeletePersonResult
    {
        /// <summary>
        /// 是否成功
        /// </summary>
        /// <value></value>
        public bool Success { get; set; }

        /// <summary>
        /// 错误原因
        /// </summary>
        /// <value></value>
        public string ErrMessage { get; set; }
    }
}
