using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Recognition
{
    /// <summary>
    /// 身份证识别请求参数
    /// </summary>
    public class IDCardInfoRequest : TokenRequest
    {
        /// <summary>
        /// 图像数据，url地址
        /// </summary>
        /// <value>https://XXXXXX.png</value>
        public string ImageData { get; set; }

        /// <summary>
        /// 上传图像的数据类型，默认0-url地址
        /// </summary>
        /// <value>0</value>
        /// <code>0</code>
        public UploadFileDataTypeEnum ImageDataType { get; set; }
    }
}
