using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Recognition
{
    /// <summary>
    /// 识别结果
    /// </summary>
    public class RecognitionResult
    {
        /// <summary>
        /// 响应码
        /// </summary>
        /// <value></value>
        public int StatusCode { get; set; }

        /// <summary>
        /// 是否成功
        /// </summary>
        /// <value></value>
        public bool IsSuccess { get; set; }

        /// <summary>
        /// 识别结果
        /// </summary>
        /// <value></value>
        public IDCardInfoResult IDCardData { get; set; }
    }

    /// <summary>
    /// 身份证识别结果
    /// </summary>
    public class IDCardInfoResult
    {
        /// <summary>
        /// 姓名
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 身份证号
        /// </summary>
        /// <value></value>
        public string IdCardNo { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        /// <value></value>
        public string Gender { get; set; }

        /// <summary>
        /// 民族
        /// </summary>
        /// <value></value>
        public string Nation { get; set; }

        /// <summary>
        /// 出生年月
        /// </summary>
        /// <value></value>
        public string BirthDay { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        /// <value></value>
        public string Address { get; set; }
    }

}