using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.AIDiagnosis
{
    /// <summary>
    /// AI图像诊断请求实体
    /// </summary>
    public class DiagnosisImageRequest : TokenRequest
    {
        /// <summary>
        /// 文件地址
        /// </summary>
        /// <value>http://****.VID</value>
        public string FileToken { get; set; }

        /// <summary>
        /// Vid文件本地磁盘路径
        /// </summary>
        /// <value>项目路径\\****.VID</value>
        public string DiskPath { get; set; }

        /// <summary>
        /// 关联编码
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string RelationCode { get; set; }
    }

    public class GetDiagnosisImageResultByAIResultRequest
    {
        /// <summary>
        /// fileUrl
        /// </summary>
        /// <value></value>
        public string FileUrl { get; set; }
        /// <summary>
        /// relationCode
        /// </summary>
        /// <value></value>
        public string RelationCode { get; set; }
        /// <summary>
        /// createTime
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        /// <value></value>
        public DateTime UpdateTime { get; set; }
        /// <summary>
        /// aiResult
        /// </summary>
        /// <value></value>
        public string AiResult { get; set; }
    }

    public class GetCarotidResultRequest
    {
        /// <summary>
        /// RemedicalCode
        /// </summary>
        /// <value></value>
        public string RemedicalCode { get; set; }

        /// <summary>
        /// surfaceToken
        /// </summary>
        /// <value></value>
        public string SurfaceToken { get; set; }
        /// <summary>
        /// mdlToken
        /// </summary>
        /// <value></value>
        public string MdlToken { get; set; }
        /// <summary>
        /// carotidScanType
        /// </summary>
        /// <value></value>
        public CarotidScanTypeEnum CarotidScanType { get; set; }
        /// <summary>
        /// CarotidScanDirection
        /// </summary>
        /// <value></value>
        public CarotidScanDirectionEnum CarotidScanDirection { get; set; }
        /// <summary>
        /// MeasureImageFiles
        /// </summary>
        /// <value></value>
        public List<MeasureImageFileDTO> MeasureImageFiles { get; set; }
        /// <summary>
        /// MeasureResult
        /// </summary>
        /// <value></value>
        public string MeasureResult { get; set; }
    }

}