using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Comment;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.AIDiagnosis
{
    /// <summary>
    /// 生成AI报告请求实体
    /// </summary>
    public class DiagnosisReportRequest : TokenRequest
    {
        /// <summary>
        /// 器官
        /// </summary>
        /// <value></value>
        public DiagnosisOrganEnum Organ { get; set; }

        /// <summary>
        /// 图像信息集合
        /// </summary>
        /// <typeparam></typeparam>
        /// <returns></returns>
        public List<DiagnosisRemicalDTO> RemedicalList { get; set; } = new List<DiagnosisRemicalDTO>();
    }

    public class DiagnosisRemicalDTO
    {
        /// <summary>
        /// 扫查图像编码
        /// </summary>
        /// <value></value>
        public string RemedicalCode { get; set; }

        /// <summary>
        /// 文件类型
        /// </summary>
        /// <value></value>
        public RemedicalFileDataTypeEnum DataType { get; set; }

        /// <summary>
        /// 文件地址
        /// </summary>
        /// <value>http://****.VID</value>
        public string FileToken { get; set; }

        /// <summary>
        /// AI诊断详情
        /// </summary>
        /// <value></value>
        public List<AIDiagnosisPerImageDTO> DiagnosisResult { get; set; }

        /// <summary>
        /// 颈动脉结果
        /// </summary>
        /// <value></value>
        public CarotidResultDTO CarotidResult { get; set; }
    }
}