using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.AIDiagnosis
{
    /// <summary>
    /// 查询AI诊断结论请求实体
    /// </summary>
    public class GetDiagnosisConclusionRequest : TokenRequest
    {        
        /// <summary>
        /// AI诊断结果
        /// </summary>
        /// <value></value>
        public string PerImageJson { get; set; }
    }
    
    /// <summary>
    /// 查询AI诊断结论响应实体
    /// </summary>
    public class GetDiagnosisConclusionResult
    {
        /// <summary>
        /// AI诊断结论
        /// </summary>
        /// <value></value>
        public DiagnosisConclusionEnum DiagnosisConclusion { get; set; }

        /// <summary>
        /// AI识别的器官
        /// </summary>
        /// <value></value>
        public List<DiagnosisOrganEnum> DiagnosisOrgans { get; set; } = new List<DiagnosisOrganEnum>();
    }
}