using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.AIDiagnosis
{
    /// <summary>
    /// 查询AI相关枚举集合请求实体
    /// </summary>
    public class GetDiagnosisEnumItemsRequest : TokenRequest
    {
    }

    /// <summary>
    /// 查询AI相关枚举集合响应实体
    /// </summary>
    public class GetDiagnosisEnumItemsResult
    {
        /// <summary>
        /// 枚举集合
        /// </summary>
        /// <typeparam name="EnumItemDTO">[{Code:"Organs",Children:["Breast","Liver"]}]</typeparam>
        /// <returns></returns>
        public List<EnumItemDTO> Source { get; set; } = new List<EnumItemDTO>();
    }

    /// <summary>
    /// AI相关枚举
    /// </summary>
    public class EnumItemDTO
    {
        /// <summary>
        /// 枚举关键字
        /// </summary>
        /// <value></value>
        public string Code { get; set; } = string.Empty;

        /// <summary>
        /// 枚举集合
        /// </summary>
        /// <typeparam name="string"></typeparam>
        /// <returns></returns>
        public List<EnumFieldDTO> Children { get; set; } = new List<EnumFieldDTO>();
    }

    /// <summary>
    /// AI相关枚举
    /// </summary>
    public class EnumFieldDTO
    {
        /// <summary>
        /// 枚举值
        /// </summary>
        /// <value></value>
        public int Id { get; set; }

        /// <summary>
        /// 枚举关键字
        /// </summary>
        /// <value></value>
        public string Value { get; set; } = string.Empty;
    }
}