using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;

namespace WingInterfaceLibrary.Request.Authentication
{
    /// <summary>
    /// 文件上传配置请求实体
    /// </summary>
    public class AuthenticationRequest : TokenRequest
    {
        /// <summary>
        /// 文件名
        /// </summary>
        /// <value>f5ca4b07ffd312gd2f042d88fb6bbda13c61fa6_7_0_0_0</value>
        public string FileName { get; set; }

        /// <summary>
        /// 服务类型
        /// </summary>
        /// <value>0</value>
        public WingInterfaceLibrary.Enum.StorageServerEnum ServerType { get; set; }

        /// <summary>
        /// 针对分块上传时，将url后面的uploadId等参数进行签名，普通上传无需传参
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public IList<DataItemDTO> UrlParams { get; set; }

        /// <summary>
        /// 针对分块上传时，如需header参数进行签名，则添加，普通上传无需传参
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public IList<DataItemDTO> HeaderParams { get; set; }

        /// <summary>
        /// 数据提交到云存储的请求方式【put,post,head等等】，默认是put
        /// </summary>
        /// <value>put</value>
        public string RequestMethod { get; set; } = "put";

        /// <summary>
        /// 是否分块完成时，提交的签名请求
        /// </summary>
        /// <value>put</value>
        public bool IsCompleted { get; set; } = false;
    }
}