using System;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Request.ChatMessage
{
    /// <summary>
    /// 发送聊天消息请求实体
    /// </summary>
    public class SendChatMessageRequest : TokenRequest
    {
        /// <summary>
        /// 聊天消息类型
        /// </summary>
        /// <value>1</value>
        public ChatCmdEnum ChatCmdType { get; set; }

        /// <summary>
        /// 消息内容  json字符串
        /// </summary>
        /// <value>你好</value>
        public string Content { get; set; }

        /// <summary>
        /// 关联业务编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RelevanceCode { get; set; }

        /// <summary>
        /// 业务类型
        /// </summary>
        /// <value>1</value>
        public TransactionTypeEnum TransactionType { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value>1</value>
        public DateTime CreateTime { get; set; } = DateTime.MinValue;
    }
}