using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Comment
{
    /// <summary>
    /// 获取应用注释项请求
    /// </summary>
    public class GetCommentsByApplicationRequest : TokenRequest
    {
        /// <summary>
        /// 请求语言code
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
        /// <summary>
        /// 应用名称，当为动物的时候，这个值传具体的动物类型，目前没有鼠类的体标信息
        /// </summary>
        /// <value>Abdo Diff</value>
        public string ApplicationName { get; set; }
        /// <summary>
        /// 分类名称
        /// </summary>
        /// <value>ABD或VET</value>
        public string CategoryName { get; set; }
    }

    /// <summary>
    /// 获取应用体标项请求
    /// </summary>
    public class GetBodyPatternByApplicationRequest : GetCommentsByApplicationRequest
    {
        /// <summary>
        /// 类型：用于区分人用兽用，在获取全部体标信息的时候，必填
        /// </summary>
        /// <value></value>
        public OrganizationPatientTypeEnum PatientType { get; set; }
    }
}