namespace WingInterfaceLibrary.Request.Comment
{
    /// <summary>
    /// 保存License信息数据请求实体
    /// </summary>
    public class SaveLicenseInfoRequest : TokenRequest
    {
        /// <summary>
        /// DB license info code
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 工具生成的LicenseId
        /// </summary>
        /// <value></value>
        public string LicenseId { get; set; }

        /// <summary>
        /// 使用方名称【使用机构名称】
        /// </summary>
        /// <value></value>
        public string AgencyName { get; set; }

        /// <summary>
        /// 加密的license内容
        /// </summary>
        /// <value></value>
        public string LicenseContent { get; set; }
    }

    /// <summary>
    /// 保存Dongle信息数据请求实体
    /// </summary>
    public class SaveDongleInfoRequest : TokenRequest
    {
        /// <summary>
        /// DB dongle info code
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// dongle类型：1- software;2-customer
        /// </summary>
        /// <value></value>
        public int DongleType { get; set; }

        /// <summary>
        /// LicenseId
        /// </summary>
        /// <value></value>
        public string LicenseId { get; set; }

        /// <summary>
        /// DongleId
        /// </summary>
        /// <value></value>
        public string DongleId { get; set; }

        /// <summary>
        /// 加密的Dongle内容
        /// </summary>
        /// <value></value>
        public string DongleContent { get; set; }
    }

    /// <summary>
    /// License分页查询请求实体
    /// </summary>
    public class GetLicensePageRequest : PageRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value>版本号</value>
        public string Keyword { get; set; } = string.Empty;
    }

    /// <summary>
    /// dongle分页查询请求实体
    /// </summary>
    public class GetDonglePageRequest : GetLicensePageRequest
    {
        /// <summary>
        /// dongle类型：1- software;2-customer
        /// </summary>
        /// <value></value>
        public int DongleType { get; set; }
    }

    /// <summary>
    /// 保存License信息数据请求实体
    /// </summary>
    public class GetLicenseOrDongleRequest : TokenRequest
    {
        /// <summary>
        /// 工具生成的DongleId
        /// </summary>
        /// <value></value>
        public string DongleId { get; set; }

        /// <summary>
        /// 工具生成的LicenseId
        /// </summary>
        /// <value></value>
        public string LicenseId { get; set; }
    }

    /// <summary>
    /// 根据用户名获取用户信息请求实体
    /// </summary>
    public class GetUserByNameRequest : TokenRequest
    {
        /// <summary>
        /// 工具生成的DongleId
        /// </summary>
        /// <value></value>
        public string UserName { get; set; }
    }

    /// <summary>
    /// 根据科研版Dongle获取用户信息请求实体
    /// </summary>
    public class GetUserByLabDongleRequest : TokenRequest
    {
        /// <summary>
        /// 工具生成的DongleId
        /// </summary>
        /// <value></value>
        public string LabDongle { get; set; }
    }

}