using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Measure;

namespace WingInterfaceLibrary.Request.Comment
{
    /// <summary>
    /// 用户自定义保存体标项请求实体
    /// </summary>
    public class SaveUserDefinedBodyPatternsRequest : TokenRequest
    {
        /// <summary>
        /// 版本号
        /// </summary>
        /// <value>1.0.0.0</value>
        public string Version { get; set; }

        /// <summary>
        /// 分类名称
        /// </summary>
        /// <value>ABD</value>
        public string CategoryName { get; set; }

        /// <summary>
        /// 应用名称
        /// </summary>
        /// <value>Abdo Diff</value>
        public string ApplicationName { get; set; }

        /// <summary>
        /// 体标内容
        /// </summary>
        /// <value></value>
        public List<BodyPatternDTO> BodyPatternItems { get; set; }
    }

    /// <summary>
    /// 重置当前用户自定义应用体标项请求
    /// </summary>
    public class ResetUserBodyPatternsRequest : TokenRequest
    {
        /// <summary>
        /// 是否重置所有自定义体标
        /// 重置所有-true：以下参数不填
        /// 重置所有-false：以下参数必填
        /// </summary>
        /// <value>true</value>
        public bool IsAllReset { get; set; }
        
        /// <summary>
        /// 应用名称
        /// </summary>
        /// <value>Abdo Diff</value>
        /// <code>0</code>
        public string ApplicationName { get; set; }

        /// <summary>
        /// 分类名称
        /// </summary>
        /// <value>ABD</value>
        /// <code>0</code>
        public string CategoryName { get; set; }
    }
}