using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Courses;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Courses
{
    /// <summary>
    /// 浏览记录请求实体
    /// </summary>
    public class CourseBrowsedRecordRequest : TokenRequest
    {
        /// <summary>
        /// 关联业务编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RelevanceCode { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 展示姓名
        /// </summary>
        /// <value></value>
        public string DisplayName { get; set; }

        /// <summary>
        /// 来源平台
        /// </summary>
        /// <value></value>
        public string FromPlatform { get; set; }

        /// <summary>
        /// 是否在线：true-在线；false-离线
        /// </summary>
        /// <value>false</value>
        public bool IsOnline { get; set; }

        /// <summary>
        /// 浏览用户类型枚举
        /// </summary>
        /// <value>0</value>
        public BrowsedUserTypeEnum BrowsedUserType { get; set; }

        /// <summary>
        /// 是否心跳
        /// </summary>
        /// <value>0</value>
        public bool IsHeartRateRequest { get; set; }
    }

    /// <summary>
    /// 查询浏览记录请求实体
    /// </summary>
    public class QueryBrowsedRecordRequest : TokenRequest
    {
        /// <summary>
        /// 关联业务编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RelevanceCode { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 展示姓名
        /// </summary>
        /// <value></value>
        public string DisplayName { get; set; }
    }

    /// <summary>
    /// 查询浏览记录请求实体
    /// </summary>
    public class QueryBrowsedRecordPageRequest : PageRequest
    {
        /// <summary>
        /// 关联业务编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RelevanceCode { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>   
        /// <code>0</code>
        public string UserCode { get; set; }

        /// <summary>
        /// 展示姓名
        /// </summary>
        /// <value></value>   
        /// <code>0</code>
        public string DisplayName { get; set; }

        /// <summary>
        /// 查询分类0-默认，所有；2-除去老师，助教，互动嘉宾；3-报名人数
        /// </summary>
        /// <value></value>   
        /// <code>0</code>
        public int Category { get; set; }
    }

    /// <summary>
    /// 迁移浏览记录请求实体
    /// </summary>
    public class CourseMigrateBrowsedRecordRequest : TokenRequest
    {
        /// <summary>
        /// 浏览记录详情
        /// </summary>
        /// <value></value>   
        public IList<CourseBrowsedRecordDTO> CourseBrowsedRecords { get; set; } 

        /// <summary>
        /// 状态：迁移还是同步
        /// </summary>
        public SyncDBEnum SyncType { get; set; } = SyncDBEnum.Migrate;
    }

}