using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.Request.Courses
{
    /// <summary>
    ///  查询自己申请查询课程列表
    /// </summary>
    public class FindCoursePagesRequest : PageRequest
    {
        /// <summary>
        /// 查询 关键字
        /// </summary>
        /// <value>课程名称</value>
        /// <code>0</code>
        public string Keyword { get; set; }

        /// <summary>
        /// 课程标签列表
        /// </summary>
        /// <code>0</code>
        public IList<string> CourseLabels { get; set; }

        /// <summary>
        /// 查询创建起始时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime StartTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 查询创建开始结束时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime EndTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 教师Code, 通用接口，当此值赋值是，表示老师查看自己创建的专辑，如果为空，则表示课程首页的筛选
        /// </summary>
        /// <value>04669519BF9544489E4DB547E1C01322</value>
        /// <code>0</code>
        public string TeacherCode { get; set; }

        /// <summary>
        /// 参与者编码, 通用接口，当此值赋值是，表示参与者查看自己参与的专辑，如果为空，则表示课程首页的筛选
        /// </summary>
        /// <value>04669519BF9544489E4DB547E1C01322</value>
        /// <code>0</code>
        public string ParticipantCode { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; } = "en-US";

        /// <summary>
        /// 课程审核状态查询枚举
        /// </summary>
        /// <value></value>
        public QueryCourseApprovalStatusEnum CourseApprovalStatus { get; set; }

        /// <summary>
        /// 查询课程分类
        /// </summary>
        /// <value>false</value>
        public QueryCourseTypeEnum QueryCourseType { get; set; } = QueryCourseTypeEnum.All;

        /// <summary>
        /// 是否仅仅视频课
        /// </summary>
        /// <value>false</value>
        public bool JustPastVideo {get;set;}
    }
}