using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.Request.Courses
{
    /// <summary>
    ///  视频分页查询
    /// </summary>
    public class FindVideoPagesRequest : PageRequest
    {
        /// <summary>
        /// 查询 关键字
        /// </summary>
        /// <value>视频名称</value>
        /// <code>0</code>
        public string Keyword { get; set; }

        /// <summary>
        /// 课程code
        /// </summary>
        /// <value>JKX3542345234</value>
        /// <code>0</code>
        public string CourseCode { get; set; }

        /// <summary>
        /// 类型：1-视频：2-素材
        /// </summary>
        /// <value>1</value>
        /// <code>0</code>
        public int Category { get; set; }

        /// <summary>
        /// 素材分类：视频、图片、文件
        /// </summary>
        /// <value>21</value>
        /// <code>0</code>
        public UploadFileTypeEnum FodderType { get; set; }

        /// <summary>
        /// 是否只查询我上传的， true-表示是，false-表示不只是看到我上传的，还有只要是公共的素材都可以看到
        /// </summary>
        /// <value>true</value>
        /// <code>0</code>
        public bool IsJustQueryMyUpload { get; set; } = true;
    }

    /// <summary>
    /// 查询课程源和资料类型的分页查询
    /// </summary>
    public class FindVideoFilesCourseTypeByPageRequest : PageRequest
    {

        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value>课程素材</value>
        /// <code>0</code>
        public string Keyword { get; set; }

        /// <summary>
        /// 课程类型 
        /// 注: 多媒体课程 +课程源  返回指定过滤指定格式文件。其他是全部
        /// </summary>
        /// <value></value>
        public CourseTypeEnum CourseType { get; set; }

        /// <summary>
        /// 课程文件分类枚举 ，1：课程源 0：所有
        /// </summary>
        /// <value></value>
        public  QueryCourseFileCategoryEnum  CourseFileCategoryEnum { get; set; }

    }

    /// <summary>
    /// 管理端素材列表分页查询
    /// </summary>
    public class QueryVideoFilesByPageRequest : PageRequest
    {
        /// <summary>
        /// 老师code
        /// </summary>
        /// <value>xxxxxxxxx</value>
        /// <code>0</code>
        public string TeacherCode { get; set; }

        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value>课程素材</value>
        /// <code>0</code>
        public string Keyword { get; set; }

        /// <summary>
        /// 分类
        /// </summary>
        /// <value>1-视频：2-所有</value>
        /// <code>0</code>
        public int Category { get; set; }
    }

}