using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Report;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.DBCopy
{
    /// <summary>
    /// 批量同步报告
    /// </summary>
    public class SyncBatchReportInfoRequest
    {
        public SyncDBEnum SyncType { get; set; } = SyncDBEnum.Migrate;
        
        /// <summary>
        /// SyncReportInfoRequest
        /// </summary>
        /// <value></value>
        public List<SyncReportInfoRequest> SyncReportInfos { get; set; }
    }

    public class SyncReportInfoRequest
    {
        /// <summary>
        /// ReportCode
        /// </summary>
        /// <value></value>
        public string ReportCode { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        /// <value></value>
        public DateTime UpdateTime { get; set; }
        /// <summary>
        /// 检查编码
        /// </summary>
        /// <value></value>
        public string RecordCode { get; set; } = string.Empty;
        /// <summary>
        /// 报告医生编码
        /// </summary>
        /// <value></value>
        public string ReportUserCode { get; set; } = string.Empty;
        /// <summary>
        /// 病人Code
        /// </summary>
        public string PatientCode { get; set; } = string.Empty;
        /// <summary>
        /// 病人姓名
        /// </summary>
        public string PatientName { get; set; } = string.Empty;
        /// <summary>
        /// DeviceCode
        /// </summary>
        /// <value></value>
        public string DeviceCode { get; set; }
        /// <summary>
        /// 报告模板Json
        /// </summary>
        public string ReportTemplateJson { get; set; } = string.Empty;
        /// <summary>
        /// 报告内容Json
        /// </summary>
        public string ReportDatasJson { get; set; } = string.Empty;
        /// <summary>
        /// 报告标签
        /// </summary>
        public List<string> ReportLabels { get; set; } = new List<string>();
        /// <summary>
        /// 来源标签
        /// </summary>
        public List<string> PlatformLabels { get; set; } = new List<string>();
        /// <summary>
        /// 诊断标签
        /// </summary>
        public List<string> DiagnosisLabels { get; set; } = new List<string>();
        /// <summary>
        /// 检查器官
        /// </summary>
        /// <value>2</value>
        public DiagnosisOrganEnum ReportOrgan { get; set; }
        /// <summary>
        /// 报告预览图
        /// </summary>
        public List<ReportPreviewDTO> ReportPreviewList { get; set; } = new List<ReportPreviewDTO>();

        /// <summary>
        /// 质控状态枚举
        /// </summary>
        /// <value></value>
        public QualityType QualityType { get; set; } = QualityType.None;

        /// <summary>
        /// 质控合格状态
        /// </summary>
        /// <value></value>
        public QualifiedState QualifiedState { get; set; } = QualifiedState.UnSet;

        /// <summary>
        /// 质控结果
        /// </summary>
        /// <value></value>
        public ReportQualityControl QualityControlDatas { get; set; }
    }
}