using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Interface;

namespace WingInterfaceLibrary.Request.DBRequest
{

    /// <summary>
    /// 增加设备
    /// </summary>
    public class AddDevicePatchDBRequest : DevicePatchDTO
    {

    }

    public class UpdateDevicePatchDBRequest
    {
        /// <summary>
        /// 更新包编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
        /// <summary>
        /// 更新包名称
        /// </summary>
        /// <value>补丁包Test</value>
        public string Name { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        /// <value>补丁包Test描述</value>
        /// <code>0</code>
        public string Description { get; set; }

        /// <summary>
        /// 适配软件版本
        /// </summary>
        /// <value>1.10.1</value>
        ///  <code>0</code>
        public string SoftwareVersion { get; set; }

        /// <summary>
        /// 适配系统版本
        /// </summary>
        /// <value>1.2.0</value>
        ///  <code>0</code>
        public string OsVersion { get; set; }
    }

    public class DeleteDevicePatchDBbyCodeRequest
    {
        public string Code { get; set; }
    }

    public class FindDevicePatchPageDBRequest : PageRequest
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 适配软件版本
        /// </summary>
        /// <value>1.10.1</value>
        ///  <code>0</code>
        public string SoftwareVersion { get; set; }

        /// <summary>
        /// 适配系统版本
        /// </summary>
        /// <value>1.2.0</value>
        ///  <code>0</code>
        public string OsVersion { get; set; }

        
        /// <summary>
        /// 查询指定设备类型范围（Us sonopost）
        /// </summary>
        /// <value></value>
        public IList<string> FindOnlyDeviceTypes { get; set; }

    }
    public class GetDevicePatchDBbyNameRequest
    {
        public string Name { get; set; }

        public string Code { get; set; }
    }
}