using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 增加更新包版本号
    /// </summary>
    public class AddDevicePatchVersionDBRequest
    {
        /// <summary>
        /// 版本号
        /// </summary>
        /// <value></value>
        public string Version { get; set; }

        /// <summary>
        /// 版本类型
        /// </summary>
        /// <value></value>
        public DeviceVersionEnum VersionTypeEnum { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value></value>
        public string DeviceType { get; set; }
    }

    /// <summary>
    /// 查询设备版本列表
    /// </summary>
    public class FindDevicePatchVersionListDBRequest
    {
        /// <summary>
        /// 版本类型
        /// </summary>
        /// <value></value>
        public DeviceVersionEnum VersionTypeEnum { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value></value>
        public string DeviceType { get; set; }
    }

    /// <summary>
    /// 删除版本
    /// </summary>
    public class DeleteDevicePatchVersionDBRequest
    {
        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }
}