using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Device;

namespace WingInterfaceLibrary.Request.DBRequest
{

    public class AddDevicePrinterDBRequest : DevicePrinterDTO
    {

    }

    public class FindDevicePrinterPageDBRequest : PageRequest
    {
        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value>hp</value>
        /// <code>0</code>
        public string Keyword { get; set; }
    }

    /// <summary>
    /// 查询打印机驱动名称是否存在请求
    /// </summary>
    public class ExistsDevicePrinterDBRequest 
    {
        /// <summary>
        /// 打印机驱动名
        /// </summary>
        /// <value>hp</value>
        /// <code>0</code>
        public string Name { get; set; }
    }

    public class DeleteDevicePrinterDBRequest
    {
        public string Code { get; set; }
    }

    public class GetDevicePrinterDBRequest
    {

        public string Code { get; set; }

        public string Name { get; set; }

    }

    public class UpdateDevicePrinterDBRequest
    {

        /// <summary>
        /// 更新包编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 更新包名称
        /// </summary>
        /// <value>补丁包Test</value>
        public string Name { get; set; }

        /// <summary>
        /// 描述
        /// </summary>
        /// <value>补丁包Test描述</value>
        /// <code>0</code>
        public string Description { get; set; }

        /// <summary>
        /// 适配系统版本
        /// </summary>
        /// <value>1.2.0</value>
        ///  <code>0</code>
        public string OsVersion { get; set; }

    }
}