

using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.DiagnosisResult;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 保存AI诊断结果
    /// </summary>
    public class AddDiagnosisResultInfosDBRequest
    {
        /// <summary>
        /// 关联编码
        /// </summary>
        public string RelationCode { get; set; }

        /// <summary>
        /// 图像地址
        /// </summary>
        public string FileUrl { get; set; }

        /// <summary>
        /// AI诊断结果
        /// </summary>
        public IList<DiagnosisResultDTO> DiagnosisResultInfos { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime? CreateTime { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        /// <value></value>
        public DateTime? UpdateTime { get; set; }

        /// <summary>
        /// 是否同步到其它服务器
        /// </summary>
        /// <value></value>
        public bool SyncOthers { get; set; } = true;
    }
}