using System.Collections.Generic;
namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 添加客户端测量图像数据请求实体
    /// </summary>
    public class AddRemedicalMeasuredInfoDBRequest
    {        
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>UserDO_20220315125334n5j3A2</value>
        public string UserCode { get; set; } = string.Empty;

        /// <summary>
        /// 扫查记录编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RecordCode { get; set; } = string.Empty;

        /// <summary>
        /// 扫查图像编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RemedicalCode { get; set; } = string.Empty;

        /// <summary>
        /// 第几帧，默认0
        /// </summary>
        /// <value>0</value>
        public int FrameIndex { get; set; }

        /// <summary>
        /// 原图地址
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string MeasuredFileToken { get; set; } = string.Empty;

        /// <summary>
        /// 缩略图地址
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string PreviewFileToken { get; set; } = string.Empty;

        /// <summary>
        /// 测量图像数据详情
        /// </summary>
        /// <value></value>
        public string MeasuredData { get; set; } = string.Empty;

        /// <summary>
        /// 模式
        /// </summary>
        /// <value>Tissue</value>
        public string Model { get; set; } = string.Empty;
    }
}