using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 添加报告转发厂商配置详情
    /// </summary>
    public class AddReportPosterDBRequest
    {
        /// <summary>
        /// Receiver customer name
        /// </summary>
        /// <value></value>
        public string ReceiverName { get; set; }
        /// <summary>
        /// The contact name
        /// </summary>
        /// <value></value>
        public string Contact { get; set; }
        /// <summary>
        /// The contact's phone
        /// </summary>
        /// <value></value>
        public string Phone { get; set; }
        /// <summary>
        /// Target url
        /// </summary>
        /// <value></value>
        public string TargetUrl { get; set; }
        /// <summary>
        /// Template
        /// </summary>
        /// <value></value>
        public string Template { get; set; }
        /// <summary>
        /// The report format
        /// </summary>
        /// <value></value>
        public ReportPosterTypeEnum PosterType { get; set; }
        /// <summary>
        /// The report format
        /// </summary>
        /// <value></value>
        public ReportFormatEnum ReportFormat { get; set; }
        /// <summary>
        /// The post action timeout, unit is second
        /// </summary>
        /// <value></value>
        public int PostTimeout { get; set; }
    }
}