using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using  WingInterfaceLibrary.DTO.Schedule;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    ///创建日程数据表记录请求
    /// </summary>
    public class AddScheduleDBRequest : TableDataItem<ScheduleDTO>
    {
    }

    /// <summary>
    /// 更新日程数据记录请求
    /// </summary>
    public class UpdateScheduleDBRequest : TableDataItem<ScheduleDTO>
    {
    }

    /// <summary>
    /// 查询日程记录请求
    /// </summary>
    public class GetScheduleDBRequest
    {
        /// <summary>
        /// 查询起始时间
        /// 本地时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime StartTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 查询截至时间
        /// 本地时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime EndTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 参与人员编码
        /// </summary>
        /// <value></value>
        public string UserCode{ get; set; }
    }
}