using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 学生加入班级请求
    /// </summary>
    public class AddStudentInCourseUserGroupDBRequest
    {
        /// <summary>
        /// 班级编码
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 学生编码列表
        /// </summary>
        /// <value></value>
        public IList<string> StudentCodes { get; set; }
    }

    /// <summary>
    /// 学生退出班级请求
    /// </summary>
    public class StudentLeaveCourseUserGroupDBRequest
    {
        /// <summary>
        /// 班级编码
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 学生编码列表
        /// </summary>
        /// <value></value>
        public IList<string> StudentCodes { get; set; }
    }

    /// <summary>
    /// 查找学生所在班级列表请求
    /// </summary>
    public class FindUserGroupByStudentDBRequest: PageRequest
    {
        /// <summary>
        /// 学生编码
        /// </summary>
        /// <value></value>
        public string StudentCode { get; set; }

        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }
    }
}