using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 创建支付记录请求
    /// </summary>
    public class CreatePaymentRecordDBRequest
    {
        /// <summary>
        /// 记录编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 订单编号
        /// </summary>
        /// <value></value>
        public string OrderCode { get; set; }

        /// <summary>
        /// 支付金额
        /// </summary>
        /// <value></value>
        public double PayAmount { get; set; }

        /// <summary>
        /// 支付时间
        /// </summary>
        /// <value></value>
        public DateTime PayTime { get; set; }

        /// <summary>
        /// 支付状态
        /// </summary>
        /// <value></value>
        public PayStatusEnum PayStatus { get; set; }

        /// <summary>
        /// 支付方式
        /// </summary>
        /// <value></value>
        public PayTypeEnum PayType { get; set; }

        /// <summary>
        /// 支付请求信息
        /// </summary>
        /// <value></value>
        public string PayReqContent { get; set; }

        /// <summary>
        /// 支付请求结果
        /// </summary>
        /// <value></value>
        public string PayResContent { get; set; }
    }
}