using System.Collections.Generic;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 更新商品信息
    /// </summary>
    public class CreateProductDBRequest
    {
        /// <summary>
        /// 商品名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 商品头图
        /// </summary>
        /// <value></value>
        public string HeadImage { get; set; }

        /// <summary>
        /// 商品价格
        /// </summary>
        /// <value></value>
        public double Price { get; set; }

        /// <summary>
        /// 商品上架状态
        /// </summary>
        /// <value></value>
        public ProductStatusEnum Status { get; set; }

        /// <summary>
        /// 商品类型
        /// </summary>
        /// <value></value>
        public ProductTypeEnum ProductType { get; set; }

        /// <summary>
        /// 商品所属人
        /// </summary>
        /// <value></value>
        public string BelongerCode { get; set; }

        /// <summary>
        /// 商品关联业务信息
        /// </summary>
        /// <value></value>
        public string RelationInfo { get; set; }       

        /// <summary>
        /// 课程分享直播信息
        /// </summary>
        /// <value></value>
        public LiveDataDTO CourseChannel { get; set; }

        /// <summary>
        /// 其他互动人员共享屏幕直播信息
        /// </summary>
        /// <value></value>
        public LiveDataDTO OthersScreenSharingChannel { get; set; }
    }
}