using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Courses;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 科研项目db创建实体
    /// </summary>
    public class CreateResearchProjectDBRequest
    {
        /// <summary>
        /// 项目名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 归属人
        /// </summary>
        /// <value></value>
        public string BelongUserCode { get; set; }

        /// <summary>
        /// 创建人名称
        /// </summary>
        /// <value></value>
        public string CreatorName { get; set; }

        /// <summary>
        /// 服务对象：人用、兽用
        /// </summary>
        /// <value>0</value>
        public OrganizationPatientTypeEnum PatientType { get; set; }

        /// <summary>
        /// 介绍
        /// </summary>
        /// <value></value>
        public string Introduction { get; set; }
    }


    /// <summary>
    /// 科研项目db修改实体
    /// </summary>
    public class UpdateResearchProjectDBRequest : CreateResearchProjectDBRequest
    {
        /// <summary>
        /// 项目code
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }

    /// <summary>
    /// 科研项目db删除实体
    /// </summary>
    public class DeleteResearchProjectDBRequest
    {
        /// <summary>
        /// 项目code
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }
}