using System;
using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 删除DB日志列表请求实体
    /// </summary>
    public class DeleteDBLogsRequest : TokenRequest
    {
        /// <summary>
        /// 删除指定天数之前的
        /// </summary>
        /// <value></value>
        public int DaysAgo { get; set; }

        /// <summary>
        /// Server Host
        /// </summary>
        /// <value></value>
        public string ServerHost { get; set; }
    }

    /// <summary>
    /// 批量删除日志请求实体
    /// </summary>
    public class BatchDeleteDBLogsRequest: DeleteDBLogsRequest
    {
        /// <summary>
        /// 待删除日志数量
        /// </summary>
        /// <value></value>
        public long LogCount { get; set; }

        /// <summary>
        /// Admin Code
        /// </summary>
        /// <value></value>
        public string AdminCode { get; set; }

        /// <summary>
        /// Server Host
        /// </summary>
        /// <value></value>
        public string ServerHost { get; set; }
    }

    /// <summary>
    /// 查询待删除日志数据请求实体
    /// </summary>
    public class QueryWaitDeleteLogsRequest : TokenRequest
    {
        /// <summary>
        /// 删除指定天数之前的
        /// </summary>
        /// <value></value>
        public IList<int> DaysAgoList { get; set; }

        /// <summary>
        /// Server Host
        /// </summary>
        /// <value></value>
        public string ServerHost { get; set; }

        /// <summary>
        /// 管理员code
        /// </summary>
        /// <value></value>
        public string AdminCode { get; set; }
    }
}