using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 新增人脸识别数据
    /// </summary>
    public class AddFaceRecognitionRequest
    {
        /// <summary>
        /// 人员Id
        /// </summary>
        /// <value></value>
        public string PersonId { get; set; }

        /// <summary>
        /// 特征数据
        /// </summary>
        /// <value></value>
        public string Data { get; set; }

        /// <summary>
        /// 特征大小
        /// </summary>
        /// <value></value>
        public int Size { get; set; }

        /// <summary>
        /// 特征模型版本
        /// </summary>
        /// <value></value>
        public string IdRegModelVersion { get; set; }

        /// <summary>
        /// 图片地址
        /// </summary>
        /// <value></value>
        public string ImagePath { get; set; }
    }

    /// <summary>
    /// 更新人脸识别数据
    /// </summary>
    public class UpdateFaceRecognitionRequest
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 人员Id
        /// </summary>
        /// <value></value>
        public string PersonId { get; set; }

        /// <summary>
        /// 特征数据
        /// </summary>
        /// <value></value>
        public string Data { get; set; }

        /// <summary>
        /// 特征大小
        /// </summary>
        /// <value></value>
        public int Size { get; set; }

        /// <summary>
        /// 特征模型版本
        /// </summary>
        /// <value></value>
        public string IdRegModelVersion { get; set; }

        /// <summary>
        /// 图片地址
        /// </summary>
        /// <value></value>
        public string ImagePath { get; set; }
    }

    /// <summary>
    /// 获取人脸识别数据
    /// </summary>
    public class GetFaceRecognitionPageRequest : PageRequest
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value></value>
        public DateTime StartTime { get; set; }
    }
}