using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.DB.Request
{

    /// <summary>
    /// 查询课程列表分页
    /// </summary>
    public class FindCoursePagesDBRequest : PageRequest
    {
        /// <summary>
        /// 查询创建起始时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        public DateTime StartTime { get; set; }
        /// <summary>
        /// 查询创建时间结束
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        public DateTime EndTime { get; set; }

        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }
        
        /// <summary>
        /// 老师编码, 通用接口，当此值赋值是，表示参与者查看自己创建的专辑，如果为空，则表示课程首页的筛选
        /// </summary>
        /// <value></value>
        public string TeacherCode { get; set; }

        /// <summary>
        /// 参与者编码, 通用接口，当此值赋值是，表示参与者查看自己参与的专辑，如果为空，则表示课程首页的筛选
        /// </summary>
        /// <value>04669519BF9544489E4DB547E1C01322</value>
        public string ParticipantCode { get; set; }

        /// <summary>
        /// 课程状态, 默认0 查询所有
        /// </summary>
        /// <value></value>
        public CourseStatusEnum Status { get; set; } = CourseStatusEnum.Unknown;

        /// <summary>
        /// 课程分类
        /// </summary>
        /// <value>1</value>
        public CourseTypeEnum CourseType { get; set; } = CourseTypeEnum.Unknown;

        /// <summary>
        /// 课程规模类型
        /// </summary>
        /// <value>1</value>
        public CourseAudienceTypeEnum AudienceType { get; set; } = CourseAudienceTypeEnum.Unknown;

        /// <summary>
        /// 课程标签
        /// </summary>
        /// <value></value>
        public IList<string> CourseLabels { get; set; }

        /// <summary>
        /// 课程审核状态查询枚举
        /// </summary>
        /// <value></value>
        public QueryCourseApprovalStatusEnum CourseApprovalStatus { get; set; }

        /// <summary>
        /// 查询课程类型
        /// </summary>
        /// <value>false</value>
        public QueryCourseTypeEnum QueryCourseType { get; set; } = QueryCourseTypeEnum.All;

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>false</value>
        public string LanguageCode {get;set;} = "en-US";

        /// <summary>
        /// 是否仅仅视频课
        /// </summary>
        /// <value>false</value>
        public bool JustPastVideo {get;set;}
    }


}