using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 设备信息分页
    /// </summary>
    public class FindDeviceInfoPageRequest : PageRequest
    {
        /// <summary>
        /// 设备code列表
        /// </summary>
        /// <value></value>
        public IList<string> DeviceCodes { get; set; }

        /// <summary>
        /// 在线设备列表
        /// </summary>
        /// <value></value>
        public IList<string> IsOnlineCodes { get; set; }

        /// <summary>
        /// 机构列表
        /// </summary>
        /// <value></value>
        public IList<string> OrgCodes { get; set; }

        /// <summary>
        /// 关键字
        /// </summary>
        /// <value>演示超声机</value>
        /// <code>0</code>
        public string KeyWord { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value>US</value>
        /// <code>0</code>
        public string DeviceType { get; set; }

        /// <summary>
        /// 设备型号
        /// </summary>
        /// <value>E30</value>
        /// <code>0</code>
        public string DeviceModel { get; set; }

        /// <summary>
        /// 是否在线：true-在线；false-离线；null-全部
        /// </summary>
        /// <value>true</value>
        /// <code>0</code>
        public bool? IsOnline { get; set; }

        /// <summary>
        /// 机构Code
        /// </summary>
        /// <value>'BCXXXXXXX0DXXXXXXXX4B1C87CCBBE','BCXXXXXXX0DXXXXXXXX4B1C87CCBBE'</value>
        /// <code>0</code>
        public IList<string> OrganizationCodes { get; set; }

        /// <summary>
        /// 组织编码列表（指定只查指定组织内的设备）
        /// </summary>
        /// <value></value>
        public List<string> RestrictOrgCodes { get; set; }

        /// <summary>
        /// 是否包含转诊申请设备
        /// </summary>
        /// <value></value>
        public bool IsIncloudReferral { get; set; } = false;

        /// <summary>
        /// 当前操作人usercode
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }
    }
}