using System.Collections.Generic;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 题目列表分页查询请求实体
    /// </summary>
    public class FindExaminationQuestionPagesDBRequest : PageRequest
    {
        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value></value>
        public string SearchKey { get; set; }

        /// <summary>
        /// 病例标签
        /// </summary>
        /// <value></value>
        public IList<string> CaseLabelCodes { get; set; }

        /// <summary>
        /// 课程标签
        /// </summary>
        /// <value></value>
        public IList<string> CourseLabelCodes { get; set; }

        /// <summary>
        /// 题目codes
        /// </summary>
        /// <value></value>
        public IList<string> Codes { get; set; }

        /// <summary>
        /// NotInCodes
        /// </summary>
        /// <value></value>
        public IList<string> NotInCodes { get; set; }

    }

    /// <summary>
    /// 题目列表分页查询请求实体
    /// </summary>
    public class FindExaminationQuestionsByCodesDBRequest  
    {
        /// <summary>
        /// 题目codes
        /// </summary>
        /// <value></value>
        public IList<string> Codes { get; set; }

    }
}