using System.Collections.Generic;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.DB.Request
{
    public class FindUserPageByOrgsRequest : PageFilterRequest
    {
        /// <summary>
        /// 排除用户
        /// </summary>
        public List<string> ExcludeUserCodes { get; set; }

        /// <summary>
        /// 机构列表
        /// </summary>
        public List<string> OrgList{ get; set; }

        /// <summary>
        /// 指定角色
        /// </summary>
        public List<string> RoleCodes{ get; set; }

        /// <summary>
        /// 是否只查询代理商
        /// </summary>
        public bool? IsAgent { get; set; }

        /// <summary>
        /// 用户code
        /// </summary>
        public string UserCode{ get; set; }

        /// <summary>
        /// 是否科研版用户
        /// </summary>
        public bool IsResearchProjectUser { get; set; }

        /// <summary>
        /// DongleId
        /// </summary>
        public string LabDongle { get; set; }

        /// <summary>
        /// 仅查询Dongle用户
        /// </summary>
        public bool OnlyDongle { get; set; }
    }
}