using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 获取品牌型号配置
    /// </summary>
    public class GetBrandModelOutputConfigDBRequest
    {
        /// <summary>
        /// 品牌名称
        /// </summary>
        /// <value></value>
        public string Brand { get; set; }

        /// <summary>
        /// 设备型号
        /// </summary>
        /// <value></value>
        public string Model { get; set; }

        /// <summary>
        /// 设备唯一码
        /// </summary>
        /// <value></value>
        public string ShortCode { get; set; }
    }

    /// <summary>
    /// 根据品牌获取所有型号
    /// </summary>
    public class GetModelsDBRequest
    {
        /// <summary>
        /// 品牌名称
        /// </summary>
        /// <value></value>
        public string Brand { get; set; }
    }

    /// <summary>
    /// 获取设备品牌型号分页
    /// </summary>
    public class GetDeviceBrandModelPageDBRequest : PageRequest
    {
        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }
    }

    /// <summary>
    /// 获取品牌型号配置
    /// </summary>
    public class DeleteBrandModelOutputConfigDBRequest
    {
        /// <summary>
        /// 品牌型号编码列表
        /// </summary>
        /// <value></value>
        public List<string> BrandModelCodes { get; set; }
    }
}