using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.DTO.CMSStatistic;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 模板状态获取模板
    /// </summary>
    public class GetCMSTemplatesDBRequest
    {
        /// <summary>
        /// 查询模板状态
        /// </summary>
        /// <value></value>
        public QueryCMSTemplateStatusTypeEnum QueryCMSTemplateStatus { get; set; }
    }

    /// <summary>
    /// 模板名称获取模板
    /// </summary>
    public class GetCMSTemplatesDBByNamesRequest
    {
        /// <summary>
        /// 模板名称集合
        /// </summary>
        /// <value></value>
        public IList<string> Names { get; set; }
    }

    /// <summary>
    /// 模板code获取模板
    /// </summary>
    public class GetCMSTemplatesDBByCodesRequest
    {
        /// <summary>
        /// 模板编码集合
        /// </summary>
        /// <value></value>
        public IList<string> Codes { get; set; }
    }
    /// <summary>
    /// 创建CMS模板
    /// </summary>
    public class AddCMSTemplatesDBRequest : TableDataItem<CMSTemplateDTO>
    {

    }
    /// <summary>
    /// 更新CMS模板
    /// </summary>
    public class UpdateCMSTemplatesDBRequest : TableDataItem<CMSTemplateDTO>
    {

    }
}