using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DB.Request
{

    public class GetDashboardStatisticDBRequest
    {
        /// <summary>
        /// 机构查询编码集合
        /// </summary>
        /// <value></value>
        public IList<string> OrgCodes { get; set; }

        /// <summary>
        /// 查询开始时间
        /// </summary>
        /// <value></value>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 查询结束时间 
        /// </summary>
        /// <value></value>
        public DateTime EndTime { get; set; }
    }

    /// <summary>
    /// 检查部位
    /// </summary>
    public class GetGetCheckPlaceStatisticDBRequest : GetDashboardStatisticDBRequest
    {

    }

    /// <summary>
    /// 实时数据统计
    /// </summary>
    public class GeGetRealtimeDataStatisticDBRequest : GetDashboardStatisticDBRequest
    {
        /// <summary>
        ///查询最多数据量
        /// </summary>
        /// <value></value>
        public int GetMaxCount { get; set; } = 10;
        /// <summary>
        /// 检查状态
        /// </summary>
        public RecordStatusEnum RecordStatus { get; set; } = RecordStatusEnum.Completed;

    }

    /// <summary>
    /// 报告质控统计
    /// </summary>
    public class GetQualityControlReportStatisticDBRequest : GetDashboardStatisticDBRequest
    {

    }

    /// <summary>
    /// 图像质控统计
    /// </summary>
    public class GetGetQualityControlImageStatisticDBRequest : GetDashboardStatisticDBRequest
    {

    }

    /// <summary>
    /// 诊断数据统计
    /// </summary>
    public class GetDiagnosisStatisticDBRequest : GetDashboardStatisticDBRequest
    {

        /// <summary>
        /// 检查状态
        /// </summary>
        public RecordStatusEnum RecordStatus { get; set; } = RecordStatusEnum.Completed;

    }

    /// <summary>
    /// 阳性病例数据统计
    /// </summary>
    public class GetGetPositiveCaseStatisticDBRequest : GetDashboardStatisticDBRequest
    {

    }

    /// <summary>
    /// 报告数量统计
    /// </summary>
    public class GetGetSubmittedReportsStatisticDBRequest : GetDashboardStatisticDBRequest
    {

    }

}