using System.Collections.Generic;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 通过已分配的管理员获取医院列表
    /// </summary>
    public class GetOrganizationByUserAndDevicesDBRequest : PageFilterRequest
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 所绑定的设备编码
        /// </summary>
        /// <value></value>
        public List<string> BindDeviceCodes { get; set; }

        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 对应组织编码
        /// </summary>
        /// <value></value>
        public List<string> OrgCodes { get; set; }

        /// <summary>
        /// 是否包含转诊申请机构
        /// </summary>
        /// <value></value>
        public bool IsIncloudReferral { get; set; }=false;
    }
}