namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 根据机构ID、设备ID、设备病人ID获取病人请求实体
    /// </summary>
    public class GetPatientByPatientIdDBRequest
    {
        /// <summary>
        /// 设备病人ID 
        /// </summary>
        /// <value></value>
        public string DevicePatientID { get; set; }

        /// <summary>
        /// 机构code
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value></value>
        public string DeviceCode { get; set; }
    }

    /// <summary>
    /// 根据项目code、设备ID、设备病人ID获取病人请求实体
    /// </summary>
    public class GetPatientByProjectCodeDBRequest
    {
        /// <summary>
        /// 设备病人ID 
        /// </summary>
        /// <value></value>
        public string DevicePatientID { get; set; }

        /// <summary>
        /// 机构code
        /// </summary>
        /// <value></value>
        public string ProjectCode { get; set; }

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value></value>
        public string DeviceCode { get; set; }
    }
}