using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 分页查询项目配置 请求实体
    /// </summary>
    public class GetProjectByPageDBRequest : PageRequest
    {
        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }
    }

    /// <summary>
    /// 查询项目配置详情 请求实体
    /// </summary>
    public class GetProjectDBRequest
    {
        /// <summary>
        /// 项目配置编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除项目配置 请求实体
    /// </summary>
    public class DeleteProjectDBRequest
    {
        /// <summary>
        /// 项目配置编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }
}