using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 分页查询项目数据推送记录 请求实体
    /// </summary>
    public class GetProjectPushRecordByPageDBRequest : PageRequest
    {
        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 项目名称
        /// </summary>
        public string ProjectName { get; set; }

        /// <summary>
        /// 数据类型，医院、用户、设备等
        /// </summary>
        public ProjectDataTypeEnum? DataType { get; set; }

        /// <summary>
        /// 推送状态
        /// </summary>
        public ProjectPushStatusEnum? PushStatus { get; set; }
    }

    /// <summary>
    /// 查询项目数据推送记录详情 请求实体
    /// </summary>
    public class GetProjectPushRecordDBRequest
    {
        /// <summary>
        /// 推送记录编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除项目数据推送记录 请求实体
    /// </summary>
    public class DeleteProjectPushRecordDBRequest
    {
        /// <summary>
        /// 推送记录编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }
}