using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 分页查询用户群组检查记录 请求实体
    /// </summary>
    public class GetUserGroupRecordsByPageDBRequest : PageRequest
    {
        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 用户组编码
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 开始日期
        /// </summary>
        /// <value></value>
        public DateTime StartDate { get; set; }

        /// <summary>
        /// 结束日期
        /// </summary>
        /// <value></value>
        public DateTime EndDate { get; set; }

        /// <summary>
        /// 医院编码集合
        /// </summary>
        /// <value></value>
        public List<string> OrganizationCodes { get; set; }

        /// <summary>
        /// 机构编码集合
        /// </summary>
        /// <value></value>
        public List<string> DeviceCodes { get; set; }

        /// <summary>
        /// 检查记录状态
        /// </summary>
        /// <value></value>
        public RecordProcessStateEnum RecordProcessState { get; set; } = RecordProcessStateEnum.All;
    }

}