using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 用户列表请求实体
    /// </summary>
    public class GetUserListDBRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value>nickName</value>
        /// <code>0</code>
        public string Keyword { get; set; }

        /// <summary>
        /// 机构查询类型 0-待分配，1-单个部门或科室，2-全部部门，3-全部
        /// </summary>
        /// <value>0</value>
        public OrganizationQueryTypeEnum OrganizationQueryType { get; set; }

        /// <summary>
        /// 机构code
        /// </summary>
        /// <value>Test00003</value>
        /// <code>0</code>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 角色编码
        /// </summary>
        /// <value>"DefaultRole0001","DefaultRole0002"</value>
        /// <code>0</code>
        public IList<string> RoleCodes { get; set; }

        /// <summary>
        /// 职称code
        /// </summary>
        /// <value>DefaultRank0001</value>
        /// <code>0</code>
        public string RankCode { get; set; }

        /// <summary>
        /// 岗位身份code
        /// </summary>
        /// <value>role0001</value>
        /// <code>0</code>
        public string PositionCode { get; set; }

        /// <summary>
        /// 排除的用户
        /// </summary>
        /// <value></value>
        public List<string> ExceptUsers { get; set; }

        /// <summary>
        /// 绑定的助理
        /// </summary>
        /// <value></value>
        public List<string> BindAssistants { get; set; }

        /// <summary>
        /// 是否代理商用户
        /// </summary>
        /// <value></value>
        public bool? IsAgent { get; set; }
    }

    public class GetUserListPagesDBRequest : GetUserListDBRequest
    {
        /// <summary>
        /// 页码
        /// </summary>
        /// <value></value>
        public int PageIndex { get; set; }

        /// <summary>
        /// 页大小
        /// </summary>
        /// <value></value>
        public int PageSize { get; set; }
    }
}