using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 生成支付链接信息请求
    /// </summary>
    public class InsertPayUrlDBRequest
    {
        /// <summary>
        /// 支付订单编码
        /// </summary>
        /// <value></value>
        public string PaymentOrderCode { get; set; }

        /// <summary>
        /// 支付短链接
        /// </summary>
        /// <value></value>
        public string PayShortLink { get; set; }

        /// <summary>
        /// 支付完整链接
        /// </summary>
        /// <value></value>
        public string PayLink { get; set; }
    }
    
    /// <summary>
    /// 生成支付链接信息请求
    /// </summary>
    public class InsertPayUrlDBResult
    {
        /// <summary>
        /// 支付短链接
        /// </summary>
        /// <value></value>
        public string PayShortUrl { get; set; }

        /// <summary>
        /// 是否成功
        /// </summary>
        /// <value></value>
        public bool IsSuccess { get; set; }
    }


    /// <summary>
    /// 获取支付链接信息请求
    /// </summary>
    public class GetPayUrlDBRequest
    {
        /// <summary>
        /// 支付订单编码
        /// </summary>
        /// <value></value>
        public string PaymentOrderCode { get; set; }
    }
    
    /// <summary>
    /// 生成支付链接信息请求
    /// </summary>
    public class GetPayUrlDBResult
    {
        /// <summary>
        /// 支付完整链接
        /// </summary>
        /// <value></value>
        public string PayUrl { get; set; }
    }
}