using System.Collections.Generic;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 同意学生加入班级
    /// </summary>
    public class JoinClassApprovedDBRequest
    {
        /// <summary>
        /// 教师编码
        /// </summary>
        /// <value></value>
        public string TeacherCode { get; set; }

        /// <summary>
        /// 班级编码
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 学生编码列表
        /// </summary>
        /// <value></value>
        public List<string> Students { get; set; }
    }

    /// <summary>
    /// 拒绝学生加入班级
    /// </summary>
    public class JoinClassRejectedDBRequest
    {
        /// <summary>
        /// 教师编码
        /// </summary>
        /// <value></value>
        public string TeacherCode { get; set; }

        /// <summary>
        /// 班级编码
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 学生编码列表
        /// </summary>
        /// <value></value>
        public List<string> Students { get; set; }
    }

    /// <summary>
    /// 查询学生列表
    /// </summary>
    public class FindStudentListDBRequest
    {
        /// <summary>
        /// 学生名
        /// </summary>
        /// <value></value>
        public string StudentName { get; set; }

        /// <summary>
        /// 教师编码
        /// </summary>
        /// <value></value>
        public string TeacherCode { get; set; }

        /// <summary>
        /// 班级编码
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 学生状态
        /// </summary>
        /// <value></value>
        public LearnerStatusEnum LearnerStatus { get; set; }
    }
}