using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 支付成功结果处理请求
    /// </summary>
    public class PaySuccessDBRequest
    {
        /// <summary>
        /// 支付订单编码
        /// </summary>
        /// <value></value>
        public string PaymentOrderCode { get; set; }
    }
    
    /// <summary>
    /// 支付成功结果处理响应
    /// </summary>
    public class PaySuccessDBResult
    {
        /// <summary>
        /// 是否成功
        /// </summary>
        /// <value></value>
        public bool Success { get; set; }

        /// <summary>
        /// 支付订单编码
        /// </summary>
        /// <value></value>
        public string PaymentOrderCode { get; set; }

        /// <summary>
        /// 商品所属人
        /// </summary>
        /// <value></value>
        public string BelongerCode { get; set; }

        /// <summary>
        /// 商品关联业务信息
        /// </summary>
        /// <value></value>
        public string RelationInfo { get; set; }

        /// <summary>
        /// 下单用户
        /// </summary>
        /// <value></value>
        public string OrderUserCode { get; set; }

        /// <summary>
        /// 订单台头
        /// </summary>
        /// <value></value>
        public string OrderTitle { get; set; }

        /// <summary>
        /// 订单金额
        /// </summary>
        /// <value></value>
        public double OrderAmount { get; set; }

        /// <summary>
        /// 最后一次支付时间
        /// </summary>
        /// <value></value>
        public DateTime PayTime { get; set; } 
    }
}