using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Measure;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 测量记录db查询请求实体
    /// </summary>
    public class QueryMeasureExportRecordDBRequest
    {
        /// <summary>
        /// 测量项code列表 
        /// </summary>
        /// <returns></returns>
        public IList<MeasureExportDetailDTO> RemedicalMeasuredInfos { get; set; }

        /// <summary>
        /// 语言 
        /// </summary>
        /// <returns>zh-CN</returns>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 历史记录 
        /// </summary>
        /// <returns>zh-CN</returns>
        public List<MeasureExportRecordDTO> MeasureExportRecords { get; set; }

        /// <summary>
        /// 记录类型
        /// </summary>
        /// <value></value>
        public MeasureImageRecordTypeEnum RecordType { get; set; }
    }

    /// <summary>
    /// 添加测量记录db查询请求实体
    /// </summary>
    public class AddMeasureExportRecordDBRequest : QueryMeasureExportRecordDBRequest
    {
        /// <summary>
        /// 可导出文件目录
        /// </summary>
        /// <value></value>
        public string ExportFileToken { get; set; }

        /// <summary>
        /// 新增记录Code
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 检查记录Code
        /// </summary>
        /// <value></value>
        public string RecordCode { get; set; }
    }

    /// <summary>
    /// 添加测量记录db查询请求实体
    /// </summary>
    public class UpdateMeasureExportRecordDBRequest : AddMeasureExportRecordDBRequest
    {
        /// <summary>
        /// 是否处理完成
        /// </summary>
        /// <value></value>
        public bool IsCompleted { get; set; }
    }
}