using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request;


namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 获取登记信息列表分页 请求实体
    /// </summary>
    public class GetRegisterInfoPageDBRequest : PageRequest
    {
        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 机构编码
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value></value>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>
        public DateTime EndTime { get; set; }

        /// <summary>
        /// 身份证号
        /// </summary>
        /// <value></value>
        public string IDCardNo { get; set; }

        /// <summary>
        /// 项目类型
        /// </summary>
        /// <value></value>
        public VitalProjectTypeEnum? ProjectType { get; set; }

    }

    /// <summary>
    /// 删除居民体检记录 请求实体
    /// </summary>
    public class DeleteRegisterInfoByIdCardNoDBRequest
    {
        /// <summary>
        /// 身份证号
        /// </summary>
        /// <value></value>
        public string IDCardNo { get; set; }
    }
}