using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.AdminStatistic;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 保存设备文件数据
    /// </summary>
    public class SaveIOTDeviceDataDBRequest
    {     
        /// <summary>
        /// 治疗时间
        /// </summary>
        public DateTime TreatTime { get; set; } = DateTime.UtcNow;

        /// <summary>
        /// 文件夹名称
        /// </summary>
        /// <returns></returns>
        public string FolderName { get; set; }

        /// <summary>
        /// 数据类型分类
        /// </summary>
        public int DataFileType { get; set; }

        /// <summary>
        /// 数据类型描述
        /// </summary>
        public string DataDesc { get; set; }

        /// <summary>
        /// 原始文件名，带后缀   例如：00000000.evt
        /// </summary>
        public string OriginalFileName { get; set; }

        /// <summary>
        /// 原始文件名，带后缀   例如：00000000.evt
        /// </summary>
        public string FileToken { get; set; }

        /// <summary>
        /// 是否完成
        /// </summary>
        public bool IsCompleted { get; set; }

        /// <summary>
        /// 设备编号
        /// </summary>
        /// <value></value>
        public string DeviceSN { get; set; }

        /// <summary>
        /// 设备mac地址
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string DeviceMac { get; set; }

        /// <summary>
        /// 用户code或者用户信息
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string UserCode { get; set; }
    }
}