using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Statistic;
using WingInterfaceLibrary.DTO.AdminStatistic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.DBRequest
{
    public class SaveStatisticRecordDBRequest
    {
        /// <summary>
        /// 图表配置编码
        /// </summary>
        /// <value></value>
        public string StatisticCode { get; set; }

        /// <summary>
        /// 图表配置名
        /// </summary>
        /// <value></value>
        public string StatisticName { get; set; }

        /// <summary>
        /// 管理员编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 服务器地址
        /// </summary>
        /// <value></value>
        public string ServerHost { get; set; }

        /// <summary>
        /// 最近更新时间
        /// </summary>
        /// <value></value>
        public DateTime LastestUpdateTime { get; set; }

        /// <summary>
        /// 下次更新时间
        /// </summary>
        /// <value></value>
        public DateTime NextHandleTime { get; set; }

        /// <summary>
        /// 统计维度-XAxis
        /// </summary>
        /// <value></value>
        public List<string> XAxisDatas { get; set; } = new List<string>();

        /// <summary>
        /// 统计结果-YAxis
        /// </summary>
        /// <value></value>
        public List<List<double>> YAxisDatas { get; set; } = new List<List<double>>();

        /// <summary>
        /// 子集统计，数量与XAxisDatas保持一致
        /// </summary>
        /// <value></value>
        public List<StatisticInfoDTO> Children { get; set; }

        /// <summary>
        /// 统计数据json格式字符串
        /// </summary>
        public string StatisticJsonData { get; set; }

        /// <summary>
        /// 统计平台
        /// </summary>
        public StatisticsPlatformEnum StatisticsPlatform { get; set; }
    }
}