using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.DTO.User;

namespace WingInterfaceLibrary.DB.Request
{
    /// <summary>
    /// 更新视频设备画面信息
    /// </summary>
    public class UpdateVideoDeviceInfosDBRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>test0122</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 直播开关，true=开启，false=关闭
        /// </summary>
        /// <value></value>
        public bool LiveOpened { get; set; }

        /// <summary>
        /// 视屏设备画面信息
        /// </summary>
        /// <value></value>
        public IList<VideoDeviceDTO> VideoDeviceInfos { get; set; } = new List<VideoDeviceDTO>();

        /// <summary>
        /// update时使用sync类型的
        /// </summary>
        /// <value></value>
        public bool IsSync { get; set; } = false;
    }
}