using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    ///创建日程数据表记录请求
    /// </summary>
    public class AddScheduleDBRequest : DBBaseRequest
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 
		/// </summary>
		/// <value></value>
		public string Title { get; set; }
		/// <summary>
		/// 状态
		/// </summary>
		/// <value></value>
		public TransactionStatusEnum Status { get; set; }
		/// <summary>
		/// 类型
		/// </summary>
		/// <value></value>
		public ScheduleTypeEnum ScheduleType { get; set; }
		/// <summary>
		/// 开始时间
		/// </summary>
		/// <value></value>
		public DateTime StartTime { get; set; }
		/// <summary>
		/// 结束时间
		/// </summary>
		/// <value></value>
		public DateTime EndTime { get; set; }
		/// <summary>
		/// 代码
		/// </summary>
		/// <value></value>
		public string RelevanceCode { get; set; }
		/// <summary>
		/// 用户代码
		/// </summary>
		/// <value></value>
		public List<string> UserCodes { get; set; }
    }

    /// <summary>
    /// 更新数据请求
    /// </summary>
    public class UpdateScheduleDBRequest : DBBaseRequest
    {
        public string Code { get; set; }
		/// <summary>
		/// 
		/// </summary>
		/// <value></value>
		public string Title { get; set; } ="-1";
		/// <summary>
		/// 状态
		/// </summary>
		/// <value></value>
		public TransactionStatusEnum? Status { get; set; } = null;
		/// <summary>
		/// 类型
		/// </summary>
		/// <value></value>
		public ScheduleTypeEnum? ScheduleType { get; set; } = null;
		/// <summary>
		/// 开始时间
		/// </summary>
		/// <value></value>
		public DateTime? StartTime { get; set; } = null;
		/// <summary>
		/// 结束时间
		/// </summary>
		/// <value></value>
		public DateTime? EndTime { get; set; } = null;
		/// <summary>
		/// 代码
		/// </summary>
		/// <value></value>
		public string RelevanceCode { get; set; } ="-1";
		/// <summary>
		/// 用户代码
		/// </summary>
		/// <value></value>
		public List<string> UserCodes { get; set; } = null;

    }

    /// <summary>
    /// 查询日程记录请求
    /// </summary>
    public class GetScheduleDBRequest : DBBaseRequest
    {
        /// <summary>
        /// 查询起始时间
        /// 本地时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime StartTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 查询截至时间
        /// 本地时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime EndTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 参与人员编码
        /// </summary>
        /// <value></value>
        public string UserCode{ get; set; }
    }
}