using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net.Http;
using System.Threading;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 创建数据请求
    /// </summary>
    public class CreateContractTemplateDBRequest : DBBaseRequest 
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 键
		/// </summary>
		/// <value></value>
		public string Key { get; set; }
		/// <summary>
		/// 模板名称
		/// </summary>
		/// <value></value>
		public string TemplateName { get; set; }
		/// <summary>
		/// 模板内容
		/// </summary>
		/// <value></value>
		public string TemplateContent { get; set; }

        /// <summary>
        /// ProvinceCode
        /// </summary>
        public string ProvinceCode { get; set; }

        /// <summary>
        /// CityCode
        /// </summary>
        public string CityCode { get; set; }

        /// <summary>
        /// DistrictCode
        /// </summary>
        public string DistrictCode { get; set; }

        /// <summary>
        /// TownCode
        /// </summary>
        public string TownCode { get; set; }
    }

    /// <summary>
    /// 根据编码获取数据请求
    /// </summary>
    public class GetContractTemplateDBRequest : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取数据请求
    /// </summary>
    public class GetContractTemplateByKeyDBRequest : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 获取合同模板数据分页请求
    /// </summary>
    public class GetContractTemplatePageDBRequest : DBPageRequest 
    {
        /// <summary>
        /// ProvinceCode
        /// </summary>
        public string ProvinceCode { get; set; }

        /// <summary>
        /// CityCode
        /// </summary>
        public string CityCode { get; set; }

        /// <summary>
        /// DistrictCode
        /// </summary>
        public string DistrictCode { get; set; }

        /// <summary>
        /// TownCode
        /// </summary>
        public string TownCode { get; set; }
    }

    /// <summary>
    /// 删除数据请求
    /// </summary>
    public class RemoveContractTemplateDBRequest : DBBaseRequest
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除多个数据请求
    /// </summary>
    public class RemoveContractTemplateListDBRequest  : DBBaseRequest
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 获取数据列表请求
    /// </summary>
    public class GetContractTemplateListDBRequest : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取数据列表请求
    /// </summary>
    public class GetContractTemplateListByKeyDBRequest : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 更新数据请求
    /// </summary>
    public class UpdateContractTemplateDBRequest : DBBaseRequest 
    {
        public string Code { get; set; }
		/// <summary>
		/// 键
		/// </summary>
		/// <value></value>
		public string Key { get; set; }
		/// <summary>
		/// 模板名称
		/// </summary>
		/// <value></value>
		public string TemplateName { get; set; }
		/// <summary>
		/// 模板内容
		/// </summary>
		/// <value></value>
		public string TemplateContent { get; set; }

        /// <summary>
        /// ProvinceCode
        /// </summary>
        public string ProvinceCode { get; set; }

        /// <summary>
        /// CityCode
        /// </summary>
        public string CityCode { get; set; }

        /// <summary>
        /// DistrictCode
        /// </summary>
        public string DistrictCode { get; set; }

        /// <summary>
        /// TownCode
        /// </summary>
        public string TownCode { get; set; }

    }
}