using System;
using System.Collections.Generic;


namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 分页请求
    /// </summary>
    public class DBPageRequest : DBBaseRequest
    {
        /// <summary>
        /// 页码
        /// </summary>
        /// <value>1</value>
        /// <code>0</code>
        public int PageIndex { get; set; } = 1;

        /// <summary>
        /// 页大小
        /// </summary>
        /// <value>10</value>
        /// <code>0</code>
        public int PageSize { get; set; } = 10;

        /// <summary>
        /// 过滤条件
        /// </summary>
        public Dictionary<string, string> Filter { get; set; } = new Dictionary<string, string>();

        /// <summary>
        /// 是否为模糊查询
        /// </summary>
        /// <value></value>
        public bool IsFuzzy { get; set; } = true;

        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 查询时间的字段名，默认为CreateTime
        /// </summary>
        /// <value></value>
        public string TimeFieldName { get; set; } = "CreateTime";

        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value></value>
        public DateTime? StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value></value>
        public DateTime? EndTime { get; set; }
    }
}