using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request.Vital;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 创建数据请求
    /// </summary>
    public class CreateDynamicTypeDBRequest  : DBBaseRequest
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 类型名称
		/// </summary>
		/// <value></value>
		public string TypeName { get; set; }
		/// <summary>
		/// 标签类型键
		/// </summary>
		/// <value></value>
		public string TypeKey { get; set; }


    }

    /// <summary>
    /// 根据编码获取数据请求
    /// </summary>
    public class GetDynamicTypeDBRequest : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取数据请求
    /// </summary>
    public class GetDynamicTypeByKeyDBRequest : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 删除数据请求
    /// </summary>
    public class RemoveDynamicTypeDBRequest : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除多个数据请求
    /// </summary>
    public class RemoveDynamicTypeListDBRequest : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 获取数据列表请求
    /// </summary>
    public class GetDynamicTypeListDBRequest : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取数据列表请求
    /// </summary>
    public class GetDynamicTypeListByKeyDBRequest : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 更新数据请求
    /// </summary>
    public class UpdateDynamicTypeDBRequest : DBBaseRequest 
    {
        public string Code { get; set; }
		/// <summary>
		/// 类型名称
		/// </summary>
		/// <value></value>
		public string TypeName { get; set; }
		/// <summary>
		/// 标签类型键
		/// </summary>
		/// <value></value>
		public string TypeKey { get; set; }

    }
}