using System;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request.Vital;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 查询DB日志列表请求实体
    /// </summary>
    public class GetDBLogPagesRequest : PageRequest
    {
        /// <summary>
        /// 日志级别
        /// </summary>
        /// <value></value>
        public string Level { get; set; }
        /// <summary>
        /// 排除项
        /// </summary>
        /// <value></value>
        public string Exclude { get; set; }

        /// <summary>
		/// 关键字
		/// </summary>
		/// <value>张三</value>
        /// <code>0</code>      
		public string Keyword { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value>2023-09-01</value>
        /// <code>0</code>   
        public DateTime? StartTime { get; set; } = null;

        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value>2023-09-01</value>
        /// <code>0</code>   
        public DateTime? EndTime { get; set; } = null;
    }
}