using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request.Vital;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 创建标签数据请求
    /// </summary>
    public class CreateLabelDBRequest   : DBBaseRequest
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 标签名称
		/// </summary>
		/// <value></value>
		public string LabelName { get; set; }
		/// <summary>
		/// 组织代码
		/// </summary>
		/// <value></value>
		public string OrganizationCode { get; set; }
		/// <summary>
		/// 标签类型键
		/// </summary>
		/// <value></value>
		public string LabelTypeKey { get; set; }


    }

    /// <summary>
    /// 根据编码获取标签数据请求
    /// </summary>
    public class GetLabelDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取标签数据请求
    /// </summary>
    public class GetLabelByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 删除标签数据请求
    /// </summary>
    public class RemoveLabelDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除多个标签数据请求
    /// </summary>
    public class RemoveLabelListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 获取标签数据列表请求
    /// </summary>
    public class GetLabelListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }

        /// <summary>
        ///返回全部
        /// </summary>
        public bool IsAll { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取标签数据列表请求
    /// </summary>
    public class GetLabelListByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 更新标签数据请求
    /// </summary>
    public class UpdateLabelDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
		/// <summary>
		/// 标签名称
		/// </summary>
		/// <value></value>
		public string LabelName { get; set; }
		/// <summary>
		/// 组织代码
		/// </summary>
		/// <value></value>
		public string OrganizationCode { get; set; }
		/// <summary>
		/// 标签类型键
		/// </summary>
		/// <value></value>
		public string LabelTypeKey { get; set; }

    }
}