using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request.Vital;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 创建操作日志数据请求
    /// </summary>
    public class CreateOperationLogDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 操作
		/// </summary>
		/// <value></value>
		public string Operation { get; set; }
		/// <summary>
		/// 操作时间
		/// </summary>
		/// <value></value>
		public DateTime OperationTime { get; set; }
		/// <summary>
		/// 操作类型
		/// </summary>
		/// <value></value>
		public int OperationType { get; set; }


    }

    /// <summary>
    /// 根据编码获取操作日志数据请求
    /// </summary>
    public class GetOperationLogDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取操作日志数据请求
    /// </summary>
    public class GetOperationLogByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 删除操作日志数据请求
    /// </summary>
    public class RemoveOperationLogDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除多个操作日志数据请求
    /// </summary>
    public class RemoveOperationLogListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 获取操作日志数据列表请求
    /// </summary>
    public class GetOperationLogListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取操作日志数据列表请求
    /// </summary>
    public class GetOperationLogListByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 更新操作日志数据请求
    /// </summary>
    public class UpdateOperationLogDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
		/// <summary>
		/// 操作
		/// </summary>
		/// <value></value>
		public string Operation { get; set; }
		/// <summary>
		/// 操作时间
		/// </summary>
		/// <value></value>
		public DateTime OperationTime { get; set; }
		/// <summary>
		/// 操作类型
		/// </summary>
		/// <value></value>
		public int OperationType { get; set; }

    }

    /// <summary>
    /// 查询操作日志分页请求
    /// </summary>
    public class OperationLogDBPageRequest : DBPageRequest
    {
    }
}