using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request.Vital;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 创建居住数据请求
    /// </summary>
    public class CreateResidenceDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 城镇代码
		/// </summary>
		/// <value></value>
		public string TownCode { get; set; }
		/// <summary>
		/// 名称
		/// </summary>
		/// <value></value>
		public string Name { get; set; }
    }

    /// <summary>
    /// 根据编码获取居住数据请求
    /// </summary>
    public class GetResidenceDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取居住数据请求
    /// </summary>
    public class GetResidenceByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 删除居住数据请求
    /// </summary>
    public class RemoveResidenceDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除多个居住数据请求
    /// </summary>
    public class RemoveResidenceListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 获取居住数据列表请求
    /// </summary>
    public class GetResidenceListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取居住数据列表请求
    /// </summary>
    public class GetResidenceListByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 更新居住数据请求
    /// </summary>
    public class UpdateResidenceDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
		/// <summary>
		/// 城镇代码
		/// </summary>
		/// <value></value>
		public string TownCode { get; set; }
		/// <summary>
		/// 名称
		/// </summary>
		/// <value></value>
		public string Name { get; set; }

    }
}