using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request.Vital;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 创建角色数据请求
    /// </summary>
    public class CreateRoleDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 角色名称
		/// </summary>
		/// <value></value>
		public string RoleName { get; set; }
		/// <summary>
		/// 功能代码
		/// </summary>
		/// <value></value>
		public List<string> FeatureCodes { get; set; }
		/// <summary>
		/// 描述
		/// </summary>
		/// <value></value>
		public string Description { get; set; }


    }

    /// <summary>
    /// 根据编码获取角色数据请求
    /// </summary>
    public class GetRoleDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取角色数据请求
    /// </summary>
    public class GetRoleByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 删除角色数据请求
    /// </summary>
    public class RemoveRoleDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除多个角色数据请求
    /// </summary>
    public class RemoveRoleListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 获取角色数据列表请求
    /// </summary>
    public class GetRoleListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取角色数据列表请求
    /// </summary>
    public class GetRoleListByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 更新角色数据请求
    /// </summary>
    public class UpdateRoleDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
		/// <summary>
		/// 角色名称
		/// </summary>
		/// <value></value>
		public string RoleName { get; set; }
		/// <summary>
		/// 功能代码
		/// </summary>
		/// <value></value>
		public List<string> FeatureCodes { get; set; }
		/// <summary>
		/// 描述
		/// </summary>
		/// <value></value>
		public string Description { get; set; }

    }
}