using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request.Vital;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 创建系统设置数据请求
    /// </summary>
    public class CreateSystemSettingDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 设置键
		/// </summary>
		/// <value></value>
		public string SettingKey { get; set; }
		/// <summary>
		/// 设置内容
		/// </summary>
		/// <value></value>
		public string SettingContent { get; set; }


    }

    /// <summary>
    /// 根据编码获取系统设置数据请求
    /// </summary>
    public class GetSystemSettingDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取系统设置数据请求
    /// </summary>
    public class GetSystemSettingByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 删除系统设置数据请求
    /// </summary>
    public class RemoveSystemSettingDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除多个系统设置数据请求
    /// </summary>
    public class RemoveSystemSettingListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 获取系统设置数据列表请求
    /// </summary>
    public class GetSystemSettingListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取系统设置数据列表请求
    /// </summary>
    public class GetSystemSettingListByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 更新系统设置数据请求
    /// </summary>
    public class UpdateSystemSettingDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
		/// <summary>
		/// 设置键
		/// </summary>
		/// <value></value>
		public string SettingKey { get; set; }
		/// <summary>
		/// 设置内容
		/// </summary>
		/// <value></value>
		public string SettingContent { get; set; }

    }
}