using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request.Vital;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 创建团队区域数据请求
    /// </summary>
    public class CreateTeamRegionDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 团队代码
		/// </summary>
		/// <value></value>
		public string TeamCode { get; set; }
		/// <summary>
		/// 完整名称
		/// </summary>
		/// <value></value>
		public string FullName { get; set; }
		/// <summary>
		/// 区域代码
		/// </summary>
		/// <value></value>
		public string RegionCode { get; set; }
    }

    /// <summary>
    /// 根据编码获取团队区域数据请求
    /// </summary>
    public class GetTeamRegionDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取团队区域数据请求
    /// </summary>
    public class GetTeamRegionByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 删除团队区域数据请求
    /// </summary>
    public class RemoveTeamRegionDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除多个团队区域数据请求
    /// </summary>
    public class RemoveTeamRegionListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 获取团队区域数据列表请求
    /// </summary>
    public class GetTeamRegionListDBRequest  : DBBaseRequest 
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取团队区域数据列表请求
    /// </summary>
    public class GetTeamRegionListByKeyDBRequest  : DBBaseRequest 
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 更新团队区域数据请求
    /// </summary>
    public class UpdateTeamRegionDBRequest  : DBBaseRequest 
    {
        public string Code { get; set; }
		/// <summary>
		/// 团队代码
		/// </summary>
		/// <value></value>
		public string TeamCode { get; set; }
		/// <summary>
		/// 完整名称
		/// </summary>
		/// <value></value>
		public string FullName { get; set; }
		/// <summary>
		/// 区域代码
		/// </summary>
		/// <value></value>
		public string RegionCode { get; set; }

    }
}