using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request.Vital;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 创建用户权限数据请求
    /// </summary>
    public class CreateUserFeatureDBRequest  : DBBaseRequest
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 功能名称
		/// </summary>
		/// <value></value>
		public string FeatureName { get; set; }
		/// <summary>
		/// 功能显示名称
		/// </summary>
		/// <value></value>
		public string FeatureShowName { get; set; }
		/// <summary>
		/// 描述
		/// </summary>
		/// <value></value>
		public string Description { get; set; }
		/// <summary>
		/// 父亲代码
		/// </summary>
		/// <value></value>
		public string FatherCode { get; set; }
		/// <summary>
		/// 排序
		/// </summary>
		/// <value></value>
		public int Sort { get; set; }
        /// <summary>
        /// 应用类型
        /// </summary>
        /// <value></value>
        public ApplicationTypeEnum AppType { get; set; }
        /// <summary>
        /// 权限类型
        /// </summary>
        /// <value></value>
        public FeatureTypeEnum FeatureType { get; set; }
    }

    /// <summary>
    /// 根据编码获取用户权限数据请求
    /// </summary>
    public class GetUserFeatureDBRequest  : DBBaseRequest
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取用户权限数据请求
    /// </summary>
    public class GetUserFeatureByKeyDBRequest  : DBBaseRequest
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 删除用户权限数据请求
    /// </summary>
    public class RemoveUserFeatureDBRequest  : DBBaseRequest
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除多个用户权限数据请求
    /// </summary>
    public class RemoveUserFeatureListDBRequest  : DBBaseRequest
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 获取用户权限数据列表请求
    /// </summary>
    public class GetUserFeatureListDBRequest  : DBBaseRequest
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取用户权限数据列表请求
    /// </summary>
    public class GetUserFeatureListByKeyDBRequest  : DBBaseRequest
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 更新用户权限数据请求
    /// </summary>
    public class UpdateUserFeatureDBRequest  : DBBaseRequest
    {
        public string Code { get; set; }
		/// <summary>
		/// 功能名称
		/// </summary>
		/// <value></value>
		public string FeatureName { get; set; }
		/// <summary>
		/// 功能显示名称
		/// </summary>
		/// <value></value>
		public string FeatureShowName { get; set; }
		/// <summary>
		/// 描述
		/// </summary>
		/// <value></value>
		public string Description { get; set; }
		/// <summary>
		/// 父亲代码
		/// </summary>
		/// <value></value>
		public string FatherCode { get; set; }
		/// <summary>
		/// 排序
		/// </summary>
		/// <value></value>
		public int Sort { get; set; }
        /// <summary>
        /// 应用类型
        /// </summary>
        /// <value></value>
        public ApplicationTypeEnum AppType { get; set; }
        /// <summary>
        /// 权限类型
        /// </summary>
        /// <value></value>
        public FeatureTypeEnum FeatureType { get; set; }
    }
}