using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net.Http;
using System.Threading;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.VitalEnum;
using WingInterfaceLibrary.Request.Vital;

namespace WingInterfaceLibrary.Request.DBVitalRequest
{
    /// <summary>
    /// 创建用户密码数据请求
    /// </summary>
    public class CreateUserPasswordDBRequest  : DBBaseRequest
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 秘密密码
		/// </summary>
		/// <value></value>
		public string SecretPassword { get; set; }


    }

    /// <summary>
    /// 根据编码获取用户密码数据请求
    /// </summary>
    public class GetUserPasswordDBRequest  : DBBaseRequest
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取用户密码数据请求
    /// </summary>
    public class GetUserPasswordByKeyDBRequest  : DBBaseRequest
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 删除用户密码数据请求
    /// </summary>
    public class RemoveUserPasswordDBRequest  : DBBaseRequest
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 删除多个用户密码数据请求
    /// </summary>
    public class RemoveUserPasswordListDBRequest  : DBBaseRequest
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 获取用户密码数据列表请求
    /// </summary>
    public class GetUserPasswordListDBRequest  : DBBaseRequest
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取用户密码数据列表请求
    /// </summary>
    public class GetUserPasswordListByKeyDBRequest  : DBBaseRequest
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 更新用户密码数据请求
    /// </summary>
    public class UpdateUserPasswordDBRequest  : DBBaseRequest
    {
        public string Code { get; set; }
		/// <summary>
		/// 秘密密码
		/// </summary>
		/// <value></value>
		public string SecretPassword { get; set; }

    }
}