using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.DeployPlatform
{
    /// <summary>
    /// 申请打包请求实体
    /// </summary>
    public class GeneratePackageRequest
    {
        /// <summary>
        /// 打包记录id
        /// </summary>
        /// <value></value>
        public string DeployRecordId { get; set; }

        /// <summary>
        /// 是否生成部署工具
        /// </summary>
        /// <value></value>
        public bool IsCreateDeployTool { get; set; }

        /// <summary>
        /// 是否包含本地包
        /// </summary>
        /// <value></value>
        public bool IsIncludeLocalPackage { get; set; }

        /// <summary>
        /// 是否选择Server
        /// </summary>
        /// <value></value>
        public bool IsServerSelected { get; set; }

        /// <summary>
        /// 是否选择PC客户端
        /// </summary>
        /// <value></value>
        public bool IsPCClientSelected { get; set; }

        /// <summary>
        /// 是否选择安卓客户端
        /// </summary>
        /// <value></value>
        public bool IsAndroidClientSelected { get; set; }

        /// <summary>
        /// 是否选择魔盒
        /// </summary>
        /// <value></value>
        public bool IsSonoPostSelected { get; set; }

        /// <summary>
        /// 是否选择WindowsFISSDK
        /// </summary>
        /// <value></value>
        public bool IsWindowsFISSDKSelected { get; set; }

        /// <summary>
        /// server ZIP下载地址
        /// </summary>
        /// <value></value>
        public string SelectedServerZipUrl { get; set; }

        /// <summary>
        /// PC Client ZIP下载地址
        /// </summary>
        /// <value></value>
        public string SelectedPCClientZipUrl { get; set; }

        /// <summary>
        /// AndroidClient ZIP下载地址
        /// </summary>
        /// <value></value>
        public string SelectedAndroidClientZipUrl { get; set; }

        /// <summary>
        /// 魔盒 ZIP下载地址
        /// </summary>
        /// <value></value>
        public string SelectedSonoPostZipUrl { get; set; }

        /// <summary>
        /// WindowsFISSDK ZIP下载地址
        /// </summary>
        /// <value></value>
        public string SelectedWindowsFISSDKZipUrl { get; set; }

        /// <summary>
        /// 多语言版本
        /// </summary>
        /// <value></value>
        public string Language { get; set; }

    }

    public class UploadTotargetServerRequest
    {
        /// <summary>
        /// 服务器信息id
        /// </summary>
        /// <value></value>
        public string ServerInfoId { get; set; }

        /// <summary>
        /// 打包记录id
        /// </summary>
        /// <value></value>
        public string RecordId { get; set; }


    }
}