namespace WingInterfaceLibrary.Request.DeployPlatform
{

    public class ReadAppSettingsJsonRequest
    {
        /// <summary>
        /// 0-appsettings,1-upgradeSetting
        /// </summary>
        /// <value></value>
        public int SettingType { get; set; } = 0;
    }

    public class ModifyAppSettingsJsonRequest
    {
        /// <summary>
        /// 0-appsettings,1-upgradeSetting
        /// </summary>
        /// <value></value>
        public int SettingType { get; set; } = 0;

        public string Json { get; set; }
    }

    public class DeployRequest
    {
        /// <summary>
        /// 是否升级server
        /// </summary>
        /// <value></value>
        public bool IsUpgradeServer { get; set; }

        /// <summary>
        /// serverzip包下载地址
        /// </summary>
        /// <value></value>
        public string ServerZipUrl { get; set; }

        /// <summary>
        /// 是否升级客户端
        /// </summary>
        /// <value></value>
        public bool IsUpgradeClient { get; set; } = false;

        /// <summary>
        /// 客户端OpenWeb包下载地址
        /// </summary>
        /// <value></value>
        public string OpenWebUrl { get; set; } = "";

        /// <summary>
        /// 客户端web版包下载地址
        /// </summary>
        /// <value></value>
        public string ClientWebUrl { get; set; } = "";

        /// <summary>
        /// 最新的更新包配置
        /// </summary>
        /// <value></value>
        public string UpgradeSettings { get; set; }
    }
}