using System.Collections.Generic;
using WingInterfaceLibrary.DTO.DeployPlatform;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.DeployPlatform
{
    /// <summary>
    /// 新增/更新打包记录 请求
    /// </summary>
    public class SaveDeployRecordRequest
    {
        /// <summary>
        /// Id
        /// </summary>
        /// <value></value>
        public string Id { get; set; }

        /// <summary>
        /// 版本号
        /// </summary>
        /// <value></value>
        public string Version { get; set; }

        /// <summary>
        /// 打包操作人
        /// </summary>
        /// <value></value>
        public string ReleasedBy { get; set; }

        /// <summary>
        /// 内部更新说明
        /// </summary>
        /// <value></value>
        public string InternalRecord { get; set; }

        /// <summary>
        /// 更新说明集合
        /// </summary>
        /// <typeparam name="DeployRecordUpgradeInfoDTO"></typeparam>
        /// <returns></returns>
        public List<DeployRecordUpgradeInfoDTO> UpgradeInfos { get; set; } = new List<DeployRecordUpgradeInfoDTO>();
    }
}