using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Enum;


namespace WingInterfaceLibrary.Request.Device
{

    /// <summary>
    /// 增加设备版本号接口
    /// </summary>
    public class AddDevicePatchVersionRequest : TokenRequest
    {
        /// <summary>
        /// 版本号
        /// </summary>
        /// <value></value>
        public string Version { get; set; }

        /// <summary>
        /// 版本类型
        /// </summary>
        /// <value></value>
        public DeviceVersionEnum VersionTypeEnum { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value></value>
        public string DeviceType { get; set; }
    }

    /// <summary>
    /// 查询设备版本号接口
    /// </summary>
    public class FindDevicePatchListRequest : TokenRequest
    {
        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value></value>
        public string DeviceType { get; set; }

        /// <summary>
        /// 版本类型
        /// </summary>
        /// <value></value>
        public DeviceVersionEnum VersionTypeEnum { get; set; }
        
    }

    /// <summary>
    /// 删除设备版本号接口
    /// </summary>
    public class DeleteDevicePatchVersionRequest : TokenRequest
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }
}