using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 修改设备信息
    /// </summary>
    public class AlterDeviceRequest : TokenRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 设备序列号
        /// </summary>
        public string SerialNumber { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// 设备头图
        /// </summary>
        public string HeadPicUrl { get; set; }

        /// <summary>
        /// 设备所属组织
        /// </summary>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 组织下属科室
        /// </summary>
        public string DepartmentCode { get; set; }

        /// <summary>
        /// 是否设备自动分享
        /// </summary>
        /// <value></value>
        public bool IsAutoShared { get; set; }
    }
}