using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.DTO.RemoteParameters;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 获取实时音视频参数请求
    /// </summary>
    public class CreateLiveRoomInfoRequest
    {
        /// <summary>
        /// 物理唯一码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string DeviceUniqueCode { get; set; } = string.Empty;
        /// <summary>
        /// 设备型号
        /// </summary>
        /// <value>E30</value>
        public string DeviceModel { get; set; } = string.Empty;
        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value>US</value>
        public string DeviceType { get; set; } = string.Empty;
        /// <summary>
        /// 软件版本
        /// </summary>
        /// <value>1.11.0</value>
        public string SoftwareVersion { get; set; } = string.Empty;
    }

    /// <summary>
    /// 获取实时音视频参数结果
    /// </summary>
    public class CreateLiveRoomInfoResult
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string UserCode { get; set; } = string.Empty;

        /// <summary>
        /// 用户签名
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string UserSign { get; set; } = string.Empty;

        /// <summary>
        /// 房间号码
        /// </summary>
        /// <value>1</value>
        public int RoomNo { get; set; }

        /// <summary>
        /// Sdk APP Id
        /// </summary>
        /// <value>2</value>
        public int AppId { get; set; }

        /// <summary>
        /// 是否TRTC，true=TRTC，false=自研RTC
        /// </summary>
        /// <value>true</value>
        public bool IsTrtc { get; set; }

        public TransactionStatusEnum LiveProtocol { get; set; }

        public LiveDataDTO LiveData { get; set; }
    }
}