using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 获取打印机信息
    /// </summary>
    public class GetDevicePrinterRequest : TokenRequest
    {
        /// <summary>
        /// 推送设备编码
        /// </summary>
        /// <value>code1</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 打印机操作
        /// </summary>
        /// <value></value>
        public DevicePrinterEnum GetPrinterEnum { get; set; }

    }

    /// <summary>
    /// 设置打印机信息
    /// </summary>
    public class SetDevicePrinterRequest : TokenRequest
    {
        /// <summary>
        /// 推送设备编码
        /// </summary>
        /// <value>code1</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 打印机操作
        /// </summary>
        /// <value>0</value>
        public DevicePrinterEnum SetPrinterEnum { get; set; }

        /// <summary>
        /// 操作参数信息集合
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public IList<DevicePrinterParameter> Parameters { get; set; }

    }

    /// <summary>
    /// 打印机参数信息
    /// </summary>
    public class DevicePrinterParameter
    {
        /// <summary>
        /// 打印机操作
        /// </summary>
        /// <value>0</value>
        public DevicePrinterParameterEnum  SetPrinterEnum { get; set; }
        /// <summary>
        /// 数值
        /// </summary>
        /// <value>123</value>
        public string  ParameterValue { get; set; }
    }



}