using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 设备Code请求实体
    /// </summary>
    public class GetDeviceRequest : TokenRequest
    {
        /// <summary>
        /// 设备Code
        /// </summary>
        /// <value>test0122</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 是否需要同步
        /// </summary>
        /// <value>0</value>
        public bool IsNeedSyn { get; set; } = true;

        /// <summary>
        /// 连接状态集合
        /// </summary>
        /// <value></value>
        public List<ConnectStatusEnum> ConnectStatus { get; set; }
    }

    /// <summary>
    /// 根据设备名称查询设备
    /// </summary>
    public class FindDeviceInfoByNameRequest : TokenRequest
    {
        /// <summary>
        /// 名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }
    }
}