using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 迁移超声机补丁包请求
    /// </summary>
    public class MigrateDevicePatchRequest : TokenRequest
    {        
        /// <summary>
        /// 打印机列表
        /// </summary>
        public IList<MigrateDevicePatchInfo> MigrateDevicePatchInfos { get; set; }
    }

    /// <summary>
    /// 迁移打印机
    /// </summary>
    public class MigrateDevicePatchInfo : DevicePatchDTO
    {
        /// <summary>
        /// 是否删除
        /// </summary>
        public bool IsDelete { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime UpdateTime { get; set; }
    }
}