using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 用户离开设备直播房间请求
    /// </summary>
    public class MigrateDevicePrinterRequest : TokenRequest
    {        
        /// <summary>
        /// 打印机列表
        /// </summary>
        public IList<MigrateDevicePrinterInfo> MigrateDevicePrinterInfos { get; set; }
    }

    /// <summary>
    /// 迁移打印机
    /// </summary>
    public class MigrateDevicePrinterInfo : DevicePrinterDTO
    {
        /// <summary>
        /// 是否删除
        /// </summary>
        public bool IsDelete { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 修改时间
        /// </summary>
        public DateTime UpdateTime { get; set; }
    }
}