using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 修改设备信息
    /// </summary>
    public class ModifyDeviceRequest : TokenRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>DeviceInfoDO_20220518115415PaZtqp</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 设备名称（已废弃，设备名称一般都是dongid或者账号密码登录时的账号，不应该能够随便更改）
        /// </summary>
        /// <value>测试设备0122</value>
        /// <code>0</code>
        public string Name { get; set; }

        /// <summary>
        /// 设备头图
        /// </summary>
        /// <value>B1154C6500E4F174249224B41284498E_7_0_0_0</value>
        /// <code>0</code>
        public string HeadPicUrl { get; set; }

        /// <summary>
        /// 组织下属科室
        /// </summary>
        /// <value>Organization_2022012520473430DnW32</value>
        /// <code>0</code>
        public string DepartmentCode { get; set; }

        /// <summary>
        /// 是否设备自动分享
        /// </summary>
        /// <value>true</value>
        /// <code>0</code>
        public bool IsAutoShared { get; set; }

        /// <summary>
        /// 设备描述
        /// </summary>
        /// <value>测试设备0122</value>
        /// <code>0</code>
        public string Description { get; set; }
    }

    public class UpdateDeviceRequest : DeviceInfoDTO
    {
        /// <summary>
        /// 登录人信息
        /// </summary>
        /// <value></value>
        public string Token { get; set; }
    }

}