using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 推送设备更新包请求
    /// </summary>
    public class RemoteConnectDataRequest
    {
        /// <summary>
        /// 房间code
        /// </summary>
        /// <value></value>
        public string RoomCode { get; set; }

        /// <summary>
        /// 用户远程连接
        /// </summary>
        /// <value></value>
        public UserRemoteConnectRequest UserRemoteConnect { get; set; }

        /// <summary>
        /// 是否管理端断开连接
        /// </summary>
        /// <value>false</value>
        public bool IsManangeDisConnnect { get; set; }
    }

        /// <summary>
    /// 推送设备更新包请求
    /// </summary>
    public class RemoteConnectsRequest
    {
        /// <summary>
        /// 用户远程连接
        /// </summary>
        /// <value></value>
        public IList<UserRemoteConnectRequest> UserRemoteConnect { get; set; }

        /// <summary>
        /// 用户远程连接
        /// </summary>
        /// <value></value>
        public IList<DeviceRemoteConnectRequest> DeviceRemoteConnect { get; set; }
    }

    /// <summary>
    /// 用户远程连接管理实体
    /// </summary>
    public class UserRemoteConnectRequest
    {
        /// <summary>
        /// 类型
        /// </summary>
        public TransactionTypeEnum TransactionType { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        public ConnectStatusEnum StatusEnum { get; set; }

        /// <summary>
        /// 用户Token
        /// </summary>
        public string UserToken { get; set; }

        /// <summary>
        /// 设备Token
        /// </summary>
        public string DeviceToken { get; set; }

        /// <summary>
        /// 用户code
        /// </summary>
        public string UserCode { get; set; }

        /// <summary>
        /// 房间id
        /// </summary>
        public string RoomId { get; set; }

        /// <summary>
        /// 设备code
        /// </summary>
        public string DeviceCode { get; set; }       
        
        /// <summary>
        /// 用户来源
        /// </summary>
        /// <value></value>
        public LoginSource LoginSource { get; set; }

        /// <summary>
        /// 是否需要同步数据处理
        /// </summary>
        public bool IsNeedSyn { get; set; }
    }

    /// <summary>
    /// 设备远程连接管理实体
    /// </summary>
    public class DeviceRemoteConnectRequest
    {
         /// <summary>
        /// 类型
        /// </summary>
        public TransactionTypeEnum TransactionType { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        public ConnectStatusEnum StatusEnum { get; set; }

        /// <summary>
        /// 用户Token
        /// </summary>
        public string UserToken { get; set; }

        /// <summary>
        /// 设备Token
        /// </summary>
        public string DeviceToken { get; set; }

        /// <summary>
        /// 用户code
        /// </summary>
        public string UserCode { get; set; }

        /// <summary>
        /// 房间id
        /// </summary>
        public string RoomId { get; set; }

        /// <summary>
        /// 设备code
        /// </summary>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 是否需要同步数据处理
        /// </summary>
        public bool IsNeedSyn { get; set; }

        /// <summary>
        /// 用户来源
        /// </summary>
        /// <value></value>
        public LoginSource LoginSource { get; set; }
    }
}
