using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.RemoteParameters;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 设备参数信息请求
    /// </summary>
    public class SendControlParameterByDeviceRequest : TokenRequest
    {
        /// <summary>
        /// 控制人编码
        /// </summary>
        /// <value>3C135B470E6448F6854974D46022F7FD</value>
        public string ControlUserCode { get; set; }

        /// <summary>
        /// 探头应用信息
        /// </summary>
        /// <value></value>
        public ProbeApplicationInfoDTO ProbeApplication { get; set; }

        /// <summary>
        /// 设备参数
        /// </summary>
        /// <value></value>
        public ControlParameterDTO Parameter { get; set; }
    }

    /// <summary>
    /// 远程控制拒绝断开请求实体
    /// </summary>
    public class RemoteControlRequest : TokenRequest
    {
        /// <summary>
        /// 控制人编码
        /// </summary>
        /// <value>3C135B470E6448F6854974D46022F7FD</value>
        public string ControlUserCode { get; set; }

    }
}