using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 上报设备下载安装更新包进度接口
    /// </summary>
    public class UploadDeviceDownloadPatchProgressToUserRequest : TokenRequest
    {
        /// <summary>
        ///进度
        /// </summary>
        /// <value>100</value>
        public int Progress { get; set; }=100;

        /// <summary>
        /// 控制人编码
        /// </summary>
        /// <value>123</value>
        public string UserCode { get; set; }
        
        /// <summary>
        /// 更新包编码
        /// </summary>
        /// <value></value>
        public string PatchCode { get; set; }

        /// <summary>
        /// 远程维护设备操作
        /// </summary>
        /// <value></value>
        public  RemoteDeviceStateEnum  RemoteDeviceState { get; set; }

    }
}