using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Device
{
    /// <summary>
    /// 设备上报打印机信息请求
    /// </summary>
    public class UploadDevicePrinterRequest : TokenRequest
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string UserCode { get; set; }

        /// <summary>
        /// 打印机操作
        /// </summary>
        /// <value>0</value>
        public DevicePrinterEnum SetPrinterEnum { get; set; }

        /// <summary>
        /// 打印机信息列表
        /// </summary>
        /// <value></value>
        public IList<DevicePrinterParameterDTO> DevicePrinterList { get; set; }

        /// <summary>
        /// 远程维护设备操作
        /// </summary>
        /// <value></value>
        public RemoteDeviceStateEnum RemoteDeviceState { get; set; }
    }
    /// <summary>
    /// 获取设备上传打印机列表的
    /// </summary>
    public class GetDevicePrintersForUploadRequest  : TokenRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>6490C36D44DA449E98FE0323A93EFDF8</value>
        public string DeviceCode { get; set; }
    }

}
