using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.Education
{
    /// <summary>
    /// 学生加入班级请求
    /// </summary>
    public class AddStudentInCourseUserGroupRequest:TokenRequest
    {
        /// <summary>
        /// 班级编码
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 班级短码
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string ShortCode { get; set; }
    }

    /// <summary>
    /// 学生退出班级请求
    /// </summary>
    public class StudentLeaveCourseUserGroupRequest:TokenRequest
    {
        /// <summary>
        /// 班级编码
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }
    }

    /// <summary>
    /// 查找学生所在班级列表请求
    /// </summary>
    public class FindUserGroupByStudentRequest:TokenRequest
    {
    }

    /// <summary>
    /// 老师添加学生
    /// </summary>
    public class TeacherAddStudentsInUserGroupsRequest: TokenRequest
    {
        /// <summary>
        /// 班级编码
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 学生编码列表
        /// </summary>
        /// <value></value>
        public IList<string> StudentCodes { get; set; }
    }
}