using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Education
{
    /// <summary>
    /// 获取标签列表分页请求实体
    /// </summary>
    public class CourseLabelRequest : TokenRequest
    {
        /// <summary>
        /// 标签code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public string Code { get; set; }

        /// <summary>
        /// 标签名称语言配置
        /// </summary>
        /// <value></value>
        public IList<LabelLanguageConfigDTO> LabelLanguageConfigs { get; set; }

        /// <summary>
        /// 服务对象
        /// </summary>
        /// <value>0</value>
        public OrganizationPatientTypeEnum UseObjectType { get; set; } = OrganizationPatientTypeEnum.Person;

        /// <summary>
        /// 标签类型
        /// </summary>
        /// <value>1</value>
        public LabelTypeEnum Type { get; set; }

        /// <summary>
        /// 上级标签code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public string ParentCode { get; set; }

        /// <summary>
        /// 是否迁移
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public bool IsMove { get; set; }
    }

    /// <summary>
    /// 标签语言配置实体
    /// </summary>
    public class LabelLanguageConfigDTO
    {
        /// <summary>
        /// 课程标签名称
        /// </summary>
        /// <value>青青学园</value>
        public string Name { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 是否展示
        /// </summary>
        /// <value></value>
        public bool IsShow { get; set; }
    }
}
