using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.Request.Education
{
    /// <summary>
    /// 同意学生加入班级
    /// </summary>
    public class JoinClassApprovedRequest : TokenRequest
    {
        /// <summary>
        /// 班级编码
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 学生编码列表
        /// </summary>
        /// <value></value>
        public List<string> Students { get; set; }
    }

    /// <summary>
    /// 拒绝学生加入班级
    /// </summary>
    public class JoinClassRejectedRequest : TokenRequest
    {
        /// <summary>
        /// 班级编码
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 学生编码列表
        /// </summary>
        /// <value></value>
        public List<string> Students { get; set; }
    }

    /// <summary>
    /// 查询学生列表
    /// </summary>
    public class FindStudentListRequest : TokenRequest
    {
        /// <summary>
        /// 班级编码
        /// </summary>
        /// <value></value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 学生状态
        /// </summary>
        /// <value></value>
        public LearnerStatusEnum LearnerStatus { get; set; }
    }

    
    /// <summary>
    /// 查询专家列表
    /// </summary>
    public class FindMyOrganizationExpertsRequest : TokenRequest
    {
        /// <summary>
        /// name
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string Name { get; set; } = string.Empty;
    }
}
