using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.DTO.Record;

namespace WingInterfaceLibrary.Request.Examine
{
    /// <summary>
    /// 机器端创建检查请求实体
    /// </summary>
    public class CreateExaminfoRequest : TokenRequest
    {
        /// <summary>
        /// 类型
        /// </summary>
        /// <value>Person、Animals</value>
        /// <code>0</code>
        public string PatientType { get; set; }

        /// <summary>
        /// 检查记录code
        /// </summary>
        /// <value>检查记录code</value>
        /// <code>0</code>
        public string ExamRecordCode { get; set; }

        /// <summary>
        /// 病人信息
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> PatientInfo { get; set; }

        /// <summary>
        /// 病人检查信息列表
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public List<PatientInfoExt> PatientScanInfoList { get; set; }

        /// <summary>
        /// 是否截图版
        /// </summary>
        /// <value></value>
        public bool IsScreenshotVersion { get; set; } = false;

        /// <summary>
        /// 国家脑卒中项目，掌超上传医生
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string CustomDoctor { get; set; }

        /// <summary>
        /// 国家脑卒中项目，掌超上传医院
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string CustomOrganzation { get; set; }

        /// <summary>
        /// 国家脑卒中项目，掌超上传设备SN
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string EquipmentSN { get; set; }

        /// <summary>
        /// 病人Code(下发的病人新创建检查时传值)
        /// </summary>
        /// <value></value>
        public string PatientCode { get; set; }

        /// <summary>
        /// 检查时间
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public DateTime? ExamTime { get; set; }

        /// <summary>
        /// 科研版项目code，非必填，如填写则走科研版逻辑
        /// </summary>
        /// <value></value>
        public string ProjectCode { get; set; }

    }


}