using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.Examine
{
    /// <summary>
    /// 分享扫查图像页面请求对象
    /// </summary>
    public class QueryShareExamPageRequest : TokenRequest
    {
        /// <summary>
        /// 扫查文件Token
        /// </summary>
        /// <value>http://XXXX.com/xxxx.vid</value>
        public string ExamFileToken { get; set; }

        /// <summary>
        /// 语言编码
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
    }

    /// <summary>
    /// 图像列表分享页面请求实体
    /// </summary>
    public class QueryShareImagesPlayUrlRequest : TokenRequest
    {
        /// <summary>
        /// 扫查文件Token
        /// </summary>
        /// <value>XXXXXXXXXXXXXXXXXX</value>
        /// <code>0</code>
        public string RecordCode { get; set; }
        
        /// <summary>
        /// 扫查文件Token
        /// </summary>
        /// <value></value>
        public IList<DTO.Measure.MeasureExportDetailDTO> RemedicalImages { get; set; }

        /// <summary>
        /// 语言编码
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
    }
}