namespace WingInterfaceLibrary.Request.IOTDevice
{
    /// <summary>
    /// IOT用户绑定设备请求实体
    /// </summary>
    public class BindIOTUserDeviceRequest : TokenRequest
    {
        /// <summary>
        /// 机器编号
        /// </summary>
        public string MachineNo { get; set; }

        /// <summary>
        /// 机器Mac地址
        /// </summary>
        public string MachineAddress { get; set; }

        /// <summary>
        /// 设备类型： Breath = 0-呼吸机,Oxygen=1-制氧机
        /// </summary>
        public int Type { get; set; }

        /// <summary>
        /// 用户设备名称
        /// </summary>
        public string UserDeviceName { get; set; }

        /// <summary>
        /// 无线网名称
        /// </summary>
        public string WifiName { get; set; }

        /// <summary>
        /// 报告模式
        /// </summary>
        public int? ModeType { get; set; }

        /// <summary>
        /// 是否自动获取
        /// </summary>
        public bool? IsAuto { get; set; }

        /// <summary>
        /// 设备所在城市
        /// </summary>
        public string AreaCode { get; set; }
    }
}