using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.IOTDevice
{
    /// <summary>
    /// IOT用户绑定设备请求实体
    /// </summary>
    public class CheckIOTDeviceBeenBoundRequest : TokenRequest
    {
        /// <summary>
        /// 用户编号
        /// </summary>
        public string UserCode { get; set; }

        /// <summary>
        /// 设备列表
        /// </summary>
        public IList<BindIOTDeviceBasicInfo> DeviceList { get; set; }
    }

    /// <summary>
    /// 绑定设备基础信息
    /// </summary>
    public class BindIOTDeviceBasicInfo
    {
        /// <summary>
        /// 设备编号
        /// </summary>
        public string DeviceSN { get; set; }

        /// <summary>
        /// 设备mac地址
        /// </summary>
        public string DeviceMac { get; set; }
    }
}