using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.IOTDevice
{
    /// <summary>
    /// 通用字典请求实体
    /// </summary>
    public class CommonDictionaryRequest : TokenRequest
    {
        /// <summary>
        /// id
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 字典键
        /// </summary>
        public string Key { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 字典类型
        /// </summary>
        public CommonDictionaryTypeEnum Type { get; set; }

        /// <summary>
        /// 父级
        /// </summary>
        public string ParentCode { get; set; }
    }

    /// <summary>
    /// 获取通用字典分页请求实体
    /// </summary>
    public class GetCommonDictionaryPageRequest : PageRequest
    {
        /// <summary>
        /// 查询 关键字
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string Keyword { get; set; }

        /// <summary>
        /// 字典类型
        /// </summary>
        public CommonDictionaryTypeEnum Type { get; set; }
    }
}