using System;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.IOTDevice
{
    /// <summary>
    /// IOT设备基础信息请求实体
    /// </summary>
    public class GetIOTDevicBaseRequest : TokenRequest
    {
        /// <summary>
        /// 设备Id
        /// </summary>
        public string DeviceId { get; set; }

        /// <summary>
        /// 使用模式
        /// </summary>
        public ModeType Mode { get; set; }
    }

    /// <summary>
    /// IOT设备详情请求实体
    /// </summary>
    public class GetIOTDeviceDetailRequest : GetIOTDevicBaseRequest
    {
        /// <summary>
        /// 日期
        /// </summary>
        public DateTime Date { get; set; } = DateTime.Now;

        /// <summary>
        /// 用户Code
        /// </summary>
        public string UserCode { get; set; }
    }

    /// <summary>
    /// IOT设备阶段报告请求实体
    /// </summary>
    public class GetIOTDeviceReportRequest : GetIOTDevicBaseRequest
    {
        /// <summary>
        /// 报告统计模式
        /// </summary>
        public ReportType ReportType { get; set; } = 0;
    }

    /// <summary>
    /// IOT设备阶段时间内有使用记录日期请求实体
    /// </summary>
    public class GetIOTDeviceUseDateRequest : GetIOTDevicBaseRequest
    {
        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime Start { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        public DateTime End { get; set; }
    }
}