namespace WingInterfaceLibrary.Request.IOTDevice
{
    /// <summary>
    /// 获取设备首页总结数据请求实体
    /// </summary>
    public class GetSummaryRequest : TokenRequest
    {
        /// <summary>
        /// 设备类型(0:呼吸机;1:制氧机)
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public int Type { get; set; }

        /// <summary>
        /// 用户code
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string UserCode { get; set; }
    }

    /// <summary>
    /// 获取IOT设备版本信息请求实体
    /// </summary>
    public class GetDeviceVersionRequest : GetSummaryRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string Id { get; set; }
    }
}