using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.IOTDevice
{
    /// <summary>
    /// IOT设备属性上报请求实体
    /// </summary>
    public class IOTDeviceAttributeEscalationRequest : TokenRequest
    {
        /// <summary>
        /// 用户code
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string UserCode { get; set; }

        /// <summary>
        /// 设备id
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string Id { get; set; }

        /// <summary>
        /// 设备类型（0：呼吸机;1：制氧机）
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public int Type { get; set; }

        /// <summary>
        /// 设备属性列表
        /// </summary>
        /// <value></value>
        public string DeviceAttributesJson { get; set; }

        /// <summary>
        /// 设备耗材属性列表 json数据格式，
        /// </summary>
        /// <value></value>
        public string DeviceConsumableAttributes { get; set; }
    }

    /// <summary>
    /// Mqtt Api主题设置请求信息
    /// </summary>
    public class IOTDeviceTopicInfoRequest : TokenRequest
    {
        /// <summary>
        /// 设备Id
        /// </summary>
        public string DeviceId { get; set; }

        /// <summary>
        /// 开关机
        /// </summary>
        public bool DeviceOpen { get; set; }
    }

    /// <summary>
    /// 设备报告属性数据上报
    /// </summary>
    public class IOTReportAttributeEscalationRequest : TokenRequest
    {
        // /// <summary>
        // /// 用户code
        // /// </summary>
        // /// <value></value>
        // /// <code>0</code>
        // public string UserCode { get; set; }

        /// <summary>
        /// 设备id
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string Id { get; set; }

        /// <summary>
        /// 设备类型（0：呼吸机;1：制氧机）
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public int Type { get; set; }

        /// <summary>
        /// 报告属性列表
        /// </summary>
        /// <value></value>
        public string ReportAttributesJson { get; set; }
    }
}