namespace WingInterfaceLibrary.Request.IOTDevice
{
    /// <summary>
    /// IOT设备注册请求对象实体
    /// </summary>
    public class IOTDeviceRegisterRequest : TokenRequest
    {
        /// <summary>
        /// 设备型号
        /// 规则：
        /// </summary>
        /// <value>SC-30BS</value>
        public string DeviceModel { get; set; }

        /// <summary>
        /// 设备序列号
        /// </summary>
        /// <value>SC-30BS</value>
        public string DeviceSN { get; set; }

        /// <summary>
        /// 设备MAC地址
        /// </summary>
        /// <value>SC-30BS</value>
        public string DeviceMac { get; set; }

        /// <summary>
        /// 设备秘钥
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string DeviceKey { get; set; }

        /// <summary>
        /// 设备名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 设备描述
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string Description { get; set; }
    }

    /// <summary>
    /// IOT设备连接请求对象实体
    /// </summary>
    public class IOTDeviceConnectRequest : IOTDeviceRegisterRequest
    {
        /// <summary>
        /// 设备类型：（0：呼吸机;1：制氧机）
        /// </summary>
        /// <value></value>
        public int DeviceType { get; set; }

        /// <summary>
        /// 请求ip
        /// </summary>
        /// <value></value>
        public string IP { get; set; }
    }
}