using System;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.IOTDevice
{
    /// <summary>
    /// IOT设备阶段报告数据请求实体
    /// </summary>
    public class IOTDeviceStageReportRequest : TokenRequest
    {
        /// <summary>
        /// 设备code
        /// </summary>
        /// <value></value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 报告日期
        /// </summary>
        /// <value></value>
        public DateTime ReportDate { get; set; }

        /// <summary>
        /// 报告类型
        /// </summary>
        /// <value></value>
        public IOTDeviceStageReportTypeEnum ReportType { get; set; }

        /// <summary>
        /// 模式
        /// </summary>
        /// <value></value>
        public ModeType Mode { get; set; }
    }

    /// <summary>
    /// IOT设备阶段报告数据趋势图请求实体
    /// </summary>
    public class IOTDeviceStageReportTrendChartRequest : IOTDeviceStageReportRequest
    {

    }
}