namespace WingInterfaceLibrary.Request.IOTDevice
{
    /// <summary>
    /// 绑定用户设备请求实体
    /// </summary>
    public class UserBindDeviceRequest : TokenRequest
    {
        /// <summary>
        /// 用户code
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string UserCode { get; set; }

        /// <summary>
        /// 机器编号
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string MachineNo { get; set; }

        /// <summary>
        /// 机器Mac地址
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string MachineAddress { get; set; }

        /// <summary>
        /// 设备类型（0：呼吸机;1：制氧机）
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public int Type { get; set; }

        /// <summary>
        /// 用户设备名称
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string UserDeviceName { get; set; }

        /// <summary>
        /// 无线网名称
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string WifiName { get; set; }

        /// <summary>
        /// 报告模式
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public int ModeType { get; set; }

        /// <summary>
        /// 是否自动获取
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public bool IsAuto { get; set; }

        /// <summary>
        /// 设备所在城市
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string AreaCode { get; set; }
    }
}