using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Lab
{
    /// <summary>
    /// 实验室文件记录请求
    /// </summary>
    public class RecordLaboratoryFileRequest : TokenRequest
    {
        /// <summary>
        /// 上传方式
        /// </summary>
        /// <value></value>
        public LabUploadTypeEnum UploadType { get; set; }

        /// <summary>
        /// 文件地址信息
        /// </summary>
        /// <code>0</code>
        public List<FileUploadInfoDTO> FileUploadInfos { get; set; }

        /// <summary>
        /// 是否综合分析
        /// </summary>
        /// <value></value>
        public bool IsComprehensiveAnalysis { get; set; }

        /// <summary>
        /// 是否单独分析
        /// </summary>
        /// <value></value>
        public bool IsSeparateAnalysis { get; set; }

        /// <summary>
        /// 文件夹名称
        /// </summary>
        /// <value></value>
        public string FolderName { get; set; }

        /// <summary>
        /// 文件夹编码
        /// </summary>
        /// <value></value>
        public string FolderCode { get; set; }
    }

    /// <summary>
    /// 文件上传文件信息
    /// </summary>
    public class FileUploadInfoDTO
    {
        /// <summary>
        /// 上传Id
        /// </summary>
        /// <value></value>
        public string UploadId { get; set; }

        /// <summary>
        /// 分片号
        /// </summary>
        /// <value></value>
        public int PartNum { get; set; }

        /// <summary>
        /// 文件地址
        /// </summary>
        /// <value></value>
        public string FileUrl { get; set; }

        /// <summary>
        /// 文件名（带后缀）
        /// </summary>
        /// <value></value>
        public string FileName { get; set; }
    }
}