using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Management;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 批量新增管理员请求实体
    /// </summary>
    public class BatchInsertAdminRequest : TokenRequest
    {
        public SyncDBEnum SyncType { get; set; } = SyncDBEnum.Migrate;
        
        /// <summary>
        /// 迁移数据-管理员列表
        /// </summary>
        /// <value></value>
        public IList<AdminMigratoryInfo> AdminMigratorys { get; set; }
    }

    /// <summary>
    /// 管理员数据迁移请求实体
    /// </summary>
    public class AdminMigratoryInfo: AdminInfoDTO
    {
        /// <summary>
        /// 管理员角色
        /// </summary>
        /// <value>ServerSalt_00A542E0B67ADC9</value>
        public AdminMigratoryRoleEnum AdminRole { get; set; }

        /// <summary>
        /// 是否删除
        /// </summary>
        /// <value>false</value>
        public bool IsDelete { get; set; }
    }

    /// <summary>
    /// 管理员角色枚举，如果开了远程会诊，则走这一套，如果没开远程会诊，则默认为医师，如果长期未登录，则默认医师
    /// </summary>
    public enum AdminMigratoryRoleEnum
    {
        /// <summary>
        /// 超级管理员
        /// </summary>
        PrimaryAdmin01 = 0,
        /// <summary>
        /// 普通管理员
        /// </summary>
        GeneralAdmin = 1
    }
}