using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO;
using WingInterfaceLibrary.DTO.Management;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request.Education;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 批量新增课程标签请求实体
    /// </summary>
    public class BatchInsertCourseLabelRequest : TokenRequest
    {
        public SyncDBEnum SyncType { get; set; } = SyncDBEnum.Migrate;
        
        /// <summary>
        /// 迁移数据-课程标签列表
        /// </summary>
        /// <value></value>
        public IList<CourseLabelMigratoryInfo> CourseLabelMigratorys { get; set; }
    }

    /// <summary>
    /// 课程标签
    /// </summary>
    public class CourseLabelMigratoryInfo : BaseDTO
    {
        /// <summary>
        /// 是否删除
        /// </summary>
        /// <value>false</value>
        public bool IsDelete { get; set; }
        /// <summary>
        /// 标签code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public string Code { get; set; }

        /// <summary>
        /// 标签名称语言配置
        /// </summary>
        /// <value></value>
        public IList<LabelLanguageConfigDTO> LabelLanguageConfigs { get; set; }

        /// <summary>
        /// 服务对象
        /// </summary>
        /// <value>0</value>
        public OrganizationPatientTypeEnum UseObjectType { get; set; } = OrganizationPatientTypeEnum.Person;

        /// <summary>
        /// 标签类型
        /// </summary>
        /// <value>1</value>
        public LabelTypeEnum Type { get; set; }
    }

}