using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.DTO.Management;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 批量新增设备请求实体
    /// </summary>
    public class BatchInsertDeviceRequest : TokenRequest
    {
        public SyncDBEnum SyncType { get; set; } = SyncDBEnum.Migrate;
        
        /// <summary>
        /// 迁移数据-设备列表
        /// </summary>
        /// <value></value>
        public IList<DeviceMigratoryInfo> DeviceMigratorys { get; set; }
    }

    /// <summary>
    /// 设备数据迁移请求实体
    /// </summary>
    public class DeviceMigratoryInfo: DeviceInfoDTO
    {
        /// <summary>
        /// 是否删除
        /// </summary>
        /// <value>false</value>
        public bool IsDelete { get; set; }
        /// <summary>
        /// AI诊断枚举列表
        /// </summary>
        public IList<DiagnosisModuleEnum> DiagnosisModule { get; set; }
    }

    /// <summary>
    /// AI枚举
    /// </summary>
    public enum DiagnosisModuleEnum
    {
        /// <summary>
        /// 肝脏
        /// </summary>
        LiverLesionDetect = 0,
        /// <summary>
        /// 甲状腺
        /// </summary>
        ThyroidLesionDetect = 1,
        /// <summary>
        /// 颈动脉
        /// </summary>
        CarotidPlaqueDetect = 2,
        /// <summary>
        /// 乳腺
        /// </summary>
        BreastLesionDetectBIRADS = 3
    }
}