using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Organization;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 批量新增用户请求实体
    /// </summary>
    public class BatchInsertPosterConfigRequest : TokenRequest
    {
        public SyncDBEnum SyncType { get; set; } = SyncDBEnum.Migrate;
        
        /// <summary>
        /// 迁移数据-用户列表
        /// </summary>
        /// <value></value>
        public IList<PosterConfigMigratoryInfo> PosterConfigMigratorys { get; set; }
    }

    /// <summary>
    /// 用户数据迁移请求实体
    /// </summary>
    public class PosterConfigMigratoryInfo
    {      
        /// <summary>
        /// 唯一编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 更新时间
        /// </summary>
        /// <value></value>
        public DateTime UpdateTime { get; set; }
        /// <summary>
        /// 是否删除
        /// </summary>
        /// <value></value>
        public bool IsDelete { get; set; }

        /// <summary>
        /// Receiver customer name
        /// </summary>
        /// <value></value>
        public string ReceiverName { get; set; }
        /// <summary>
        /// The contact name
        /// </summary>
        /// <value></value>
        public string Contact { get; set; }
        /// <summary>
        /// The contact's phone
        /// </summary>
        /// <value></value>
        public string Phone { get; set; }
        /// <summary>
        /// Target url
        /// </summary>
        /// <value></value>
        public string TargetUrl { get; set; }
        /// <summary>
        /// Template
        /// </summary>
        /// <value></value>
        public string Template { get; set; }
        /// <summary>
        /// The report format
        /// </summary>
        /// <value></value>
        public ReportPosterTypeEnum PosterType { get; set; }
        /// <summary>
        /// The report format
        /// </summary>
        /// <value></value>
        public ReportFormatEnum ReportFormat { get; set; }
        /// <summary>
        /// The post action timeout, unit is second
        /// </summary>
        /// <value></value>
        public int PostTimeout { get; set; }
    }
}