using System.Collections.Generic;
using WingInterfaceLibrary.DTO;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 批量新增用户组请求实体
    /// </summary>
    public class BatchInsertUserGroupRequest : TokenRequest
    {
        public SyncDBEnum SyncType { get; set; } = SyncDBEnum.Migrate;
        
        /// <summary>
        /// 迁移数据-课程标签列表
        /// </summary>
        /// <value></value>
        public IList<UserGroupMigratoryInfo> UserGroupMigratorys { get; set; }
    }

    /// <summary>
    /// 课程标签
    /// </summary>
    public class UserGroupMigratoryInfo : BaseDTO
    {
        /// <summary>
        /// 是否删除
        /// </summary>
        /// <value>false</value>
        public bool IsDelete { get; set; }
        /// <summary>
        /// 用户组Code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        /// <code>0</code>
        public string Code { get; set; }

        /// <summary>
        /// 用户组名称
        /// </summary>
        /// <value>张老师用户组</value>
        public string Name { get; set; }

        /// <summary>
        /// 最大人数
        /// </summary>
        /// <value>50</value>
        public int MaxPeople { get; set; }
                
        /// <summary>
        /// 创建人Code
        /// </summary>
        /// <value>20220324085918O01i7T</value>
        public string CreatorCode { get; set; }

        /// <summary>
        /// 学生列表
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public IList<StudentInfoDTO> Students { get; set; }

        /// <summary>
        /// 短码
        /// </summary>
        /// <value></value>
        public string ShortCode { get; set; }

        /// <summary>
        /// 是否代理商
        /// </summary>
        /// <value></value>
        public bool IsAgent { get; set; }

        /// <summary>
        /// 是否老平台数据
        /// </summary>
        /// <value></value>
        public bool IsOldPlatformData { get; set; }

        /// <summary>
        /// 用户组描述
        /// </summary>
        public string Description { get; set; }
    }
}