namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 分页查询项目配置请求接口
    /// </summary>
    public class FindProjectPagesRequest : PageRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }
    }
    
    /// <summary>
    /// 查询项目配置详情请求接口
    /// </summary>
    public class FindProjectRequest : TokenRequest
    {
        /// <summary>
        /// 项目配置编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }
    
    /// <summary>
    /// 删除项目配置情请求接口
    /// </summary>
    public class DeleteProjectRequest : TokenRequest
    {
        /// <summary>
        /// 项目配置编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }
}