using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 分页查询项目数据推送记录请求接口
    /// </summary>
    public class FindProjectPushRecordPagesRequest : PageRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 项目名称
        /// </summary>
        public string ProjectName { get; set; }

        /// <summary>
        /// 数据类型，医院、用户、设备等
        /// </summary>
        public ProjectDataTypeEnum? DataType { get; set; }

        /// <summary>
        /// 推送状态
        /// </summary>
        public ProjectPushStatusEnum? PushStatus { get; set; }
    }
    
    /// <summary>
    /// 查询项目数据推送记录详情请求接口
    /// </summary>
    public class FindProjectPushRecordRequest : TokenRequest
    {
        /// <summary>
        /// 项目数据推送记录编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }
    
    /// <summary>
    /// 删除项目数据推送记录请求接口
    /// </summary>
    public class DeleteProjectPushRecordRequest : TokenRequest
    {
        /// <summary>
        /// 项目数据推送记录编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }
    }
    
    /// <summary>
    /// 重新发送请求接口
    /// </summary>
    public class ReSendProjectPushRecordRequest : TokenRequest
    {
        /// <summary>
        /// 项目数据推送记录编码
        /// </summary>
        /// <value></value>
        public List<string> Codes { get; set; }
    }
}