using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 获取设备画面尺寸
    /// </summary>
    public class GetDeviceOutputConfigRequest : TokenRequest
    {
        /// <summary>
        /// 设备视频输出类型
        /// </summary>
        /// <value></value>
        public DeviceVideoOutputTypeEnum DeviceVideoOutputType { get; set; }
    }

    /// <summary>
    /// 获取品牌型号分页
    /// </summary>
    public class GetDeviceBrandModelPageRequest : PageRequest
    {
        /// <summary>
        /// 查询关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }
    }

    /// <summary>
    /// 获取品牌型号配置
    /// </summary>
    public class DeleteBrandModelOutputConfigRequest
    {
        /// <summary>
        /// 品牌型号编码列表
        /// </summary>
        /// <value></value>
        public List<string> BrandModelCodes { get; set; }
    }
}