using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 查询用户（分页）请求实体
    /// </summary>
    public class GetUserPagesRequest : PageRequest
    {
        /// <summary>
        /// 查询类型
        /// </summary>
        /// <value></value>
        public string QueryType { get; set; }
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }
        /// <summary>
        /// 用户状态
        /// </summary>
        /// <value></value>
        public string QueryState { get; set; }

        /// <summary>
        /// 排除用户列表
        /// </summary>
        /// <value></value>
        public List<string> ExcludeUserCodes { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value></value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 用户code
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 指定角色
        /// </summary>
        public List<string> RoleCodes{ get; set; }

        /// <summary>
        /// 是否只查询代理商
        /// </summary>
        public bool? IsAgent{ get; set; }

        /// <summary>
        /// 是否科研版用户
        /// </summary>
        public bool IsResearchProjectUser{ get; set; }

        /// <summary>
        /// DongleId
        /// </summary>
        public string LabDongle { get; set; }

        /// <summary>
        /// 仅查询Dongle用户
        /// </summary>
        public bool OnlyDongle { get; set; }
    }

    /// <summary>
    /// 查询用户绑定设备列表
    /// </summary>
    public class GetUserDevicesPagesRequest : PageRequest
    {
        /// <summary>
        /// 用户code
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }
        
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }
    }

    /// <summary>
    /// 查询机构绑定设备列表
    /// </summary>
    public class GetOrganizationDevicesPagesRequest : PageRequest
    {
        /// <summary>
        /// 机构code
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }
        
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }
    }
}