using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Enum;
using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.Management
{
    public class ModifyDeviceRequest : DeviceInfoDTO
    {
        /// <summary>
        /// 登录人信息
        /// </summary>
        /// <value></value>
        public string Token { get; set; }

    }

    /// <summary>
    /// 修改设备下载模式请求
    /// </summary>
    public class ModifyDeviceDownloadModeRequest : TokenRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>DeviceInfoDO_20220518115415PaZtqp</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 设置下载模式
        /// </summary>
        /// <value></value>
        public DownloadModeSettingEnum DownloadModeSetting { get; set; }
    }

    /// <summary>
    /// 修改设备合流尺寸请求
    /// </summary>
    public class ModifyDeviceMergedVideoSizeRequest : TokenRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>DeviceInfoDO_20220518115415PaZtqp</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 是否合流
        /// </summary>
        /// <value></value>
        public bool MergedChannel { get; set; }

        /// <summary>
        /// 合流的画面宽度
        /// </summary>
        /// <value></value>
        public int MergedVideoOutputWidth { get; set; }

        /// <summary>
        /// 合流的画面高度
        /// </summary>
        /// <value></value>
        public int MergedVideoOutputHeight { get; set; }

        /// <summary>
        /// 视屏设备画面信息
        /// </summary>
        /// <value></value>
        public IList<VideoDeviceDTO> VideoDeviceInfos { get; set; } = new List<VideoDeviceDTO>();
    }

    /// <summary>
    /// 修改设备密码请求
    /// </summary>
    public class ModifyDevicePasswordRequest : TokenRequest
    {
        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>DeviceInfoDO_20220518115415PaZtqp</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        /// <value></value>
        public string Password { get; set; }
    }
}