using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Dictionary;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 设备类型修改实体
    /// </summary>
    public class ModifyDeviceTypeRequest : TokenRequest
    {
        /// <summary>
        /// 字典项
        /// </summary>
        public string Value { get; set; }

        /// <summary>
        /// 设备类型code
        /// </summary>
        public string DictionaryCode { get; set; }

        /// <summary>
        /// 多语言配置
        /// </summary>
        /// <returns></returns>
        public List<DictionaryLanguageConfigDTO> LanguageConfigs { get; set; } = new List<DictionaryLanguageConfigDTO>();

        /// <summary>
        ///设备型号
        /// </summary>
        /// <value></value>
        public DictionaryTypeEnum DictionaryType { get; set; }
    }

    public class DeleteDeviceTypeRequest
    {
        /// <summary>
        /// 设备类型code
        /// </summary>
        public string DeviceTypeCode { get; set; }
    }
}