using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Organization;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    ///  修改配置请求实体
    /// </summary>
    public class ModifyOrganizationSettingRequest : TokenRequest
    {
        /// <summary>
        /// 修改类型
        /// </summary>
        /// <value>0-病人，1-检查</value>
        public OrganizationSettingTypeEnum SettingType { get; set; }

        /// <summary>
        /// 配置json
        /// </summary>
        /// <value></value>
        public string SettingJson { get; set; }

        /// <summary>
        /// 机构code
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// cms模板code
        /// </summary>
        /// <value></value>
        public string CMSTemplateCode { get; set; }
    }

    public class ModifycConsultationBaseInfoSettingRequest : TokenRequest
    {
        /// <summary>
        /// 会诊配置
        /// </summary>
        /// <value></value>
        public List<ConsultationBaseInfoItem> ConsultationBaseInfoList { get; set; }

        /// <summary>
        /// 机构code
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }
    }

}