using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Role;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 修改平台角色请求实体
    /// </summary>
    public class ModifyRoleInfoRequest : RoleDTO
    {
        /// <summary>
        /// 登录人信息
        /// </summary>
        /// <value></value>
        public string Token { get; set; }

        /// <summary>
        /// 权限列表
        /// </summary>
        /// <value></value>
        public List<string> FeaturesCodeList { get; set; } = new List<string>();
    }

    /// <summary>
    /// 保存用户权限信息请求实体
    /// </summary>
    public class SaveUserFeatureInfoRequest : ModifyRoleInfoRequest
    {
        /// <summary>
        /// 用户信息code
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }
    }
}