
using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 修改用户绑定设备机构请求实体
    /// </summary>
    public class ModifyUserBindDeviceOrganizationRequest : TokenRequest
    {
        /// <summary>
        /// 修改指定的用户编码列表
        /// </summary>
        /// <value>"Code1","Code2"</value>
        public IList<string> UserCodes { get; set; }

        /// <summary>
        /// 修改指定的机构列表对应的机构负责人
        /// </summary>
        /// <value>"OrgCode1","OrgCode2"</value>
        public IList<string> OrganizationCodes { get; set; }
    }

    /// <summary>
    /// 修改特殊用户机构请求实体
    /// </summary>
    public class ModifyUserSpecialOrganizationRequest : TokenRequest
    {
        /// <summary>
        /// 修改指定的用户编码列表
        /// </summary>
        /// <value>"Code1","Code2"</value>
        public IList<string> UserCodes { get; set; }

        /// <summary>
        /// 修改前原目标机构code
        /// </summary>
        /// <value>"Code1"</value>
        public string OriginOrganizationCode { get; set; }

        /// <summary>
        /// 修改后新目标机构code
        /// </summary>
        /// <value>"Code1"</value>
        public string TargetOrganizationCode { get; set; }
    }
}