using System;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 查询物联网设备信息分页请求实体
    /// </summary>
    public class QueryDeviceInfoByPageRequest : PageRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value>机器编号，产品编码等</value>
        public string Keyword { get; set; } = string.Empty;

        /// <summary>
        /// 设备类型
        /// </summary>
        /// <value></value>
        public string DeviceType { get; set; } = string.Empty;

        /// <summary>
        /// 连接状态
        /// </summary>
        /// <value></value>
        public bool IsConnect { get; set; } = false;

        /// <summary>
        /// 活动状态
        /// </summary>
        /// <value></value>
        public bool IsActive { get; set; } = false;
    }

    /// <summary>
    /// 查询物联网设备报告信息分页请求实体
    /// </summary>
    public class QueryDeviceReportByPageRequest : PageRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value>机器编号，产品编码等</value>
        public string Keyword { get; set; } = string.Empty;

        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime StartTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 结束时间
        /// </summary>
        public  DateTime EndTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>test0122</value>
        public string DeviceCode { get; set; }
    }
}