using System;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 查询物联网设备版本信息分页请求实体
    /// </summary>
    public class QueryDeviceVersionByPageRequest : PageRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value>版本号</value>
        public string Keyword { get; set; } = string.Empty;

        /// <summary>
        /// 分类查询，0-全部；1-基础版本; 2-dev和rel版本; 3-dev版本; 4-rel版本
        /// </summary>
        /// <value>版本号</value>
        public int QueryIOTDeviceVersionType { get; set; } = 0;
        
        /// <summary>
        /// Bin文件类型
        /// </summary>
        public DeviceBaseVersionBinTypeEnum Type { get; set; }
    }

    /// <summary>
    /// 新增物联网设备版本信息分页请求实体
    /// </summary>
    public class AddIOTDeviceVersionRequest: IOTDeviceVersionDTO
    {
        
    }

    /// <summary>
    /// 修改物联网设备版本信息分页请求实体
    /// </summary>
    public class UpdateIOTDeviceVersionRequest: IOTDeviceVersionDTO
    {
        
    }

    /// <summary>
    /// 查询物联网设备版本对象请求实体
    /// </summary>
    public class QueryIOTDeviceVersionRequest
    {
        /// <summary>
        /// 编码
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// IOT设备版本类型
        /// </summary>
        public IOTDeviceVersionTypeEnum IOTDeviceVersionType { get; set; }

        /// <summary>
        /// Bin文件类型
        /// </summary>
        public DeviceBaseVersionBinTypeEnum Type { get; set; }

        /// <summary>
        /// 版本号
        /// </summary>
        public string VersionNo { get; set; }
    }
}

