namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 删除用户请求实体
    /// </summary>
    public class RemoveUserRequest : TokenRequest
    {
        /// <summary>
        /// user code
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }
    }

    /// <summary>
    /// 解锁账户请求实体
    /// </summary>
    public  class UnlockAccountRequest: TokenRequest
    {
        /// <summary>
        /// account code
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }
    }

    /// <summary>
    /// 用户权限请求实体
    /// </summary>
    public class UserFeatureInfoRequest : GetFeatureListRequest
    {
        /// <summary>
        /// user code
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }
    }
}