
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Management
{
    /// <summary>
    /// 保存计费资源包请求实体
    /// </summary>
    public class SaveChargeResourcePackageRequest : TokenRequest
    {
        /// <summary>
        /// 计费资源包code
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 计费资源包名称
        /// </summary>
        /// <value></value>
        public string Name { get; set; }

        /// <summary>
        /// 计费资源包类型
        /// </summary>
        /// <value></value>
        public ChargeResourcePackageTypeEnum ResourcePackageType { get; set; }

        /// <summary>
        /// 价格
        /// </summary>
        /// <value></value>
        public decimal Price { get; set; }

        /// <summary>
        /// 适用业务
        /// </summary>
        /// <value></value>
        public string BusinessCode { get; set; }

    }

    /// <summary>
    /// 删除计费资源包请求实体
    /// </summary>
    public class DeleteChargeResourcePackageRequest : TokenRequest
    {
        /// <summary>
        /// 计费资源包code
        /// </summary>
        /// <value></value>
        public List<string> Codes { get; set; }
    }

}