using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;

namespace WingInterfaceLibrary.Request.Patient
{
    /// <summary>
    /// 创建病人信息请求实体
    /// </summary>
    public class CreatePatientRequest : TokenRequest
    {
        /// <summary>
        /// 病人信息字段 json 集合
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> PatientData { get; set; }

        /// <summary>
        /// 分配用户code集合
        /// </summary>
        /// <value>"uc_code01","uc_code02"</value>
        /// <code>0</code>
        public List<string> AssignmentUserCodes { get; set; }

        /// <summary>
        /// 科研版项目code，非必填，如填写则走科研版逻辑
        /// </summary>
        /// <value></value>
        public string ProjectCode { get; set; }

    }
}