using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Patient;

namespace WingInterfaceLibrary.Request.Patient
{
    /// <summary>
    /// 导出诊断数据
    /// </summary>
    public class ExportRemedicalDataRequest : TokenRequest
    {

        /// <summary>
        /// 查询起始时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime StartTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 查询截至时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime EndTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 是否导出检查报告
        /// </summary>
        /// <value>true</value>
        /// <code>0</code>
        public bool IsExportReport { get; set; } = false;

        /// <summary>
        /// 是否导出检查记录
        /// </summary>
        /// <value>true</value>
        /// <code>0</code>
        public bool IsExportRecord { get; set; } = false;

        /// <summary>
        /// 是否导出扫查图像
        /// </summary>
        /// <value>true</value>
        /// <code>0</code>
        public bool IsExportRemedicalData { get; set; } = false;

        /// <summary>
        /// 病人code列表
        /// </summary>
        ///<value>aaa,bbb</value>
        ///<code>1</code>
        public List<string> PatientCodes { get; set; } = new List<string>();

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; } = "en-US";

    }
}