using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Patient
{
    /// <summary>
    /// 查询病人列表请求
    /// </summary>
    public class FindPatientsPageRequest : PageRequest
    {
        /// <summary>
        ///查询 关键字
        /// </summary>
        /// <value>病人1</value>
        /// <code>0</code>
        public string KeyWord { get; set; }

        /// <summary>
        /// 查询起始时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime StartTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 查询截至时间
        /// </summary>
        /// <value>2022-03-15T12:53:29.889Z</value>
        /// <code>0</code>
        public DateTime EndTime { get; set; } = DateTime.MinValue;

        /// <summary>
        /// 病人登记状态过滤
        /// </summary>
        /// <value>0</value>
        /// <code>0</code>
        public PatientValidStatusEnum IsValid { get; set; }

        /// <summary>
        /// 查询指定机构
        /// </summary>
        /// <value></value>
        public IList<string> OrganizationCodes { get; set; }

        /// <summary>
        /// 查询指定设备
        /// </summary>
        /// <value></value>
        public IList<string> DeviceCodes { get; set; }

        /// <summary>
        /// 病人code
        /// </summary>
        /// <value>XXXXXXXX</value>
        /// <code>0</code>
        public string PatientCode { get; set; }
    }
}