using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Measure;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Record
{
    /// <summary>
    /// 批量导出测量结果请求实体
    /// </summary>
    public class BatchExportMeasureResultRequest : TokenRequest
    {
        /// <summary>
        /// 测量项编码
        /// </summary>
        /// <value></value>
        public IList<MeasureExportDetailDTO> RemedicalMeasuredInfoCodes { get; set; }

        /// <summary>
        /// 业务类型
        /// </summary>
        /// <value>0</value>
        /// <code>0</code>
        public BusinessTypeEnum BusinessType { get; set; }
        
        /// <summary>
        /// 对应记录编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string RecordCode { get; set; } = string.Empty;

        /// <summary>
        /// 请求语言code
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; } = "en-US";
    }
}