using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;

namespace WingInterfaceLibrary.Request.Record
{
    /// <summary>
    /// 创建转诊记录请求实体
    /// </summary>
    public class CreateReferralRecordRequest : TokenRequest
    {
        /// <summary>
        /// 病人编码
        /// </summary>
        /// <value>PatientCode_20220107104236xiP0nz</value>
        public string PatientCode { get; set; }

        /// <summary>
        /// 转入事由
        /// </summary>
        /// <value>xxx</value>
        public string SubjectMatter { get; set; }

        /// <summary>
        /// 转入机构
        /// </summary>
        /// <value>Organization_20220324020204McST871</value>
        public string ReferralOrganizationCode { get; set; }

        /// <summary>
        /// 转入医生
        /// </summary>
        /// <value>User_20220107104236xiP0nz</value>
        public string ReferralUserCode { get; set; }

        /// <summary>
        /// 他人转给当前医生，当前医生再次转诊给其他医生时需传入
        /// </summary>
        /// <value>ReferralRecord_xxx</value>
        /// <code>0</code>
        public string ReferralRecordCode { get; set; }
    }

    /// <summary>
    /// 修改转诊记录请求实体
    /// </summary>
    public class ModifyReferralRecordRequest : TokenRequest
    {
        /// <summary>
        /// 病人编码
        /// </summary>
        /// <value>PatientCode_20220107104236xiP0nz</value>
        public string PatientCode { get; set; }

        /// <summary>
        /// 转入事由
        /// </summary>
        /// <value>xxx</value>
        public string SubjectMatter { get; set; }

        /// <summary>
        /// 转入机构
        /// </summary>
        /// <value>Organization_20220324020204McST871</value>
        public string ReferralOrganizationCode { get; set; }

        /// <summary>
        /// 转入医生
        /// </summary>
        /// <value>User_20220107104236xiP0nz</value>
        public string ReferralUserCode { get; set; }

        /// <summary>
        /// 转诊单code
        /// </summary>
        /// <value>ReferralRecord_xxx</value>
        /// <code>0</code>
        public string ReferralRecordCode { get; set; }
    }


    /// <summary>
    /// 大列表创建转诊记录请求实体
    /// </summary>
    public class CreateReferralRecordNewRequest : TokenRequest
    {
        /// <summary>
        /// 检查编码
        /// </summary>
        /// <value>RecordCode_20220107104236xiP0nz</value>
        public string RecordCode { get; set; }

        /// <summary>
        /// 转入机构
        /// </summary>
        /// <value>Organization_20220324020204McST871</value>
        public string ReferralOrganizationCode { get; set; }

        /// <summary>
        /// 转入医生
        /// </summary>
        /// <value>User_20220107104236xiP0nz</value>
        public string ReferralUserCode { get; set; }

        /// <summary>
        /// 转入事由
        /// </summary>
        /// <value>xxx</value>
        public string SubjectMatter { get; set; }

    }
}