using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Record
{
    /// <summary>
    /// VID生成缩略图等信息请求实体
    /// </summary>
    public class GetFileCompressInfoRequest : TokenRequest
    {
        /// <summary>
        /// 文件地址
        /// </summary>
        /// <value></value>
        public string FileToken { get; set; }
        
        /// <summary>
        /// 文件类型
        /// </summary>
        /// <value></value>
        public RemedicalFileDataTypeEnum FileDataType { get; set; }
        
        /// <summary>
        /// 是否生成缩略图
        /// </summary>
        /// <value></value>
        public bool IsNeedThumbnailUrl { get; set; }
        
        /// <summary>
        /// 是否生成首帧大图
        /// </summary>
        /// <value></value>
        public bool IsNeedCoverImg { get; set; }
        
        /// <summary>
        /// 是否生成文件定位信息
        /// </summary>
        /// <value></value>
        public bool IsNeedLocation { get; set; }
    }
    
    /// <summary>
    /// VID生成缩略图等信息响应实体
    /// </summary>
    public class GetFileCompressInfoResult
    {
        /// <summary>
        /// 缩略图地址
        /// </summary>
        /// <value></value>
        public string ThumbnailUrl { get; set; }

        /// <summary>
        /// 首帧大图地址
        /// </summary>
        /// <value></value>
        public string CoverImgUrl { get; set; }
        
        /// <summary>
        /// 定位信息
        /// </summary>
        /// <value></value>
        public ImageLocationDTO ImageLocation { get; set; }
        
        /// <summary>
        /// 文件大小
        /// </summary>
        /// <value></value>
        public long FileSize { get; set; }
    }
}