namespace WingInterfaceLibrary.Request.Record
{
    /// <summary>
    /// 撤回转诊
    /// </summary>
    public class WithdrawReferralRecordRequest : TokenRequest
    {
        /// <summary>
        /// 转诊记录
        /// </summary>
        /// <value>ReferralRecord_20220107104236xiP0nz</value>
        public string ReferralRecordCode { get; set; }

    }

    /// <summary>
    /// 大列表撤回转诊
    /// </summary>
    public class WithdrawReferralForRecordListRequest : TokenRequest
    {
        /// <summary>
        /// 检查记录
        /// </summary>
        /// <value>ReferralRecord_20220107104236xiP0nz</value>
        public string RecordCode { get; set; }

    }

    /// <summary>
    /// 大列表转诊历史
    /// </summary>
    public class FindReferralHistoryRequest : TokenRequest
    {
        /// <summary>
        /// 检查记录
        /// </summary>
        /// <value>ReferralRecord_20220107104236xiP0nz</value>
        public string RecordCode { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
    }

    /// <summary>
    /// 大列表转诊历史
    /// </summary>
    public class FindReferralHistoryDBRequest : FindReferralHistoryRequest
    {
        /// <summary>
        /// 机构code
        /// </summary>
        /// <value>20220107104236xiP0nz</value>
        public string OrganizationCode { get; set; }
    }
}