using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Comment;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.RemedicalAISelected
{
    /// <summary>
    /// 移动光标，查询受影响关键点请求
    /// </summary>
    public class AffectedKeyPointsByDragActionRequest : TokenRequest
    {
        /// <summary>
        /// 轮廓的所有关键点
        /// </summary>
        /// <value>[{X:0,Y:0}]</value>
        public List<DiagnosisKeyPointDTO> KeyPoints { get; set; }

        /// <summary>
        /// 当前光标在图像上的像素坐标
        /// </summary>
        /// <value>{X:0,Y:0}</value>
        public AIDiagnosisPoint2D MousePoint { get; set; }
    }
}