using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Comment;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.RemedicalAISelected
{
    /// <summary>
    /// 查询病灶轮廓的关键点请求
    /// </summary>
    public class GetKeyPointsOfContourRequest : TokenRequest
    {
        /// <summary>
        /// 轮廓的所有点
        /// </summary>
        /// <value>[{X:0,Y:0}]</value>
        public List<AIDiagnosisPoint2D> Contours { get; set; }

        /// <summary>
        /// 轮廓的横纵径测量值
        /// </summary>
        /// <value>{HorizontalPoint1:0,HorizontalPoint2:0}</value>
        public AIDiagnosisLesionSize LesionSize { get; set; }
    }
}