using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Comment;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.RemedicalAISelected
{
    /// <summary>
    /// 画轮廓模式，查询鼠标位置到轮廓线的最短距离请求
    /// </summary>
    public class MinimumDistanceToContourPointsRequest : TokenRequest
    {
        /// <summary>
        /// 原始轮廓点
        /// </summary>
        /// <value>[{X:0,Y:0}]</value>
        public List<AIDiagnosisPoint2D> ContourPoints { get; set; }

        /// <summary>
        /// 当前光标在图像上的像素坐标
        /// </summary>
        /// <value>{X:0,Y:0}</value>
        public AIDiagnosisPoint2D MousePoint { get; set; }
    }
    
    /// <summary>
    /// 画轮廓模式，查询鼠标位置到轮廓线的最短距离响应
    /// </summary>
    public class MinimumDistanceToContourPointsResult
    {
        /// <summary>
        /// 鼠标离轮廓线的距离，像素
        /// </summary>
        /// <value>5</value>
        public double DistanceCaught { get; set; }

        /// <summary>
        /// 高亮点的下标
        /// </summary>
        /// <value>0</value>
        public int ClosestPointIndex { get; set; }
    }
}