using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request.Device;

namespace WingInterfaceLibrary.Request.Remote
{
    /// <summary>
    /// 远程连接请求参数
    /// </summary>
    public class ControlDeviceConnectRequest : BaseControlDeviceRequest
    {
        /// <summary>
        /// 设备代码
        /// </summary>
        /// <value>device_12123sadf</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 当会诊中关闭调参时使用，传入会诊code，非必填
        /// </summary>
        /// <value>Consultation_12123sadf</value>
        /// <code>0</code>
        public string RoomCode { get; set; }
    }


    /// <summary>
    /// 添加用户远程连接请求实体
    /// </summary>
    public class AddUserRemoteConnectRequest : GetDeviceRequest
    {
        /// <summary>
        /// 房间id
        /// </summary>
        /// <value>12123sadf</value>
        public string RoomId { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        /// <value>0</value>
        public ConnectStatusEnum StatusEnum { get; set; }
    }

}