using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Remote
{
    /// <summary>
    /// 远程连接设备端上报状态信息请求实体
    /// </summary>
    public class RemoteConnectStautsRequest : TokenRequest
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>userCode_12123sadf</value>
        public string UserCode { get; set; }

        /// <summary>
        /// 设备编码
        /// </summary>
        /// <value>deviceCode_12123sadf</value>
        public string DeviceCode { get; set; }

        /// <summary>
        /// 用户来源
        /// </summary>
        /// <value></value>
        public LoginSource LoginSource { get; set; }

        /// <summary>
        /// 是否需要同步
        /// </summary>
        /// <value>0</value>
        public bool IsNeedSyn { get; set; } = true;
    }

    /// <summary>
    /// 设备端取消日志下载
    /// </summary>
    public class DeivceCancelLogDownloadRequest : TokenRequest
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>userCode_12123sadf</value>
        public string UserCode { get; set; }
    }
}