using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Remote
{
    /// <summary>
    /// 日志响应请求参数
    /// </summary>
    public class RemoteLogResponseRequest : TokenRequest
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>userCode_12123sadf</value>
        public string UserCode { get; set; }

        /// <summary>
        /// 日志文件地址
        /// </summary>
        /// <value>http://192.168.6.117:9001/Storage/B1154C6500E4F174249224B41284498E_7_0_0_0.zip</value>
        public string LogFileToken { get; set; }

        /// <summary>
        /// 进度，整数值, 当文件地址有值时，rate为100
        /// </summary>
        /// <value>30</value>
        public int Rate { get; set; }

        /// <summary>
        /// 设备当前状态
        /// </summary>
        /// <value>30</value>
        public RemoteDeviceStateEnum RemoteDeviceState { get; set; }
    }

}