using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.DTO.Report;

namespace WingInterfaceLibrary.Request.Report
{
    /// <summary>
    /// 查询报告预览图请求实体
    /// </summary>
    public class FindReportPreviewImageRequest : TokenRequest
    {
        /// <summary>
        /// 检查编码
        /// </summary>
        /// <value>RecordInfoDO_202205111056024lshF5</value>
        public string RecordCode { get; set; } = string.Empty;
        
        /// <summary>
        /// 所属语言（代表是什么语言类型）
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
    }

    /// <summary>
    /// 转换体检报告预览图请求实体
    /// </summary>
    public class ConvertVitalReportPreviewImageRequest : TokenRequest
    {
        /// <summary>
        /// 报告信息
        /// </summary>
        /// <value></value>
        public ReportDTO ReportInfo { get; set; }
    }

    /// <summary>
    /// 刷新报告推送配置
    /// </summary>
    public class RefreshReportPosterRequest : TokenRequest
    {
        /// <summary>
        /// 报告推送配置编码
        /// </summary>
        /// <value>RecordInfoDO_202205111056024lshF5</value>
        public string ReportPosterCode { get; set; } = string.Empty;
    }
}