using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Report
{
    /// <summary>
    /// 分页查询报告模板请求实体
    /// </summary>
    public class FindReportTemplatePagesRequest : PageRequest
    {
        /// <summary>
        /// 是否默认
        /// </summary>
        /// <value></value>
        public bool? IsDefault { get; set; }

        /// <summary>
        /// 报告模板库名
        /// </summary>
        /// <code>0</code>
        /// <value></value>
        public string ReportTemplateName { get; set; }

        /// <summary>
        /// 默认预览语言
        /// </summary>
        /// <code>0</code>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 查询类型
        /// </summary>
        /// <code>0</code>
        /// <value>zh-CN</value>
        public ReportTemplateBusinessTypeEnum BusinessType { get; set; }

        /// <summary>
        /// 报告模板类型
        /// </summary>
        /// <value></value>
        public ReportTemplateTypeEnum? ReportTemplateType { get; set; }

        /// <summary>
        /// 报告模板发布状态 
        /// </summary>
        /// <value></value>
        public ReportTemplateStatusTypeEnum? ReportTemplateStateType { get; set; }
    }
}