using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.DTO.Report;

namespace WingInterfaceLibrary.Request.Report
{
    /// <summary>
    /// 查询病人关联报告请求实体
    /// </summary>
    public class GetDeviceExamReportsRequest : TokenRequest
    {
        /// <summary>
        /// 检查编码
        /// </summary>
        /// <value>RecordInfoDO_2022060202180487G6p1</value>
        public string RecordCode { get; set; } = string.Empty;

        /// <summary>
        /// 语言code
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
    }

    /// <summary>
    /// 查询病人关联报告请求实体
    /// </summary>
    public class GetDeviceExamReportByCodeRequest : TokenRequest
    {
        /// <summary>
        /// 报告编码
        /// </summary>
        /// <value>ReportInfoDO_2022060202180487G6p1</value>
        public string ReportCode { get; set; } = string.Empty;

        /// <summary>
        /// 语言code
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 是否包含报告Bytes
        /// </summary>
        /// <value>false</value>
        /// <code>0</code>
        public bool IncludeReportBytes { get; set; }
    }

    public class DeviceExamReportDTO : ReportDTO
    {
        /// <summary>
        /// 报告分享地址
        /// </summary>
        /// <value>http://***</value>
        public string ShareUrl { get; set; } = string.Empty;

        /// <summary>
        /// 报告bytes
        /// </summary>
        /// <value></value>
        public byte[] ReportBytes { get; set; }
    }

}