using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Report
{
    /// <summary>
    /// 获取词条库（分页）
    /// </summary>
    public class GetThesaurusPageRequest : PageRequest
    {
        /// <summary>
        /// 是否默认
        /// </summary>
        /// <value></value>
        public bool? IsDefault { get; set; }

        /// <summary>
        /// 词条引用用户
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 词条发布状态
        /// </summary>
        /// <value></value>
        public ThesaurusStatusTypeEnum? ThesaurusStateType { get; set; }

        /// <summary>
        /// 词条类型
        /// </summary>
        /// <value></value>
        public ThesaurusTypeEnum? ThesaurusType { get; set; }

        /// <summary>
        /// 词条使用类型
        /// </summary>
        /// <value></value>
        public ThesaurusUsageTypeEnum? ThesaurusUsageType { get; set; }

        /// <summary>
        /// 限定所属组织
        /// </summary>
        /// <value></value>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 限定所属人
        /// </summary>
        /// <value></value>
        public string PersonalCode { get; set; }

        /// <summary>
        /// 词条库名
        /// </summary>
        /// <value></value>
        public string ThesaurusName { get; set; }

        /// <summary>
        /// 所属语言（代表是什么语言类型）
        /// </summary>
        /// <value></value>
        public string LanguageCode { get; set; } = "en-US";

        /// <summary>
        /// 词条业务类型
        /// </summary>
        /// <value></value>
        public ThesaurusBusinessTypeEnum ThesaurusBusinessType { get; set; } = ThesaurusBusinessTypeEnum.Ultrasonic;
    }
}