using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Report;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Report
{
    /// <summary>
    /// 导入词条请求
    /// </summary>
    public class ImportThesaurusInfoRequest : TokenRequest
    {
        /// <summary>
        /// 词条名称
        /// </summary>
        /// <value></value>
        public string ThesaurusName { get; set; }
        
        /// <summary>
        /// 词条模板信息
        /// </summary>
        /// <value></value>
        public ThesaurusTemplateInfoDTO ThesaurusTemplateInfo { get; set; }
        
        /// <summary>
        /// 词条使用类型
        /// </summary>
        /// <value></value>
        public ThesaurusUsageTypeEnum ThesaurusUsageType { get; set; } = ThesaurusUsageTypeEnum.People;

        /// <summary>
        /// 词条发布状态
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public ThesaurusStatusTypeEnum ThesaurusStateType { get; set; } = ThesaurusStatusTypeEnum.Unpublished;

        /// <summary>
        /// 词条类型
        /// </summary>
        /// <value></value>
        public ThesaurusTypeEnum ThesaurusType { get; set; } = ThesaurusTypeEnum.Default;

        /// <summary>
        /// 限定所属组织
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 限定所属人
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string PersonalCode { get; set; }

        /// <summary>
        /// 所属语言（代表是什么语言类型）
        /// </summary>
        /// <value></value>
        public string LanguageCode { get; set; }
    }
}