using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Report
{
    /// <summary>
    /// 创建超声机报告请求实体
    /// </summary>
    public class SaveUltrasonicReportRequest : TokenRequest
    {
        /// <summary>
        /// 业务类型
        /// </summary>
        /// <value>0</value>
        public ReportTypeEnum ReportType { get; set; } = ReportTypeEnum.RemoteDiagnosis;

        /// <summary>
        /// 超声机检查编码
        /// </summary>
        /// <value>RecordInfoDO_202205111056024lshF5</value>
        public string DeviceExamId { get; set; } = string.Empty;
        
        /// <summary>
        /// 超声机报告编码
        /// </summary>
        /// <value>ReportInfoDO_202205111056024lshF5</value>
        public string DeviceReportId { get; set; } = string.Empty;
        
        /// <summary>
        /// 超声机报告模板
        /// </summary>
        /// <value>[{\"Key\":\"PatientId\",\"Value\":\"321283199103021215\"},{\"Key\":\"PatientName\",\"Value\":\"苏灿\"}]</value>
        public string ReportTemplateJson { get; set; } = string.Empty;

        /// <summary>
        /// 超声机普通数据json
        /// </summary>
        /// <value>[{\"Key\":\"PatientId\",\"Value\":\"321283199103021215\"},{\"Key\":\"PatientName\",\"Value\":\"苏灿\"}]</value>
        public string ReportDatasJson { get; set; } = string.Empty;

        /// <summary>
        /// 超声机测量数据json
        /// </summary>
        /// <value>[{\"Key\":\"PatientId\",\"Value\":\"321283199103021215\"},{\"Key\":\"PatientName\",\"Value\":\"苏灿\"}]</value>
        public string ReportMeasureDatasJson { get; set; } = string.Empty;

        /// <summary>
        /// 检查器官
        /// </summary>        
        public DiagnosisOrganEnum ReportOrgan { get; set; }

        /// <summary>
        /// 超声机生成的PDF报告云存储地址
        /// </summary>
        /// <value>苏灿</value>
        /// <value>0</value>
        public string ReportPDFUrl { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value></value>
        public string LanguageCode { get; set; }

        // /// <summary>
        // /// 超声机报告信息Json文件云存储地址, 可不填
        // /// </summary>
        // /// <value>苏灿</value>
        // public string ReportInfoJsonUrl { get; set; }
    }
}