using System;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.Task
{
    /// <summary>
    /// 加入任务
    /// </summary>
    public class AddTaskRequest
    {
        /// <summary>
        /// 类型
        /// </summary>
        /// <value></value>
        public VTaskType TaskType { get; set; }

        /// <summary>
        /// Code
        /// </summary>
        /// <value></value>
        public string BusinessCode { get; set; }

        /// <summary>
        /// 任务所需数据json
        /// </summary>
        /// <value></value>
        public string JsonData { get; set; }

        /// <summary>
        /// 主任务 同一批次执行时使用 非必填
        /// </summary>
        /// <value></value>
        public string MainTaskCode { get; set; }

        /// <summary>
        /// 从DB重新加载的 不需要再次落库
        /// </summary>
        /// <value></value>
        public string DBTaskCode { get; set; }

    }

    /// <summary>
    /// 停止任务
    /// </summary>
    public class StopTaskRequest
    {

        /// <summary>
        /// Code
        /// </summary>
        /// <value></value>
        public string TaskCode { get; set; }
    }

    /// <summary>
    /// 任务
    /// </summary>
    public class TaskRequest
    {

        /// <summary>
        /// Code
        /// </summary>
        /// <value></value>
        public string TaskCode { get; set; }
    }

}