
namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 修改用户信息请求实体
    /// </summary>
    public class AlterUserInfoRequest : TokenRequest
    {
        /// <summary>
        /// 手机号
        /// </summary>
        /// <value>13333333333</value>
        /// <code>0</code>
        public string Phone { get; set; }  

        /// <summary>
        /// 邮箱地址
        /// </summary>
        /// <value>xxx.xx@vinno.com</value>
        /// <code>0</code>
        public string Email { get; set; }

        /// <summary>
        /// 用户昵称
        /// </summary>
        /// <value>Harry</value>
        /// <code>0</code>
        public string NickName { get; set; }

        /// <summary>
        /// 用户姓名
        /// </summary>
        /// <value>钱先生</value>
        /// <code>0</code>
        public string FullName { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        /// <value>f5ca4b07ffd312gd2f042d88fb6bbda13c61fa6_7_0_0_0</value>
        /// <code>0</code>
        public string HeadImageUrl { get; set; }

        /// <summary>
        /// 所属组织,非必传，有shortCode优先使用shortCode
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// ExtensionData
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public string ExtensionData { get; set; }

        /// <summary>
        /// 机构短码
        /// </summary>
        /// <value>GTX32F</value>
        /// <code>0</code>
        public string ShortCode { get; set; }  

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        /// <code>0</code>
        public string LanguageCode { get; set; }  
    }

    /// <summary>
    /// 修改用户信息扩展请求实体
    /// </summary>
    public class AlterUserInfoExtendRequest: AlterUserInfoRequest
    {
        /// <summary>
        /// 生日
        /// </summary>
        /// <value></value>
        public string Birthday { get; set; }

        /// <summary>
        /// 性别：0-未知；1-男；2-女
        /// </summary>
        /// <value></value>
        public int Gender { get; set; }

        /// <summary>
        /// 颈围 
        /// </summary>
        /// <value></value>
        public float NeckGirth { get; set; }
        /// <summary>
        /// 身高 
        /// </summary>
        /// <value></value>
        public float Height { get; set; }
        /// <summary>
        /// 体重 
        /// </summary>
        /// <value></value>
        public float Weight { get; set; }
        /// <summary>
        /// 体脂数 
        /// </summary>
        /// <value></value>
        public float BMI { get; set; }
    }
}