using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 验证用户信息是否完善请求实体
    /// </summary>
    public class CheckUserAuthRequest : TokenRequest
    {
        /// <summary>
        /// 电子签名
        /// </summary>
        /// <value>https://f5ca4b07ffd312gd2f042d88fb6bbda13c61fa6_7_0</value>
        public string Signature { get; set; }

        /// <summary>
        /// 检查服务病人对象类型
        /// </summary>
        /// <value>0</value>
        public OrganizationPatientTypeEnum PatientType { get; set; }

        /// <summary>
        /// 用户名称
        /// </summary>
        /// <value>张三</value>
        public string UserName { get; set; }

        /// <summary>
        /// 机构编码
        /// </summary>
        /// <value>ffd312gd2f042d88fb6bbda13c61</value>
        public string OrganizationCode { get; set; }
    }
}