using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 通用注册请求实体
    /// </summary>
    public class CommonSignUpRequest
    {
        /// <summary>
        /// 用户名/手机/邮箱
        /// </summary>
        /// <value>fnyml</value>
        public string AnyAccount { get; set; }
        
        /// <summary>
        /// 验证码
        /// </summary>
        /// <value>3245</value>
        public string AnyCode { get; set; }
        
        /// <summary>
        /// 密码
        /// </summary>
        /// <value>222c33333</value>
        public string Password { get; set; }

        /// <summary>
        /// 微信OpenId
        /// </summary>
        /// <value></value>
        public string OpenId { get; set; }

        /// <summary>
        /// 请求头标识
        /// </summary>
        /// <value></value>
        public Dictionary<string, string> HeaderMap { get; set; } = new Dictionary<string, string>();

        /// <summary>
        /// 注册平台
        /// </summary>
        /// <value></value>
        public Platform Platform { get; set; }

        /// <summary>
        /// 获取微信手机号的小程序验证code
        /// </summary>
        /// <value></value>
        public string WXPhoneAnyCode { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
    }
}