using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 获取岗位信息请求实体
    /// </summary>
    public class GetPositionsRequest : TokenRequest
    {
        /// <summary>
        /// 岗位编码集合
        /// </summary>
        /// <value>"UserPositionDO_2022012613573757g5s1","UserPositionDO_2022012613573757g5s2"</value>
        /// <code>0</code>
        public List<string> PositionCodes { get; set; } = new List<string>();

        /// <summary>
        /// 所属组织编码集合
        /// </summary>
        /// <value>"Organization_202201261354135MWzGw0","Organization_202201261354135MWzGw1"</value>
        /// <code>0</code>
        public List<string> OrganizationCodes { get; set; } = new List<string>();

        /// <summary>
        /// 适用部门编码
        /// </summary>
        /// <value>7fb60415caaf455283019123ba0eaabc</value>
        /// <code>0</code>
        public string FitDepartmentCode { get; set; }
    }
}