using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 分页查询用户群组检查记录集合请求实体
    /// </summary>

    public class GetUserGroupRecordPagesRequest : PageRequest
    {
        /// <summary>
        /// 关键字
        /// </summary>
        /// <value>nickName</value>
        /// <code>0</code>
        public string Keyword { get; set; }

        /// <summary>
        /// 用户组编码
        /// </summary>
        /// <value>Guid</value>
        public string UserGroupCode { get; set; }

        /// <summary>
        /// 开始日期
        /// </summary>
        /// <value></value>
        public DateTime StartDate { get; set; }

        /// <summary>
        /// 结束日期
        /// </summary>
        /// <value></value>
        public DateTime EndDate { get; set; }

        /// <summary>
        /// 医院编码集合
        /// </summary>
        /// <value></value>
        public List<string> OrganizationCodes { get; set; }

        /// <summary>
        /// 机构编码集合
        /// </summary>
        /// <value></value>
        public List<string> DeviceCodes { get; set; }

        /// <summary>
        /// 检查记录状态
        /// </summary>
        /// <value></value>
        public RecordProcessStateEnum RecordProcessState { get; set; } = RecordProcessStateEnum.All;

        /// <summary>
        /// 语言 zh-CN
        /// </summary>
        /// <value></value>
        public string Language { get; set; } = "en-US";
    }
}