using System;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 公告列表查询请求实体
    /// </summary>
    public class QueryAnnouncementListRequest : PageRequest
    {
        /// <summary>
        /// 公告类型
        ///【广播】 
        /// </summary>
        /// <value></value>
        public AnnouncementTypeEnum AnnouncementType { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value>zh-CN</value>
        public string Language { get; set; }

        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }

        /// <summary>
        /// 开始时间【发布时间】
        /// </summary>
        /// <value>2022-02-28T09:21:38.861Z</value>
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 截至时间【发布时间】
        /// </summary>
        /// <value>2022-03-28T09:21:38.861Z</value>
        public DateTime EndTime { get; set; }
    }
}