using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 查询机构信息请求实体
    /// </summary>
    public class SearchOrganizationsRequest : TokenRequest
    {
        /// <summary>
        /// Keyword
        /// </summary>
        /// <value>测试机构</value>
        public string Keyword { get; set; }

        /// <summary>
        /// ParentCode
        /// </summary>
        /// <value>Test00001</value>
        public string ParentCode { get; set; }

        /// <summary>
        /// ParentShortCode
        /// </summary>
        /// <value>TCX01M</value>
        public string ParentShortCode { get; set; }

        /// <summary>
        /// OrganizationType
        /// </summary>
        /// <value>0</value>
        public OrganizationTypeEnum OrganizationType { get; set; }
        
        /// <summary>
        /// PageSize
        /// </summary>
        /// <value>50</value>
        public int PageSize { get; set; } 

        /// <summary>
        /// PageIndex
        /// </summary>
        /// <value></value>
        public int PageIndex { get; set; }
    }

    /// <summary>
    /// 通过唯一码查询机构信息请求实体
    /// </summary>
    public class QueryOrganizationsRequest : TokenRequest
    {
        /// <summary>
        /// shortCode
        /// </summary>
        /// <value></value>
        public string ShortCode { get; set; }
    }
}