using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 设置用户机构信息
    /// </summary>
    public class SetUserOrganizationInfoRequest : TokenRequest
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>4914352a75f645279f6b4ad6764cc288</value>
        public string UserCode { get; set; }

        /// <summary>
        /// 角色编码
        /// </summary>
        /// <value>"角色1","角色2"</value>
        public List<string> RoleCodes { get; set; } = new List<string>();

        /// <summary>
        /// 职称编码
        /// </summary>
        /// <value>"职称1","职称2"</value>
        public List<string> RankCodes { get; set; } = new List<string>();

        /// <summary>
        /// 岗位编码
        /// </summary>
        /// <value>"岗位1","岗位2"</value>
        public List<string> PositionCodes { get; set; } = new List<string>();

        /// <summary>
        /// 组织编码
        /// </summary>
        /// <value>RootOrg000001</value>
        public string OrganizationCode { get; set; }
    }
}