using WingInterfaceLibrary.Enum;
namespace WingInterfaceLibrary.Request.User
{
    /// <summary>
    /// 发起关联账户请求体
    /// </summary>
    public class StartAssociatedWithAccountRequest : TokenRequest
    {
        /// <summary>
        /// 杏聆荟账号
        /// </summary>
        /// <value></value>
        public string WingUserName { get; set; }

        /// <summary>
        /// 第三方用户Id
        /// </summary>
        /// <value></value>
        public string ThirdPartyUserId { get; set; }

        /// <summary>
        /// 语言
        /// </summary>
        /// <value></value>
        public string LanguageCode { get; set; }

        /// <summary>
        /// 是否需要开始获取数据
        /// </summary>
        /// <value></value>
        public bool NeedPullData { get; set; }

        /// <summary>
        /// 第三方系统类型
        /// </summary>
        /// <value></value>
        public AssociateTypeEnum? AssociateType { get; set; }

        /// <summary>
        /// 是否自身调用
        /// </summary>
        /// <value></value>
        public bool IsSelfCalling { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        /// <value></value>
        public string Email { get; set; }

        /// <summary>
        /// 手机
        /// </summary>
        /// <value></value>
        public string Phone { get; set; }

        /// <summary>
        /// 是否离职操作
        /// </summary>
        /// <value></value>
        public bool IsDemission { get; set; }
    }

    /// <summary>
    /// 获取关联账户信息
    /// </summary>
    public class GetAssociatedAccountInfoRequest : TokenRequest
    {
        /// <summary>
        /// 第三方系统类型
        /// </summary>
        /// <value></value>
        public AssociateTypeEnum? AssociateType { get; set; }
    }

    /// <summary>
    /// 发起关联账户请求体
    /// </summary>
    public class ClearAssociatedWithAccountRequest : TokenRequest
    {
        /// <summary>
        /// 第三方用户Id
        /// </summary>
        /// <value></value>
        public string ThirdPartyUserId { get; set; }
    }
}