using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net.Http;
using System.Threading;
using System.Threading.Tasks;

namespace WingInterfaceLibrary.Request.Vital
{
    /// <summary>
    /// 创建数据请求
    /// </summary>
    public class CreateContractTemplateRequest : TokenRequest
    {
        public string Code { get; set; } = Guid.NewGuid().ToString("N").ToUpper();
		/// <summary>
		/// 键
		/// </summary>
		/// <value></value>
		public string Key { get; set; }
		/// <summary>
		/// 模板名称
		/// </summary>
		/// <value></value>
		public string TemplateName { get; set; }
		/// <summary>
		/// 模板内容
		/// </summary>
		/// <value></value>
		public string TemplateContent { get; set; }

        /// <summary>
        /// ProvinceCode
        /// </summary>
        public string ProvinceCode { get; set; }

        /// <summary>
        /// CityCode
        /// </summary>
        public string CityCode { get; set; }

        /// <summary>
        /// DistrictCode
        /// </summary>
        public string DistrictCode { get; set; }

        /// <summary>
        /// TownCode
        /// </summary>
        public string TownCode { get; set; }


    }

    /// <summary>
    /// 根据编码获取数据请求
    /// </summary>
    public class GetContractTemplateRequest : TokenRequest
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 根据关键字段获取数据请求
    /// </summary>
    public class GetContractTemplateByKeyRequest : TokenRequest
    {
        public string Key { get; set; }
        public string Value { get; set; }
    }

    /// <summary>
    /// 删除数据请求
    /// </summary>
    public class RemoveContractTemplateRequest : TokenRequest
    {
        public string Code { get; set; }
    }

    /// <summary>
    /// 获取数据列表请求
    /// </summary>
    public class GetContractTemplateListRequest : TokenRequest
    {
        public List<string> Codes { get; set; }
    }

    /// <summary>
    /// 更新数据请求
    /// </summary>
    public class UpdateContractTemplateRequest : TokenRequest
    {
        public string Code { get; set; }
		/// <summary>
		/// 键
		/// </summary>
		/// <value></value>
		public string Key { get; set; }
		/// <summary>
		/// 模板名称
		/// </summary>
		/// <value></value>
		public string TemplateName { get; set; }
		/// <summary>
		/// 模板内容
		/// </summary>
		/// <value></value>
		public string TemplateContent { get; set; }

        /// <summary>
        /// ProvinceCode
        /// </summary>
        public string ProvinceCode { get; set; }

        /// <summary>
        /// CityCode
        /// </summary>
        public string CityCode { get; set; }

        /// <summary>
        /// DistrictCode
        /// </summary>
        public string DistrictCode { get; set; }

        /// <summary>
        /// TownCode
        /// </summary>
        public string TownCode { get; set; }

    }

    
    /// <summary>
    /// 查询合同模板分页请求
    /// </summary>
    public class ContractTemplatePageRequest : PageRequest
    {

        /// <summary>
		/// 关键字
		/// </summary>
		/// <value>张三</value>
        /// <code>0</code>      
		public string Keyword { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        /// <value>2023-09-01</value>
        /// <code>0</code>   
        public DateTime? StartTime { get; set; } = null;

        /// <summary>
        /// 结束时间
        /// </summary>
        /// <value>2023-09-01</value>
        /// <code>0</code>   
        public DateTime? EndTime { get; set; } = null;
    }
}