
using System;
using System.Collections.Generic;

namespace WingInterfaceLibrary.Request.Vital
{
    /// <summary>
    /// 根据检测编号获取最新的体检登记记录 请求
    /// </summary>
    public class GetRegisterInfoByExamNumberDBRequest
    {
        /// <summary>
        /// 机构编码
        /// </summary>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 检测时间
        /// </summary>
        public DateTime ExamTime { get; set; }

        /// <summary>
        /// 检测编号
        /// </summary>
        public string ExamNumber { get; set; }
    }

    /// <summary>
    /// 根据检测编号批量获取最新的体检登记记录 请求
    /// </summary>
    public class GetRegisterInfosByExamNumbersDBRequest
    {
        /// <summary>
        /// 机构编码
        /// </summary>
        public string OrganizationCode { get; set; }

        /// <summary>
        /// 检测时间
        /// </summary>
        public DateTime ExamTime { get; set; }

        /// <summary>
        /// 检测编号
        /// </summary>
        public List<string> ExamNumbers { get; set; } = new List<string>();
    }
}