using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingInterfaceLibrary.Request.Vital
{
    /// <summary>
    /// 健康平台统计请求实体（可能不要请求Token）
    /// </summary>
    public class HealthPlatformStatisticsRequest : TokenRequest
    {
        /// <summary>
        /// 区域位置code
        /// </summary>
        /// <value></value>
        public string ServerAreaCode { get; set; }
        /// <summary>
        /// 上级code
        /// </summary>
        /// <value></value>
        public string ParentServerAreaCode { get; set; }
    }

    /// <summary>
    /// 验证统计数据是否需要更新
    /// </summary>
    public class CheckIsNeedUpdateHealthStatisticsRequest : HealthPlatformStatisticsRequest
    {
        /// <summary>
        /// 版本号
        /// </summary>
        /// <value></value>
        public string Version { get; set; }

        /// <summary>
        /// 0-县级市；1-乡镇；2-村级
        /// </summary>
        /// <value></value>
        public int Category { get; set; }
    }
}