
using WingInterfaceLibrary.Enum.VitalEnum;

namespace WingInterfaceLibrary.Request.Vital
{
    /// <summary>
    /// 体检报告转换详情
    /// </summary>
    public class VitalReportConvertDetailRequest
    {
        /// <summary>
        /// 体检号(健康体检专用)
        /// </summary>
        public string PhysicalExamNumber { get; set; }

        /// <summary>
        /// 证件号
        /// </summary>
        public string IDCardNo { get; set; }

        /// <summary>
        /// 0- 全部；1-基础检查; 2-尿常规检查; 3-超声检查; 4-生化检查; 5-血常规检查; 6-心电检查; 96-个人基本信息；97-健康体检表; 98-封面；99-结论, 199-处方报告
        /// </summary>
        public int ExamType { get; set; }

        /// <summary>
        /// 检查code
        /// </summary>
        /// <value></value>
        public string ExamCode { get; set; }

        /// <summary>
        /// 报告Code
        /// </summary>
        /// <value></value>
        public string ReportCode { get; set; }

        /// <summary>
        /// 记录code
        /// </summary>
        /// <value></value>
        public string RecordCode { get; set; }

        /// <summary>
        /// 0-全部生成，1-只生成dpf,2-只生成jpg
        /// </summary>
        /// <value></value>
        public int Type { get; set; } = 0;

        /// <summary>
        /// 是否覆盖
        /// </summary>
        /// <value></value>
        public bool IsCover { get; set; } = true;
    }

    /// <summary>
    /// 根据体检号查询检查记录
    /// </summary>
    public class GetVitalReportInfoByPhysicalExamNumberRequest : TokenRequest
    {
        /// <summary>
        /// 体检号
        /// </summary>
        /// <value></value>
        public string PhysicalExamNumber { get; set; }
    }

    /// <summary>
    /// 上传Base64图像 请求
    /// </summary>
    public class UploadBaseb4ToImgRequest : TokenRequest
    {
        /// <summary>
        /// 图像base64
        /// </summary>
        /// <value></value>
        public string Base64String { get; set; }
    }
}