using System.Collections.Generic;
using WingInterfaceLibrary.DTO;
using WingInterfaceLibrary.Request.RemedicalAISelected;

namespace WingInterfaceLibrary.ResearchEdition
{
    /// <summary>
    /// 用户科研URM配置
    /// </summary>
    public class UserUrmConfigDTO : BaseDTO
    {
        /// <summary>
        /// 用户科研URM配置编码
        /// </summary>
        /// <value></value>
        public string Code { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 配置名称
        /// </summary>
        /// <value></value>
        public string ConfigName { get; set; }

        /// <summary>
        /// 是否默认
        /// </summary>
        /// <value></value>
        public bool IsDefault { get; set; }

        /// <summary>
        /// 配置类型，1：URM后处理配置
        /// </summary>
        /// <value></value>
        public int ConfigType { get; set; }

        /// <summary>
        /// 配置格式化详情
        /// </summary>
        /// <value></value>
        public string ConfigData { get; set; }

        /// <summary>
        /// 配置详情
        /// </summary>
        /// <value></value>
        public List<UrmProcessConfigDTO> ConfigInfo { get; set; }

    }

}