using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Comment;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Request.AIDiagnosis;
using WingInterfaceLibrary.Result.Examine;

namespace WingInterfaceLibrary.Result.AIDiagnosis
{

    /// <summary>
    /// 生成AI报告响应实体
    /// </summary>
    public class DiagnosisReportResult
    {
        /// <summary>
        /// AI诊断结论
        /// </summary>
        /// <value></value>
        public DiagnosisConclusionEnum DiagnosisConclusion { get; set; } = DiagnosisConclusionEnum.Unrecognized;

        /// <summary>
        /// 报告图片信息
        /// </summary>
        /// <value></value>
        public List<DiagnosisPerImageDTO> DiagnosisResult { get; set; } = new List<DiagnosisPerImageDTO>();

        /// <summary>
        /// 封装颈动脉扫查信息
        /// </summary>
        /// <value></value>
        public List<DiagnosisRemicalDTO> CarotidResult { get; set; } = new List<DiagnosisRemicalDTO>();

        /// <summary>
        /// 颈动脉AI结果
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> CarotidItems { get; set; } = new List<DataItemDTO>();
    }
}