using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Result.AppletAPI
{
    public class ReportElementMessage
    {
        public ReportElementTagMessage ElementTag { get; set; }

        // public ReportBaseElementValueMessage ElementValue { get; set; }

        public ReportElementValues ReportElementValue { get; set; }
    }

    public class ReportElementTagMessage
    {
        public string Id { get; set; }

        public string Name { get; set; }

    }

    public class ReportElementValues
    {
        public ReportTextElementValueMessage TextElement { get; set; }
        public ReportIntegerElementValueMessage IntegerElement { get; set; }
        public ReportFloatElementValueMessage FloatElement { get; set; }
        public ReportBufferImageElementValueMessage BufferImageElement { get; set; }
        public ReportDateTimeElementValueMessage DateTimeElement { get; set; }
        public ReportFileElementValueMessage FileElement { get; set; }
        public ReportImageListElementValueMessage ImageListElement { get; set; }
        public ReportStringListElementValueMessage StringListElement { get; set; }
    }

    public class ReportBaseElementValueMessage
    {
        
    }

    public class ReportTextElementValueMessage : ReportBaseElementValueMessage
    {
        public string Text { get; set; }
    }
    public class ReportIntegerElementValueMessage : ReportBaseElementValueMessage
    {
        public int Value { get; set; }
    }
    public class ReportFloatElementValueMessage : ReportBaseElementValueMessage
    {
        public float Value { get; set; }
    }
    public class ReportBufferImageElementValueMessage : ReportBaseElementValueMessage
    {
        public byte[] Value { get; set; }
    }
    public class ReportDateTimeElementValueMessage : ReportBaseElementValueMessage
    {
        public DateTime Value { get; set; }
    }
    public class ReportFileElementValueMessage : ReportBaseElementValueMessage
    {
        public string Value { get; set; }
        public string ExamDataId { get; set; }
    }
    public class ReportImageListElementValueMessage : ReportBaseElementValueMessage
    {
        public IReadOnlyList<ReportFileElementValueMessage> Value { get; set; }
    }
    public class ReportStringListElementValueMessage : ReportBaseElementValueMessage
    {
        public IReadOnlyList<ReportTextElementValueMessage> Value { get; set; }
    }
}