using System.Collections.Generic;
using WingInterfaceLibrary.DTO.RTC;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.CourseEnum;

namespace WingInterfaceLibrary.Result.Education
{
    /// <summary>
    /// 基础直播结果信息
    /// </summary>
    public class BaseLiveResult
    {
        /// <summary>
        /// 房间code
        /// </summary>
        /// <value></value>
        public string RoomCode { get; set; } = string.Empty;

        // /// <summary>
        // /// 操作人
        // /// </summary>
        // /// <value></value>
        // public string OperatorCode { get; set; } = string.Empty;

        // /// <summary>
        // /// 发起人
        // /// </summary>
        // /// <value></value>
        // public string InitatorCode { get; set; } = string.Empty;

        // /// <summary>
        // /// 需要同步的业务编码
        // /// </summary>
        // /// <typeparam name="string"></typeparam>
        // /// <returns></returns>
        // public IList<string> ReferCodes { get; set; } = new List<string>();

        /// <summary>
        /// RTC房间号
        /// </summary>
        /// <value></value>
        public int IntegerRoomId { get; set; }

        /// <summary>
        /// 通知的消息体json
        /// </summary>
        /// <value></value>
        public string RtcMessageJson { get; set; }
    }

    /// <summary>
    /// 是否静音直播
    /// </summary>
    public class MuteLiveResult : BaseLiveResult
    {
        /// <summary>
        /// 设置开启或关闭静音状态
        /// </summary>
        /// <value></value>
        public bool Mute { get; set; }
    }

    /// <summary>
    /// 是否开启关闭画面直播
    /// </summary>
    public class OpenedVideoLiveResult : BaseLiveResult
    {
        /// <summary>
        /// 开启或关闭视频
        /// </summary>
        /// <value></value>
        public bool VideoOpend { get; set; }
    }

    /// <summary>
    /// 调参结果信息
    /// </summary>
    public class ControllingParameterLiveResult : BaseLiveResult
    {
        /// <summary>
        /// 是否调参
        /// </summary>
        /// <value></value>
        public bool IsControllingParameter { get; set; }
    }
}