using System.Collections.Generic;
using WingInterfaceLibrary.DTO.LiveRoom;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.DTO.Education;
using WingInterfaceLibrary.DTO.Courses;

namespace WingInterfaceLibrary.Result.Education
{
    /// <summary>
    /// 加入直播课程响应实体
    /// </summary>
    public class JoinLiveCourseResult : LiveCourseBaseResult
    {

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>UserDO_123456789</value>
        public string UserCode { get; set; } = string.Empty;

        /// <summary>
        /// Room No. 
        /// </summary>
        /// <value></value>
        public int RoomNo { get; set; }

        /// <summary>
        /// 直播协议：TRTC、VRTC、Embedded
        /// </summary>
        /// <value>TRTC</value>
        public TransactionStatusEnum LiveProtocol { get; set; }

        /// <summary>
        /// Sdk app id
        /// </summary>
        /// <value></value>
        public int AppId { get; set; }

        /// <summary>
        /// User sign for rtc
        /// </summary>
        /// <value>123456</value>
        public string UserSign { get; set; } = string.Empty;

        /// <summary>
        /// 直播课成员列表
        /// </summary>
        /// <value>123456</value>
        public IList<LiveCourseMember> MemberLiveDatas { get; set; } = new List<LiveCourseMember>();

        /// <summary>
        /// 直播课设备列表
        /// </summary>
        /// <value>123456</value>
        public IList<LiveCourseMember> DeviceLiveDatas { get; set; } = new List<LiveCourseMember>();

        /// <summary>
        /// 心跳间隔
        /// </summary>
        /// <value></value>
        public int HeartRateInterval { get; set; }
        /// <summary>
        /// 课程分享直播信息
        /// </summary>
        /// <value></value>
        public LiveDataDTO CourseChannel { get; set; }
        /// <summary>
        /// 共享信息
        /// </summary>
        /// <value></value>
        public ShareInfoDTO ShareInfo { get; set; }

        /// <summary>
        /// 其他互动人员共享屏幕直播信息
        /// </summary>
        /// <value></value>
        public LiveDataDTO OthersScreenSharingChannel { get; set; }

        /// <summary>
        /// 桌面共享RTC信息
        /// </summary>
        /// <value></value>
        public ScreenSharingChannelDTO RtcScreenSharingChannel { get; set; }
    }
}