using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;

namespace WingInterfaceLibrary.Result.Examine
{
    /// <summary>
    /// 查询检查响应实体
    /// </summary>
    public class QueryExamListItemResult
    {
        /// <summary>
        /// 检查code
        /// </summary>
        /// <value>test</value>
        public string ExamCode { get; set; }

        /// <summary>
        /// 病人名称
        /// </summary>
        /// <value>张三</value>
        public string PatientName { get; set; }

        /// <summary>
        /// 年龄 -废弃
        /// </summary>
        /// <value>12</value>
        /// <code>0</code>
        public string Age { get; set; }

        /// <summary>
        /// 年龄信息
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> AgeInfo { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        /// <value>男</value>
        public string Sex { get; set; }

        /// <summary>
        /// 关联的检查code
        /// </summary>
        /// <value>test</value>
        public List<string> AssociatedExamCodes { get; set; } = new List<string>();

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }
    }
}