using System;

namespace WingInterfaceLibrary.Result.IOTDevice
{
    /// <summary>
    /// IOT设备详情响应实体
    /// </summary>
    public class IOTDeviceDetailResult
    {
        /// <summary>
        /// code 
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 设备自定义名称
        /// </summary>
        public string DeviceName { get; set; }

        /// <summary>
        /// 设备所在地
        /// </summary>
        public string AreaCode { get; set; }

        /// <summary>
        /// wifi名称
        /// </summary>
        public string WifiName { get; set; }

        /// <summary>
        /// 是否自动
        /// </summary>
        public bool IsAuto { get; set; }

        /// <summary>
        /// 机器编号
        /// </summary>
        public string MachineNo { get; set; }

        /// <summary>
        /// 产品编号
        /// </summary>
        public string ProductNo { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        public int Type { get; set; }

        /// <summary>
        /// 连接状态
        /// </summary>
        public int ConnectStatus { get; set; }

        /// <summary>
        /// 活动状态
        /// </summary>
        public int ActivityStatus { get; set; }

        /// <summary>
        /// 获取或设置 创建时间
        /// </summary>
        public DateTime CreatedTime { get; set; }

        /// <summary>
        /// 获取或设置 更新时间
        /// </summary>
        public DateTime? UpdatedTime { get; set; }

        /// <summary>
        /// 设备模式：呼吸机模式
        /// </summary>
        public int ModeType { get; set; }

        /// <summary>
        /// 目标值
        /// </summary>
        public int TotalScore { get; set; }

        /// <summary>
        /// 使用时间 Unit：h（1位小数）
        /// </summary>
        public decimal UseHour { get; set; }

        /// <summary>
        /// 漏气量登记
        /// </summary>
        public string LeakLevel { get; set; }

        /// <summary>
        /// AHI-平均值 1位小数
        /// </summary>
        public decimal Ahi { get; set; }


        /// <summary>
        /// 空气滤芯
        /// </summary>
        public string Cartridge { get; set; }

        /// <summary>
        /// 呼吸管路
        /// </summary>
        public string Pip { get; set; }

        /// <summary>
        /// 呼吸面罩
        /// </summary>
        public string Mask { get; set; }

        /// <summary>
        /// 血氧浓度
        /// </summary>
        public decimal OxygenConc { get; set; }

        /// <summary>
        /// 是否开机状态(开-5A:95  关-A5:165)
        /// </summary>
        public bool? TreatPwr { get; set; }
    }
}