using System;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Result.IOTDevice
{
    /// <summary>
    /// IOT设备阶段报告响应实体
    /// </summary>
    public class IOTDeviceStageReportResult
    {
        /// <summary>
        /// 治疗效果
        /// </summary>
        /// <value></value>
        public string TreatmentEffect { get; set; }
 
        /// <summary>
        /// 模式
        /// </summary>
        /// <value></value>
        public ModeType Mode { get; set; }

        /// <summary>
        /// 使用天数[月，周，年]   不除
        /// </summary>
        /// <value></value>
        public int TotalUseDay { get; set; }

        /// <summary>
        /// 良好以上天数[月，周，年]   不除
        /// </summary> 
        /// <value></value>
        public int GoodStateUseDay { get; set; }

        /// <summary>
        /// 大于等于4小时以上使用天数[月，周，年]    不除
        /// </summary>
        /// <value></value>
        public int GteFourHoursUseDay { get; set; }

        /// <summary>
        /// 使用总时间[日，月，周，年]  不除
        /// </summary>
        /// <value></value>
        public double TotalUseHour { get; set; }

        /// <summary>
        /// 平均使用时间[月，周，年]
        /// </summary>
        /// <value></value>
        public double AvgUseHour { get; set; }

        /// <summary>
        /// 平均成绩
        /// </summary>
        /// <value></value>
        public double AvgSocre { get; set; }

        /// <summary>
        /// 平均治疗压力
        /// </summary>
        /// <value></value>
        public double AvgTreatmentPressure { get; set; }

        /// <summary>
        /// 治疗压力95
        /// </summary>
        /// <value></value>
        public double TreatmentPressure95 { get; set; }

        /// <summary>
        /// 治疗压力90
        /// </summary>
        /// <value></value>
        public double TreatmentPressure90 { get; set; }

        /// <summary>
        /// 平均漏气量
        /// </summary>
        /// <value></value>
        public double AvgLeak { get; set; }

        /// <summary>
        /// 漏气量90
        /// </summary>
        /// <value></value>
        public double Leak95 { get; set; }

        /// <summary>
        /// 漏气量90
        /// </summary>
        /// <value></value>
        public double Leak90 { get; set; }

        /// <summary>
        /// 平均血氧饱和度
        /// </summary>
        /// <value></value>
        public double Spo2Ave { get; set; }

        /// <summary>
        /// 最低血氧饱和度
        /// </summary>
        /// <value></value>
        public double Spo2Min { get; set; }

        /// <summary>
        /// 平均脉率
        /// </summary>
        /// <value></value>
        public double PrAve { get; set; }

        /// <summary>
        /// AHI
        /// </summary>
        /// <value></value>
        public IOTDeviceReportAttributeDTO AHI { get; set; }

        /// <summary>
        /// HI
        /// </summary>
        /// <value></value>
        public IOTDeviceReportAttributeDTO HI { get; set; }

        /// <summary>
        /// AI
        /// </summary>
        /// <value></value>
        public IOTDeviceReportAttributeDTO AI { get; set; }

        /// <summary>
        /// OAI
        /// </summary>
        /// <value></value>
        public IOTDeviceReportAttributeDTO OAI { get; set; }

        /// <summary>
        /// CAI
        /// </summary>
        /// <value></value>
        public IOTDeviceReportAttributeDTO CAI { get; set; }

        /// <summary>
        /// 打鼾事件
        /// </summary>
        /// <value></value>
        public IOTDeviceReportAttributeDTO SnoringEvent { get; set; }
    }

    /// <summary>
    /// 设备报告属性实体
    /// </summary>
    public class IOTDeviceReportAttributeDTO
    {
        /// <summary>
        /// 数据值
        /// </summary>
        /// <value></value>
        public double Value { get; set; }

        /// <summary>
        /// 解释
        /// </summary>
        /// <value></value>
        public string Explain { get; set; }
    }
}