using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;

namespace WingInterfaceLibrary.Result.IOTDevice
{
    /// <summary>
    /// IOT设备阶段报告趋势图响应实体
    /// </summary>
    public class IOTDeviceStageReportTrendChartResult
    {
        /// <summary>
        /// 使用时间趋势图数据
        /// </summary>
        /// <value></value>
        public IList<DataItemDTO> UseTimeChartData { get; set; }

        /// <summary>
        /// AHI趋势图数据
        /// </summary>
        /// <value></value>
        public IList<DataItemDTO> AHIChartData { get; set; }

        /// <summary>
        /// HI(低通气指数)趋势图数据
        /// </summary>
        /// <value></value>
        public IList<DataItemDTO> HIChartData { get; set; }

        /// <summary>
        /// AI(呼吸暂停指数，呼吸暂停+低通气)趋势图数据
        /// </summary>
        /// <value></value>
        public IList<DataItemDTO> AIChartData { get; set; }

        /// <summary>
        /// OAI（阻塞性睡眠呼吸暂停指数）趋势图数据
        /// </summary>
        /// <value></value>
        public IList<DataItemDTO> OAIChartData { get; set; }

        /// <summary>
        /// CAI（中枢性睡眠呼吸暂停指数）趋势图数据
        /// </summary>
        /// <value></value>
        public IList<DataItemDTO> CAIChartData { get; set; }

        /// <summary>
        /// 打鼾事件趋势图数据
        /// </summary>
        /// <value></value>
        public IList<DataItemDTO> SnoreEventChartData { get; set; }

        /// <summary>
        /// 平均血氧饱和度趋势图数据
        /// </summary>
        /// <value></value>
        public IList<DataItemDTO> Spo2AveChartData { get; set; }      
    }
}