using System;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.Result.IOTDevice
{
    /// <summary>
    /// 获取设备首页总结数据结果响应实体
    /// </summary>
    public class IOTDeviceSumaryResult
    {
        /// <summary>
        /// 获取设备首页总结数据Year信息
        /// </summary>
        /// <value></value>
        public IOTDeviceSumaryYearInfo Year { get; set; }

        /// <summary>
        /// 获取设备首页总结数据Week信息
        /// </summary>
        /// <value></value>
        public IOTDeviceSumaryWeekInfo Week { get; set; }

        /// <summary>
        /// 最近一次治疗时间
        /// </summary>
        /// <value></value>
        public DateTime LastTreatTime { get; set; }

        /// <summary>
        /// 绑定设备列表
        /// </summary>
        /// <value></value>
        public IList<UserDeviceInfoResult> BindDeviceList { get; set; }
    }

    /// <summary>
    /// 获取设备首页总结数据Year信息
    /// </summary>
    public class IOTDeviceSumaryYearInfo
    {
        /// <summary>
        /// 使用天数
        /// </summary>
        /// <value></value>
        public int TotalUseDay { get; set; }

        /// <summary>
        /// 使用时间
        /// </summary>
        /// <value></value>
        public decimal TotalUseHour { get; set; }

        /// <summary>
        /// 平均每天使用时间
        /// </summary>
        /// <value></value>
        public string AvgUseHour { get; set; }

        /// <summary>
        /// 平均成绩
        /// </summary>
        /// <value></value>
        public int AvgSocre { get; set; }
    }

    /// <summary>
    /// 获取设备首页总结数据Week信息
    /// </summary>
    public class IOTDeviceSumaryWeekInfo
    {
        /// <summary>
        /// 目标使用天数
        /// </summary>
        /// <value></value>
        public int TotalUseDay { get; set; }
        
        /// <summary>
        /// 使用时间小时数
        /// </summary>
        /// <value></value>
        public decimal TotalUseHour { get; set; }

        /// <summary>
        /// 天小时数
        /// </summary>
        /// <value></value>
        public Dictionary<DateTime, decimal> DayHours { get; set; }
    }
}