using System.Collections.Generic;

namespace WingInterfaceLibrary.Result.IOTDevice
{
    /// <summary>
    /// 获取IOT设备设备版本信息结果响应实体
    /// </summary>
    public class IOTDeviceVersionResult
    {
        /// <summary>
        /// OTA版本信息
        /// </summary>
        public DeviceOTAResult ota { get; set; }
    }

    /// <summary>
    /// OTA版本信息
    /// </summary>
    public class DeviceOTAResult
    {
        /// <summary>
        /// 包类型
        /// </summary>
        public int pack_type { get; set; }

        /// <summary>
        /// 包的版本
        /// </summary>
        public string pack_version { get; set; }

        /// <summary>
        /// 固件列表
        /// </summary>
        public IList<FirmwareInfoResult> firmware { get; set; }
    }

    /// <summary>
    /// 固件版本信息
    /// </summary>
    public class FirmwareInfoResult
    {
        /// <summary>
        /// 固件类型
        /// </summary>
        public int fw_type { get; set; }

        /// <summary>
        /// 固件硬件类型
        /// </summary>
        public int fw_hw_type { get; set; }

        /// <summary>
        /// 固件版本号
        /// </summary>
        public string fw_version { get; set; }

        /// <summary>
        /// 固件地址
        /// </summary>
        public string fw_url { get; set; }

        /// <summary>
        /// 固件构建号
        /// </summary>
        public int fw_build { get; set; }
    }

}