using System;

namespace WingInterfaceLibrary.Result.IOTDevice
{
    /// <summary>
    /// 用户设备信息详情响应实体
    /// </summary>
    public class UserDeviceInfoResult
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 获取或设置 用户编号
        /// </summary>
        public string UserId { get; set; }

        /// <summary>
        /// 获取或设置 设备编号
        /// </summary>
        public string DeviceId { get; set; }

        /// <summary>
        /// 用户设备名称
        /// </summary>
        public string UserDeviceName { get; set; }

        /// <summary>
        /// 无线网名称
        /// </summary>
        public string WifiName { get; set; }

        /// <summary>
        /// 是否自动获取
        /// </summary>
        public bool IsAuto { get; set; }

        /// <summary>
        /// 设备所在城市
        /// </summary>
        public string AreaCode { get; set; }

        /// <summary>
        /// 机器Mac地址
        /// </summary>
        public string MachineAddress { get; set; }

        /// <summary>
        /// 机器编号
        /// </summary>
        public string MachineNo { get; set; }
        
        /// <summary>
        /// 产品编号
        /// </summary>
        public string ProductNo { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        public int Type { get; set; }

        /// <summary>
        /// 连接状态
        /// </summary>
        public int ConnectStatus { get; set; }

        /// <summary>
        /// 活动状态
        /// </summary>
        public int ActivityStatus { get; set; }

        /// <summary>
        /// 获取或设置 创建时间
        /// </summary>
        public DateTime CreatedTime { get; set; }

        /// <summary>
        /// 最近使用时间
        /// </summary>
        public DateTime LastTreatTime { get; set; }

        /// <summary>
        /// 设备模式：呼吸机模式
        /// </summary>
        public int ModeType { get; set; }
        
        /// <summary>
        /// 评分
        /// </summary>
        public int Score { get; set; }

        /// <summary>
        /// 使用时间 Unit：h（1位小数）
        /// </summary>
        public decimal UseHour { get; set; }
    }

    /// <summary>
    /// 发布消息实体对象
    /// </summary>
    public class IOTTopicReplyMessageResult
    {
        /// <summary>
        /// 方法名
        /// </summary>
        public string Method { get; set; }

        /// <summary>
        /// 负载信息
        /// </summary>
        public Object Payload { get; set; }
    }
}