using WingInterfaceLibrary.Enum;
using System;

namespace WingInterfaceLibrary.Result.Management
{
    /// <summary>
    /// CMS模板响应数据
    /// </summary>
    public class CMSTemplateResult
    {
        /// <summary>
        /// 模板编码
        /// </summary>
        /// <value>TemplateCode001</value>
        public string CMSTemplateCode { get; set; }

        /// <summary>
        /// 模板名称
        /// </summary>
        /// <value>CMS默认模板</value>
        public string CMSTemplateName { get; set; }

        /// <summary>
        /// 模板发布状态
        /// </summary>
        /// <value>0</value>
        public CMSTemplateStatusTypeEnum CMSTemplateStateType { get; set; }

        /// <summary>
        /// CMS模板内容
        /// </summary>
        /// <value></value>
        public string CMSTemplateJson { get; set; }

        /// <summary>
        /// 是否默认
        /// </summary>
        /// <value>false</value>
        public bool IsDefault { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value>false</value>
        public DateTime CreateTime { get; set; }

        /// <summary>
        /// 背景色
        /// </summary>
        public string CMSBgColor { get; set; }

        /// <summary>
        /// 背景图
        /// </summary>
        public string CMSBgImg { get; set; }

        /// <summary>
        /// 是否显示最上层
        /// </summary>
        public bool IsShowTop { get; set; }

        /// <summary>
        /// 边框颜色
        /// </summary>
        public string CMSBorderColor { get; set; }

        /// <summary>
        /// 阴影比例
        /// </summary>
        public int CMSBorderShadow { get; set; }
    }
}