using System.Collections;
using System.Collections.Generic;

namespace WingInterfaceLibrary.Result.Management
{
    /// <summary>
    /// 扫查图像地址结果
    /// </summary>
    public class ShareExamUrlResult
    {
        /// <summary>
        /// 视频首帧图片地址/或者图像地址
        /// </summary>
        /// <value></value>
        public string PosterUrl { get; set; }

        /// <summary>
        /// 视频地址
        /// </summary>
        /// <value></value>
        public string VideoUrl { get; set; }

        /// <summary>
        /// 是否转换成功，有结果
        /// </summary>
        /// <value></value>
        public bool IsConvertSusccess { get; set; } = false;
    }

    /// <summary>
    /// 分享图像地址列表结果
    /// </summary>
    public class ShareImagesUrlResult
    {
        /// <summary>
        /// 是否转换成功，有结果
        /// </summary>
        /// <value></value>
        public bool IsConvertSusccess { get; set; } = false;

        /// <summary>
        /// 是否部分转换成功，有结果
        /// </summary>
        /// <value></value>
        public bool IsPartConvertSusccess { get; set; } = false;

        /// <summary>
        /// 语言
        /// </summary>
        /// <value></value>
        public string Language { get; set; }

        /// <summary>
        /// 分享图像基础信息列表
        /// </summary>
        /// <value></value>
        public IList<ShareImagesBasicInfoResult> ShareImages { get; set; }
        
        /// <summary>
        /// 文件数量
        /// </summary>
        /// <value></value>
        public int FileCount { get; set; }
    }

    /// <summary>
    /// 分享图像数据信息实体
    /// </summary>
    /// <value></value>
    public class ShareImagesBasicInfoResult
    {
        /// <summary>
        /// 列表数据列表
        /// </summary>
        /// <value></value>
        public IList<ShareImagesCellResult> ImageCells { get; set; }
    }

    /// <summary>
    /// 列数据信息实体
    /// </summary>
    /// <value></value>
    public class ShareImagesCellResult
    {
        /// <summary>
        /// 序号
        /// </summary>
        /// <value></value>
        public int SortNum { get; set; }

        /// <summary>
        /// 视频首帧图片地址/或者图像地址
        /// </summary>
        /// <value></value>
        public string PosterUrl { get; set; }

        /// <summary>
        /// 视频地址
        /// </summary>
        /// <value></value>
        public string VideoUrl { get; set; }

        /// <summary>
        /// 默认文件地址
        /// </summary>
        /// <value></value>
        public string DefaultLoadingToken { get; set; }

        /// <summary>
        /// 预览图列表
        /// </summary>
        /// <value></value>
        public IList<string> PreviewImageList { get; set; }
    }
}