using System.Collections.Generic;

namespace WingInterfaceLibrary.Result
{
    /// <summary>
    /// 分页返回基类
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class PageResult<T>
    {
       /// <summary>
       /// 当前页
       /// </summary>
       /// <value></value>
        public int PageIndex { get; set; }
       /// <summary>
       /// 每页数量
       /// </summary>
       /// <value></value>
        public int PageSize { get; set; }
        /// <summary>
        /// 数据总数量
        /// </summary>
        /// <value></value>
        public int TotalCount { get; set; }
        /// <summary>
        /// 数据集合
        /// </summary>
        /// <returns></returns>
        public List<T> PageData { get; set; } =new List<T>();
    }
}